/* Generated from posixwin.scm by the CHICKEN compiler
   http://www.call-cc.org
   2015-08-29 18:56
   Version 4.10.1 ((detached from 4.10.1)) (rev eb1e95e)
   linux-unix-gnu-x86-64 [ 64bit manyargs ptables ]
   compiled 2015-08-29 on yves.more-magic.net (Linux)
   command line: posixwin.scm -optimize-level 2 -include-path . -include-path ./ -inline -ignore-repository -feature chicken-bootstrap -no-warnings -specialize -types ./types.db -explicit-use -no-trace -output-file posixwin.c
   unit: posix
*/

#include "chicken.h"

#ifndef WIN32_LEAN_AND_MEAN
# define WIN32_LEAN_AND_MEAN
#endif

#include <direct.h>
#include <errno.h>
#include <fcntl.h>
#include <io.h>
#include <process.h>
#include <signal.h>
#include <utime.h>
#include <winsock2.h>

#define ARG_MAX		256
#define PIPE_BUF	512
#ifndef ENV_MAX
# define ENV_MAX	1024
#endif

static C_TLS char *C_exec_args[ ARG_MAX ];
static C_TLS char *C_exec_env[ ENV_MAX ];
static C_TLS struct group *C_group;
static C_TLS int C_pipefds[ 2 ];
static C_TLS time_t C_secs;

/* pipe handles */
static C_TLS HANDLE C_rd0, C_wr0, C_wr0_, C_rd1, C_wr1, C_rd1_;
static C_TLS HANDLE C_save0, C_save1; /* saved I/O handles */
static C_TLS char C_rdbuf; /* one-char buffer for read */
static C_TLS int C_exstatus;

/* platform information; initialized for cached testing */
static C_TLS char C_hostname[256] = "";
static C_TLS char C_osver[16] = "";
static C_TLS char C_osrel[16] = "";
static C_TLS char C_processor[16] = "";
static C_TLS char C_shlcmd[256] = "";

/* Windows NT or better */
static int C_isNT = 0;

/* Current user name */
static C_TLS TCHAR C_username[255 + 1] = "";

/* Directory Operations */

#define C_mkdir(str)	    C_fix(mkdir(C_c_string(str)))
#define C_chdir(str)	    C_fix(chdir(C_c_string(str)))
#define C_rmdir(str)	    C_fix(rmdir(C_c_string(str)))

#ifndef __WATCOMC__
/* DIRENT stuff */
struct dirent
{
    char *		d_name;
};

typedef struct
{
    struct _finddata_t	fdata;
    int			handle;
    struct dirent	current;
} DIR;

static DIR * C_fcall
opendir(const char *name)
{
    int name_len = strlen(name);
    int what_len = name_len + 3;
    DIR *dir = (DIR *)malloc(sizeof(DIR));
    char *what;
    if (!dir)
    {
	errno = ENOMEM;
	return NULL;
    }
    what = (char *)malloc(what_len);
    if (!what)
    {
	free(dir);
	errno = ENOMEM;
	return NULL;
    }
    C_strlcpy(what, name, what_len);
    if (strchr("\\/", name[name_len - 1]))
	C_strlcat(what, "*", what_len);
    else
	C_strlcat(what, "\\*", what_len);

    dir->handle = _findfirst(what, &dir->fdata);
    if (dir->handle == -1)
    {
	free(what);
	free(dir);
	return NULL;
    }
    dir->current.d_name = NULL; /* as the first-time indicator */
    free(what);
    return dir;
}

static int C_fcall
closedir(DIR * dir)
{
    if (dir)
    {
	int res = _findclose(dir->handle);
	free(dir);
	return res;
    }
    return -1;
}

static struct dirent * C_fcall
readdir(DIR * dir)
{
    if (dir)
    {
	if (!dir->current.d_name /* first time after opendir */
	     || _findnext(dir->handle, &dir->fdata) != -1)
	{
	    dir->current.d_name = dir->fdata.name;
	    return &dir->current;
	}
    }
    return NULL;
}
#endif /* ifndef __WATCOMC__ */

#ifdef __WATCOMC__
/* there is no P_DETACH in Watcom CRTL */
# define P_DETACH P_NOWAIT
#endif

#define open_binary_input_pipe(a, n, name)   C_mpointer(a, _popen(C_c_string(name), "r"))
#define open_text_input_pipe(a, n, name)     open_binary_input_pipe(a, n, name)
#define open_binary_output_pipe(a, n, name)  C_mpointer(a, _popen(C_c_string(name), "w"))
#define open_text_output_pipe(a, n, name)    open_binary_output_pipe(a, n, name)
#define close_pipe(p)			     C_fix(_pclose(C_port_file(p)))

#define C_chmod(fn, m)	    C_fix(chmod(C_data_pointer(fn), C_unfix(m)))
#define C_setvbuf(p, m, s)  C_fix(setvbuf(C_port_file(p), NULL, C_unfix(m), C_unfix(s)))
#define C_test_access(fn, m)	    C_fix(access((char *)C_data_pointer(fn), C_unfix(m)))
#define C_pipe(d, m)	    C_fix(_pipe(C_pipefds, PIPE_BUF, C_unfix(m)))
#define C_close(fd)	    C_fix(close(C_unfix(fd)))

#define C_getenventry(i)   environ[ i ]

#define C_lstat(fn)	    C_stat(fn)

static void C_fcall
C_set_arg_string(char **where, int i, char *dat, int len)
{
    char *ptr;
    if (dat)
    {
	ptr = (char *)C_malloc(len + 1);
	C_memcpy(ptr, dat, len);
	ptr[ len ] = '\0';
        /* Can't barf() here, so the NUL byte check happens in Scheme */
    }
    else
	ptr = NULL;
    where[ i ] = ptr;
}

static void C_fcall
C_free_arg_string(char **where) {
  while (*where) C_free(*(where++));
}

#define C_set_exec_arg(i, a, len)	C_set_arg_string(C_exec_args, i, a, len)
#define C_set_exec_env(i, a, len)	C_set_arg_string(C_exec_env, i, a, len)

#define C_free_exec_args()		(C_free_arg_string(C_exec_args), C_SCHEME_TRUE)
#define C_free_exec_env()		(C_free_arg_string(C_exec_env), C_SCHEME_TRUE)

#define C_execvp(f)	    C_fix(execvp(C_data_pointer(f), (const char *const *)C_exec_args))
#define C_execve(f)	    C_fix(execve(C_data_pointer(f), (const char *const *)C_exec_args, (const char *const *)C_exec_env))

/* MS replacement for the fork-exec pair */
#define C_spawnvp(m, f)	    C_fix(spawnvp(C_unfix(m), C_data_pointer(f), (const char *const *)C_exec_args))
#define C_spawnvpe(m, f)    C_fix(spawnvpe(C_unfix(m), C_data_pointer(f), (const char *const *)C_exec_args, (const char *const *)C_exec_env))

#define C_open(fn, fl, m)   C_fix(open(C_c_string(fn), C_unfix(fl), C_unfix(m)))
#define C_read(fd, b, n)    C_fix(read(C_unfix(fd), C_data_pointer(b), C_unfix(n)))
#define C_write(fd, b, n)   C_fix(write(C_unfix(fd), C_data_pointer(b), C_unfix(n)))

#define C_flushall()	    C_fix(_flushall())

#define C_umask(m)          C_fix(_umask(C_unfix(m)))

#define C_ctime(n)	    (C_secs = (n), ctime(&C_secs))

#define TIME_STRING_MAXLENGTH 255
static char C_time_string [TIME_STRING_MAXLENGTH + 1];
#undef TIME_STRING_MAXLENGTH

/*
  mapping from Win32 error codes to errno
*/

typedef struct
{
    DWORD   win32;
    int	    libc;
} errmap_t;

static errmap_t errmap[] =
{
    {ERROR_INVALID_FUNCTION,	  EINVAL},
    {ERROR_FILE_NOT_FOUND,	  ENOENT},
    {ERROR_PATH_NOT_FOUND,	  ENOENT},
    {ERROR_TOO_MANY_OPEN_FILES,	  EMFILE},
    {ERROR_ACCESS_DENIED,	  EACCES},
    {ERROR_INVALID_HANDLE,	  EBADF},
    {ERROR_ARENA_TRASHED,	  ENOMEM},
    {ERROR_NOT_ENOUGH_MEMORY,	  ENOMEM},
    {ERROR_INVALID_BLOCK,	  ENOMEM},
    {ERROR_BAD_ENVIRONMENT,	  E2BIG},
    {ERROR_BAD_FORMAT,		  ENOEXEC},
    {ERROR_INVALID_ACCESS,	  EINVAL},
    {ERROR_INVALID_DATA,	  EINVAL},
    {ERROR_INVALID_DRIVE,	  ENOENT},
    {ERROR_CURRENT_DIRECTORY,	  EACCES},
    {ERROR_NOT_SAME_DEVICE,	  EXDEV},
    {ERROR_NO_MORE_FILES,	  ENOENT},
    {ERROR_LOCK_VIOLATION,	  EACCES},
    {ERROR_BAD_NETPATH,		  ENOENT},
    {ERROR_NETWORK_ACCESS_DENIED, EACCES},
    {ERROR_BAD_NET_NAME,	  ENOENT},
    {ERROR_FILE_EXISTS,		  EEXIST},
    {ERROR_CANNOT_MAKE,		  EACCES},
    {ERROR_FAIL_I24,		  EACCES},
    {ERROR_INVALID_PARAMETER,	  EINVAL},
    {ERROR_NO_PROC_SLOTS,	  EAGAIN},
    {ERROR_DRIVE_LOCKED,	  EACCES},
    {ERROR_BROKEN_PIPE,		  EPIPE},
    {ERROR_DISK_FULL,		  ENOSPC},
    {ERROR_INVALID_TARGET_HANDLE, EBADF},
    {ERROR_INVALID_HANDLE,	  EINVAL},
    {ERROR_WAIT_NO_CHILDREN,	  ECHILD},
    {ERROR_CHILD_NOT_COMPLETE,	  ECHILD},
    {ERROR_DIRECT_ACCESS_HANDLE,  EBADF},
    {ERROR_NEGATIVE_SEEK,	  EINVAL},
    {ERROR_SEEK_ON_DEVICE,	  EACCES},
    {ERROR_DIR_NOT_EMPTY,	  ENOTEMPTY},
    {ERROR_NOT_LOCKED,		  EACCES},
    {ERROR_BAD_PATHNAME,	  ENOENT},
    {ERROR_MAX_THRDS_REACHED,	  EAGAIN},
    {ERROR_LOCK_FAILED,		  EACCES},
    {ERROR_ALREADY_EXISTS,	  EEXIST},
    {ERROR_FILENAME_EXCED_RANGE,  ENOENT},
    {ERROR_NESTING_NOT_ALLOWED,	  EAGAIN},
    {ERROR_NOT_ENOUGH_QUOTA,	  ENOMEM},
    {0, 0}
};

static void C_fcall
set_errno(DWORD w32err)
{
    errmap_t *map;
    for (map = errmap; map->win32; ++map)
    {
	if (map->win32 == w32err)
	{
	    errno = map->libc;
	    return;
	}
    }
    errno = ENOSYS; /* For lack of anything better */
}

static int C_fcall
set_last_errno()
{
    set_errno(GetLastError());
    return 0;
}

static int C_fcall
process_wait(C_word h, C_word t)
{
    if (WaitForSingleObject((HANDLE)h, (t ? 0 : INFINITE)) == WAIT_OBJECT_0)
    {
	DWORD ret;
	if (GetExitCodeProcess((HANDLE)h, &ret))
	{
	    CloseHandle((HANDLE)h);
	    C_exstatus = ret;
	    return 1;
	}
    }
    return set_last_errno();
}

#define C_process_wait(p, t) (process_wait(C_unfix(p), C_truep(t)) ? C_SCHEME_TRUE : C_SCHEME_FALSE)
#define C_sleep(t) (Sleep(C_unfix(t) * 1000), C_fix(0))

static int C_fcall
get_hostname()
{
    /* Do we already have hostname? */
    if (strlen(C_hostname))
    {
	return 1;
    }
    else
    {
	WSADATA wsa;
	if (WSAStartup(MAKEWORD(1, 1), &wsa) == 0)
	{
	    int nok = gethostname(C_hostname, sizeof(C_hostname));
	    WSACleanup();
	    return !nok;
	}
	return 0;
    }
}

static int C_fcall
sysinfo()
{
    /* Do we need to build the sysinfo? */
    if (!strlen(C_osrel))
    {
	OSVERSIONINFO ovf;
	ZeroMemory(&ovf, sizeof(ovf));
	ovf.dwOSVersionInfoSize = sizeof(ovf);
	if (get_hostname() && GetVersionEx(&ovf))
	{
	    SYSTEM_INFO si;
	    _snprintf(C_osver, sizeof(C_osver) - 1, "%d.%d.%d",
			ovf.dwMajorVersion, ovf.dwMinorVersion, ovf.dwBuildNumber);
	    strncpy(C_osrel, "Win", sizeof(C_osrel) - 1);
	    switch (ovf.dwPlatformId)
	    {
	    case VER_PLATFORM_WIN32s:
		strncpy(C_osrel, "Win32s", sizeof(C_osrel) - 1);
		break;
	    case VER_PLATFORM_WIN32_WINDOWS:
		if (ovf.dwMajorVersion == 4)
		{
		    if (ovf.dwMinorVersion == 0)
			strncpy(C_osrel, "Win95", sizeof(C_osrel) - 1);
		    else if (ovf.dwMinorVersion == 10)
			strncpy(C_osrel, "Win98", sizeof(C_osrel) - 1);
		    else if (ovf.dwMinorVersion == 90)
			strncpy(C_osrel, "WinMe", sizeof(C_osrel) - 1);
		}
		break;
	    case VER_PLATFORM_WIN32_NT:
		C_isNT = 1;
		if (ovf.dwMajorVersion == 6)
		    strncpy(C_osrel, "WinVista", sizeof(C_osrel) - 1);
		else if (ovf.dwMajorVersion == 5)
		{
		    if (ovf.dwMinorVersion == 2)
			strncpy(C_osrel, "WinServer2003", sizeof(C_osrel) - 1);
		    else if (ovf.dwMinorVersion == 1)
			strncpy(C_osrel, "WinXP", sizeof(C_osrel) - 1);
		    else if ( ovf.dwMinorVersion == 0)
			strncpy(C_osrel, "Win2000", sizeof(C_osrel) - 1);
		}
		else if (ovf.dwMajorVersion <= 4)
		   strncpy(C_osrel, "WinNT", sizeof(C_osrel) - 1);
		break;
	    }
	    GetSystemInfo(&si);
	    strncpy(C_processor, "Unknown", sizeof(C_processor) - 1);
	    switch (si.wProcessorArchitecture)
	    {
	    case PROCESSOR_ARCHITECTURE_INTEL:
		strncpy(C_processor, "x86", sizeof(C_processor) - 1);
		break;
#	    ifdef PROCESSOR_ARCHITECTURE_IA64
	    case PROCESSOR_ARCHITECTURE_IA64:
		strncpy(C_processor, "IA64", sizeof(C_processor) - 1);
		break;
#	    endif
#	    ifdef PROCESSOR_ARCHITECTURE_AMD64
	    case PROCESSOR_ARCHITECTURE_AMD64:
		strncpy(C_processor, "x64", sizeof(C_processor) - 1);
		break;
#	    endif
#	    ifdef PROCESSOR_ARCHITECTURE_IA32_ON_WIN64
	    case PROCESSOR_ARCHITECTURE_IA32_ON_WIN64:
		strncpy(C_processor, "WOW64", sizeof(C_processor) - 1);
		break;
#	    endif
	    }
	}
	else
	    return set_last_errno();
    }
    return 1;
}

static int C_fcall
get_shlcmd()
{
    /* Do we need to build the shell command pathname? */
    if (!strlen(C_shlcmd))
    {
	if (sysinfo()) /* for C_isNT */
	{
	    char *cmdnam = C_isNT ? "\\cmd.exe" : "\\command.com";
	    UINT len = GetSystemDirectory(C_shlcmd, sizeof(C_shlcmd) - strlen(cmdnam));
	    if (len)
		C_strlcpy(C_shlcmd + len, cmdnam, sizeof(C_shlcmd));
	    else
		return set_last_errno();
	}
	else
	    return 0;
    }
    return 1;
}

#define C_get_hostname() (get_hostname() ? C_SCHEME_TRUE : C_SCHEME_FALSE)
#define C_sysinfo() (sysinfo() ? C_SCHEME_TRUE : C_SCHEME_FALSE)
#define C_get_shlcmd() (get_shlcmd() ? C_SCHEME_TRUE : C_SCHEME_FALSE)

/* GetUserName */

static int C_fcall
get_user_name()
{
    if (!strlen(C_username))
    {
	DWORD bufCharCount = sizeof(C_username) / sizeof(C_username[0]);
	if (!GetUserName(C_username, &bufCharCount))
	    return set_last_errno();
    }
    return 1;
}

#define C_get_user_name() (get_user_name() ? C_SCHEME_TRUE : C_SCHEME_FALSE)

/*
    Spawn a process directly.
    Params:
    app		Command to execute.
    cmdlin	Command line (arguments).
    env		Environment for the new process (may be NULL).
    handle, stdin, stdout, stderr
		Spawned process info are returned in integers.
		When spawned process shares standard io stream with the parent
		process the respective value in handle, stdin, stdout, stderr
		is -1.
    params	A bitmask controling operation.
		Bit 1: Child & parent share standard input if this bit is set.
		Bit 2: Share standard output if bit is set.
		Bit 3: Share standard error if bit is set.

    Returns: zero return value indicates failure.
*/
static int C_fcall
C_process(const char * app, const char * cmdlin, const char ** env,
	  C_word * phandle,
	  int * pstdin_fd, int * pstdout_fd, int * pstderr_fd,
	  int params)
{
    int i;
    int success = TRUE;
    const int f_share_io[3] = { params & 1, params & 2, params & 4};
    int io_fds[3] = { -1, -1, -1 };
    HANDLE
	child_io_handles[3] = { NULL, NULL, NULL },
	standard_io_handles[3] = {
	    GetStdHandle(STD_INPUT_HANDLE),
	    GetStdHandle(STD_OUTPUT_HANDLE),
	    GetStdHandle(STD_ERROR_HANDLE)};
    const char modes[3] = "rww";
    HANDLE cur_process = GetCurrentProcess(), child_process = NULL;
    void* envblk = NULL;

    /****** create io handles & fds ***/

    for (i=0; i<3 && success; ++i)
    {
	if (f_share_io[i])
	{
	    success = DuplicateHandle(
		cur_process, standard_io_handles[i],
		cur_process, &child_io_handles[i],
		0, FALSE, DUPLICATE_SAME_ACCESS);
	}
	else
	{
	    HANDLE a, b;
	    success = CreatePipe(&a,&b,NULL,0);
	    if(success)
	    {
		HANDLE parent_end;
		if (modes[i]=='r') { child_io_handles[i]=a; parent_end=b; }
		else		   { parent_end=a; child_io_handles[i]=b; }
		success = (io_fds[i] = _open_osfhandle((C_word)parent_end,0)) >= 0;
                /* Make new handle inheritable */
		if (success)
		  success = SetHandleInformation(child_io_handles[i], HANDLE_FLAG_INHERIT, -1);
	    }
	}
    }

#if 0 /* Requires a sorted list by key! */
    /****** create environment block if necessary ****/

    if (env && success)
    {
	char** p;
	int len = 0;

	for (p = env; *p; ++p) len += strlen(*p) + 1;

	if (envblk = C_malloc(len + 1))
	{
	    char* pb = (char*)envblk;
	    for (p = env; *p; ++p)
	    {
		C_strlcpy(pb, *p, len+1);
		pb += strlen(*p) + 1;
	    }
	    *pb = '\0';
            /* This _should_ already have been checked for embedded NUL bytes */
	}
	else
	    success = FALSE;
    }
#endif

    /****** finally spawn process ****/

    if (success)
    {
	PROCESS_INFORMATION pi;
	STARTUPINFO si;

	ZeroMemory(&pi,sizeof pi);
	ZeroMemory(&si,sizeof si);
	si.cb = sizeof si;
	si.dwFlags = STARTF_USESTDHANDLES;
	si.hStdInput = child_io_handles[0];
	si.hStdOutput = child_io_handles[1];
	si.hStdError = child_io_handles[2];

	/* FIXME passing 'app' param causes failure & possible stack corruption */
	success = CreateProcess(
	    NULL, (char*)cmdlin, NULL, NULL, TRUE, 0, envblk, NULL, &si, &pi);

	if (success)
	{
	    child_process=pi.hProcess;
	    CloseHandle(pi.hThread);
	}
	else
	    set_last_errno();
    }
    else
	set_last_errno();

    /****** cleanup & return *********/

    /* parent must close child end */
    for (i=0; i<3; ++i) {
	if (child_io_handles[i] != NULL)
	    CloseHandle(child_io_handles[i]);
    }

    if (success)
    {
	*phandle = (C_word)child_process;
	*pstdin_fd = io_fds[0];
	*pstdout_fd = io_fds[1];
	*pstderr_fd = io_fds[2];
    }
    else
    {
	for (i=0; i<3; ++i) {
	    if (io_fds[i] != -1)
		_close(io_fds[i]);
	}
    }

    return success;
}

static int set_file_mtime(char *filename, C_word tm)
{
  struct _utimbuf tb;

  tb.actime = tb.modtime = C_num_to_int(tm);
  return _utime(filename, &tb);
}

#include <signal.h>
#include <errno.h>

#include <sys/stat.h>

static int C_not_implemented(void);
int C_not_implemented() { return -1; }

#define C_curdir(buf)       (getcwd(C_c_string(buf), 1024) ? C_fix(strlen(C_c_string(buf))) : C_SCHEME_FALSE)

static C_TLS struct stat C_statbuf;

#define C_stat_type         (C_statbuf.st_mode & S_IFMT)
#define C_stat(fn)          C_fix(stat((char *)C_data_pointer(fn), &C_statbuf))
#define C_fstat(f)          C_fix(fstat(C_unfix(f), &C_statbuf))

#ifndef S_IFSOCK
# define S_IFSOCK           0140000
#endif

#define cpy_tmvec_to_tmstc08(ptm, v) \
    ((ptm)->tm_sec = C_unfix(C_block_item((v), 0)), \
    (ptm)->tm_min = C_unfix(C_block_item((v), 1)), \
    (ptm)->tm_hour = C_unfix(C_block_item((v), 2)), \
    (ptm)->tm_mday = C_unfix(C_block_item((v), 3)), \
    (ptm)->tm_mon = C_unfix(C_block_item((v), 4)), \
    (ptm)->tm_year = C_unfix(C_block_item((v), 5)), \
    (ptm)->tm_wday = C_unfix(C_block_item((v), 6)), \
    (ptm)->tm_yday = C_unfix(C_block_item((v), 7)), \
    (ptm)->tm_isdst = (C_block_item((v), 8) != C_SCHEME_FALSE))

#define cpy_tmvec_to_tmstc9(ptm, v) \
    (((struct tm *)ptm)->tm_gmtoff = -C_unfix(C_block_item((v), 9)))

#define C_tm_set_08(v, tm)  cpy_tmvec_to_tmstc08( (tm), (v) )
#define C_tm_set_9(v, tm)   cpy_tmvec_to_tmstc9( (tm), (v) )

static struct tm *
C_tm_set( C_word v, void *tm )
{
  C_tm_set_08( v, (struct tm *)tm );
#if defined(C_GNU_ENV) && !defined(__CYGWIN__) && !defined(__uClinux__)
  C_tm_set_9( v, (struct tm *)tm );
#endif
  return tm;
}

#define TIME_STRING_MAXLENGTH 255
static char C_time_string [TIME_STRING_MAXLENGTH + 1];
#undef TIME_STRING_MAXLENGTH

#define C_strftime(v, f, tm) \
        (strftime(C_time_string, sizeof(C_time_string), C_c_string(f), C_tm_set((v), (tm))) ? C_time_string : NULL)
#define C_a_mktime(ptr, c, v, tm)  C_flonum(ptr, mktime(C_tm_set((v), C_data_pointer(tm))))
#define C_asctime(v, tm)    (asctime(C_tm_set((v), (tm))))

#define C_fdopen(a, n, fd, m) C_mpointer(a, fdopen(C_unfix(fd), C_c_string(m)))
#define C_C_fileno(p)       C_fix(fileno(C_port_file(p)))
#define C_dup(x)            C_fix(dup(C_unfix(x)))
#define C_dup2(x, y)        C_fix(dup2(C_unfix(x), C_unfix(y)))

#define C_set_file_ptr(port, ptr)  (C_set_block_item(port, 0, (C_block_item(ptr, 0))), C_SCHEME_UNDEFINED)

#define C_opendir(x,h)      C_set_block_item(h, 0, (C_word) opendir(C_c_string(x)))
#define C_closedir(h)       (closedir((DIR *)C_block_item(h, 0)), C_SCHEME_UNDEFINED)
#define C_readdir(h,e)      C_set_block_item(e, 0, (C_word) readdir((DIR *)C_block_item(h, 0)))
#define C_foundfile(e,b,l)    (C_strlcpy(C_c_string(b), ((struct dirent *) C_block_item(e, 0))->d_name, l), C_fix(strlen(((struct dirent *) C_block_item(e, 0))->d_name)))

/* It is assumed that 'int' is-a 'long' */
#define C_ftell(p)          C_fix(ftell(C_port_file(p)))
#define C_fseek(p, n, w)    C_mk_nbool(fseek(C_port_file(p), C_num_to_int(n), C_unfix(w)))
#define C_lseek(fd, o, w)     C_fix(lseek(C_unfix(fd), C_unfix(o), C_unfix(w)))

#ifdef HAVE_SETENV
# define C_unsetenv(s)      (unsetenv((char *)C_data_pointer(s)), C_SCHEME_TRUE)
# define C_setenv(x, y)     C_fix(setenv((char *)C_data_pointer(x), (char *)C_data_pointer(y), 1))
#else
# if defined(_WIN32) && !defined(__CYGWIN__)
#  define C_unsetenv(s)      C_setenv(s, C_SCHEME_FALSE)
# else
#  define C_unsetenv(s)      C_fix(putenv((char *)C_data_pointer(s)))
# endif
static C_word C_fcall C_setenv(C_word x, C_word y) {
  char *sx = C_c_string(x),
       *sy = (y == C_SCHEME_FALSE ? "" : C_c_string(y));
  int n1 = C_strlen(sx), n2 = C_strlen(sy);
  int buf_len = n1 + n2 + 2;
  char *buf = (char *)C_malloc(buf_len);
  if(buf == NULL) return(C_fix(0));
  else {
    C_strlcpy(buf, sx, buf_len);
    C_strlcat(buf, "=", buf_len);
    C_strlcat(buf, sy, buf_len);
    return(C_fix(putenv(buf)));
  }
}
#endif

#ifndef S_IFLNK
#define S_IFLNK S_IFREG
#endif

#ifndef S_IFREG
#define S_IFREG S_IFREG
#endif

#ifndef S_IFDIR
#define S_IFDIR S_IFREG
#endif

#ifndef S_IFCHR
#define S_IFCHR S_IFREG
#endif

#ifndef S_IFBLK
#define S_IFBLK S_IFREG
#endif

#ifndef S_IFSOCK
#define S_IFSOCK S_IFREG
#endif

#ifndef S_IFIFO
#define S_IFIFO S_IFREG
#endif


#define PROT_NONE       0
#define PROT_READ       1
#define PROT_WRITE      2
#define PROT_EXEC       4
#define MAP_FILE        0
#define MAP_SHARED      1
#define MAP_PRIVATE     2
#define MAP_FIXED       0x10
#define MAP_ANONYMOUS   0x20

// This value is available starting with Windows XP with SP2 
// and Windows Server 2003 with SP1.
#ifndef FILE_MAP_EXECUTE
#define FILE_MAP_EXECUTE 0x20
#endif//FILE_MAP_EXECUTE

static int page_flags[] =
{
    0,
    PAGE_READONLY,
    PAGE_READWRITE,
    PAGE_READWRITE,
    PAGE_EXECUTE_READ,
    PAGE_EXECUTE_READ,
    PAGE_EXECUTE_READWRITE
};

static int file_flags[] =
{
    0,
    FILE_MAP_READ,
    FILE_MAP_READ|FILE_MAP_WRITE,
    FILE_MAP_READ|FILE_MAP_WRITE,
    FILE_MAP_READ|FILE_MAP_EXECUTE,
    FILE_MAP_READ|FILE_MAP_EXECUTE,
    FILE_MAP_READ|FILE_MAP_WRITE|FILE_MAP_EXECUTE
};

void* mmap(void* addr,int len,int prot,int flags,int fd,int off)
{
    HANDLE hMap;
    HANDLE hFile;

    void* ptr;

    if ((flags & MAP_FIXED) || (flags & MAP_PRIVATE) || (flags & MAP_ANONYMOUS))
    {
        errno = EINVAL;
        return (void*)-1;
    }

    /*
     * We must cast because _get_osfhandle returns intptr_t, but it must
     * be compared with INVALID_HANDLE_VALUE, which is a HANDLE type.
     * Who comes up with this shit?
     */
    hFile = (HANDLE)_get_osfhandle(fd);
    if (hFile == INVALID_HANDLE_VALUE)
    {
        return (void*)-1;
    }

    hMap = CreateFileMapping(
            hFile,
            NULL,
            page_flags[prot & (PROT_READ|PROT_WRITE|PROT_EXEC)],
            0,
            0,
            NULL);

    if (hMap == INVALID_HANDLE_VALUE)
    {
        set_last_errno();
        return (void*)-1;
    }

    ptr = MapViewOfFile(
            hMap,
            file_flags[prot & (PROT_READ|PROT_WRITE|PROT_EXEC)],
            0,
            off,
            len);

    if (ptr == NULL)
    {
        set_last_errno();
        ptr = (void*)-1;
    }

    CloseHandle(hMap);

    return ptr;
}

int munmap(void* addr,int len)
{
    if (UnmapViewOfFile(addr))
    {
        errno = 0;
        return 0;
    }
    set_last_errno();
    return -1;
}

int is_bad_mmap(void* p)
{
    void* bad_ptr;
    bad_ptr = (void*)-1;
    return p == bad_ptr;
}


static C_PTABLE_ENTRY *create_ptable(void);
C_noret_decl(C_scheduler_toplevel)
C_externimport void C_ccall C_scheduler_toplevel(C_word c,C_word *av) C_noret;
C_noret_decl(C_irregex_toplevel)
C_externimport void C_ccall C_irregex_toplevel(C_word c,C_word *av) C_noret;
C_noret_decl(C_extras_toplevel)
C_externimport void C_ccall C_extras_toplevel(C_word c,C_word *av) C_noret;
C_noret_decl(C_files_toplevel)
C_externimport void C_ccall C_files_toplevel(C_word c,C_word *av) C_noret;
C_noret_decl(C_ports_toplevel)
C_externimport void C_ccall C_ports_toplevel(C_word c,C_word *av) C_noret;

static C_TLS C_word lf[402];
static double C_possibly_force_alignment;
static C_char C_TLS li0[] C_aligned={C_lihdr(0,0,41),40,112,111,115,105,120,45,101,114,114,111,114,32,116,121,112,101,55,49,32,108,111,99,55,50,32,109,115,103,55,51,32,46,32,97,114,103,115,55,52,41,0,0,0,0,0,0,0};
static C_char C_TLS li1[] C_aligned={C_lihdr(0,0,38),40,35,35,115,121,115,35,115,116,97,116,32,102,105,108,101,56,54,32,108,105,110,107,56,55,32,101,114,114,56,56,32,108,111,99,56,57,41,0,0};
static C_char C_TLS li2[] C_aligned={C_lihdr(0,0,28),40,102,105,108,101,45,115,116,97,116,32,102,49,48,50,32,46,32,116,109,112,49,48,49,49,48,51,41,0,0,0,0};
static C_char C_TLS li3[] C_aligned={C_lihdr(0,0,23),40,102,105,108,101,45,97,99,99,101,115,115,45,116,105,109,101,32,102,49,50,56,41,0};
static C_char C_TLS li4[] C_aligned={C_lihdr(0,0,23),40,102,105,108,101,45,99,104,97,110,103,101,45,116,105,109,101,32,102,49,51,49,41,0};
static C_char C_TLS li5[] C_aligned={C_lihdr(0,0,17),40,102,105,108,101,45,111,119,110,101,114,32,102,49,51,52,41,0,0,0,0,0,0,0};
static C_char C_TLS li6[] C_aligned={C_lihdr(0,0,23),40,102,105,108,101,45,112,101,114,109,105,115,115,105,111,110,115,32,102,49,51,55,41,0};
static C_char C_TLS li7[] C_aligned={C_lihdr(0,0,16),40,102,105,108,101,45,115,105,122,101,32,102,49,52,48,41};
static C_char C_TLS li8[] C_aligned={C_lihdr(0,0,31),40,102,105,108,101,45,116,121,112,101,32,102,105,108,101,49,52,56,32,46,32,116,109,112,49,52,55,49,52,57,41,0};
static C_char C_TLS li9[] C_aligned={C_lihdr(0,0,23),40,114,101,103,117,108,97,114,45,102,105,108,101,63,32,102,105,108,101,49,54,55,41,0};
static C_char C_TLS li10[] C_aligned={C_lihdr(0,0,24),40,115,121,109,98,111,108,105,99,45,108,105,110,107,63,32,102,105,108,101,49,54,57,41};
static C_char C_TLS li11[] C_aligned={C_lihdr(0,0,23),40,98,108,111,99,107,45,100,101,118,105,99,101,63,32,102,105,108,101,49,55,49,41,0};
static C_char C_TLS li12[] C_aligned={C_lihdr(0,0,27),40,99,104,97,114,97,99,116,101,114,45,100,101,118,105,99,101,63,32,102,105,108,101,49,55,51,41,0,0,0,0,0};
static C_char C_TLS li13[] C_aligned={C_lihdr(0,0,16),40,102,95,50,52,56,51,32,102,105,108,101,49,55,53,41};
static C_char C_TLS li14[] C_aligned={C_lihdr(0,0,17),40,115,111,99,107,101,116,63,32,102,105,108,101,49,55,55,41,0,0,0,0,0,0,0};
static C_char C_TLS li15[] C_aligned={C_lihdr(0,0,20),40,100,105,114,101,99,116,111,114,121,63,32,102,105,108,101,49,55,57,41,0,0,0,0};
static C_char C_TLS li16[] C_aligned={C_lihdr(0,0,47),40,115,101,116,45,102,105,108,101,45,112,111,115,105,116,105,111,110,33,32,112,111,114,116,49,56,52,32,112,111,115,49,56,53,32,46,32,119,104,101,110,99,101,49,56,54,41,0};
static C_char C_TLS li17[] C_aligned={C_lihdr(0,0,25),40,109,111,100,101,32,105,110,112,50,48,56,32,109,50,48,57,32,108,111,99,50,49,48,41,0,0,0,0,0,0,0};
static C_char C_TLS li18[] C_aligned={C_lihdr(0,0,32),40,99,104,101,99,107,32,108,111,99,50,50,50,32,102,100,50,50,51,32,105,110,112,50,50,52,32,114,50,50,53,41};
static C_char C_TLS li19[] C_aligned={C_lihdr(0,0,21),40,102,95,50,54,50,50,32,102,100,50,50,56,32,46,32,109,50,50,57,41,0,0,0};
static C_char C_TLS li20[] C_aligned={C_lihdr(0,0,21),40,102,95,50,54,51,54,32,102,100,50,51,49,32,46,32,109,50,51,50,41,0,0,0};
static C_char C_TLS li21[] C_aligned={C_lihdr(0,0,16),40,102,95,50,54,53,48,32,112,111,114,116,50,51,56,41};
static C_char C_TLS li22[] C_aligned={C_lihdr(0,0,24),40,102,95,50,54,57,56,32,111,108,100,50,52,55,32,46,32,110,101,119,50,52,56,41};
static C_char C_TLS li23[] C_aligned={C_lihdr(0,0,31),40,99,117,114,114,101,110,116,45,100,105,114,101,99,116,111,114,121,32,46,32,116,109,112,50,53,57,50,54,48,41,0};
static C_char C_TLS li24[] C_aligned={C_lihdr(0,0,14),40,114,109,100,105,114,32,100,105,114,50,56,55,41,0,0};
static C_char C_TLS li25[] C_aligned={C_lihdr(0,0,11),40,103,50,57,51,32,102,51,48,50,41,0,0,0,0,0};
static C_char C_TLS li26[] C_aligned={C_lihdr(0,0,26),40,102,111,114,45,101,97,99,104,45,108,111,111,112,50,57,50,32,103,50,57,57,51,49,48,41,0,0,0,0,0,0};
static C_char C_TLS li27[] C_aligned={C_lihdr(0,0,38),40,100,101,108,101,116,101,45,100,105,114,101,99,116,111,114,121,32,110,97,109,101,50,55,57,32,46,32,116,109,112,50,55,56,50,56,48,41,0,0};
static C_char C_TLS li28[] C_aligned={C_lihdr(0,0,13),40,108,111,111,112,32,100,105,114,51,51,52,41,0,0,0};
static C_char C_TLS li29[] C_aligned={C_lihdr(0,0,7),40,97,50,57,49,55,41,0};
static C_char C_TLS li30[] C_aligned={C_lihdr(0,0,47),40,97,50,57,50,51,32,100,105,114,51,52,50,51,52,51,51,52,56,32,102,105,108,101,51,52,52,51,52,53,51,52,57,32,101,120,116,51,52,54,51,52,55,51,53,48,41,0};
static C_char C_TLS li31[] C_aligned={C_lihdr(0,0,38),40,99,114,101,97,116,101,45,100,105,114,101,99,116,111,114,121,32,110,97,109,101,51,50,51,32,46,32,116,109,112,51,50,50,51,50,52,41,0,0};
static C_char C_TLS li32[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li33[] C_aligned={C_lihdr(0,0,23),40,100,105,114,101,99,116,111,114,121,32,46,32,116,109,112,51,54,53,51,54,54,41,0};
static C_char C_TLS li34[] C_aligned={C_lihdr(0,0,7),40,97,51,49,50,52,41,0};
static C_char C_TLS li35[] C_aligned={C_lihdr(0,0,11),40,103,52,50,56,32,109,52,51,48,41,0,0,0,0,0};
static C_char C_TLS li36[] C_aligned={C_lihdr(0,0,13),40,108,111,111,112,32,102,110,115,52,50,49,41,0,0,0};
static C_char C_TLS li37[] C_aligned={C_lihdr(0,0,46),40,97,51,49,51,48,32,100,105,114,52,48,52,52,48,53,52,49,48,32,102,105,108,52,48,54,52,48,55,52,49,49,32,101,120,116,52,48,56,52,48,57,52,49,50,41,0,0};
static C_char C_TLS li38[] C_aligned={C_lihdr(0,0,20),40,99,111,110,99,45,108,111,111,112,32,112,97,116,104,115,52,48,50,41,0,0,0,0};
static C_char C_TLS li39[] C_aligned={C_lihdr(0,0,17),40,103,108,111,98,32,46,32,112,97,116,104,115,52,48,48,41,0,0,0,0,0,0,0};
static C_char C_TLS li40[] C_aligned={C_lihdr(0,0,7),40,97,51,50,57,55,41,0};
static C_char C_TLS li41[] C_aligned={C_lihdr(0,0,7),40,97,51,51,48,50,41,0};
static C_char C_TLS li42[] C_aligned={C_lihdr(0,0,7),40,97,51,51,50,50,41,0};
static C_char C_TLS li43[] C_aligned={C_lihdr(0,0,24),40,108,111,111,112,32,100,105,114,52,53,55,32,102,115,52,53,56,32,114,52,53,57,41};
static C_char C_TLS li44[] C_aligned={C_lihdr(0,0,13),40,102,95,51,51,54,56,32,120,52,53,53,41,0,0,0};
static C_char C_TLS li45[] C_aligned={C_lihdr(0,0,15),40,102,95,51,51,56,52,32,46,32,95,52,53,50,41,0};
static C_char C_TLS li46[] C_aligned={C_lihdr(0,0,15),40,102,95,51,51,55,54,32,46,32,95,52,53,49,41,0};
static C_char C_TLS li47[] C_aligned={C_lihdr(0,0,7),40,97,51,52,49,51,41,0};
static C_char C_TLS li48[] C_aligned={C_lihdr(0,0,7),40,97,51,52,49,54,41,0};
static C_char C_TLS li49[] C_aligned={C_lihdr(0,0,7),40,97,51,52,49,57,41,0};
static C_char C_TLS li50[] C_aligned={C_lihdr(0,0,7),40,97,51,52,50,50,41,0};
static C_char C_TLS li51[] C_aligned={C_lihdr(0,0,18),40,102,95,51,52,50,56,32,120,52,57,53,32,121,52,57,54,41,0,0,0,0,0,0};
static C_char C_TLS li52[] C_aligned={C_lihdr(0,0,7),40,97,51,52,50,53,41,0};
static C_char C_TLS li53[] C_aligned={C_lihdr(0,0,15),40,102,95,51,52,51,54,32,46,32,95,52,57,51,41,0};
static C_char C_TLS li54[] C_aligned={C_lihdr(0,0,7),40,97,51,52,51,51,41,0};
static C_char C_TLS li55[] C_aligned={C_lihdr(0,0,31),40,102,105,110,100,45,102,105,108,101,115,32,100,105,114,52,57,48,32,46,32,116,109,112,52,56,57,52,57,49,41,0};
static C_char C_TLS li56[] C_aligned={C_lihdr(0,0,32),40,99,104,101,99,107,45,116,105,109,101,45,118,101,99,116,111,114,32,108,111,99,53,50,50,32,116,109,53,50,51,41};
static C_char C_TLS li57[] C_aligned={C_lihdr(0,0,33),40,115,101,99,111,110,100,115,45,62,108,111,99,97,108,45,116,105,109,101,32,46,32,116,109,112,53,51,48,53,51,49,41,0,0,0,0,0,0,0};
static C_char C_TLS li58[] C_aligned={C_lihdr(0,0,31),40,115,101,99,111,110,100,115,45,62,117,116,99,45,116,105,109,101,32,46,32,116,109,112,53,52,51,53,52,52,41,0};
static C_char C_TLS li59[] C_aligned={C_lihdr(0,0,29),40,115,101,99,111,110,100,115,45,62,115,116,114,105,110,103,32,46,32,116,109,112,53,54,50,53,54,51,41,0,0,0};
static C_char C_TLS li60[] C_aligned={C_lihdr(0,0,27),40,108,111,99,97,108,45,116,105,109,101,45,62,115,101,99,111,110,100,115,32,116,109,53,55,52,41,0,0,0,0,0};
static C_char C_TLS li61[] C_aligned={C_lihdr(0,0,32),40,116,105,109,101,45,62,115,116,114,105,110,103,32,116,109,54,48,55,32,46,32,116,109,112,54,48,54,54,48,56,41};
static C_char C_TLS li62[] C_aligned={C_lihdr(0,0,22),40,115,101,116,101,110,118,32,118,97,114,54,50,49,32,118,97,108,54,50,50,41,0,0};
static C_char C_TLS li63[] C_aligned={C_lihdr(0,0,17),40,117,110,115,101,116,101,110,118,32,118,97,114,54,50,55,41,0,0,0,0,0,0,0};
static C_char C_TLS li64[] C_aligned={C_lihdr(0,0,11),40,115,99,97,110,32,106,54,52,49,41,0,0,0,0,0};
static C_char C_TLS li65[] C_aligned={C_lihdr(0,0,11),40,108,111,111,112,32,105,54,51,56,41,0,0,0,0,0};
static C_char C_TLS li66[] C_aligned={C_lihdr(0,0,27),40,103,101,116,45,101,110,118,105,114,111,110,109,101,110,116,45,118,97,114,105,97,98,108,101,115,41,0,0,0,0,0};
static C_char C_TLS li67[] C_aligned={C_lihdr(0,0,36),40,115,101,116,45,115,105,103,110,97,108,45,104,97,110,100,108,101,114,33,32,115,105,103,54,52,53,32,112,114,111,99,54,52,54,41,0,0,0,0};
static C_char C_TLS li68[] C_aligned={C_lihdr(0,0,20),40,99,117,114,114,101,110,116,45,112,114,111,99,101,115,115,45,105,100,41,0,0,0,0};
static C_char C_TLS li69[] C_aligned={C_lihdr(0,0,7),40,97,51,56,48,56,41,0};
static C_char C_TLS li70[] C_aligned={C_lihdr(0,0,33),40,97,51,56,49,52,32,101,112,105,100,54,55,48,32,101,110,111,114,109,54,55,49,32,101,99,111,100,101,54,55,50,41,0,0,0,0,0,0,0};
static C_char C_TLS li71[] C_aligned={C_lihdr(0,0,24),40,112,114,111,99,101,115,115,45,119,97,105,116,32,46,32,97,114,103,115,54,53,53,41};
static C_char C_TLS li72[] C_aligned={C_lihdr(0,0,42),40,102,105,108,101,45,111,112,101,110,32,102,105,108,101,110,97,109,101,55,53,48,32,102,108,97,103,115,55,53,49,32,46,32,109,111,100,101,55,53,50,41,0,0,0,0,0,0};
static C_char C_TLS li73[] C_aligned={C_lihdr(0,0,18),40,102,105,108,101,45,99,108,111,115,101,32,102,100,55,54,49,41,0,0,0,0,0,0};
static C_char C_TLS li74[] C_aligned={C_lihdr(0,0,37),40,102,105,108,101,45,114,101,97,100,32,102,100,55,54,53,32,115,105,122,101,55,54,54,32,46,32,98,117,102,102,101,114,55,54,55,41,0,0,0};
static C_char C_TLS li75[] C_aligned={C_lihdr(0,0,38),40,102,105,108,101,45,119,114,105,116,101,32,102,100,55,55,55,32,98,117,102,102,101,114,55,55,56,32,46,32,115,105,122,101,55,55,57,41,0,0};
static C_char C_TLS li76[] C_aligned={C_lihdr(0,0,22),40,115,117,102,102,105,120,45,108,111,111,112,32,105,110,100,101,120,56,49,48,41,0,0};
static C_char C_TLS li77[] C_aligned={C_lihdr(0,0,15),40,108,111,111,112,32,99,111,117,110,116,56,48,56,41,0};
static C_char C_TLS li78[] C_aligned={C_lihdr(0,0,11),40,108,111,111,112,32,105,55,57,55,41,0,0,0,0,0};
static C_char C_TLS li79[] C_aligned={C_lihdr(0,0,26),40,102,105,108,101,45,109,107,115,116,101,109,112,32,116,101,109,112,108,97,116,101,55,56,57,41,0,0,0,0,0,0};
static C_char C_TLS li80[] C_aligned={C_lihdr(0,0,26),40,99,104,97,110,103,101,45,100,105,114,101,99,116,111,114,121,32,110,97,109,101,56,49,57,41,0,0,0,0,0,0};
static C_char C_TLS li81[] C_aligned={C_lihdr(0,0,26),40,99,104,101,99,107,32,99,109,100,56,50,57,32,105,110,112,56,51,48,32,114,56,51,49,41,0,0,0,0,0,0};
static C_char C_TLS li82[] C_aligned={C_lihdr(0,0,31),40,111,112,101,110,45,105,110,112,117,116,45,112,105,112,101,32,99,109,100,56,51,53,32,46,32,109,56,51,54,41,0};
static C_char C_TLS li83[] C_aligned={C_lihdr(0,0,32),40,111,112,101,110,45,111,117,116,112,117,116,45,112,105,112,101,32,99,109,100,56,52,53,32,46,32,109,56,52,54,41};
static C_char C_TLS li84[] C_aligned={C_lihdr(0,0,26),40,99,108,111,115,101,45,105,110,112,117,116,45,112,105,112,101,32,112,111,114,116,56,53,53,41,0,0,0,0,0,0};
static C_char C_TLS li85[] C_aligned={C_lihdr(0,0,27),40,99,108,111,115,101,45,111,117,116,112,117,116,45,112,105,112,101,32,112,111,114,116,56,54,48,41,0,0,0,0,0};
static C_char C_TLS li86[] C_aligned={C_lihdr(0,0,7),40,97,52,51,54,50,41,0};
static C_char C_TLS li87[] C_aligned={C_lihdr(0,0,20),40,97,52,51,54,56,32,46,32,114,101,115,117,108,116,115,56,55,54,41,0,0,0,0};
static C_char C_TLS li88[] C_aligned={C_lihdr(0,0,47),40,99,97,108,108,45,119,105,116,104,45,105,110,112,117,116,45,112,105,112,101,32,99,109,100,56,55,50,32,112,114,111,99,56,55,51,32,46,32,109,111,100,101,56,55,52,41,0};
static C_char C_TLS li89[] C_aligned={C_lihdr(0,0,7),40,97,52,51,56,54,41,0};
static C_char C_TLS li90[] C_aligned={C_lihdr(0,0,20),40,97,52,51,57,50,32,46,32,114,101,115,117,108,116,115,56,56,51,41,0,0,0,0};
static C_char C_TLS li91[] C_aligned={C_lihdr(0,0,48),40,99,97,108,108,45,119,105,116,104,45,111,117,116,112,117,116,45,112,105,112,101,32,99,109,100,56,55,57,32,112,114,111,99,56,56,48,32,46,32,109,111,100,101,56,56,49,41};
static C_char C_TLS li92[] C_aligned={C_lihdr(0,0,7),40,97,52,52,49,48,41,0};
static C_char C_TLS li93[] C_aligned={C_lihdr(0,0,20),40,97,52,52,50,49,32,46,32,114,101,115,117,108,116,115,56,57,56,41,0,0,0,0};
static C_char C_TLS li94[] C_aligned={C_lihdr(0,0,7),40,97,52,52,49,53,41,0};
static C_char C_TLS li95[] C_aligned={C_lihdr(0,0,7),40,97,52,52,51,48,41,0};
static C_char C_TLS li96[] C_aligned={C_lihdr(0,0,48),40,119,105,116,104,45,105,110,112,117,116,45,102,114,111,109,45,112,105,112,101,32,99,109,100,56,56,54,32,116,104,117,110,107,56,56,55,32,46,32,109,111,100,101,56,56,56,41};
static C_char C_TLS li97[] C_aligned={C_lihdr(0,0,7),40,97,52,52,52,52,41,0};
static C_char C_TLS li98[] C_aligned={C_lihdr(0,0,20),40,97,52,52,53,53,32,46,32,114,101,115,117,108,116,115,57,49,53,41,0,0,0,0};
static C_char C_TLS li99[] C_aligned={C_lihdr(0,0,7),40,97,52,52,52,57,41,0};
static C_char C_TLS li100[] C_aligned={C_lihdr(0,0,7),40,97,52,52,54,52,41,0};
static C_char C_TLS li101[] C_aligned={C_lihdr(0,0,47),40,119,105,116,104,45,111,117,116,112,117,116,45,116,111,45,112,105,112,101,32,99,109,100,57,48,51,32,116,104,117,110,107,57,48,52,32,46,32,109,111,100,101,57,48,53,41,0};
static C_char C_TLS li102[] C_aligned={C_lihdr(0,0,25),40,99,114,101,97,116,101,45,112,105,112,101,32,46,32,116,109,112,57,50,52,57,50,53,41,0,0,0,0,0,0,0};
static C_char C_TLS li103[] C_aligned={C_lihdr(0,0,33),40,99,104,97,110,103,101,45,102,105,108,101,45,109,111,100,101,32,102,110,97,109,101,57,57,57,32,109,49,48,48,48,41,0,0,0,0,0,0,0};
static C_char C_TLS li104[] C_aligned={C_lihdr(0,0,36),40,99,104,101,99,107,32,102,105,108,101,110,97,109,101,49,48,48,53,32,97,99,99,49,48,48,54,32,108,111,99,49,48,48,55,41,0,0,0,0};
static C_char C_TLS li105[] C_aligned={C_lihdr(0,0,32),40,102,105,108,101,45,114,101,97,100,45,97,99,99,101,115,115,63,32,102,105,108,101,110,97,109,101,49,48,49,49,41};
static C_char C_TLS li106[] C_aligned={C_lihdr(0,0,33),40,102,105,108,101,45,119,114,105,116,101,45,97,99,99,101,115,115,63,32,102,105,108,101,110,97,109,101,49,48,49,50,41,0,0,0,0,0,0,0};
static C_char C_TLS li107[] C_aligned={C_lihdr(0,0,35),40,102,105,108,101,45,101,120,101,99,117,116,101,45,97,99,99,101,115,115,63,32,102,105,108,101,110,97,109,101,49,48,49,51,41,0,0,0,0,0};
static C_char C_TLS li108[] C_aligned={C_lihdr(0,0,28),40,109,111,100,101,32,105,110,112,49,48,50,50,32,109,49,48,50,51,32,108,111,99,49,48,50,52,41,0,0,0,0};
static C_char C_TLS li109[] C_aligned={C_lihdr(0,0,28),40,99,104,101,99,107,32,102,100,49,48,51,54,32,105,110,112,49,48,51,55,32,114,49,48,51,56,41,0,0,0,0};
static C_char C_TLS li110[] C_aligned={C_lihdr(0,0,33),40,111,112,101,110,45,105,110,112,117,116,45,102,105,108,101,42,32,102,100,49,48,52,50,32,46,32,109,49,48,52,51,41,0,0,0,0,0,0,0};
static C_char C_TLS li111[] C_aligned={C_lihdr(0,0,34),40,111,112,101,110,45,111,117,116,112,117,116,45,102,105,108,101,42,32,102,100,49,48,52,53,32,46,32,109,49,48,52,54,41,0,0,0,0,0,0};
static C_char C_TLS li112[] C_aligned={C_lihdr(0,0,23),40,112,111,114,116,45,62,102,105,108,101,110,111,32,112,111,114,116,49,48,53,50,41,0};
static C_char C_TLS li113[] C_aligned={C_lihdr(0,0,36),40,100,117,112,108,105,99,97,116,101,45,102,105,108,101,110,111,32,111,108,100,49,48,53,56,32,46,32,110,101,119,49,48,53,57,41,0,0,0,0};
static C_char C_TLS li114[] C_aligned={C_lihdr(0,0,29),40,108,111,99,97,108,45,116,105,109,101,122,111,110,101,45,97,98,98,114,101,118,105,97,116,105,111,110,41,0,0,0};
static C_char C_TLS li115[] C_aligned={C_lihdr(0,0,18),40,95,101,120,105,116,32,46,32,99,111,100,101,49,48,55,54,41,0,0,0,0,0,0};
static C_char C_TLS li116[] C_aligned={C_lihdr(0,0,25),40,116,101,114,109,105,110,97,108,45,112,111,114,116,63,32,112,111,114,116,49,48,55,56,41,0,0,0,0,0,0,0};
static C_char C_TLS li117[] C_aligned={C_lihdr(0,0,24),40,116,101,114,109,105,110,97,108,45,115,105,122,101,32,112,111,114,116,49,48,56,51,41};
static C_char C_TLS li118[] C_aligned={C_lihdr(0,0,50),40,115,101,116,45,98,117,102,102,101,114,105,110,103,45,109,111,100,101,33,32,112,111,114,116,49,48,56,53,32,109,111,100,101,49,48,56,54,32,46,32,115,105,122,101,49,48,56,55,41,0,0,0,0,0,0};
static C_char C_TLS li119[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li120[] C_aligned={C_lihdr(0,0,24),40,108,111,111,112,32,105,108,115,116,49,49,49,55,32,111,108,115,116,49,49,49,56,41};
static C_char C_TLS li121[] C_aligned={C_lihdr(0,0,37),40,36,113,117,111,116,101,45,97,114,103,115,45,108,105,115,116,32,108,115,116,49,49,48,52,32,101,120,97,99,116,102,49,49,48,53,41,0,0,0};
static C_char C_TLS li122[] C_aligned={C_lihdr(0,0,49),40,115,101,116,97,114,103,32,105,110,116,49,49,50,53,49,49,51,49,32,99,45,115,116,114,105,110,103,49,49,50,54,49,49,51,50,32,105,110,116,49,49,50,55,49,49,51,51,41,0,0,0,0,0,0,0};
static C_char C_TLS li123[] C_aligned={C_lihdr(0,0,49),40,115,101,116,101,110,118,32,105,110,116,49,49,51,53,49,49,52,49,32,99,45,115,116,114,105,110,103,49,49,51,54,49,49,52,50,32,105,110,116,49,49,51,55,49,49,52,51,41,0,0,0,0,0,0,0};
static C_char C_TLS li124[] C_aligned={C_lihdr(0,0,24),40,100,111,108,111,111,112,49,49,52,57,32,108,49,49,53,49,32,105,49,49,53,50,41};
static C_char C_TLS li125[] C_aligned={C_lihdr(0,0,61),40,98,117,105,108,100,45,101,120,101,99,45,97,114,103,118,101,99,32,108,111,99,49,49,52,53,32,108,115,116,49,49,52,54,32,97,114,103,118,101,99,45,115,101,116,116,101,114,49,49,52,55,32,105,100,120,49,49,52,56,41,0,0,0};
static C_char C_TLS li126[] C_aligned={C_lihdr(0,0,67),40,36,101,120,101,99,45,115,101,116,117,112,32,108,111,99,49,49,53,56,32,102,105,108,101,110,97,109,101,49,49,53,57,32,97,114,103,108,115,116,49,49,54,48,32,101,110,118,108,115,116,49,49,54,49,32,101,120,97,99,116,102,49,49,54,50,41,0,0,0,0,0};
static C_char C_TLS li127[] C_aligned={C_lihdr(0,0,53),40,36,101,120,101,99,45,116,101,97,114,100,111,119,110,32,108,111,99,49,49,55,49,32,109,115,103,49,49,55,50,32,102,105,108,101,110,97,109,101,49,49,55,51,32,114,101,115,49,49,55,52,41,0,0,0};
static C_char C_TLS li128[] C_aligned={C_lihdr(0,0,44),40,112,114,111,99,101,115,115,45,101,120,101,99,117,116,101,32,102,105,108,101,110,97,109,101,49,49,56,52,32,46,32,116,109,112,49,49,56,51,49,49,56,53,41,0,0,0,0};
static C_char C_TLS li129[] C_aligned={C_lihdr(0,0,51),40,112,114,111,99,101,115,115,45,115,112,97,119,110,32,109,111,100,101,49,50,48,53,32,102,105,108,101,110,97,109,101,49,50,48,54,32,46,32,116,109,112,49,50,48,52,49,50,48,55,41,0,0,0,0,0};
static C_char C_TLS li130[] C_aligned={C_lihdr(0,0,21),40,35,35,115,121,115,35,115,104,101,108,108,45,99,111,109,109,97,110,100,41,0,0,0};
static C_char C_TLS li131[] C_aligned={C_lihdr(0,0,42),40,35,35,115,121,115,35,115,104,101,108,108,45,99,111,109,109,97,110,100,45,97,114,103,117,109,101,110,116,115,32,99,109,100,108,105,110,49,50,50,55,41,0,0,0,0,0,0};
static C_char C_TLS li132[] C_aligned={C_lihdr(0,0,30),40,112,114,111,99,101,115,115,45,114,117,110,32,102,49,50,50,57,32,46,32,97,114,103,115,49,50,51,48,41,0,0};
static C_char C_TLS li133[] C_aligned={C_lihdr(0,0,97),40,35,35,115,121,115,35,112,114,111,99,101,115,115,32,108,111,99,49,50,55,49,32,99,109,100,49,50,55,50,32,97,114,103,115,49,50,55,51,32,101,110,118,49,50,55,52,32,115,116,100,111,117,116,102,49,50,55,53,32,115,116,100,105,110,102,49,50,55,54,32,115,116,100,101,114,114,102,49,50,55,55,32,46,32,116,109,112,49,50,55,48,49,50,55,56,41,0,0,0,0,0,0,0};
static C_char C_TLS li134[] C_aligned={C_lihdr(0,0,7),40,103,49,51,52,48,41,0};
static C_char C_TLS li135[] C_aligned={C_lihdr(0,0,19),40,102,111,114,45,101,97,99,104,45,108,111,111,112,49,51,51,57,41,0,0,0,0,0};
static C_char C_TLS li136[] C_aligned={C_lihdr(0,0,19),40,99,104,107,115,116,114,108,115,116,32,108,115,116,49,51,51,54,41,0,0,0,0,0};
static C_char C_TLS li137[] C_aligned={C_lihdr(0,0,7),40,97,53,53,49,57,41,0};
static C_char C_TLS li138[] C_aligned={C_lihdr(0,0,38),40,97,53,53,50,53,32,105,110,49,51,54,53,32,111,117,116,49,51,54,54,32,112,105,100,49,51,54,55,32,101,114,114,49,51,54,56,41,0,0};
static C_char C_TLS li139[] C_aligned={C_lihdr(0,0,63),40,37,112,114,111,99,101,115,115,32,108,111,99,49,51,50,57,32,101,114,114,63,49,51,51,48,32,99,109,100,49,51,51,49,32,97,114,103,115,49,51,51,50,32,101,110,118,49,51,51,51,32,101,120,97,99,116,102,49,51,51,52,41,0};
static C_char C_TLS li140[] C_aligned={C_lihdr(0,0,31),40,112,114,111,99,101,115,115,32,99,109,100,49,51,55,55,32,46,32,116,109,112,49,51,55,54,49,51,55,56,41,0};
static C_char C_TLS li141[] C_aligned={C_lihdr(0,0,32),40,112,114,111,99,101,115,115,42,32,99,109,100,49,51,57,54,32,46,32,116,109,112,49,51,57,53,49,51,57,55,41};
static C_char C_TLS li142[] C_aligned={C_lihdr(0,0,39),40,35,35,115,121,115,35,112,114,111,99,101,115,115,45,119,97,105,116,32,112,105,100,49,52,49,50,32,110,111,104,97,110,103,49,52,49,51,41,0};
static C_char C_TLS li143[] C_aligned={C_lihdr(0,0,13),40,115,108,101,101,112,32,115,49,52,49,53,41,0,0,0};
static C_char C_TLS li144[] C_aligned={C_lihdr(0,0,15),40,103,101,116,45,104,111,115,116,45,110,97,109,101,41,0};
static C_char C_TLS li145[] C_aligned={C_lihdr(0,0,20),40,115,121,115,116,101,109,45,105,110,102,111,114,109,97,116,105,111,110,41,0,0,0,0};
static C_char C_TLS li146[] C_aligned={C_lihdr(0,0,19),40,99,117,114,114,101,110,116,45,117,115,101,114,45,110,97,109,101,41,0,0,0,0,0};
static C_char C_TLS li147[] C_aligned={C_lihdr(0,0,72),40,109,97,112,45,102,105,108,101,45,116,111,45,109,101,109,111,114,121,32,97,100,100,114,49,52,53,55,32,108,101,110,49,52,53,56,32,112,114,111,116,49,52,53,57,32,102,108,97,103,49,52,54,48,32,102,100,49,52,54,49,32,46,32,111,102,102,49,52,54,50,41};
static C_char C_TLS li148[] C_aligned={C_lihdr(0,0,43),40,117,110,109,97,112,45,102,105,108,101,45,102,114,111,109,45,109,101,109,111,114,121,32,109,109,97,112,49,52,55,57,32,46,32,108,101,110,49,52,56,48,41,0,0,0,0,0};
static C_char C_TLS li149[] C_aligned={C_lihdr(0,0,37),40,109,101,109,111,114,121,45,109,97,112,112,101,100,45,102,105,108,101,45,112,111,105,110,116,101,114,32,109,109,97,112,49,52,56,52,41,0,0,0};
static C_char C_TLS li150[] C_aligned={C_lihdr(0,0,27),40,109,101,109,111,114,121,45,109,97,112,112,101,100,45,102,105,108,101,63,32,120,49,52,56,55,41,0,0,0,0,0};
static C_char C_TLS li151[] C_aligned={C_lihdr(0,0,31),40,99,104,97,110,103,101,45,100,105,114,101,99,116,111,114,121,42,32,46,32,95,49,53,49,56,49,53,50,50,41,0};
static C_char C_TLS li152[] C_aligned={C_lihdr(0,0,31),40,99,104,97,110,103,101,45,102,105,108,101,45,111,119,110,101,114,32,46,32,95,49,53,50,53,49,53,50,57,41,0};
static C_char C_TLS li153[] C_aligned={C_lihdr(0,0,25),40,99,114,101,97,116,101,45,102,105,102,111,32,46,32,95,49,53,51,49,49,53,51,53,41,0,0,0,0,0,0,0};
static C_char C_TLS li154[] C_aligned={C_lihdr(0,0,28),40,99,114,101,97,116,101,45,115,101,115,115,105,111,110,32,46,32,95,49,53,51,55,49,53,52,49,41,0,0,0,0};
static C_char C_TLS li155[] C_aligned={C_lihdr(0,0,34),40,99,114,101,97,116,101,45,115,121,109,98,111,108,105,99,45,108,105,110,107,32,46,32,95,49,53,52,51,49,53,52,55,41,0,0,0,0,0,0};
static C_char C_TLS li156[] C_aligned={C_lihdr(0,0,40),40,99,117,114,114,101,110,116,45,101,102,102,101,99,116,105,118,101,45,103,114,111,117,112,45,105,100,32,46,32,95,49,53,52,57,49,53,53,51,41};
static C_char C_TLS li157[] C_aligned={C_lihdr(0,0,39),40,99,117,114,114,101,110,116,45,101,102,102,101,99,116,105,118,101,45,117,115,101,114,45,105,100,32,46,32,95,49,53,53,53,49,53,53,57,41,0};
static C_char C_TLS li158[] C_aligned={C_lihdr(0,0,41),40,99,117,114,114,101,110,116,45,101,102,102,101,99,116,105,118,101,45,117,115,101,114,45,110,97,109,101,32,46,32,95,49,53,54,49,49,53,54,53,41,0,0,0,0,0,0,0};
static C_char C_TLS li159[] C_aligned={C_lihdr(0,0,30),40,99,117,114,114,101,110,116,45,103,114,111,117,112,45,105,100,32,46,32,95,49,53,54,55,49,53,55,49,41,0,0};
static C_char C_TLS li160[] C_aligned={C_lihdr(0,0,29),40,99,117,114,114,101,110,116,45,117,115,101,114,45,105,100,32,46,32,95,49,53,55,51,49,53,55,55,41,0,0,0};
static C_char C_TLS li161[] C_aligned={C_lihdr(0,0,23),40,102,105,108,101,45,108,105,110,107,32,46,32,95,49,53,55,57,49,53,56,51,41,0};
static C_char C_TLS li162[] C_aligned={C_lihdr(0,0,23),40,102,105,108,101,45,108,111,99,107,32,46,32,95,49,53,56,53,49,53,56,57,41,0};
static C_char C_TLS li163[] C_aligned={C_lihdr(0,0,32),40,102,105,108,101,45,108,111,99,107,47,98,108,111,99,107,105,110,103,32,46,32,95,49,53,57,49,49,53,57,53,41};
static C_char C_TLS li164[] C_aligned={C_lihdr(0,0,25),40,102,105,108,101,45,115,101,108,101,99,116,32,46,32,95,49,53,57,55,49,54,48,49,41,0,0,0,0,0,0,0};
static C_char C_TLS li165[] C_aligned={C_lihdr(0,0,28),40,102,105,108,101,45,116,101,115,116,45,108,111,99,107,32,46,32,95,49,54,48,51,49,54,48,55,41,0,0,0,0};
static C_char C_TLS li166[] C_aligned={C_lihdr(0,0,27),40,102,105,108,101,45,116,114,117,110,99,97,116,101,32,46,32,95,49,54,48,57,49,54,49,51,41,0,0,0,0,0};
static C_char C_TLS li167[] C_aligned={C_lihdr(0,0,25),40,102,105,108,101,45,117,110,108,111,99,107,32,46,32,95,49,54,49,53,49,54,49,57,41,0,0,0,0,0,0,0};
static C_char C_TLS li168[] C_aligned={C_lihdr(0,0,24),40,103,101,116,45,103,114,111,117,112,115,32,46,32,95,49,54,50,49,49,54,50,53,41};
static C_char C_TLS li169[] C_aligned={C_lihdr(0,0,31),40,103,114,111,117,112,45,105,110,102,111,114,109,97,116,105,111,110,32,46,32,95,49,54,50,55,49,54,51,49,41,0};
static C_char C_TLS li170[] C_aligned={C_lihdr(0,0,31),40,105,110,105,116,105,97,108,105,122,101,45,103,114,111,117,112,115,32,46,32,95,49,54,51,51,49,54,51,55,41,0};
static C_char C_TLS li171[] C_aligned={C_lihdr(0,0,31),40,112,97,114,101,110,116,45,112,114,111,99,101,115,115,45,105,100,32,46,32,95,49,54,51,57,49,54,52,51,41,0};
static C_char C_TLS li172[] C_aligned={C_lihdr(0,0,26),40,112,114,111,99,101,115,115,45,102,111,114,107,32,46,32,95,49,54,52,53,49,54,52,57,41,0,0,0,0,0,0};
static C_char C_TLS li173[] C_aligned={C_lihdr(0,0,30),40,112,114,111,99,101,115,115,45,103,114,111,117,112,45,105,100,32,46,32,95,49,54,53,49,49,54,53,53,41,0,0};
static C_char C_TLS li174[] C_aligned={C_lihdr(0,0,28),40,112,114,111,99,101,115,115,45,115,105,103,110,97,108,32,46,32,95,49,54,53,55,49,54,54,49,41,0,0,0,0};
static C_char C_TLS li175[] C_aligned={C_lihdr(0,0,32),40,114,101,97,100,45,115,121,109,98,111,108,105,99,45,108,105,110,107,32,46,32,95,49,54,54,51,49,54,54,55,41};
static C_char C_TLS li176[] C_aligned={C_lihdr(0,0,24),40,115,101,116,45,97,108,97,114,109,33,32,46,32,95,49,54,54,57,49,54,55,51,41};
static C_char C_TLS li177[] C_aligned={C_lihdr(0,0,27),40,115,101,116,45,103,114,111,117,112,45,105,100,33,32,46,32,95,49,54,55,53,49,54,55,57,41,0,0,0,0,0};
static C_char C_TLS li178[] C_aligned={C_lihdr(0,0,25),40,115,101,116,45,103,114,111,117,112,115,33,32,46,32,95,49,54,56,49,49,54,56,53,41,0,0,0,0,0,0,0};
static C_char C_TLS li179[] C_aligned={C_lihdr(0,0,35),40,115,101,116,45,112,114,111,99,101,115,115,45,103,114,111,117,112,45,105,100,33,32,46,32,95,49,54,56,55,49,54,57,49,41,0,0,0,0,0};
static C_char C_TLS li180[] C_aligned={C_lihdr(0,0,33),40,115,101,116,45,114,111,111,116,45,100,105,114,101,99,116,111,114,121,33,32,46,32,95,49,54,57,51,49,54,57,55,41,0,0,0,0,0,0,0};
static C_char C_TLS li181[] C_aligned={C_lihdr(0,0,30),40,115,101,116,45,115,105,103,110,97,108,45,109,97,115,107,33,32,46,32,95,49,54,57,57,49,55,48,51,41,0,0};
static C_char C_TLS li182[] C_aligned={C_lihdr(0,0,26),40,115,101,116,45,117,115,101,114,45,105,100,33,32,46,32,95,49,55,48,53,49,55,48,57,41,0,0,0,0,0,0};
static C_char C_TLS li183[] C_aligned={C_lihdr(0,0,25),40,115,105,103,110,97,108,45,109,97,115,107,32,46,32,95,49,55,49,49,49,55,49,53,41,0,0,0,0,0,0,0};
static C_char C_TLS li184[] C_aligned={C_lihdr(0,0,26),40,115,105,103,110,97,108,45,109,97,115,107,33,32,46,32,95,49,55,49,55,49,55,50,49,41,0,0,0,0,0,0};
static C_char C_TLS li185[] C_aligned={C_lihdr(0,0,28),40,115,105,103,110,97,108,45,109,97,115,107,101,100,63,32,46,32,95,49,55,50,51,49,55,50,55,41,0,0,0,0};
static C_char C_TLS li186[] C_aligned={C_lihdr(0,0,28),40,115,105,103,110,97,108,45,117,110,109,97,115,107,33,32,46,32,95,49,55,50,57,49,55,51,51,41,0,0,0,0};
static C_char C_TLS li187[] C_aligned={C_lihdr(0,0,27),40,116,101,114,109,105,110,97,108,45,110,97,109,101,32,46,32,95,49,55,51,53,49,55,51,57,41,0,0,0,0,0};
static C_char C_TLS li188[] C_aligned={C_lihdr(0,0,30),40,117,115,101,114,45,105,110,102,111,114,109,97,116,105,111,110,32,46,32,95,49,55,52,49,49,55,52,53,41,0,0};
static C_char C_TLS li189[] C_aligned={C_lihdr(0,0,31),40,117,116,99,45,116,105,109,101,45,62,115,101,99,111,110,100,115,32,46,32,95,49,55,52,55,49,55,53,49,41,0};
static C_char C_TLS li190[] C_aligned={C_lihdr(0,0,26),40,115,116,114,105,110,103,45,62,116,105,109,101,32,46,32,95,49,55,53,51,49,55,53,55,41,0,0,0,0,0,0};
static C_char C_TLS li191[] C_aligned={C_lihdr(0,0,13),40,102,105,102,111,63,32,95,49,55,54,48,41,0,0,0};
static C_char C_TLS li192[] C_aligned={C_lihdr(0,0,14),40,97,54,49,53,52,32,115,105,103,54,53,49,41,0,0};
static C_char C_TLS li193[] C_aligned={C_lihdr(0,0,19),40,97,54,49,54,51,32,46,32,116,109,112,53,48,54,53,48,55,41,0,0,0,0,0};
static C_char C_TLS li194[] C_aligned={C_lihdr(0,0,13),40,97,54,49,56,56,32,117,109,53,49,57,41,0,0,0};
static C_char C_TLS li195[] C_aligned={C_lihdr(0,0,15),40,97,54,49,57,52,32,112,111,114,116,49,57,54,41,0};
static C_char C_TLS li196[] C_aligned={C_lihdr(0,0,12),40,97,54,50,51,49,32,102,49,49,49,41,0,0,0,0};
static C_char C_TLS li197[] C_aligned={C_lihdr(0,0,17),40,97,54,50,51,55,32,102,49,49,51,32,116,49,49,52,41,0,0,0,0,0,0,0};
static C_char C_TLS li198[] C_aligned={C_lihdr(0,0,10),40,116,111,112,108,101,118,101,108,41,0,0,0,0,0,0};


/* from k5846 */
C_regparm static C_word C_fcall stub1473(C_word C_buf,C_word C_a0,C_word C_a1){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
void * t0=(void * )C_c_pointer_or_null(C_a0);
int t1=(int )C_num_to_int(C_a1);
C_r=C_fix((C_word)munmap(t0,t1));
return C_r;}

/* from k5790 */
C_regparm static C_word C_fcall stub1452(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
void * t0=(void * )C_c_pointer_or_null(C_a0);
C_r=C_mk_bool(is_bad_mmap(t0));
return C_r;}

/* from k5781 */
C_regparm static C_word C_fcall stub1440(C_word C_buf,C_word C_a0,C_word C_a1,C_word C_a2,C_word C_a3,C_word C_a4,C_word C_a5){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
void * t0=(void * )C_c_pointer_or_null(C_a0);
int t1=(int )C_num_to_int(C_a1);
int t2=(int )C_unfix(C_a2);
int t3=(int )C_unfix(C_a3);
int t4=(int )C_unfix(C_a4);
int t5=(int )C_num_to_int(C_a5);
C_r=C_mpointer_or_false(&C_a,(void*)mmap(t0,t1,t2,t3,t4,t5));
return C_r;}

/* from k5343 */
C_regparm static C_word C_fcall stub1242(C_word C_buf,C_word C_a0,C_word C_a1,C_word C_a2,C_word C_a3,C_word C_a4,C_word C_a5,C_word C_a6,C_word C_a7){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
char * t0=(char * )C_string_or_null(C_a0);
char * t1=(char * )C_string_or_null(C_a1);
void * t2=(void * )C_c_pointer_or_null(C_a2);
int *t3=(int *)C_c_pointer_or_null(C_a3);
int *t4=(int *)C_c_pointer_or_null(C_a4);
int *t5=(int *)C_c_pointer_or_null(C_a5);
int *t6=(int *)C_c_pointer_or_null(C_a6);
int t7=(int )C_unfix(C_a7);
C_r=C_mk_bool(C_process(t0,t1,t2,t3,t4,t5,t6,t7));
return C_r;}

/* from k5019 */
C_regparm static C_word C_fcall stub1138(C_word C_buf,C_word C_a0,C_word C_a1,C_word C_a2){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_unfix(C_a0);
char * t1=(char * )C_string_or_null(C_a1);
int t2=(int )C_unfix(C_a2);
C_set_exec_env(t0,t1,t2);
return C_r;}

/* from k4998 */
C_regparm static C_word C_fcall stub1128(C_word C_buf,C_word C_a0,C_word C_a1,C_word C_a2){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_unfix(C_a0);
char * t1=(char * )C_string_or_null(C_a1);
int t2=(int )C_unfix(C_a2);
C_set_exec_arg(t0,t1,t2);
return C_r;}

/* from k4793 */
C_regparm static C_word C_fcall stub1073(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_unfix(C_a0);
_exit(t0);
return C_r;}

#define return(x) C_cblock C_r = (C_mpointer(&C_a,(void*)(x))); goto C_ret; C_cblockend
C_regparm static C_word C_fcall stub1067(C_word C_buf){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
char *z = (_daylight ? _tzname[1] : _tzname[0]);
C_return(z);
C_ret:
#undef return

return C_r;}

/* from k3693 */
C_regparm static C_word C_fcall stub633(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_unfix(C_a0);
C_r=C_mpointer(&C_a,(void*)C_getenventry(t0));
return C_r;}

/* from k3591 */
C_regparm static C_word C_fcall stub593(C_word C_buf,C_word C_a0,C_word C_a1,C_word C_a2){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
C_word t0=(C_word )(C_a0);
C_word t1=(C_word )(C_a1);
void * t2=(void * )C_data_pointer_or_null(C_a2);
C_r=C_mpointer(&C_a,(void*)C_strftime(t0,t1,t2));
return C_r;}

/* from k3578 */
C_regparm static C_word C_fcall stub583(C_word C_buf,C_word C_a0,C_word C_a1){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
C_word t0=(C_word )(C_a0);
void * t1=(void * )C_data_pointer_or_null(C_a1);
C_r=C_mpointer(&C_a,(void*)C_asctime(t0,t1));
return C_r;}

/* from k3511 */
C_regparm static C_word C_fcall stub554(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_num_to_int(C_a0);
C_r=C_mpointer(&C_a,(void*)C_ctime(t0));
return C_r;}

/* from k6246 in a6237 in k2232 in k2229 in k2226 in k2223 in k2220 */
C_regparm static C_word C_fcall stub120(C_word C_buf,C_word C_a0,C_word C_a1){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
char * t0=(char * )C_string_or_null(C_a0);
C_word t1=(C_word )(C_a1);
C_r=C_fix((C_word)set_file_mtime(t0,t1));
return C_r;}

/* from k2243 */
C_regparm static C_word C_fcall stub67(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_unfix(C_a0);
C_r=C_mpointer(&C_a,(void*)strerror(t0));
return C_r;}

C_noret_decl(f_5691)
static void C_ccall f_5691(C_word c,C_word *av) C_noret;
C_noret_decl(f_2858)
static void C_ccall f_2858(C_word c,C_word *av) C_noret;
C_noret_decl(f_4292)
static void C_ccall f_4292(C_word c,C_word *av) C_noret;
C_noret_decl(f_4299)
static void C_ccall f_4299(C_word c,C_word *av) C_noret;
C_noret_decl(f_2864)
static void C_ccall f_2864(C_word c,C_word *av) C_noret;
C_noret_decl(f_2876)
static void C_fcall f_2876(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_2874)
static void C_ccall f_2874(C_word c,C_word *av) C_noret;
C_noret_decl(f_3277)
static void C_ccall f_3277(C_word c,C_word *av) C_noret;
C_noret_decl(f_3274)
static void C_ccall f_3274(C_word c,C_word *av) C_noret;
C_noret_decl(f_5685)
static void C_ccall f_5685(C_word c,C_word *av) C_noret;
C_noret_decl(f_2883)
static void C_fcall f_2883(C_word t0,C_word t1) C_noret;
C_noret_decl(f_2886)
static void C_ccall f_2886(C_word c,C_word *av) C_noret;
C_noret_decl(f_3702)
static void C_fcall f_3702(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_3706)
static void C_ccall f_3706(C_word c,C_word *av) C_noret;
C_noret_decl(f_4373)
static void C_ccall f_4373(C_word c,C_word *av) C_noret;
C_noret_decl(f_3714)
static void C_fcall f_3714(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_4378)
static void C_ccall f_4378(C_word c,C_word *av) C_noret;
C_noret_decl(f_4363)
static void C_ccall f_4363(C_word c,C_word *av) C_noret;
C_noret_decl(f_3221)
static void C_fcall f_3221(C_word t0,C_word t1) C_noret;
C_noret_decl(f_4369)
static void C_ccall f_4369(C_word c,C_word *av) C_noret;
C_noret_decl(f_3228)
static void C_ccall f_3228(C_word c,C_word *av) C_noret;
C_noret_decl(f_5673)
static void C_ccall f_5673(C_word c,C_word *av) C_noret;
C_noret_decl(f_4393)
static void C_ccall f_4393(C_word c,C_word *av) C_noret;
C_noret_decl(f_4397)
static void C_ccall f_4397(C_word c,C_word *av) C_noret;
C_noret_decl(f_3230)
static void C_fcall f_3230(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_4382)
static void C_ccall f_4382(C_word c,C_word *av) C_noret;
C_noret_decl(f_4387)
static void C_ccall f_4387(C_word c,C_word *av) C_noret;
C_noret_decl(f_3286)
static void C_ccall f_3286(C_word c,C_word *av) C_noret;
C_noret_decl(f_5613)
static void C_ccall f_5613(C_word c,C_word *av) C_noret;
C_noret_decl(f_3298)
static void C_ccall f_3298(C_word c,C_word *av) C_noret;
C_noret_decl(f_3296)
static void C_ccall f_3296(C_word c,C_word *av) C_noret;
C_noret_decl(f_2811)
static void C_ccall f_2811(C_word c,C_word *av) C_noret;
C_noret_decl(f_3886)
static void C_fcall f_3886(C_word t0,C_word t1) C_noret;
C_noret_decl(f_3514)
static void C_ccall f_3514(C_word c,C_word *av) C_noret;
C_noret_decl(f_2805)
static void C_ccall f_2805(C_word c,C_word *av) C_noret;
C_noret_decl(f_3882)
static void C_ccall f_3882(C_word c,C_word *av) C_noret;
C_noret_decl(f_3518)
static void C_ccall f_3518(C_word c,C_word *av) C_noret;
C_noret_decl(f_2250)
static void C_ccall f_2250(C_word c,C_word *av) C_noret;
C_noret_decl(f_2257)
static void C_ccall f_2257(C_word c,C_word *av) C_noret;
C_noret_decl(f_2228)
static void C_ccall f_2228(C_word c,C_word *av) C_noret;
C_noret_decl(f_3044)
static void C_ccall f_3044(C_word c,C_word *av) C_noret;
C_noret_decl(f_3524)
static void C_ccall f_3524(C_word c,C_word *av) C_noret;
C_noret_decl(f_2222)
static void C_ccall f_2222(C_word c,C_word *av) C_noret;
C_noret_decl(f_2225)
static void C_ccall f_2225(C_word c,C_word *av) C_noret;
C_noret_decl(f_4259)
static void C_ccall f_4259(C_word c,C_word *av) C_noret;
C_noret_decl(f_2246)
static void C_ccall f_2246(C_word c,C_word *av) C_noret;
C_noret_decl(f_4238)
static void C_ccall f_4238(C_word c,C_word *av) C_noret;
C_noret_decl(f_4236)
static void C_ccall f_4236(C_word c,C_word *av) C_noret;
C_noret_decl(f_3552)
static void C_ccall f_3552(C_word c,C_word *av) C_noret;
C_noret_decl(f_3556)
static void C_ccall f_3556(C_word c,C_word *av) C_noret;
C_noret_decl(f_3205)
static void C_ccall f_3205(C_word c,C_word *av) C_noret;
C_noret_decl(f_4224)
static void C_ccall f_4224(C_word c,C_word *av) C_noret;
C_noret_decl(f_4220)
static void C_fcall f_4220(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_3560)
static void C_ccall f_3560(C_word c,C_word *av) C_noret;
C_noret_decl(f_3566)
static void C_ccall f_3566(C_word c,C_word *av) C_noret;
C_noret_decl(f_3303)
static void C_ccall f_3303(C_word c,C_word *av) C_noret;
C_noret_decl(f_3218)
static void C_fcall f_3218(C_word t0,C_word t1) C_noret;
C_noret_decl(f_3315)
static void C_ccall f_3315(C_word c,C_word *av) C_noret;
C_noret_decl(f_3311)
static void C_ccall f_3311(C_word c,C_word *av) C_noret;
C_noret_decl(f_3022)
static void C_ccall f_3022(C_word c,C_word *av) C_noret;
C_noret_decl(f_3318)
static void C_ccall f_3318(C_word c,C_word *av) C_noret;
C_noret_decl(f_3323)
static void C_ccall f_3323(C_word c,C_word *av) C_noret;
C_noret_decl(f_3034)
static void C_fcall f_3034(C_word t0,C_word t1) C_noret;
C_noret_decl(f_3342)
static void C_ccall f_3342(C_word c,C_word *av) C_noret;
C_noret_decl(f_4252)
static void C_ccall f_4252(C_word c,C_word *av) C_noret;
C_noret_decl(f_5382)
static void C_ccall f_5382(C_word c,C_word *av) C_noret;
C_noret_decl(f_5389)
static void C_ccall f_5389(C_word c,C_word *av) C_noret;
C_noret_decl(f_3351)
static void C_ccall f_3351(C_word c,C_word *av) C_noret;
C_noret_decl(f_3358)
static void C_ccall f_3358(C_word c,C_word *av) C_noret;
C_noret_decl(f_5017)
static void C_ccall f_5017(C_word c,C_word *av) C_noret;
C_noret_decl(f_5399)
static void C_ccall f_5399(C_word c,C_word *av) C_noret;
C_noret_decl(f_3367)
static void C_ccall f_3367(C_word c,C_word *av) C_noret;
C_noret_decl(f_3368)
static void C_ccall f_3368(C_word c,C_word *av) C_noret;
C_noret_decl(f_5029)
static void C_fcall f_5029(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_3008)
static void C_fcall f_3008(C_word t0,C_word t1) C_noret;
C_noret_decl(f_5375)
static void C_ccall f_5375(C_word c,C_word *av) C_noret;
C_noret_decl(f_4336)
static void C_ccall f_4336(C_word c,C_word *av) C_noret;
C_noret_decl(f_3487)
static void C_ccall f_3487(C_word c,C_word *av) C_noret;
C_noret_decl(f_3483)
static void C_ccall f_3483(C_word c,C_word *av) C_noret;
C_noret_decl(f_4328)
static void C_ccall f_4328(C_word c,C_word *av) C_noret;
C_noret_decl(f_4325)
static void C_ccall f_4325(C_word c,C_word *av) C_noret;
C_noret_decl(C_posix_toplevel)
C_externexport void C_ccall C_posix_toplevel(C_word c,C_word *av) C_noret;
C_noret_decl(f_4358)
static void C_ccall f_4358(C_word c,C_word *av) C_noret;
C_noret_decl(f_4354)
static void C_ccall f_4354(C_word c,C_word *av) C_noret;
C_noret_decl(f_4117)
static void C_ccall f_4117(C_word c,C_word *av) C_noret;
C_noret_decl(f_4346)
static void C_ccall f_4346(C_word c,C_word *av) C_noret;
C_noret_decl(f_4343)
static void C_ccall f_4343(C_word c,C_word *av) C_noret;
C_noret_decl(f_3333)
static void C_ccall f_3333(C_word c,C_word *av) C_noret;
C_noret_decl(f_3336)
static void C_ccall f_3336(C_word c,C_word *av) C_noret;
C_noret_decl(f_2578)
static void C_ccall f_2578(C_word c,C_word *av) C_noret;
C_noret_decl(f_2570)
static void C_fcall f_2570(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_5008)
static void C_ccall f_5008(C_word c,C_word *av) C_noret;
C_noret_decl(f_4318)
static void C_ccall f_4318(C_word c,C_word *av) C_noret;
C_noret_decl(f_4309)
static void C_ccall f_4309(C_word c,C_word *av) C_noret;
C_noret_decl(f_5262)
static void C_ccall f_5262(C_word c,C_word *av) C_noret;
C_noret_decl(f_3996)
static void C_ccall f_3996(C_word c,C_word *av) C_noret;
C_noret_decl(f_3990)
static void C_fcall f_3990(C_word t0,C_word t1) C_noret;
C_noret_decl(f_5279)
static void C_ccall f_5279(C_word c,C_word *av) C_noret;
C_noret_decl(f_4691)
static void C_ccall f_4691(C_word c,C_word *av) C_noret;
C_noret_decl(f_5274)
static void C_ccall f_5274(C_word c,C_word *av) C_noret;
C_noret_decl(f_5289)
static void C_fcall f_5289(C_word t0,C_word t1) C_noret;
C_noret_decl(f_4689)
static void C_ccall f_4689(C_word c,C_word *av) C_noret;
C_noret_decl(f_5285)
static void C_ccall f_5285(C_word c,C_word *av) C_noret;
C_noret_decl(f_4677)
static void C_ccall f_4677(C_word c,C_word *av) C_noret;
C_noret_decl(f_4673)
static void C_fcall f_4673(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_3243)
static void C_ccall f_3243(C_word c,C_word *av) C_noret;
C_noret_decl(f_3987)
static void C_ccall f_3987(C_word c,C_word *av) C_noret;
C_noret_decl(f_3980)
static void C_ccall f_3980(C_word c,C_word *av) C_noret;
C_noret_decl(f_3252)
static void C_ccall f_3252(C_word c,C_word *av) C_noret;
C_noret_decl(f_4644)
static void C_ccall f_4644(C_word c,C_word *av) C_noret;
C_noret_decl(f_6044)
static void C_ccall f_6044(C_word c,C_word *av) C_noret;
C_noret_decl(f_6038)
static void C_ccall f_6038(C_word c,C_word *av) C_noret;
C_noret_decl(f_4636)
static void C_fcall f_4636(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_6032)
static void C_ccall f_6032(C_word c,C_word *av) C_noret;
C_noret_decl(f_6068)
static void C_ccall f_6068(C_word c,C_word *av) C_noret;
C_noret_decl(f_4627)
static void C_ccall f_4627(C_word c,C_word *av) C_noret;
C_noret_decl(f_6062)
static void C_ccall f_6062(C_word c,C_word *av) C_noret;
C_noret_decl(f_4621)
static void C_ccall f_4621(C_word c,C_word *av) C_noret;
C_noret_decl(f_4852)
static void C_ccall f_4852(C_word c,C_word *av) C_noret;
C_noret_decl(f_6056)
static void C_ccall f_6056(C_word c,C_word *av) C_noret;
C_noret_decl(f_4569)
static void C_ccall f_4569(C_word c,C_word *av) C_noret;
C_noret_decl(f_4615)
static void C_ccall f_4615(C_word c,C_word *av) C_noret;
C_noret_decl(f_4613)
static void C_ccall f_4613(C_word c,C_word *av) C_noret;
C_noret_decl(f_6050)
static void C_ccall f_6050(C_word c,C_word *av) C_noret;
C_noret_decl(f_6086)
static void C_ccall f_6086(C_word c,C_word *av) C_noret;
C_noret_decl(f_4605)
static void C_ccall f_4605(C_word c,C_word *av) C_noret;
C_noret_decl(f_6080)
static void C_ccall f_6080(C_word c,C_word *av) C_noret;
C_noret_decl(f_4585)
static void C_ccall f_4585(C_word c,C_word *av) C_noret;
C_noret_decl(f_6074)
static void C_ccall f_6074(C_word c,C_word *av) C_noret;
C_noret_decl(f_4861)
static void C_fcall f_4861(C_word t0,C_word t1) C_noret;
C_noret_decl(f_2984)
static void C_ccall f_2984(C_word c,C_word *av) C_noret;
C_noret_decl(f_2987)
static void C_ccall f_2987(C_word c,C_word *av) C_noret;
C_noret_decl(f_3809)
static void C_ccall f_3809(C_word c,C_word *av) C_noret;
C_noret_decl(f_5321)
static void C_ccall f_5321(C_word c,C_word *av) C_noret;
C_noret_decl(f_4816)
static void C_ccall f_4816(C_word c,C_word *av) C_noret;
C_noret_decl(f_4810)
static void C_ccall f_4810(C_word c,C_word *av) C_noret;
C_noret_decl(f_6098)
static void C_ccall f_6098(C_word c,C_word *av) C_noret;
C_noret_decl(f_2994)
static void C_ccall f_2994(C_word c,C_word *av) C_noret;
C_noret_decl(f_2990)
static void C_ccall f_2990(C_word c,C_word *av) C_noret;
C_noret_decl(f_3899)
static void C_ccall f_3899(C_word c,C_word *av) C_noret;
C_noret_decl(f_6092)
static void C_ccall f_6092(C_word c,C_word *av) C_noret;
C_noret_decl(f_4843)
static void C_ccall f_4843(C_word c,C_word *av) C_noret;
C_noret_decl(f_4849)
static void C_fcall f_4849(C_word t0,C_word t1) C_noret;
C_noret_decl(f_4593)
static void C_ccall f_4593(C_word c,C_word *av) C_noret;
C_noret_decl(f_4595)
static void C_fcall f_4595(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_6258)
static void C_ccall f_6258(C_word c,C_word *av) C_noret;
C_noret_decl(f_5302)
static void C_ccall f_5302(C_word c,C_word *av) C_noret;
C_noret_decl(f_5306)
static void C_ccall f_5306(C_word c,C_word *av) C_noret;
C_noret_decl(f_6248)
static void C_ccall f_6248(C_word c,C_word *av) C_noret;
C_noret_decl(f_4828)
static void C_ccall f_4828(C_word c,C_word *av) C_noret;
C_noret_decl(f_5317)
static void C_ccall f_5317(C_word c,C_word *av) C_noret;
C_noret_decl(f_6164)
static void C_ccall f_6164(C_word c,C_word *av) C_noret;
C_noret_decl(f_6008)
static void C_ccall f_6008(C_word c,C_word *av) C_noret;
C_noret_decl(f_6155)
static void C_ccall f_6155(C_word c,C_word *av) C_noret;
C_noret_decl(f_2375)
static void C_ccall f_2375(C_word c,C_word *av) C_noret;
C_noret_decl(f_6141)
static void C_ccall f_6141(C_word c,C_word *av) C_noret;
C_noret_decl(f_6002)
static void C_ccall f_6002(C_word c,C_word *av) C_noret;
C_noret_decl(f_4835)
static void C_ccall f_4835(C_word c,C_word *av) C_noret;
C_noret_decl(f_6134)
static void C_ccall f_6134(C_word c,C_word *av) C_noret;
C_noret_decl(f_6020)
static void C_ccall f_6020(C_word c,C_word *av) C_noret;
C_noret_decl(f_6026)
static void C_ccall f_6026(C_word c,C_word *av) C_noret;
C_noret_decl(f_3815)
static void C_ccall f_3815(C_word c,C_word *av) C_noret;
C_noret_decl(f_6195)
static void C_ccall f_6195(C_word c,C_word *av) C_noret;
C_noret_decl(f_4996)
static void C_ccall f_4996(C_word c,C_word *av) C_noret;
C_noret_decl(f_6014)
static void C_ccall f_6014(C_word c,C_word *av) C_noret;
C_noret_decl(f_6199)
static void C_ccall f_6199(C_word c,C_word *av) C_noret;
C_noret_decl(f_3161)
static void C_ccall f_3161(C_word c,C_word *av) C_noret;
C_noret_decl(f_3165)
static void C_fcall f_3165(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_6189)
static void C_ccall f_6189(C_word c,C_word *av) C_noret;
C_noret_decl(f_2443)
static void C_ccall f_2443(C_word c,C_word *av) C_noret;
C_noret_decl(f_3131)
static void C_ccall f_3131(C_word c,C_word *av) C_noret;
C_noret_decl(f_5258)
static void C_ccall f_5258(C_word c,C_word *av) C_noret;
C_noret_decl(f_3135)
static void C_ccall f_3135(C_word c,C_word *av) C_noret;
C_noret_decl(f_2453)
static void C_ccall f_2453(C_word c,C_word *av) C_noret;
C_noret_decl(f_2451)
static void C_ccall f_2451(C_word c,C_word *av) C_noret;
C_noret_decl(f_3185)
static void C_ccall f_3185(C_word c,C_word *av) C_noret;
C_noret_decl(f_6211)
static void C_ccall f_6211(C_word c,C_word *av) C_noret;
C_noret_decl(f_2463)
static void C_ccall f_2463(C_word c,C_word *av) C_noret;
C_noret_decl(f_2461)
static void C_ccall f_2461(C_word c,C_word *av) C_noret;
C_noret_decl(f_2607)
static void C_fcall f_2607(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_3177)
static void C_ccall f_3177(C_word c,C_word *av) C_noret;
C_noret_decl(f_6202)
static void C_ccall f_6202(C_word c,C_word *av) C_noret;
C_noret_decl(f_3173)
static void C_ccall f_3173(C_word c,C_word *av) C_noret;
C_noret_decl(f_5213)
static void C_ccall f_5213(C_word c,C_word *av) C_noret;
C_noret_decl(f_6236)
static void C_ccall f_6236(C_word c,C_word *av) C_noret;
C_noret_decl(f_6238)
static void C_ccall f_6238(C_word c,C_word *av) C_noret;
C_noret_decl(f_6232)
static void C_ccall f_6232(C_word c,C_word *av) C_noret;
C_noret_decl(f_6122)
static void C_ccall f_6122(C_word c,C_word *av) C_noret;
C_noret_decl(f_6128)
static void C_ccall f_6128(C_word c,C_word *av) C_noret;
C_noret_decl(f_2620)
static void C_ccall f_2620(C_word c,C_word *av) C_noret;
C_noret_decl(f_2622)
static void C_ccall f_2622(C_word c,C_word *av) C_noret;
C_noret_decl(f_3110)
static void C_fcall f_3110(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_6110)
static void C_ccall f_6110(C_word c,C_word *av) C_noret;
C_noret_decl(f_2738)
static void C_ccall f_2738(C_word c,C_word *av) C_noret;
C_noret_decl(f_6116)
static void C_ccall f_6116(C_word c,C_word *av) C_noret;
C_noret_decl(f_2636)
static void C_ccall f_2636(C_word c,C_word *av) C_noret;
C_noret_decl(f_2634)
static void C_ccall f_2634(C_word c,C_word *av) C_noret;
C_noret_decl(f_3597)
static void C_ccall f_3597(C_word c,C_word *av) C_noret;
C_noret_decl(f_2705)
static void C_fcall f_2705(C_word t0,C_word t1) C_noret;
C_noret_decl(f_2708)
static void C_ccall f_2708(C_word c,C_word *av) C_noret;
C_noret_decl(f_6104)
static void C_ccall f_6104(C_word c,C_word *av) C_noret;
C_noret_decl(f_5796)
static void C_ccall f_5796(C_word c,C_word *av) C_noret;
C_noret_decl(f_2648)
static void C_ccall f_2648(C_word c,C_word *av) C_noret;
C_noret_decl(f_2759)
static void C_ccall f_2759(C_word c,C_word *av) C_noret;
C_noret_decl(f_3104)
static void C_ccall f_3104(C_word c,C_word *av) C_noret;
C_noret_decl(f_2650)
static void C_ccall f_2650(C_word c,C_word *av) C_noret;
C_noret_decl(f_2725)
static void C_ccall f_2725(C_word c,C_word *av) C_noret;
C_noret_decl(f_5990)
static void C_ccall f_5990(C_word c,C_word *av) C_noret;
C_noret_decl(f_5996)
static void C_ccall f_5996(C_word c,C_word *av) C_noret;
C_noret_decl(f_2666)
static void C_ccall f_2666(C_word c,C_word *av) C_noret;
C_noret_decl(f_5744)
static void C_ccall f_5744(C_word c,C_word *av) C_noret;
C_noret_decl(f_2741)
static void C_ccall f_2741(C_word c,C_word *av) C_noret;
C_noret_decl(f_3384)
static void C_ccall f_3384(C_word c,C_word *av) C_noret;
C_noret_decl(f_5722)
static void C_ccall f_5722(C_word c,C_word *av) C_noret;
C_noret_decl(f_2799)
static void C_ccall f_2799(C_word c,C_word *av) C_noret;
C_noret_decl(f_5729)
static void C_ccall f_5729(C_word c,C_word *av) C_noret;
C_noret_decl(f_5984)
static void C_ccall f_5984(C_word c,C_word *av) C_noret;
C_noret_decl(f_5726)
static void C_ccall f_5726(C_word c,C_word *av) C_noret;
C_noret_decl(f_3414)
static void C_ccall f_3414(C_word c,C_word *av) C_noret;
C_noret_decl(f_3397)
static void C_ccall f_3397(C_word c,C_word *av) C_noret;
C_noret_decl(f_3394)
static void C_ccall f_3394(C_word c,C_word *av) C_noret;
C_noret_decl(f_3390)
static void C_ccall f_3390(C_word c,C_word *av) C_noret;
C_noret_decl(f_3417)
static void C_ccall f_3417(C_word c,C_word *av) C_noret;
C_noret_decl(f_2769)
static void C_ccall f_2769(C_word c,C_word *av) C_noret;
C_noret_decl(f_2765)
static void C_fcall f_2765(C_word t0,C_word t1) C_noret;
C_noret_decl(f_5734)
static void C_ccall f_5734(C_word c,C_word *av) C_noret;
C_noret_decl(f_5954)
static void C_ccall f_5954(C_word c,C_word *av) C_noret;
C_noret_decl(f_5471)
static void C_fcall f_5471(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_3426)
static void C_ccall f_3426(C_word c,C_word *av) C_noret;
C_noret_decl(f_3423)
static void C_ccall f_3423(C_word c,C_word *av) C_noret;
C_noret_decl(f_5476)
static C_word C_fcall f_5476(C_word t0,C_word t1);
C_noret_decl(f_3420)
static void C_ccall f_3420(C_word c,C_word *av) C_noret;
C_noret_decl(f_5469)
static void C_fcall f_5469(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5,C_word t6) C_noret;
C_noret_decl(f_3428)
static void C_ccall f_3428(C_word c,C_word *av) C_noret;
C_noret_decl(f_5703)
static void C_ccall f_5703(C_word c,C_word *av) C_noret;
C_noret_decl(f_5966)
static void C_ccall f_5966(C_word c,C_word *av) C_noret;
C_noret_decl(f_5960)
static void C_ccall f_5960(C_word c,C_word *av) C_noret;
C_noret_decl(f_4486)
static void C_ccall f_4486(C_word c,C_word *av) C_noret;
C_noret_decl(f_5485)
static C_word C_fcall f_5485(C_word t0,C_word t1);
C_noret_decl(f_5714)
static void C_ccall f_5714(C_word c,C_word *av) C_noret;
C_noret_decl(f_5718)
static void C_ccall f_5718(C_word c,C_word *av) C_noret;
C_noret_decl(f_4470)
static void C_ccall f_4470(C_word c,C_word *av) C_noret;
C_noret_decl(f_3403)
static void C_ccall f_3403(C_word c,C_word *av) C_noret;
C_noret_decl(f_3406)
static void C_ccall f_3406(C_word c,C_word *av) C_noret;
C_noret_decl(f_4477)
static void C_ccall f_4477(C_word c,C_word *av) C_noret;
C_noret_decl(f_3400)
static void C_ccall f_3400(C_word c,C_word *av) C_noret;
C_noret_decl(f_3409)
static void C_ccall f_3409(C_word c,C_word *av) C_noret;
C_noret_decl(f_5942)
static void C_ccall f_5942(C_word c,C_word *av) C_noret;
C_noret_decl(f_5948)
static void C_ccall f_5948(C_word c,C_word *av) C_noret;
C_noret_decl(f_4460)
static void C_ccall f_4460(C_word c,C_word *av) C_noret;
C_noret_decl(f_4465)
static void C_ccall f_4465(C_word c,C_word *av) C_noret;
C_noret_decl(f_5912)
static void C_ccall f_5912(C_word c,C_word *av) C_noret;
C_noret_decl(f_5918)
static void C_ccall f_5918(C_word c,C_word *av) C_noret;
C_noret_decl(f_3462)
static void C_ccall f_3462(C_word c,C_word *av) C_noret;
C_noret_decl(f_3466)
static void C_ccall f_3466(C_word c,C_word *av) C_noret;
C_noret_decl(f_5924)
static void C_ccall f_5924(C_word c,C_word *av) C_noret;
C_noret_decl(f_3376)
static void C_ccall f_3376(C_word c,C_word *av) C_noret;
C_noret_decl(f_3434)
static void C_ccall f_3434(C_word c,C_word *av) C_noret;
C_noret_decl(f_3436)
static void C_ccall f_3436(C_word c,C_word *av) C_noret;
C_noret_decl(f_5972)
static void C_ccall f_5972(C_word c,C_word *av) C_noret;
C_noret_decl(f_5978)
static void C_ccall f_5978(C_word c,C_word *av) C_noret;
C_noret_decl(f_3441)
static void C_ccall f_3441(C_word c,C_word *av) C_noret;
C_noret_decl(f_3443)
static void C_fcall f_3443(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_3125)
static void C_ccall f_3125(C_word c,C_word *av) C_noret;
C_noret_decl(f_5900)
static void C_ccall f_5900(C_word c,C_word *av) C_noret;
C_noret_decl(f_5906)
static void C_ccall f_5906(C_word c,C_word *av) C_noret;
C_noret_decl(f_4924)
static C_word C_fcall f_4924(C_word t0,C_word t1);
C_noret_decl(f_3142)
static void C_ccall f_3142(C_word c,C_word *av) C_noret;
C_noret_decl(f_3144)
static void C_fcall f_3144(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_4910)
static void C_fcall f_4910(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_5930)
static void C_ccall f_5930(C_word c,C_word *av) C_noret;
C_noret_decl(f_5936)
static void C_ccall f_5936(C_word c,C_word *av) C_noret;
C_noret_decl(f_4953)
static void C_fcall f_4953(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_5442)
static void C_ccall f_5442(C_word c,C_word *av) C_noret;
C_noret_decl(f_5438)
static void C_ccall f_5438(C_word c,C_word *av) C_noret;
C_noret_decl(f_4987)
static void C_ccall f_4987(C_word c,C_word *av) C_noret;
C_noret_decl(f_5852)
static void C_ccall f_5852(C_word c,C_word *av) C_noret;
C_noret_decl(f_4979)
static void C_ccall f_4979(C_word c,C_word *av) C_noret;
C_noret_decl(f_5458)
static void C_ccall f_5458(C_word c,C_word *av) C_noret;
C_noret_decl(f_4094)
static void C_fcall f_4094(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_4047)
static void C_fcall f_4047(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_4042)
static void C_ccall f_4042(C_word c,C_word *av) C_noret;
C_noret_decl(f_5894)
static void C_ccall f_5894(C_word c,C_word *av) C_noret;
C_noret_decl(f_5146)
static void C_ccall f_5146(C_word c,C_word *av) C_noret;
C_noret_decl(f_2675)
static void C_ccall f_2675(C_word c,C_word *av) C_noret;
C_noret_decl(f_5191)
static void C_ccall f_5191(C_word c,C_word *av) C_noret;
C_noret_decl(f_4456)
static void C_ccall f_4456(C_word c,C_word *av) C_noret;
C_noret_decl(f_2698)
static void C_ccall f_2698(C_word c,C_word *av) C_noret;
C_noret_decl(f_2692)
static void C_ccall f_2692(C_word c,C_word *av) C_noret;
C_noret_decl(f_4450)
static void C_ccall f_4450(C_word c,C_word *av) C_noret;
C_noret_decl(f_4055)
static void C_ccall f_4055(C_word c,C_word *av) C_noret;
C_noret_decl(f_4051)
static void C_ccall f_4051(C_word c,C_word *av) C_noret;
C_noret_decl(f_4445)
static void C_ccall f_4445(C_word c,C_word *av) C_noret;
C_noret_decl(f_4440)
static void C_ccall f_4440(C_word c,C_word *av) C_noret;
C_noret_decl(f_4436)
static void C_ccall f_4436(C_word c,C_word *av) C_noret;
C_noret_decl(f_4431)
static void C_ccall f_4431(C_word c,C_word *av) C_noret;
C_noret_decl(f_4039)
static void C_ccall f_4039(C_word c,C_word *av) C_noret;
C_noret_decl(f_4033)
static void C_ccall f_4033(C_word c,C_word *av) C_noret;
C_noret_decl(f_4030)
static void C_ccall f_4030(C_word c,C_word *av) C_noret;
C_noret_decl(f_4426)
static void C_ccall f_4426(C_word c,C_word *av) C_noret;
C_noret_decl(f_4422)
static void C_ccall f_4422(C_word c,C_word *av) C_noret;
C_noret_decl(f_4416)
static void C_ccall f_4416(C_word c,C_word *av) C_noret;
C_noret_decl(f_4411)
static void C_ccall f_4411(C_word c,C_word *av) C_noret;
C_noret_decl(f_4196)
static void C_ccall f_4196(C_word c,C_word *av) C_noret;
C_noret_decl(f_4190)
static void C_ccall f_4190(C_word c,C_word *av) C_noret;
C_noret_decl(f_4402)
static void C_ccall f_4402(C_word c,C_word *av) C_noret;
C_noret_decl(f_5403)
static void C_ccall f_5403(C_word c,C_word *av) C_noret;
C_noret_decl(f_4406)
static void C_ccall f_4406(C_word c,C_word *av) C_noret;
C_noret_decl(f_4149)
static void C_fcall f_4149(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_4796)
static void C_ccall f_4796(C_word c,C_word *av) C_noret;
C_noret_decl(f_4140)
static void C_ccall f_4140(C_word c,C_word *av) C_noret;
C_noret_decl(f_5093)
static void C_ccall f_5093(C_word c,C_word *av) C_noret;
C_noret_decl(f_5407)
static void C_ccall f_5407(C_word c,C_word *av) C_noret;
C_noret_decl(f_4136)
static void C_ccall f_4136(C_word c,C_word *av) C_noret;
C_noret_decl(f_2503)
static void C_ccall f_2503(C_word c,C_word *av) C_noret;
C_noret_decl(f_2501)
static void C_ccall f_2501(C_word c,C_word *av) C_noret;
C_noret_decl(f_5113)
static void C_ccall f_5113(C_word c,C_word *av) C_noret;
C_noret_decl(f_5419)
static void C_ccall f_5419(C_word c,C_word *av) C_noret;
C_noret_decl(f_4020)
static void C_ccall f_4020(C_word c,C_word *av) C_noret;
C_noret_decl(f_2516)
static void C_ccall f_2516(C_word c,C_word *av) C_noret;
C_noret_decl(f_5124)
static void C_ccall f_5124(C_word c,C_word *av) C_noret;
C_noret_decl(f_5434)
static void C_ccall f_5434(C_word c,C_word *av) C_noret;
C_noret_decl(f_5430)
static void C_ccall f_5430(C_word c,C_word *av) C_noret;
C_noret_decl(f_2511)
static void C_ccall f_2511(C_word c,C_word *av) C_noret;
C_noret_decl(f_5426)
static void C_ccall f_5426(C_word c,C_word *av) C_noret;
C_noret_decl(f_2520)
static void C_fcall f_2520(C_word t0,C_word t1) C_noret;
C_noret_decl(f_5041)
static void C_fcall f_5041(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_4187)
static void C_ccall f_4187(C_word c,C_word *av) C_noret;
C_noret_decl(f_4751)
static void C_ccall f_4751(C_word c,C_word *av) C_noret;
C_noret_decl(f_2538)
static void C_ccall f_2538(C_word c,C_word *av) C_noret;
C_noret_decl(f_4180)
static void C_ccall f_4180(C_word c,C_word *av) C_noret;
C_noret_decl(f_4753)
static void C_ccall f_4753(C_word c,C_word *av) C_noret;
C_noret_decl(f_2532)
static void C_ccall f_2532(C_word c,C_word *av) C_noret;
C_noret_decl(f_4783)
static void C_ccall f_4783(C_word c,C_word *av) C_noret;
C_noret_decl(f_5109)
static void C_fcall f_5109(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_5100)
static void C_ccall f_5100(C_word c,C_word *av) C_noret;
C_noret_decl(f_5077)
static void C_fcall f_5077(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5,C_word t6) C_noret;
C_noret_decl(f_5090)
static void C_ccall f_5090(C_word c,C_word *av) C_noret;
C_noret_decl(f_5803)
static void C_fcall f_5803(C_word t0,C_word t1) C_noret;
C_noret_decl(f_5800)
static void C_ccall f_5800(C_word c,C_word *av) C_noret;
C_noret_decl(f_2565)
static void C_ccall f_2565(C_word c,C_word *av) C_noret;
C_noret_decl(f_5084)
static void C_ccall f_5084(C_word c,C_word *av) C_noret;
C_noret_decl(f_5087)
static void C_ccall f_5087(C_word c,C_word *av) C_noret;
C_noret_decl(f_4719)
static void C_ccall f_4719(C_word c,C_word *av) C_noret;
C_noret_decl(f_4717)
static void C_ccall f_4717(C_word c,C_word *av) C_noret;
C_noret_decl(f_5806)
static void C_ccall f_5806(C_word c,C_word *av) C_noret;
C_noret_decl(f_3651)
static void C_ccall f_3651(C_word c,C_word *av) C_noret;
C_noret_decl(f_5818)
static void C_fcall f_5818(C_word t0,C_word t1) C_noret;
C_noret_decl(f_3659)
static void C_ccall f_3659(C_word c,C_word *av) C_noret;
C_noret_decl(f_4737)
static void C_ccall f_4737(C_word c,C_word *av) C_noret;
C_noret_decl(f_3623)
static void C_ccall f_3623(C_word c,C_word *av) C_noret;
C_noret_decl(f_4731)
static void C_ccall f_4731(C_word c,C_word *av) C_noret;
C_noret_decl(f_3917)
static void C_ccall f_3917(C_word c,C_word *av) C_noret;
C_noret_decl(f_3627)
static void C_ccall f_3627(C_word c,C_word *av) C_noret;
C_noret_decl(f_2299)
static void C_ccall f_2299(C_word c,C_word *av) C_noret;
C_noret_decl(f_4760)
static void C_fcall f_4760(C_word t0,C_word t1) C_noret;
C_noret_decl(f_4156)
static void C_fcall f_4156(C_word t0,C_word t1) C_noret;
C_noret_decl(f_4769)
static void C_ccall f_4769(C_word c,C_word *av) C_noret;
C_noret_decl(f_3630)
static void C_ccall f_3630(C_word c,C_word *av) C_noret;
C_noret_decl(f_4763)
static void C_ccall f_4763(C_word c,C_word *av) C_noret;
C_noret_decl(f_3961)
static void C_ccall f_3961(C_word c,C_word *av) C_noret;
C_noret_decl(f_4002)
static void C_ccall f_4002(C_word c,C_word *av) C_noret;
C_noret_decl(f_5060)
static void C_ccall f_5060(C_word c,C_word *av) C_noret;
C_noret_decl(f_2292)
static void C_ccall f_2292(C_word c,C_word *av) C_noret;
C_noret_decl(f_2268)
static void C_ccall f_2268(C_word c,C_word *av) C_noret;
C_noret_decl(f_3604)
static void C_ccall f_3604(C_word c,C_word *av) C_noret;
C_noret_decl(f_3930)
static void C_ccall f_3930(C_word c,C_word *av) C_noret;
C_noret_decl(f_3936)
static void C_ccall f_3936(C_word c,C_word *av) C_noret;
C_noret_decl(f_2264)
static void C_fcall f_2264(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_2261)
static void C_ccall f_2261(C_word c,C_word *av) C_noret;
C_noret_decl(f_4705)
static void C_ccall f_4705(C_word c,C_word *av) C_noret;
C_noret_decl(f_4703)
static void C_ccall f_4703(C_word c,C_word *av) C_noret;
C_noret_decl(f_5859)
static void C_fcall f_5859(C_word t0,C_word t1) C_noret;
C_noret_decl(f_2471)
static void C_ccall f_2471(C_word c,C_word *av) C_noret;
C_noret_decl(f_3613)
static void C_ccall f_3613(C_word c,C_word *av) C_noret;
C_noret_decl(f_2473)
static void C_ccall f_2473(C_word c,C_word *av) C_noret;
C_noret_decl(f_3902)
static void C_ccall f_3902(C_word c,C_word *av) C_noret;
C_noret_decl(f_3908)
static void C_ccall f_3908(C_word c,C_word *av) C_noret;
C_noret_decl(f_2231)
static void C_ccall f_2231(C_word c,C_word *av) C_noret;
C_noret_decl(f_2234)
static void C_ccall f_2234(C_word c,C_word *av) C_noret;
C_noret_decl(f_2481)
static void C_ccall f_2481(C_word c,C_word *av) C_noret;
C_noret_decl(f_2483)
static void C_ccall f_2483(C_word c,C_word *av) C_noret;
C_noret_decl(f_3952)
static void C_ccall f_3952(C_word c,C_word *av) C_noret;
C_noret_decl(f_2909)
static void C_ccall f_2909(C_word c,C_word *av) C_noret;
C_noret_decl(f_2902)
static void C_ccall f_2902(C_word c,C_word *av) C_noret;
C_noret_decl(f_5885)
static void C_ccall f_5885(C_word c,C_word *av) C_noret;
C_noret_decl(f_2493)
static void C_ccall f_2493(C_word c,C_word *av) C_noret;
C_noret_decl(f_2491)
static void C_ccall f_2491(C_word c,C_word *av) C_noret;
C_noret_decl(f_2916)
static void C_ccall f_2916(C_word c,C_word *av) C_noret;
C_noret_decl(f_2918)
static void C_ccall f_2918(C_word c,C_word *av) C_noret;
C_noret_decl(f_5812)
static void C_ccall f_5812(C_word c,C_word *av) C_noret;
C_noret_decl(f_2924)
static void C_ccall f_2924(C_word c,C_word *av) C_noret;
C_noret_decl(f_3946)
static void C_ccall f_3946(C_word c,C_word *av) C_noret;
C_noret_decl(f_3949)
static void C_ccall f_3949(C_word c,C_word *av) C_noret;
C_noret_decl(f_3732)
static void C_ccall f_3732(C_word c,C_word *av) C_noret;
C_noret_decl(f_2947)
static void C_ccall f_2947(C_word c,C_word *av) C_noret;
C_noret_decl(f_3744)
static void C_ccall f_3744(C_word c,C_word *av) C_noret;
C_noret_decl(f_3740)
static void C_ccall f_3740(C_word c,C_word *av) C_noret;
C_noret_decl(f_3684)
static void C_ccall f_3684(C_word c,C_word *av) C_noret;
C_noret_decl(f_2969)
static void C_ccall f_2969(C_word c,C_word *av) C_noret;
C_noret_decl(f_2965)
static void C_ccall f_2965(C_word c,C_word *av) C_noret;
C_noret_decl(f_3696)
static void C_ccall f_3696(C_word c,C_word *av) C_noret;
C_noret_decl(f_3762)
static void C_ccall f_3762(C_word c,C_word *av) C_noret;
C_noret_decl(f_2304)
static void C_ccall f_2304(C_word c,C_word *av) C_noret;
C_noret_decl(f_5547)
static void C_ccall f_5547(C_word c,C_word *av) C_noret;
C_noret_decl(f_5553)
static void C_ccall f_5553(C_word c,C_word *av) C_noret;
C_noret_decl(f_5551)
static void C_ccall f_5551(C_word c,C_word *av) C_noret;
C_noret_decl(f_3779)
static void C_ccall f_3779(C_word c,C_word *av) C_noret;
C_noret_decl(f_3777)
static void C_ccall f_3777(C_word c,C_word *av) C_noret;
C_noret_decl(f_2311)
static void C_ccall f_2311(C_word c,C_word *av) C_noret;
C_noret_decl(f_4278)
static void C_ccall f_4278(C_word c,C_word *av) C_noret;
C_noret_decl(f_3676)
static void C_ccall f_3676(C_word c,C_word *av) C_noret;
C_noret_decl(f_3674)
static void C_ccall f_3674(C_word c,C_word *av) C_noret;
C_noret_decl(f_3670)
static void C_ccall f_3670(C_word c,C_word *av) C_noret;
C_noret_decl(f_5520)
static void C_ccall f_5520(C_word c,C_word *av) C_noret;
C_noret_decl(f_3785)
static void C_ccall f_3785(C_word c,C_word *av) C_noret;
C_noret_decl(f_2326)
static void C_ccall f_2326(C_word c,C_word *av) C_noret;
C_noret_decl(f_2324)
static void C_ccall f_2324(C_word c,C_word *av) C_noret;
C_noret_decl(f_5526)
static void C_ccall f_5526(C_word c,C_word *av) C_noret;
C_noret_decl(f_2789)
static void C_fcall f_2789(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_2788)
static void C_ccall f_2788(C_word c,C_word *av) C_noret;
C_noret_decl(f_4269)
static void C_ccall f_4269(C_word c,C_word *av) C_noret;
C_noret_decl(f_2816)
static void C_fcall f_2816(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_2336)
static void C_ccall f_2336(C_word c,C_word *av) C_noret;
C_noret_decl(f_2338)
static void C_ccall f_2338(C_word c,C_word *av) C_noret;
C_noret_decl(f_2330)
static void C_ccall f_2330(C_word c,C_word *av) C_noret;
C_noret_decl(f_2332)
static void C_ccall f_2332(C_word c,C_word *av) C_noret;
C_noret_decl(f_2826)
static void C_ccall f_2826(C_word c,C_word *av) C_noret;
C_noret_decl(f_2344)
static void C_ccall f_2344(C_word c,C_word *av) C_noret;
C_noret_decl(f_2348)
static void C_ccall f_2348(C_word c,C_word *av) C_noret;
C_noret_decl(f_2342)
static void C_ccall f_2342(C_word c,C_word *av) C_noret;
C_noret_decl(f_5515)
static void C_ccall f_5515(C_word c,C_word *av) C_noret;
C_noret_decl(f_5512)
static void C_ccall f_5512(C_word c,C_word *av) C_noret;
C_noret_decl(f_2356)
static void C_ccall f_2356(C_word c,C_word *av) C_noret;
C_noret_decl(f_2354)
static void C_ccall f_2354(C_word c,C_word *av) C_noret;
C_noret_decl(f_2350)
static void C_ccall f_2350(C_word c,C_word *av) C_noret;
C_noret_decl(f_2848)
static void C_ccall f_2848(C_word c,C_word *av) C_noret;

C_noret_decl(trf_2876)
static void C_ccall trf_2876(C_word c,C_word *av) C_noret;
static void C_ccall trf_2876(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_2876(t0,t1,t2);}

C_noret_decl(trf_2883)
static void C_ccall trf_2883(C_word c,C_word *av) C_noret;
static void C_ccall trf_2883(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_2883(t0,t1);}

C_noret_decl(trf_3702)
static void C_ccall trf_3702(C_word c,C_word *av) C_noret;
static void C_ccall trf_3702(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_3702(t0,t1,t2);}

C_noret_decl(trf_3714)
static void C_ccall trf_3714(C_word c,C_word *av) C_noret;
static void C_ccall trf_3714(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_3714(t0,t1,t2);}

C_noret_decl(trf_3221)
static void C_ccall trf_3221(C_word c,C_word *av) C_noret;
static void C_ccall trf_3221(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_3221(t0,t1);}

C_noret_decl(trf_3230)
static void C_ccall trf_3230(C_word c,C_word *av) C_noret;
static void C_ccall trf_3230(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_3230(t0,t1,t2,t3,t4);}

C_noret_decl(trf_3886)
static void C_ccall trf_3886(C_word c,C_word *av) C_noret;
static void C_ccall trf_3886(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_3886(t0,t1);}

C_noret_decl(trf_4220)
static void C_ccall trf_4220(C_word c,C_word *av) C_noret;
static void C_ccall trf_4220(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_4220(t0,t1,t2,t3);}

C_noret_decl(trf_3218)
static void C_ccall trf_3218(C_word c,C_word *av) C_noret;
static void C_ccall trf_3218(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_3218(t0,t1);}

C_noret_decl(trf_3034)
static void C_ccall trf_3034(C_word c,C_word *av) C_noret;
static void C_ccall trf_3034(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_3034(t0,t1);}

C_noret_decl(trf_5029)
static void C_ccall trf_5029(C_word c,C_word *av) C_noret;
static void C_ccall trf_5029(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_5029(t0,t1,t2,t3,t4);}

C_noret_decl(trf_3008)
static void C_ccall trf_3008(C_word c,C_word *av) C_noret;
static void C_ccall trf_3008(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_3008(t0,t1);}

C_noret_decl(trf_2570)
static void C_ccall trf_2570(C_word c,C_word *av) C_noret;
static void C_ccall trf_2570(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_2570(t0,t1,t2,t3);}

C_noret_decl(trf_3990)
static void C_ccall trf_3990(C_word c,C_word *av) C_noret;
static void C_ccall trf_3990(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_3990(t0,t1);}

C_noret_decl(trf_5289)
static void C_ccall trf_5289(C_word c,C_word *av) C_noret;
static void C_ccall trf_5289(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_5289(t0,t1);}

C_noret_decl(trf_4673)
static void C_ccall trf_4673(C_word c,C_word *av) C_noret;
static void C_ccall trf_4673(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_4673(t0,t1,t2,t3);}

C_noret_decl(trf_4636)
static void C_ccall trf_4636(C_word c,C_word *av) C_noret;
static void C_ccall trf_4636(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_4636(t0,t1,t2,t3);}

C_noret_decl(trf_4861)
static void C_ccall trf_4861(C_word c,C_word *av) C_noret;
static void C_ccall trf_4861(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_4861(t0,t1);}

C_noret_decl(trf_4849)
static void C_ccall trf_4849(C_word c,C_word *av) C_noret;
static void C_ccall trf_4849(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_4849(t0,t1);}

C_noret_decl(trf_4595)
static void C_ccall trf_4595(C_word c,C_word *av) C_noret;
static void C_ccall trf_4595(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_4595(t0,t1,t2,t3);}

C_noret_decl(trf_3165)
static void C_ccall trf_3165(C_word c,C_word *av) C_noret;
static void C_ccall trf_3165(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_3165(t0,t1,t2);}

C_noret_decl(trf_2607)
static void C_ccall trf_2607(C_word c,C_word *av) C_noret;
static void C_ccall trf_2607(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_2607(t0,t1,t2,t3,t4);}

C_noret_decl(trf_3110)
static void C_ccall trf_3110(C_word c,C_word *av) C_noret;
static void C_ccall trf_3110(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_3110(t0,t1,t2);}

C_noret_decl(trf_2705)
static void C_ccall trf_2705(C_word c,C_word *av) C_noret;
static void C_ccall trf_2705(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_2705(t0,t1);}

C_noret_decl(trf_2765)
static void C_ccall trf_2765(C_word c,C_word *av) C_noret;
static void C_ccall trf_2765(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_2765(t0,t1);}

C_noret_decl(trf_5471)
static void C_ccall trf_5471(C_word c,C_word *av) C_noret;
static void C_ccall trf_5471(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_5471(t0,t1,t2);}

C_noret_decl(trf_5469)
static void C_ccall trf_5469(C_word c,C_word *av) C_noret;
static void C_ccall trf_5469(C_word c,C_word *av){
C_word t0=av[6];
C_word t1=av[5];
C_word t2=av[4];
C_word t3=av[3];
C_word t4=av[2];
C_word t5=av[1];
C_word t6=av[0];
f_5469(t0,t1,t2,t3,t4,t5,t6);}

C_noret_decl(trf_3443)
static void C_ccall trf_3443(C_word c,C_word *av) C_noret;
static void C_ccall trf_3443(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_3443(t0,t1,t2);}

C_noret_decl(trf_3144)
static void C_ccall trf_3144(C_word c,C_word *av) C_noret;
static void C_ccall trf_3144(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_3144(t0,t1,t2);}

C_noret_decl(trf_4910)
static void C_ccall trf_4910(C_word c,C_word *av) C_noret;
static void C_ccall trf_4910(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_4910(t0,t1,t2);}

C_noret_decl(trf_4953)
static void C_ccall trf_4953(C_word c,C_word *av) C_noret;
static void C_ccall trf_4953(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_4953(t0,t1,t2,t3);}

C_noret_decl(trf_4094)
static void C_ccall trf_4094(C_word c,C_word *av) C_noret;
static void C_ccall trf_4094(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_4094(t0,t1,t2);}

C_noret_decl(trf_4047)
static void C_ccall trf_4047(C_word c,C_word *av) C_noret;
static void C_ccall trf_4047(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_4047(t0,t1,t2);}

C_noret_decl(trf_4149)
static void C_ccall trf_4149(C_word c,C_word *av) C_noret;
static void C_ccall trf_4149(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_4149(t0,t1,t2);}

C_noret_decl(trf_2520)
static void C_ccall trf_2520(C_word c,C_word *av) C_noret;
static void C_ccall trf_2520(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_2520(t0,t1);}

C_noret_decl(trf_5041)
static void C_ccall trf_5041(C_word c,C_word *av) C_noret;
static void C_ccall trf_5041(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_5041(t0,t1,t2,t3);}

C_noret_decl(trf_5109)
static void C_ccall trf_5109(C_word c,C_word *av) C_noret;
static void C_ccall trf_5109(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_5109(t0,t1,t2,t3,t4);}

C_noret_decl(trf_5077)
static void C_ccall trf_5077(C_word c,C_word *av) C_noret;
static void C_ccall trf_5077(C_word c,C_word *av){
C_word t0=av[6];
C_word t1=av[5];
C_word t2=av[4];
C_word t3=av[3];
C_word t4=av[2];
C_word t5=av[1];
C_word t6=av[0];
f_5077(t0,t1,t2,t3,t4,t5,t6);}

C_noret_decl(trf_5803)
static void C_ccall trf_5803(C_word c,C_word *av) C_noret;
static void C_ccall trf_5803(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_5803(t0,t1);}

C_noret_decl(trf_5818)
static void C_ccall trf_5818(C_word c,C_word *av) C_noret;
static void C_ccall trf_5818(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_5818(t0,t1);}

C_noret_decl(trf_4760)
static void C_ccall trf_4760(C_word c,C_word *av) C_noret;
static void C_ccall trf_4760(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_4760(t0,t1);}

C_noret_decl(trf_4156)
static void C_ccall trf_4156(C_word c,C_word *av) C_noret;
static void C_ccall trf_4156(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_4156(t0,t1);}

C_noret_decl(trf_2264)
static void C_ccall trf_2264(C_word c,C_word *av) C_noret;
static void C_ccall trf_2264(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_2264(t0,t1,t2,t3,t4);}

C_noret_decl(trf_5859)
static void C_ccall trf_5859(C_word c,C_word *av) C_noret;
static void C_ccall trf_5859(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_5859(t0,t1);}

C_noret_decl(trf_2789)
static void C_ccall trf_2789(C_word c,C_word *av) C_noret;
static void C_ccall trf_2789(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_2789(t0,t1,t2);}

C_noret_decl(trf_2816)
static void C_ccall trf_2816(C_word c,C_word *av) C_noret;
static void C_ccall trf_2816(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_2816(t0,t1,t2);}

/* get-host-name in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5691(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word ab[3],*a=ab;
if(c!=2) C_bad_argc_2(c,2,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_5691,2,av);}
if(C_truep(C_get_hostname())){
/* ##sys#peek-c-string */
t2=*((C_word*)lf[6]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=C_mpointer(&a,(void*)C_hostname);
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}
else{
/* posixwin.scm:1343: ##sys#error */
t2=*((C_word*)lf[53]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[320];
av2[3]=lf[321];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}}

/* k2856 in create-directory in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2858(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;{}
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k4290 in open-output-pipe in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4292(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;{}
/* posixwin.scm:850: check */
f_4220(((C_word*)t0)[3],((C_word*)t0)[4],C_SCHEME_FALSE,t1);}

/* k4297 in open-output-pipe in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4299(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word ab[2],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_4299,2,av);}
t2=open_text_output_pipe(&a,1,t1);
/* posixwin.scm:850: check */
f_4220(((C_word*)t0)[3],((C_word*)t0)[4],C_SCHEME_FALSE,t2);}

/* k2862 in create-directory in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2864(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word ab[10],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_2864,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
if(C_truep(((C_word*)t0)[4])){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2874,a[2]=((C_word*)t0)[5],tmp=(C_word)a,a+=3,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2918,a[2]=((C_word*)t0)[3],a[3]=((C_word)li29),tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2924,a[2]=((C_word)li30),tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:457: ##sys#call-with-values */{
C_word av2[4];
av2[0]=0;
av2[1]=t2;
av2[2]=t3;
av2[3]=t4;
C_call_with_values(4,av2);}}
else{
t2=((C_word*)t0)[5];
t3=((C_word*)t0)[3];
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2947,a[2]=t2,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* posix-common.scm:448: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[12]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[12]+1);
av2[1]=t4;
av2[2]=t3;
av2[3]=lf[84];
tp(4,av2);}}}}

/* loop in k2872 in k2862 in create-directory in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_fcall f_2876(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word ab[8],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim_args((void *)trf_2876,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2883,a[2]=t1,a[3]=t2,a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
if(C_truep(t2)){
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2916,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:459: directory? */
t5=*((C_word*)lf[39]+1);{
C_word av2[3];
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}
else{
t4=t3;
f_2883(t4,C_SCHEME_FALSE);}}

/* k2872 in k2862 in create-directory in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2874(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_2874,2,av);}
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2876,a[2]=t3,a[3]=((C_word)li28),tmp=(C_word)a,a+=4,tmp));
t5=((C_word*)t3)[1];
f_2876(t5,((C_word*)t0)[2],t1);}

/* k3275 in k3340 in k3250 in k3241 in loop in k3226 in k3219 in k3216 in k3407 in k3404 in k3401 in k3398 in k3395 in k3392 in find-files in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 in ... */
static void C_ccall f_3277(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;{}
if(C_truep(t1)){
/* posix-common.scm:538: action */
t2=((C_word*)t0)[2];{
C_word av2[4];
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=((C_word*)t0)[5];
((C_proc)C_fast_retrieve_proc(t2))(4,av2);}}
else{
t2=((C_word*)t0)[5];
/* posix-common.scm:538: loop */
t3=((C_word*)((C_word*)t0)[6])[1];
f_3230(t3,((C_word*)t0)[7],((C_word*)t0)[8],((C_word*)t0)[9],t2);}}

/* k3272 in k3340 in k3250 in k3241 in loop in k3226 in k3219 in k3216 in k3407 in k3404 in k3401 in k3398 in k3395 in k3392 in find-files in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 in ... */
static void C_ccall f_3274(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;{}
/* posix-common.scm:538: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_3230(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5],t1);}

/* sleep in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5685(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_5685,3,av);}
t3=C_i_check_exact_2(t2,lf[319]);
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_sleep(t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k2881 in loop in k2872 in k2862 in create-directory in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_fcall f_2883(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[8],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim_args((void *)trf_2883,2,t0,t1);}
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2886,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2909,a[2]=((C_word*)t0)[4],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* posix-common.scm:460: pathname-directory */
t4=*((C_word*)lf[86]+1);{
C_word av2[3];
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}
else{
t2=C_SCHEME_UNDEFINED;
t3=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k2884 in k2881 in loop in k2872 in k2862 in create-directory in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2886(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_2886,2,av);}
t2=((C_word*)t0)[2];
t3=((C_word*)t0)[3];
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2902,a[2]=t2,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* posix-common.scm:448: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[12]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[12]+1);
av2[1]=t4;
av2[2]=t3;
av2[3]=lf[84];
tp(4,av2);}}

/* loop in get-environment-variables in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_fcall f_3702(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word ab[10],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim_args((void *)trf_3702,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3706,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=t2;
t5=C_a_i_bytevector(&a,1,C_fix(3));
t6=C_i_foreign_fixnum_argumentp(t4);
t7=stub633(t5,t6);
/* posix-common.scm:639: ##sys#peek-c-string */
t8=*((C_word*)lf[6]+1);{
C_word av2[4];
av2[0]=t8;
av2[1]=t3;
av2[2]=t7;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t8+1)))(4,av2);}}

/* k3704 in loop in get-environment-variables in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3706(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[9],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_3706,2,av);}
t2=t1;
if(C_truep(t2)){
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_3714,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t4,a[6]=((C_word)li64),tmp=(C_word)a,a+=7,tmp));
t6=((C_word*)t4)[1];
f_3714(t6,((C_word*)t0)[4],C_fix(0));}
else{
t3=((C_word*)t0)[4];{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k4371 in a4368 in k4356 in call-with-input-pipe in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4373(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;{}{
C_word av2[3];
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
C_apply_values(3,av2);}}

/* scan in k3704 in loop in get-environment-variables in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_fcall f_3714(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
loop:
a=C_alloc(7);
if(!C_stack_probe(a)){
C_save_and_reclaim_args((void *)trf_3714,3,t0,t1,t2);}
t3=C_subchar(((C_word*)t0)[2],t2);
if(C_truep(C_i_char_equalp(C_make_character(61),t3))){
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_3740,a[2]=t1,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=((C_word*)t0)[2],tmp=(C_word)a,a+=7,tmp);
/* posix-common.scm:646: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[74]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[74]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[2];
av2[3]=C_fix(0);
av2[4]=t2;
tp(5,av2);}}
else{
t4=C_fixnum_plus(t2,C_fix(1));
/* posix-common.scm:649: scan */
t7=t1;
t8=t4;
t1=t7;
t2=t8;
goto loop;}}

/* call-with-output-pipe in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4378(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(!C_demand(c*C_SIZEOF_PAIR+4)){
C_save_and_reclaim((void*)f_4378,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+4);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4382,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);{
C_word av2[5];
av2[0]=0;
av2[1]=t5;
av2[2]=*((C_word*)lf[185]+1);
av2[3]=t2;
av2[4]=t4;
C_apply(5,av2);}}

/* a4362 in k4356 in call-with-input-pipe in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4363(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_4363,2,av);}
/* posixwin.scm:877: proc */
t2=((C_word*)t0)[2];{
C_word av2[3];
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* k3219 in k3216 in k3407 in k3404 in k3401 in k3398 in k3395 in k3392 in find-files in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_fcall f_3221(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[11],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim_args((void *)trf_3221,2,t0,t1);}
t2=t1;
t3=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_3228,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],a[10]=((C_word*)t0)[9],tmp=(C_word)a,a+=11,tmp);
/* posix-common.scm:528: directory */
t4=*((C_word*)lf[28]+1);{
C_word av2[4];
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[8];
av2[3]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* a4368 in k4356 in call-with-input-pipe in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4369(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(!C_demand(c*C_SIZEOF_PAIR+4)){
C_save_and_reclaim((void*)f_4369,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4373,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm:879: close-input-pipe */
t4=*((C_word*)lf[186]+1);{
C_word av2[3];
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k3226 in k3219 in k3216 in k3407 in k3404 in k3401 in k3398 in k3395 in k3392 in find-files in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3228(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[12],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_3228,2,av);}
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_3230,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word)li43),tmp=(C_word)a,a+=10,tmp));
t5=((C_word*)t3)[1];
f_3230(t5,((C_word*)t0)[8],((C_word*)t0)[9],t1,((C_word*)t0)[10]);}

/* ##sys#process-wait in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5673(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_5673,4,av);}
if(C_truep(C_process_wait(t2,t3))){
/* posixwin.scm:1327: values */{
C_word av2[5];
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_TRUE;
av2[4]=C_fix((C_word)C_exstatus);
C_values(5,av2);}}
else{
/* posixwin.scm:1328: values */{
C_word av2[5];
av2[0]=0;
av2[1]=t1;
av2[2]=C_fix(-1);
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_FALSE;
C_values(5,av2);}}}

/* a4392 in k4380 in call-with-output-pipe in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4393(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(!C_demand(c*C_SIZEOF_PAIR+4)){
C_save_and_reclaim((void*)f_4393,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4397,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm:888: close-output-pipe */
t4=*((C_word*)lf[188]+1);{
C_word av2[3];
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k4395 in a4392 in k4380 in call-with-output-pipe in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4397(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;{}{
C_word av2[3];
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
C_apply_values(3,av2);}}

/* loop in k3226 in k3219 in k3216 in k3407 in k3404 in k3401 in k3398 in k3395 in k3392 in find-files in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_fcall f_3230(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word ab[14],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim_args((void *)trf_3230,5,t0,t1,t2,t3,t4);}
if(C_truep(C_i_nullp(t3))){
t5=t4;
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t5=C_slot(t3,C_fix(0));
t6=t5;
t7=(*a=C_CLOSURE_TYPE|13,a[1]=(C_word)f_3243,a[2]=t3,a[3]=t6,a[4]=((C_word*)t0)[2],a[5]=t1,a[6]=t2,a[7]=t4,a[8]=((C_word*)t0)[3],a[9]=((C_word*)t0)[4],a[10]=((C_word*)t0)[5],a[11]=((C_word*)t0)[6],a[12]=((C_word*)t0)[7],a[13]=((C_word*)t0)[8],tmp=(C_word)a,a+=14,tmp);
/* posix-common.scm:533: make-pathname */
t8=*((C_word*)lf[88]+1);{
C_word av2[4];
av2[0]=t8;
av2[1]=t7;
av2[2]=t2;
av2[3]=t6;
((C_proc)(void*)(*((C_word*)t8+1)))(4,av2);}}}

/* k4380 in call-with-output-pipe in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4382(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[9],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_4382,2,av);}
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4387,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word)li89),tmp=(C_word)a,a+=5,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4393,a[2]=t2,a[3]=((C_word)li90),tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm:885: ##sys#call-with-values */{
C_word av2[4];
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=t3;
av2[3]=t4;
C_call_with_values(4,av2);}}

/* a4386 in k4380 in call-with-output-pipe in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4387(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_4387,2,av);}
/* posixwin.scm:886: proc */
t2=((C_word*)t0)[2];{
C_word av2[3];
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* k3284 in k3340 in k3250 in k3241 in loop in k3226 in k3219 in k3216 in k3407 in k3404 in k3401 in k3398 in k3395 in k3392 in find-files in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 in ... */
static void C_ccall f_3286(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word ab[31],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_3286,2,av);}
if(C_truep(t1)){
t2=C_fixnum_plus(((C_word*)((C_word*)t0)[2])[1],C_fix(1));
t3=t2;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_SCHEME_FALSE;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_3296,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],tmp=(C_word)a,a+=6,tmp);
t8=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_3298,a[2]=t6,a[3]=((C_word*)t0)[2],a[4]=t4,a[5]=((C_word)li40),tmp=(C_word)a,a+=6,tmp);
t9=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_3303,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[7],a[4]=((C_word*)t0)[8],a[5]=((C_word*)t0)[9],a[6]=((C_word*)t0)[10],a[7]=((C_word*)t0)[11],a[8]=((C_word)li41),tmp=(C_word)a,a+=9,tmp);
t10=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_3323,a[2]=t4,a[3]=((C_word*)t0)[2],a[4]=t6,a[5]=((C_word)li42),tmp=(C_word)a,a+=6,tmp);
/* posix-common.scm:542: ##sys#dynamic-wind */
t11=*((C_word*)lf[100]+1);{
C_word av2[5];
av2[0]=t11;
av2[1]=t7;
av2[2]=t8;
av2[3]=t9;
av2[4]=t10;
((C_proc)(void*)(*((C_word*)t11+1)))(5,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_3333,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],tmp=(C_word)a,a+=6,tmp);
t3=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_3336,a[2]=((C_word*)t0)[8],a[3]=t2,a[4]=((C_word*)t0)[7],a[5]=((C_word*)t0)[9],a[6]=((C_word*)t0)[3],a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],a[9]=((C_word*)t0)[6],tmp=(C_word)a,a+=10,tmp);
/* posix-common.scm:546: pproc */
t4=((C_word*)t0)[10];{
C_word av2[3];
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[7];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}}

/* process* in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5613(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(!C_demand(c*C_SIZEOF_PAIR+0)){
C_save_and_reclaim((void*)f_5613,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?C_SCHEME_FALSE:C_i_car(t3));
t6=C_i_nullp(t3);
t7=(C_truep(t6)?C_SCHEME_END_OF_LIST:C_i_cdr(t3));
t8=C_i_nullp(t7);
t9=(C_truep(t8)?C_SCHEME_FALSE:C_i_car(t7));
t10=C_i_nullp(t7);
t11=(C_truep(t10)?C_SCHEME_END_OF_LIST:C_i_cdr(t7));
t12=C_i_nullp(t11);
t13=(C_truep(t12)?C_SCHEME_FALSE:C_i_car(t11));
if(C_truep(C_i_nullp(t11))){
/* posixwin.scm:1321: %process */
f_5469(t1,lf[318],C_SCHEME_TRUE,t2,t5,t9,t13);}
else{
t14=C_i_cdr(t11);
/* posixwin.scm:1321: %process */
f_5469(t1,lf[318],C_SCHEME_TRUE,t2,t5,t9,t13);}}

/* a3297 in k3284 in k3340 in k3250 in k3241 in loop in k3226 in k3219 in k3216 in k3407 in k3404 in k3401 in k3398 in k3395 in k3392 in find-files in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in ... */
static void C_ccall f_3298(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_3298,2,av);}
t2=C_mutate2(((C_word *)((C_word*)t0)[2])+1,((C_word*)((C_word*)t0)[3])[1]);
t3=C_mutate2(((C_word *)((C_word*)t0)[3])+1,((C_word*)((C_word*)t0)[4])[1]);
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k3294 in k3284 in k3340 in k3250 in k3241 in loop in k3226 in k3219 in k3216 in k3407 in k3404 in k3401 in k3398 in k3395 in k3392 in find-files in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in ... */
static void C_ccall f_3296(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;{}
/* posix-common.scm:540: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_3230(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5],t1);}

/* k2809 in k2786 in delete-directory in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2811(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;{}
/* posix-common.scm:444: rmdir */
f_2765(((C_word*)t0)[3],((C_word*)t0)[4]);}

/* k3884 in file-open in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_fcall f_3886(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim_args((void *)trf_3886,2,t0,t1);}
t2=t1;
t3=C_i_check_string_2(((C_word*)t0)[2],lf[159]);
t4=C_i_check_exact_2(((C_word*)t0)[3],lf[159]);
t5=C_i_check_exact_2(t2,lf[159]);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_3899,a[2]=((C_word*)t0)[3],a[3]=t2,a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
/* posixwin.scm:737: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[12]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[12]+1);
av2[1]=t6;
av2[2]=((C_word*)t0)[2];
av2[3]=lf[159];
tp(4,av2);}}

/* seconds->string in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3514(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(!C_demand(c*C_SIZEOF_PAIR+3)){
C_save_and_reclaim((void*)f_3514,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+3);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3518,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_nullp(t2))){
/* posix-common.scm:591: current-seconds */
t4=*((C_word*)lf[112]+1);{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=t3;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_i_car(t2);
f_3518(2,av2);}}}

/* k2803 in k2797 in g293 in k2786 in delete-directory in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2805(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;{}
if(C_truep(t1)){
/* posix-common.scm:438: g303 */
f_2765(((C_word*)t0)[3],((C_word*)t0)[4]);}
else{
t2=*((C_word*)lf[79]+1);
t3=*((C_word*)lf[79]+1);
/* posix-common.scm:438: g303 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[79]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[79]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}}

/* file-open in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3882(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(!C_demand(c*C_SIZEOF_PAIR+5)){
C_save_and_reclaim((void*)f_3882,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+5);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3886,a[2]=t2,a[3]=t3,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_i_pairp(t4))){
t6=t4;
t7=t5;
f_3886(t7,C_u_i_car(t6));}
else{
t6=t5;
f_3886(t6,((C_word*)t0)[2]);}}

/* k3516 in seconds->string in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3518(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word ab[9],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_3518,2,av);}
t2=t1;
t3=C_i_check_number_2(t2,lf[114]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3524,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t5=C_a_i_bytevector(&a,1,C_fix(3));
t6=C_i_foreign_integer_argumentp(t2);
t7=stub554(t5,t6);
/* posix-common.scm:590: ##sys#peek-c-string */
t8=*((C_word*)lf[6]+1);{
C_word av2[4];
av2[0]=t8;
av2[1]=t4;
av2[2]=t7;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t8+1)))(4,av2);}}

/* k2248 in posix-error in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2250(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word ab[15],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_2250,2,av);}
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2257,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2261,a[2]=t2,a[3]=((C_word*)t0)[6],tmp=(C_word)a,a+=4,tmp);
t4=C_a_i_bytevector(&a,1,C_fix(3));
t5=C_i_foreign_fixnum_argumentp(t1);
t6=stub67(t4,t5);
/* posix-common.scm:180: ##sys#peek-c-string */
t7=*((C_word*)lf[6]+1);{
C_word av2[4];
av2[0]=t7;
av2[1]=t3;
av2[2]=t6;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t7+1)))(4,av2);}}

/* k2255 in k2248 in posix-error in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2257(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;{}{
C_word av2[7];
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[3]+1);
av2[3]=((C_word*)t0)[3];
av2[4]=((C_word*)t0)[4];
av2[5]=t1;
av2[6]=((C_word*)t0)[5];
C_apply(7,av2);}}

/* k2226 in k2223 in k2220 */
static void C_ccall f_2228(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_2228,2,av);}
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2231,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);{
C_word av2[2];
av2[0]=C_SCHEME_UNDEFINED;
av2[1]=t2;
C_files_toplevel(2,av2);}}

/* k3042 in k3032 in k3020 in loop in k2992 in k2988 in k2985 in k2982 in k2967 in directory in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3044(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_3044,2,av);}
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k3522 in k3516 in seconds->string in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3524(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;{}
if(C_truep(t1)){
t2=C_block_size(t1);
t3=C_fixnum_difference(t2,C_fix(1));
/* posix-common.scm:595: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[74]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[74]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_fix(0);
av2[4]=t3;
tp(5,av2);}}
else{
/* posix-common.scm:596: ##sys#error */
t2=*((C_word*)lf[53]+1);{
C_word av2[5];
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[114];
av2[3]=lf[115];
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}}

/* k2220 */
static void C_ccall f_2222(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_2222,2,av);}
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2225,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);{
C_word av2[2];
av2[0]=C_SCHEME_UNDEFINED;
av2[1]=t2;
C_irregex_toplevel(2,av2);}}

/* k2223 in k2220 */
static void C_ccall f_2225(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_2225,2,av);}
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2228,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);{
C_word av2[2];
av2[0]=C_SCHEME_UNDEFINED;
av2[1]=t2;
C_extras_toplevel(2,av2);}}

/* k4257 in open-input-pipe in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4259(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word ab[2],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_4259,2,av);}
t2=open_text_input_pipe(&a,1,t1);
/* posixwin.scm:840: check */
f_4220(((C_word*)t0)[3],((C_word*)t0)[4],C_SCHEME_TRUE,t2);}

/* posix-error in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2246(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c<5) C_bad_min_argc_2(c,5,t0);
if(!C_demand(c*C_SIZEOF_PAIR+7)){
C_save_and_reclaim((void*)f_2246,c,av);}
a=C_alloc((c-5)*C_SIZEOF_PAIR+7);
t5=C_build_rest(&a,c,5,av);
C_word t6;
C_word t7;
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_2250,a[2]=t1,a[3]=t2,a[4]=t3,a[5]=t5,a[6]=t4,tmp=(C_word)a,a+=7,tmp);
/* posix-common.scm:183: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[7]+1));
C_word av2[2];
av2[0]=*((C_word*)lf[7]+1);
av2[1]=t6;
tp(2,av2);}}

/* open-input-pipe in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4238(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(!C_demand(c*C_SIZEOF_PAIR+10)){
C_save_and_reclaim((void*)f_4238,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+10);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
t4=C_i_check_string_2(t2,lf[181]);
t5=C_i_pairp(t3);
t6=(C_truep(t5)?C_slot(t3,C_fix(0)):lf[182]);
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4252,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t8=C_eqp(t6,lf[182]);
if(C_truep(t8)){
t9=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4259,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm:843: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[12]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[12]+1);
av2[1]=t9;
av2[2]=t2;
av2[3]=lf[181];
tp(4,av2);}}
else{
t9=C_eqp(t6,lf[183]);
if(C_truep(t9)){
t10=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4269,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm:844: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[12]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[12]+1);
av2[1]=t10;
av2[2]=t2;
av2[3]=lf[181];
tp(4,av2);}}
else{
/* posixwin.scm:828: ##sys#error */
t10=*((C_word*)lf[53]+1);{
C_word av2[4];
av2[0]=t10;
av2[1]=t7;
av2[2]=lf[184];
av2[3]=t6;
((C_proc)(void*)(*((C_word*)t10+1)))(4,av2);}}}}

/* k4234 in k4222 in check in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4236(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;{}
t2=C_set_file_ptr(t1,((C_word*)t0)[2]);
t3=t1;
t4=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* local-time->seconds in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3552(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word ab[5],*a=ab;
if(c!=3) C_bad_argc_2(c,3,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_3552,3,av);}
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3556,a[2]=t2,a[3]=t1,a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* posix-common.scm:601: check-time-vector */
f_3443(t3,lf[116],t2);}

/* k3554 in local-time->seconds in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3556(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_3556,2,av);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3560,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* posix-common.scm:602: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[76]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[76]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=C_make_character(0);
tp(4,av2);}}

/* k3203 in a3130 in conc-loop in glob in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3205(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;{}
/* posix-common.scm:502: ##sys#glob->regexp */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[96]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[96]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
tp(3,av2);}}

/* k4222 in check in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4224(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_4224,2,av);}
if(C_truep(C_null_pointerp(((C_word*)t0)[2]))){
/* posixwin.scm:832: ##sys#signal-hook */
t2=*((C_word*)lf[3]+1);{
C_word av2[5];
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[10];
av2[3]=lf[179];
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4236,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm:833: ##sys#make-port */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[60]+1));
C_word av2[6];
av2[0]=*((C_word*)lf[60]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=*((C_word*)lf[61]+1);
av2[4]=lf[180];
av2[5]=lf[45];
tp(6,av2);}}}

/* check in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_fcall f_4220(C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim_args((void *)trf_4220,4,t1,t2,t3,t4);}
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_4224,a[2]=t4,a[3]=t1,a[4]=t2,a[5]=t3,tmp=(C_word)a,a+=6,tmp);
/* posixwin.scm:830: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[7]+1));
C_word av2[2];
av2[0]=*((C_word*)lf[7]+1);
av2[1]=t5;
tp(2,av2);}}

/* k3558 in k3554 in local-time->seconds in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3560(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word ab[9],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_3560,2,av);}
t2=C_a_mktime(&a,2,((C_word*)t0)[2],t1);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3566,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[2],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* posix-common.scm:603: fp= */
t4=*((C_word*)lf[118]+1);{
C_word av2[4];
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[119];
av2[3]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k3564 in k3558 in k3554 in local-time->seconds in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3566(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;{}
if(C_truep(t1)){
/* posix-common.scm:604: ##sys#error */
t2=*((C_word*)lf[53]+1);{
C_word av2[5];
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[116];
av2[3]=lf[117];
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}
else{
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* a3302 in k3284 in k3340 in k3250 in k3241 in loop in k3226 in k3219 in k3216 in k3407 in k3404 in k3401 in k3398 in k3395 in k3392 in find-files in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in ... */
static void C_ccall f_3303(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word ab[8],*a=ab;
if(c!=2) C_bad_argc_2(c,2,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_3303,2,av);}
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_3311,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* posix-common.scm:544: directory */
t3=*((C_word*)lf[28]+1);{
C_word av2[4];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[7];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k3216 in k3407 in k3404 in k3401 in k3398 in k3395 in k3392 in find-files in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_fcall f_3218(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[13],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim_args((void *)trf_3218,2,t0,t1);}
t2=t1;
t3=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_3221,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t2,a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],tmp=(C_word)a,a+=10,tmp);
if(C_truep(C_i_closurep(((C_word*)t0)[9]))){
t4=t3;
f_3221(t4,((C_word*)t0)[9]);}
else{
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3367,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:525: irregex */
t5=*((C_word*)lf[101]+1);{
C_word av2[3];
av2[0]=t5;
av2[1]=t4;
av2[2]=((C_word*)t0)[9];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}}

/* k3313 in k3309 in a3302 in k3284 in k3340 in k3250 in k3241 in loop in k3226 in k3219 in k3216 in k3407 in k3404 in k3401 in k3398 in k3395 in k3392 in find-files in k2563 in k2322 in k2232 in k2229 in ... */
static void C_ccall f_3315(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;{}
/* posix-common.scm:543: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_3230(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5],t1);}

/* k3309 in a3302 in k3284 in k3340 in k3250 in k3241 in loop in k3226 in k3219 in k3216 in k3407 in k3404 in k3401 in k3398 in k3395 in k3392 in find-files in k2563 in k2322 in k2232 in k2229 in k2226 in ... */
static void C_ccall f_3311(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[15],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_3311,2,av);}
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_3315,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
t4=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_3318,a[2]=((C_word*)t0)[5],a[3]=t3,a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[2],a[7]=((C_word*)t0)[3],a[8]=t2,tmp=(C_word)a,a+=9,tmp);
/* posix-common.scm:545: pproc */
t5=((C_word*)t0)[7];{
C_word av2[3];
av2[0]=t5;
av2[1]=t4;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k3020 in loop in k2992 in k2988 in k2985 in k2982 in k2967 in directory in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3022(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_3022,2,av);}
t2=t1;
t3=C_i_string_ref(t2,C_fix(0));
t4=C_fixnum_greaterp(((C_word*)t0)[2],C_fix(1));
t5=(C_truep(t4)?C_subchar(t2,C_fix(1)):C_SCHEME_FALSE);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3034,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t7=C_eqp(C_make_character(46),t3);
if(C_truep(t7)){
t8=C_i_not(t5);
if(C_truep(t8)){
t9=t6;
f_3034(t9,t8);}
else{
t9=C_eqp(C_make_character(46),t5);
if(C_truep(t9)){
t10=C_eqp(C_fix(2),((C_word*)t0)[2]);
t11=t6;
f_3034(t11,(C_truep(t10)?t10:C_i_not(((C_word*)t0)[5])));}
else{
t10=t6;
f_3034(t10,C_i_not(((C_word*)t0)[5]));}}}
else{
t8=t6;
f_3034(t8,C_SCHEME_FALSE);}}

/* k3316 in k3309 in a3302 in k3284 in k3340 in k3250 in k3241 in loop in k3226 in k3219 in k3216 in k3407 in k3404 in k3401 in k3398 in k3395 in k3392 in find-files in k2563 in k2322 in k2232 in k2229 in ... */
static void C_ccall f_3318(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;{}
if(C_truep(t1)){
/* posix-common.scm:545: action */
t2=((C_word*)t0)[2];{
C_word av2[4];
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=((C_word*)t0)[5];
((C_proc)C_fast_retrieve_proc(t2))(4,av2);}}
else{
t2=((C_word*)t0)[5];
/* posix-common.scm:543: loop */
t3=((C_word*)((C_word*)t0)[6])[1];
f_3230(t3,((C_word*)t0)[7],((C_word*)t0)[4],((C_word*)t0)[8],t2);}}

/* a3322 in k3284 in k3340 in k3250 in k3241 in loop in k3226 in k3219 in k3216 in k3407 in k3404 in k3401 in k3398 in k3395 in k3392 in find-files in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in ... */
static void C_ccall f_3323(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_3323,2,av);}
t2=C_mutate2(((C_word *)((C_word*)t0)[2])+1,((C_word*)((C_word*)t0)[3])[1]);
t3=C_mutate2(((C_word *)((C_word*)t0)[3])+1,((C_word*)((C_word*)t0)[4])[1]);
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k3032 in k3020 in loop in k2992 in k2988 in k2985 in k2982 in k2967 in directory in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_fcall f_3034(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim_args((void *)trf_3034,2,t0,t1);}
if(C_truep(t1)){
/* posix-common.scm:490: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_3008(t2,((C_word*)t0)[3]);}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3044,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* posix-common.scm:491: loop */
t3=((C_word*)((C_word*)t0)[2])[1];
f_3008(t3,t2);}}

/* k3340 in k3250 in k3241 in loop in k3226 in k3219 in k3216 in k3407 in k3404 in k3401 in k3398 in k3395 in k3392 in find-files in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3342(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[16],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_3342,2,av);}
t2=(C_truep(t1)?C_i_not(((C_word*)t0)[2]):C_SCHEME_FALSE);
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_3274,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],tmp=(C_word)a,a+=6,tmp);
t4=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_3277,a[2]=((C_word*)t0)[7],a[3]=t3,a[4]=((C_word*)t0)[8],a[5]=((C_word*)t0)[9],a[6]=((C_word*)t0)[3],a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],a[9]=((C_word*)t0)[6],tmp=(C_word)a,a+=10,tmp);
/* posix-common.scm:538: pproc */
t5=((C_word*)t0)[10];{
C_word av2[3];
av2[0]=t5;
av2[1]=t4;
av2[2]=((C_word*)t0)[8];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|11,a[1]=(C_word)f_3286,a[2]=((C_word*)t0)[11],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[8],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[12],tmp=(C_word)a,a+=12,tmp);
/* posix-common.scm:539: lproc */
t4=((C_word*)t0)[13];{
C_word av2[3];
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[8];
((C_proc)C_fast_retrieve_proc(t4))(3,av2);}}}

/* k4250 in open-input-pipe in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4252(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;{}
/* posixwin.scm:840: check */
f_4220(((C_word*)t0)[3],((C_word*)t0)[4],C_SCHEME_TRUE,t1);}

/* k5380 in process in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5382(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word ab[35],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_5382,2,av);}
t2=t1;
t3=C_a_i_bytevector(&a,1,C_fix(1));
t4=((*(int *)C_data_pointer(t3))=C_unfix(C_fix(-1)),C_SCHEME_UNDEFINED);
t5=C_a_i_bytevector(&a,1,C_fix(1));
t6=((*(int *)C_data_pointer(t5))=C_unfix(C_fix(-1)),C_SCHEME_UNDEFINED);
t7=C_a_i_bytevector(&a,1,C_fix(1));
t8=((*(int *)C_data_pointer(t7))=C_unfix(C_fix(-1)),C_SCHEME_UNDEFINED);
t9=C_a_i_bytevector(&a,1,C_fix(1));
t10=((*(int *)C_data_pointer(t9))=C_unfix(C_fix(-1)),C_SCHEME_UNDEFINED);
t11=(*a=C_CLOSURE_TYPE|11,a[1]=(C_word)f_5389,a[2]=((C_word*)t0)[2],a[3]=t3,a[4]=((C_word*)t0)[3],a[5]=t9,a[6]=((C_word*)t0)[4],a[7]=t5,a[8]=((C_word*)t0)[5],a[9]=t7,a[10]=((C_word*)t0)[6],a[11]=t2,tmp=(C_word)a,a+=12,tmp);
t12=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_5426,a[2]=t11,a[3]=((C_word*)t0)[7],a[4]=t2,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[3],a[8]=t9,a[9]=t7,a[10]=t5,tmp=(C_word)a,a+=11,tmp);
/* posixwin.scm:1282: ##sys#make-locative */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[314]+1));
C_word av2[6];
av2[0]=*((C_word*)lf[314]+1);
av2[1]=t12;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=C_SCHEME_FALSE;
av2[5]=lf[315];
tp(6,av2);}}

/* k5387 in k5380 in process in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5389(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word ab[8],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_5389,2,av);}
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_5399,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
if(C_truep(((C_word*)t0)[8])){
/* posixwin.scm:1287: open-input-file* */
t3=*((C_word*)lf[63]+1);{
C_word av2[3];
av2[0]=t3;
av2[1]=t2;
av2[2]=C_fix((C_word)*((int *)C_data_pointer(((C_word*)t0)[9])));
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
t3=t2;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
f_5399(2,av2);}}}
else{
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_5419,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[10],a[4]=((C_word*)t0)[11],tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm:1292: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[7]+1));
C_word av2[2];
av2[0]=*((C_word*)lf[7]+1);
av2[1]=t2;
tp(2,av2);}}}

/* k3349 in k3250 in k3241 in loop in k3226 in k3219 in k3216 in k3407 in k3404 in k3401 in k3398 in k3395 in k3392 in find-files in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3351(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_3351,2,av);}
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_3358,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* posix-common.scm:547: action */
t3=((C_word*)t0)[6];{
C_word av2[4];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[7];
av2[3]=((C_word*)t0)[8];
((C_proc)C_fast_retrieve_proc(t3))(4,av2);}}
else{
/* posix-common.scm:548: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_3230(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5],((C_word*)t0)[8]);}}

/* k3356 in k3349 in k3250 in k3241 in loop in k3226 in k3219 in k3216 in k3407 in k3404 in k3401 in k3398 in k3395 in k3392 in find-files in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 in ... */
static void C_ccall f_3358(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;{}
/* posix-common.scm:547: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_3230(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5],t1);}

/* k5015 in setenv in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5017(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;{}
t2=C_i_foreign_fixnum_argumentp(((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t3;
av2[1]=stub1138(C_SCHEME_UNDEFINED,((C_word*)t0)[4],t1,t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k5397 in k5387 in k5380 in process in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5399(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word ab[7],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_5399,2,av);}
t2=t1;
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_5403,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
if(C_truep(((C_word*)t0)[6])){
/* posixwin.scm:1288: open-output-file* */
t4=*((C_word*)lf[64]+1);{
C_word av2[3];
av2[0]=t4;
av2[1]=t3;
av2[2]=C_fix((C_word)*((int *)C_data_pointer(((C_word*)t0)[7])));
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}
else{
t4=t3;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
f_5403(2,av2);}}}

/* k3365 in k3216 in k3407 in k3404 in k3401 in k3398 in k3395 in k3392 in find-files in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3367(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_3367,2,av);}
t2=t1;
t3=((C_word*)t0)[2];
f_3221(t3,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3368,a[2]=t2,a[3]=((C_word)li44),tmp=(C_word)a,a+=4,tmp));}

/* f_3368 in k3365 in k3216 in k3407 in k3404 in k3401 in k3398 in k3395 in k3392 in find-files in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3368(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_3368,3,av);}
/* posix-common.scm:526: irregex-match */
t3=*((C_word*)lf[94]+1);{
C_word av2[4];
av2[0]=t3;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* build-exec-argvec in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_fcall f_5029(C_word t1,C_word t2,C_word t3,C_word t4,C_word t5){
C_word tmp;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word ab[8],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim_args((void *)trf_5029,5,t1,t2,t3,t4,t5);}
if(C_truep(t3)){
t6=C_i_check_list_2(t3,t2);
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_5041,a[2]=t4,a[3]=t2,a[4]=t8,a[5]=((C_word)li124),tmp=(C_word)a,a+=6,tmp));
t10=((C_word*)t8)[1];
f_5041(t10,t1,t3,t5);}
else{
/* posixwin.scm:1202: argvec-setter */
t6=t4;{
C_word av2[5];
av2[0]=t6;
av2[1]=t1;
av2[2]=t5;
av2[3]=C_SCHEME_FALSE;
av2[4]=C_fix(0);
((C_proc)C_fast_retrieve_proc(t6))(5,av2);}}}

/* loop in k2992 in k2988 in k2985 in k2982 in k2967 in directory in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_fcall f_3008(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim_args((void *)trf_3008,2,t0,t1);}
t2=C_readdir(((C_word*)t0)[2],((C_word*)t0)[3]);
if(C_truep(C_null_pointerp(((C_word*)t0)[3]))){
t3=C_closedir(((C_word*)t0)[2]);
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_block_size(((C_word*)t0)[4]);
t4=C_foundfile(((C_word*)t0)[3],((C_word*)t0)[4],t3);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_3022,a[2]=t4,a[3]=((C_word*)t0)[5],a[4]=t1,a[5]=((C_word*)t0)[6],tmp=(C_word)a,a+=6,tmp);
/* posix-common.scm:483: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[74]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[74]+1);
av2[1]=t5;
av2[2]=((C_word*)t0)[4];
av2[3]=C_fix(0);
av2[4]=t4;
tp(5,av2);}}}

/* ##sys#process in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5375(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6=av[6];
C_word t7=av[7];
C_word t8=av[8];
C_word t9;
C_word *a;
if(c<9) C_bad_min_argc_2(c,9,t0);
if(!C_demand(c*C_SIZEOF_PAIR+14)){
C_save_and_reclaim((void*)f_5375,c,av);}
a=C_alloc((c-9)*C_SIZEOF_PAIR+14);
t9=C_build_rest(&a,c,9,av);
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
t10=C_i_nullp(t9);
t11=(C_truep(t10)?C_SCHEME_FALSE:C_i_car(t9));
t12=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_5382,a[2]=t1,a[3]=t8,a[4]=t7,a[5]=t6,a[6]=t2,a[7]=t3,tmp=(C_word)a,a+=8,tmp);
t13=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5458,a[2]=t12,tmp=(C_word)a,a+=3,tmp);
t14=C_a_i_cons(&a,2,t3,t4);
/* posixwin.scm:1277: $quote-args-list */
f_4910(t13,t14,t11);}

/* close-output-pipe in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4336(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word ab[5],*a=ab;
if(c!=3) C_bad_argc_2(c,3,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_4336,3,av);}
t3=t2;
t4=C_i_check_port_2(t3,C_SCHEME_FALSE,C_SCHEME_TRUE,lf[188]);
t5=close_pipe(t2);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4343,a[2]=t1,a[3]=t5,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm:868: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[7]+1));
C_word av2[2];
av2[0]=*((C_word*)lf[7]+1);
av2[1]=t6;
tp(2,av2);}}

/* k3485 in seconds->utc-time in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3487(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;{}
t2=C_i_check_number_2(t1,lf[113]);
/* posix-common.scm:587: ##sys#decode-seconds */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[111]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[111]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_SCHEME_TRUE;
tp(4,av2);}}

/* seconds->utc-time in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3483(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(!C_demand(c*C_SIZEOF_PAIR+3)){
C_save_and_reclaim((void*)f_3483,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+3);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3487,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_nullp(t2))){
/* posix-common.scm:585: current-seconds */
t4=*((C_word*)lf[112]+1);{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_i_car(t2);
t5=C_i_check_number_2(t4,lf[113]);
/* posix-common.scm:587: ##sys#decode-seconds */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[111]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[111]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=C_SCHEME_TRUE;
tp(4,av2);}}}

/* k4326 in k4323 in close-input-pipe in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4328(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;{}
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k4323 in close-input-pipe in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4325(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_4325,2,av);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4328,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=C_eqp(C_fix(-1),((C_word*)t0)[3]);
if(C_truep(t3)){
/* posixwin.scm:862: ##sys#signal-hook */
t4=*((C_word*)lf[3]+1);{
C_word av2[6];
av2[0]=t4;
av2[1]=t2;
av2[2]=lf[10];
av2[3]=lf[186];
av2[4]=lf[187];
av2[5]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t4+1)))(6,av2);}}
else{
t4=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t4;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* toplevel */
static C_TLS int toplevel_initialized=0;

void C_ccall C_posix_toplevel(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(toplevel_initialized) {C_kontinue(t1,C_SCHEME_UNDEFINED);}
else C_toplevel_entry(C_text("posix_toplevel"));
C_check_nursery_minimum(3);
if(!C_demand(3)){
C_save_and_reclaim((void*)C_posix_toplevel,c,av);}
toplevel_initialized=1;
if(!C_demand_2(3114)){
C_save(t1);
C_rereclaim2(3114*sizeof(C_word),1);
t1=C_restore;}
a=C_alloc(3);
C_initialize_lf(lf,402);
lf[1]=C_decode_literal(C_heaptop,"\376B\000\000/this function is not available on this platform");
lf[3]=C_h_intern(&lf[3],15,"\003syssignal-hook");
lf[4]=C_h_intern(&lf[4],13,"string-append");
lf[5]=C_decode_literal(C_heaptop,"\376B\000\000\003 - ");
lf[6]=C_h_intern(&lf[6],17,"\003syspeek-c-string");
lf[7]=C_h_intern(&lf[7],16,"\003sysupdate-errno");
lf[8]=C_h_intern(&lf[8],15,"\003sysposix-error");
lf[10]=C_h_intern(&lf[10],11,"\000file-error");
lf[11]=C_decode_literal(C_heaptop,"\376B\000\000\022cannot access file");
lf[12]=C_h_intern(&lf[12],17,"\003sysmake-c-string");
lf[13]=C_h_intern(&lf[13],27,"\003sysplatform-fixup-pathname");
lf[14]=C_h_intern(&lf[14],11,"\000type-error");
lf[15]=C_decode_literal(C_heaptop,"\376B\000\000\052bad argument type - not a fixnum or string");
lf[16]=C_h_intern(&lf[16],9,"file-stat");
lf[17]=C_h_intern(&lf[17],16,"_stat_st_blksize");
lf[18]=C_h_intern(&lf[18],15,"_stat_st_blocks");
lf[19]=C_h_intern(&lf[19],22,"file-modification-time");
lf[20]=C_h_intern(&lf[20],16,"file-access-time");
lf[21]=C_h_intern(&lf[21],16,"file-change-time");
lf[22]=C_h_intern(&lf[22],10,"file-owner");
lf[23]=C_h_intern(&lf[23],16,"file-permissions");
lf[24]=C_h_intern(&lf[24],9,"file-size");
lf[25]=C_h_intern(&lf[25],9,"file-type");
lf[26]=C_h_intern(&lf[26],12,"regular-file");
lf[27]=C_h_intern(&lf[27],13,"symbolic-link");
lf[28]=C_h_intern(&lf[28],9,"directory");
lf[29]=C_h_intern(&lf[29],16,"character-device");
lf[30]=C_h_intern(&lf[30],12,"block-device");
lf[31]=C_h_intern(&lf[31],4,"fifo");
lf[32]=C_h_intern(&lf[32],6,"socket");
lf[33]=C_h_intern(&lf[33],13,"regular-file\077");
lf[34]=C_h_intern(&lf[34],14,"symbolic-link\077");
lf[35]=C_h_intern(&lf[35],13,"block-device\077");
lf[36]=C_h_intern(&lf[36],17,"character-device\077");
lf[37]=C_h_intern(&lf[37],5,"fifo\077");
lf[38]=C_h_intern(&lf[38],7,"socket\077");
lf[39]=C_h_intern(&lf[39],10,"directory\077");
lf[40]=C_h_intern(&lf[40],8,"seek/set");
lf[41]=C_h_intern(&lf[41],8,"seek/end");
lf[42]=C_h_intern(&lf[42],8,"seek/cur");
lf[43]=C_h_intern(&lf[43],18,"set-file-position!");
lf[44]=C_decode_literal(C_heaptop,"\376B\000\000\030cannot set file position");
lf[45]=C_h_intern(&lf[45],6,"stream");
lf[46]=C_decode_literal(C_heaptop,"\376B\000\000\014invalid file");
lf[47]=C_h_intern(&lf[47],5,"port\077");
lf[48]=C_h_intern(&lf[48],13,"file-position");
lf[49]=C_h_intern(&lf[49],12,"fileno/stdin");
lf[50]=C_h_intern(&lf[50],13,"fileno/stdout");
lf[51]=C_h_intern(&lf[51],13,"fileno/stderr");
lf[52]=C_h_intern(&lf[52],7,"\000append");
lf[53]=C_h_intern(&lf[53],9,"\003syserror");
lf[54]=C_decode_literal(C_heaptop,"\376B\000\000\033invalid mode for input file");
lf[55]=C_decode_literal(C_heaptop,"\376B\000\000\001a");
lf[56]=C_decode_literal(C_heaptop,"\376B\000\000\025invalid mode argument");
lf[57]=C_decode_literal(C_heaptop,"\376B\000\000\001r");
lf[58]=C_decode_literal(C_heaptop,"\376B\000\000\001w");
lf[59]=C_decode_literal(C_heaptop,"\376B\000\000\020cannot open file");
lf[60]=C_h_intern(&lf[60],13,"\003sysmake-port");
lf[61]=C_h_intern(&lf[61],21,"\003sysstream-port-class");
lf[62]=C_decode_literal(C_heaptop,"\376B\000\000\010(fdport)");
lf[63]=C_h_intern(&lf[63],16,"open-input-file\052");
lf[64]=C_h_intern(&lf[64],17,"open-output-file\052");
lf[65]=C_h_intern(&lf[65],12,"port->fileno");
lf[66]=C_h_intern(&lf[66],13,"\003sysport-data");
lf[67]=C_decode_literal(C_heaptop,"\376B\000\000\031port has no attached file");
lf[68]=C_decode_literal(C_heaptop,"\376B\000\000%cannot access file-descriptor of port");
lf[69]=C_h_intern(&lf[69],25,"\003syspeek-unsigned-integer");
lf[70]=C_h_intern(&lf[70],16,"duplicate-fileno");
lf[71]=C_decode_literal(C_heaptop,"\376B\000\000 cannot duplicate file-descriptor");
lf[72]=C_h_intern(&lf[72],17,"current-directory");
lf[73]=C_h_intern(&lf[73],16,"change-directory");
lf[74]=C_h_intern(&lf[74],13,"\003syssubstring");
lf[75]=C_decode_literal(C_heaptop,"\376B\000\000!cannot retrieve current directory");
lf[76]=C_h_intern(&lf[76],15,"\003sysmake-string");
lf[77]=C_h_intern(&lf[77],16,"delete-directory");
lf[78]=C_decode_literal(C_heaptop,"\376B\000\000\027cannot delete directory");
lf[79]=C_h_intern(&lf[79],11,"delete-file");
lf[80]=C_h_intern(&lf[80],8,"for-each");
lf[81]=C_h_intern(&lf[81],10,"find-files");
lf[82]=C_h_intern(&lf[82],9,"\000dotfiles");
lf[83]=C_h_intern(&lf[83],16,"\000follow-symlinks");
lf[84]=C_h_intern(&lf[84],16,"create-directory");
lf[85]=C_decode_literal(C_heaptop,"\376B\000\000\027cannot create directory");
lf[86]=C_h_intern(&lf[86],18,"pathname-directory");
lf[87]=C_h_intern(&lf[87],18,"decompose-pathname");
lf[88]=C_h_intern(&lf[88],13,"make-pathname");
lf[89]=C_h_intern(&lf[89],12,"file-exists\077");
lf[90]=C_decode_literal(C_heaptop,"\376B\000\000\025cannot open directory");
lf[91]=C_h_intern(&lf[91],16,"\003sysmake-pointer");
lf[92]=C_h_intern(&lf[92],4,"glob");
lf[93]=C_h_intern(&lf[93],23,"irregex-match-substring");
lf[94]=C_h_intern(&lf[94],13,"irregex-match");
lf[95]=C_decode_literal(C_heaptop,"\376B\000\000\001.");
lf[96]=C_h_intern(&lf[96],16,"\003sysglob->regexp");
lf[97]=C_decode_literal(C_heaptop,"\376B\000\000\001\052");
lf[98]=C_decode_literal(C_heaptop,"\376B\000\000\001.");
lf[99]=C_decode_literal(C_heaptop,"\376B\000\000\002..");
lf[100]=C_h_intern(&lf[100],16,"\003sysdynamic-wind");
lf[101]=C_h_intern(&lf[101],7,"irregex");
lf[102]=C_h_intern(&lf[102],15,"\003sysget-keyword");
lf[103]=C_h_intern(&lf[103],6,"\000limit");
lf[104]=C_h_intern(&lf[104],5,"\000seed");
lf[105]=C_h_intern(&lf[105],7,"\000action");
lf[106]=C_h_intern(&lf[106],5,"\000test");
lf[107]=C_h_intern(&lf[107],18,"file-creation-mode");
lf[109]=C_decode_literal(C_heaptop,"\376B\000\000\025time vector too short");
lf[110]=C_h_intern(&lf[110],19,"seconds->local-time");
lf[111]=C_h_intern(&lf[111],18,"\003sysdecode-seconds");
lf[112]=C_h_intern(&lf[112],15,"current-seconds");
lf[113]=C_h_intern(&lf[113],17,"seconds->utc-time");
lf[114]=C_h_intern(&lf[114],15,"seconds->string");
lf[115]=C_decode_literal(C_heaptop,"\376B\000\000 cannot convert seconds to string");
lf[116]=C_h_intern(&lf[116],19,"local-time->seconds");
lf[117]=C_decode_literal(C_heaptop,"\376B\000\000%cannot convert time vector to seconds");
lf[118]=C_h_intern(&lf[118],3,"fp=");
lf[119]=C_decode_literal(C_heaptop,"\376U-1.0\000");
lf[120]=C_h_intern(&lf[120],12,"time->string");
lf[121]=C_decode_literal(C_heaptop,"\376B\000\000 time formatting overflows buffer");
lf[122]=C_decode_literal(C_heaptop,"\376B\000\000$cannot convert time vector to string");
lf[123]=C_h_intern(&lf[123],6,"setenv");
lf[124]=C_h_intern(&lf[124],8,"unsetenv");
lf[125]=C_h_intern(&lf[125],25,"get-environment-variables");
lf[126]=C_h_intern(&lf[126],19,"set-signal-handler!");
lf[127]=C_h_intern(&lf[127],17,"\003syssignal-vector");
lf[128]=C_h_intern(&lf[128],14,"signal-handler");
lf[129]=C_h_intern(&lf[129],18,"current-process-id");
lf[130]=C_h_intern(&lf[130],12,"process-wait");
lf[131]=C_h_intern(&lf[131],16,"\003sysprocess-wait");
lf[132]=C_h_intern(&lf[132],14,"\000process-error");
lf[133]=C_decode_literal(C_heaptop,"\376B\000\000 waiting for child process failed");
lf[134]=C_h_intern(&lf[134],8,"pipe/buf");
lf[135]=C_h_intern(&lf[135],11,"open/rdonly");
lf[136]=C_h_intern(&lf[136],11,"open/wronly");
lf[137]=C_h_intern(&lf[137],9,"open/rdwr");
lf[138]=C_h_intern(&lf[138],9,"open/read");
lf[139]=C_h_intern(&lf[139],10,"open/write");
lf[140]=C_h_intern(&lf[140],10,"open/creat");
lf[141]=C_h_intern(&lf[141],11,"open/append");
lf[142]=C_h_intern(&lf[142],9,"open/excl");
lf[143]=C_h_intern(&lf[143],10,"open/trunc");
lf[144]=C_h_intern(&lf[144],11,"open/binary");
lf[145]=C_h_intern(&lf[145],9,"open/text");
lf[146]=C_h_intern(&lf[146],14,"open/noinherit");
lf[147]=C_h_intern(&lf[147],10,"perm/irusr");
lf[148]=C_h_intern(&lf[148],10,"perm/iwusr");
lf[149]=C_h_intern(&lf[149],10,"perm/ixusr");
lf[150]=C_h_intern(&lf[150],10,"perm/irgrp");
lf[151]=C_h_intern(&lf[151],10,"perm/iwgrp");
lf[152]=C_h_intern(&lf[152],10,"perm/ixgrp");
lf[153]=C_h_intern(&lf[153],10,"perm/iroth");
lf[154]=C_h_intern(&lf[154],10,"perm/iwoth");
lf[155]=C_h_intern(&lf[155],10,"perm/ixoth");
lf[156]=C_h_intern(&lf[156],10,"perm/irwxu");
lf[157]=C_h_intern(&lf[157],10,"perm/irwxg");
lf[158]=C_h_intern(&lf[158],10,"perm/irwxo");
lf[159]=C_h_intern(&lf[159],9,"file-open");
lf[160]=C_decode_literal(C_heaptop,"\376B\000\000\020cannot open file");
lf[161]=C_h_intern(&lf[161],10,"file-close");
lf[162]=C_decode_literal(C_heaptop,"\376B\000\000\021cannot close file");
lf[163]=C_h_intern(&lf[163],9,"file-read");
lf[164]=C_decode_literal(C_heaptop,"\376B\000\000\025cannot read from file");
lf[165]=C_decode_literal(C_heaptop,"\376B\000\000(bad argument type - not a string or blob");
lf[166]=C_h_intern(&lf[166],10,"file-write");
lf[167]=C_decode_literal(C_heaptop,"\376B\000\000\024cannot write to file");
lf[168]=C_decode_literal(C_heaptop,"\376B\000\000(bad argument type - not a string or blob");
lf[169]=C_h_intern(&lf[169],12,"file-mkstemp");
lf[170]=C_decode_literal(C_heaptop,"\376B\000\000$0123456789abcdefghijklmnopqrstuvwxyz");
lf[171]=C_decode_literal(C_heaptop,"\376B\000\000\034cannot create temporary file");
lf[172]=C_h_intern(&lf[172],6,"random");
lf[173]=C_decode_literal(C_heaptop,"\376B\000\000\020invalid template");
lf[174]=C_decode_literal(C_heaptop,"\376B\000\000\026non-existent directory");
lf[175]=C_h_intern(&lf[175],17,"directory-exists\077");
lf[176]=C_decode_literal(C_heaptop,"\376B\000\000\001.");
lf[177]=C_h_intern(&lf[177],11,"string-copy");
lf[178]=C_decode_literal(C_heaptop,"\376B\000\000\037cannot change current directory");
lf[179]=C_decode_literal(C_heaptop,"\376B\000\000\020cannot open pipe");
lf[180]=C_decode_literal(C_heaptop,"\376B\000\000\006(pipe)");
lf[181]=C_h_intern(&lf[181],15,"open-input-pipe");
lf[182]=C_h_intern(&lf[182],5,"\000text");
lf[183]=C_h_intern(&lf[183],7,"\000binary");
lf[184]=C_decode_literal(C_heaptop,"\376B\000\000#illegal input/output mode specifier");
lf[185]=C_h_intern(&lf[185],16,"open-output-pipe");
lf[186]=C_h_intern(&lf[186],16,"close-input-pipe");
lf[187]=C_decode_literal(C_heaptop,"\376B\000\000\030error while closing pipe");
lf[188]=C_h_intern(&lf[188],17,"close-output-pipe");
lf[189]=C_decode_literal(C_heaptop,"\376B\000\000\030error while closing pipe");
lf[190]=C_h_intern(&lf[190],20,"call-with-input-pipe");
lf[191]=C_h_intern(&lf[191],21,"call-with-output-pipe");
lf[192]=C_h_intern(&lf[192],20,"with-input-from-pipe");
lf[193]=C_h_intern(&lf[193],18,"\003sysstandard-input");
lf[194]=C_h_intern(&lf[194],19,"with-output-to-pipe");
lf[195]=C_h_intern(&lf[195],19,"\003sysstandard-output");
lf[196]=C_h_intern(&lf[196],11,"create-pipe");
lf[197]=C_decode_literal(C_heaptop,"\376B\000\000\022cannot create pipe");
lf[198]=C_h_intern(&lf[198],11,"signal/term");
lf[199]=C_h_intern(&lf[199],10,"signal/int");
lf[200]=C_h_intern(&lf[200],10,"signal/fpe");
lf[201]=C_h_intern(&lf[201],10,"signal/ill");
lf[202]=C_h_intern(&lf[202],11,"signal/segv");
lf[203]=C_h_intern(&lf[203],11,"signal/abrt");
lf[204]=C_h_intern(&lf[204],12,"signal/break");
lf[205]=C_h_intern(&lf[205],11,"signal/alrm");
lf[206]=C_h_intern(&lf[206],11,"signal/chld");
lf[207]=C_h_intern(&lf[207],11,"signal/cont");
lf[208]=C_h_intern(&lf[208],10,"signal/hup");
lf[209]=C_h_intern(&lf[209],9,"signal/io");
lf[210]=C_h_intern(&lf[210],11,"signal/kill");
lf[211]=C_h_intern(&lf[211],11,"signal/pipe");
lf[212]=C_h_intern(&lf[212],11,"signal/prof");
lf[213]=C_h_intern(&lf[213],11,"signal/quit");
lf[214]=C_h_intern(&lf[214],11,"signal/stop");
lf[215]=C_h_intern(&lf[215],11,"signal/trap");
lf[216]=C_h_intern(&lf[216],11,"signal/tstp");
lf[217]=C_h_intern(&lf[217],10,"signal/urg");
lf[218]=C_h_intern(&lf[218],11,"signal/usr1");
lf[219]=C_h_intern(&lf[219],11,"signal/usr2");
lf[220]=C_h_intern(&lf[220],13,"signal/vtalrm");
lf[221]=C_h_intern(&lf[221],12,"signal/winch");
lf[222]=C_h_intern(&lf[222],11,"signal/xcpu");
lf[223]=C_h_intern(&lf[223],11,"signal/xfsz");
lf[224]=C_h_intern(&lf[224],12,"signals-list");
lf[225]=C_h_intern(&lf[225],10,"errno/perm");
lf[226]=C_h_intern(&lf[226],11,"errno/noent");
lf[227]=C_h_intern(&lf[227],10,"errno/srch");
lf[228]=C_h_intern(&lf[228],10,"errno/intr");
lf[229]=C_h_intern(&lf[229],8,"errno/io");
lf[230]=C_h_intern(&lf[230],12,"errno/noexec");
lf[231]=C_h_intern(&lf[231],10,"errno/badf");
lf[232]=C_h_intern(&lf[232],11,"errno/child");
lf[233]=C_h_intern(&lf[233],11,"errno/nomem");
lf[234]=C_h_intern(&lf[234],11,"errno/acces");
lf[235]=C_h_intern(&lf[235],11,"errno/fault");
lf[236]=C_h_intern(&lf[236],10,"errno/busy");
lf[237]=C_h_intern(&lf[237],11,"errno/exist");
lf[238]=C_h_intern(&lf[238],12,"errno/notdir");
lf[239]=C_h_intern(&lf[239],11,"errno/isdir");
lf[240]=C_h_intern(&lf[240],11,"errno/inval");
lf[241]=C_h_intern(&lf[241],11,"errno/mfile");
lf[242]=C_h_intern(&lf[242],11,"errno/nospc");
lf[243]=C_h_intern(&lf[243],11,"errno/spipe");
lf[244]=C_h_intern(&lf[244],10,"errno/pipe");
lf[245]=C_h_intern(&lf[245],11,"errno/again");
lf[246]=C_h_intern(&lf[246],10,"errno/rofs");
lf[247]=C_h_intern(&lf[247],10,"errno/nxio");
lf[248]=C_h_intern(&lf[248],10,"errno/2big");
lf[249]=C_h_intern(&lf[249],10,"errno/xdev");
lf[250]=C_h_intern(&lf[250],11,"errno/nodev");
lf[251]=C_h_intern(&lf[251],11,"errno/nfile");
lf[252]=C_h_intern(&lf[252],11,"errno/notty");
lf[253]=C_h_intern(&lf[253],10,"errno/fbig");
lf[254]=C_h_intern(&lf[254],11,"errno/mlink");
lf[255]=C_h_intern(&lf[255],9,"errno/dom");
lf[256]=C_h_intern(&lf[256],11,"errno/range");
lf[257]=C_h_intern(&lf[257],12,"errno/deadlk");
lf[258]=C_h_intern(&lf[258],17,"errno/nametoolong");
lf[259]=C_h_intern(&lf[259],11,"errno/nolck");
lf[260]=C_h_intern(&lf[260],11,"errno/nosys");
lf[261]=C_h_intern(&lf[261],14,"errno/notempty");
lf[262]=C_h_intern(&lf[262],11,"errno/ilseq");
lf[263]=C_h_intern(&lf[263],16,"change-file-mode");
lf[264]=C_decode_literal(C_heaptop,"\376B\000\000\027cannot change file mode");
lf[265]=C_h_intern(&lf[265],17,"file-read-access\077");
lf[266]=C_h_intern(&lf[266],18,"file-write-access\077");
lf[267]=C_h_intern(&lf[267],20,"file-execute-access\077");
lf[268]=C_decode_literal(C_heaptop,"\376B\000\000\033invalid mode for input file");
lf[269]=C_decode_literal(C_heaptop,"\376B\000\000\001a");
lf[270]=C_decode_literal(C_heaptop,"\376B\000\000\025invalid mode argument");
lf[271]=C_decode_literal(C_heaptop,"\376B\000\000\001r");
lf[272]=C_decode_literal(C_heaptop,"\376B\000\000\001w");
lf[273]=C_decode_literal(C_heaptop,"\376B\000\000\020cannot open file");
lf[274]=C_decode_literal(C_heaptop,"\376B\000\000\010(fdport)");
lf[275]=C_decode_literal(C_heaptop,"\376B\000\000\031port has no attached file");
lf[276]=C_decode_literal(C_heaptop,"\376B\000\000%cannot access file-descriptor of port");
lf[277]=C_decode_literal(C_heaptop,"\376B\000\000 cannot duplicate file descriptor");
lf[278]=C_h_intern(&lf[278],27,"local-timezone-abbreviation");
lf[279]=C_h_intern(&lf[279],5,"_exit");
lf[280]=C_h_intern(&lf[280],14,"terminal-port\077");
lf[281]=C_h_intern(&lf[281],13,"terminal-size");
lf[282]=C_decode_literal(C_heaptop,"\376B\000\000#port is not connected to a terminal");
lf[283]=C_h_intern(&lf[283],19,"set-buffering-mode!");
lf[284]=C_decode_literal(C_heaptop,"\376B\000\000\031cannot set buffering mode");
lf[285]=C_h_intern(&lf[285],5,"\000full");
lf[286]=C_h_intern(&lf[286],5,"\000line");
lf[287]=C_h_intern(&lf[287],5,"\000none");
lf[288]=C_decode_literal(C_heaptop,"\376B\000\000\026invalid buffering-mode");
lf[289]=C_h_intern(&lf[289],13,"spawn/overlay");
lf[290]=C_h_intern(&lf[290],10,"spawn/wait");
lf[291]=C_h_intern(&lf[291],12,"spawn/nowait");
lf[292]=C_h_intern(&lf[292],13,"spawn/nowaito");
lf[293]=C_h_intern(&lf[293],12,"spawn/detach");
lf[295]=C_h_intern(&lf[295],16,"\003sysfast-reverse");
lf[296]=C_decode_literal(C_heaptop,"\376B\000\000\001\042");
lf[297]=C_decode_literal(C_heaptop,"\376B\000\000\001\042");
lf[299]=C_h_intern(&lf[299],24,"pathname-strip-directory");
lf[301]=C_h_intern(&lf[301],15,"process-execute");
lf[302]=C_decode_literal(C_heaptop,"\376B\000\000\026cannot execute process");
lf[303]=C_h_intern(&lf[303],13,"process-spawn");
lf[304]=C_decode_literal(C_heaptop,"\376B\000\000\024cannot spawn process");
lf[305]=C_h_intern(&lf[305],17,"\003sysshell-command");
lf[306]=C_decode_literal(C_heaptop,"\376B\000\000 cannot retrieve system directory");
lf[307]=C_h_intern(&lf[307],24,"get-environment-variable");
lf[308]=C_decode_literal(C_heaptop,"\376B\000\000\007COMSPEC");
lf[309]=C_h_intern(&lf[309],27,"\003sysshell-command-arguments");
lf[310]=C_decode_literal(C_heaptop,"\376B\000\000\002/c");
lf[311]=C_h_intern(&lf[311],11,"process-run");
lf[312]=C_h_intern(&lf[312],11,"\003sysprocess");
lf[313]=C_decode_literal(C_heaptop,"\376B\000\000\026cannot execute process");
lf[314]=C_h_intern(&lf[314],17,"\003sysmake-locative");
lf[315]=C_h_intern(&lf[315],8,"location");
lf[316]=C_h_intern(&lf[316],18,"string-intersperse");
lf[317]=C_h_intern(&lf[317],7,"process");
lf[318]=C_h_intern(&lf[318],8,"process\052");
lf[319]=C_h_intern(&lf[319],5,"sleep");
lf[320]=C_h_intern(&lf[320],13,"get-host-name");
lf[321]=C_decode_literal(C_heaptop,"\376B\000\000\031cannot retrieve host-name");
lf[322]=C_h_intern(&lf[322],18,"system-information");
lf[323]=C_decode_literal(C_heaptop,"\376B\000\000\007windows");
lf[324]=C_decode_literal(C_heaptop,"\376B\000\000\042cannot retrieve system-information");
lf[325]=C_h_intern(&lf[325],17,"current-user-name");
lf[326]=C_decode_literal(C_heaptop,"\376B\000\000!cannot retrieve current user-name");
lf[327]=C_h_intern(&lf[327],9,"prot/none");
lf[328]=C_h_intern(&lf[328],9,"prot/read");
lf[329]=C_h_intern(&lf[329],10,"prot/write");
lf[330]=C_h_intern(&lf[330],9,"prot/exec");
lf[331]=C_h_intern(&lf[331],8,"map/file");
lf[332]=C_h_intern(&lf[332],10,"map/shared");
lf[333]=C_h_intern(&lf[333],11,"map/private");
lf[334]=C_h_intern(&lf[334],9,"map/fixed");
lf[335]=C_h_intern(&lf[335],13,"map/anonymous");
lf[336]=C_h_intern(&lf[336],18,"map-file-to-memory");
lf[337]=C_h_intern(&lf[337],4,"mmap");
lf[338]=C_decode_literal(C_heaptop,"\376B\000\000\031cannot map file to memory");
lf[339]=C_decode_literal(C_heaptop,"\376B\000\000)bad argument type - not a foreign pointer");
lf[340]=C_h_intern(&lf[340],16,"\003sysnull-pointer");
lf[341]=C_h_intern(&lf[341],22,"unmap-file-from-memory");
lf[342]=C_decode_literal(C_heaptop,"\376B\000\000\035cannot unmap file from memory");
lf[343]=C_h_intern(&lf[343],26,"memory-mapped-file-pointer");
lf[344]=C_h_intern(&lf[344],19,"memory-mapped-file\077");
lf[345]=C_h_intern(&lf[345],17,"change-directory\052");
lf[346]=C_h_intern(&lf[346],5,"error");
lf[347]=C_h_intern(&lf[347],17,"change-file-owner");
lf[348]=C_h_intern(&lf[348],11,"create-fifo");
lf[349]=C_h_intern(&lf[349],14,"create-session");
lf[350]=C_h_intern(&lf[350],20,"create-symbolic-link");
lf[351]=C_h_intern(&lf[351],26,"current-effective-group-id");
lf[352]=C_h_intern(&lf[352],25,"current-effective-user-id");
lf[353]=C_h_intern(&lf[353],27,"current-effective-user-name");
lf[354]=C_h_intern(&lf[354],16,"current-group-id");
lf[355]=C_h_intern(&lf[355],15,"current-user-id");
lf[356]=C_h_intern(&lf[356],9,"file-link");
lf[357]=C_h_intern(&lf[357],9,"file-lock");
lf[358]=C_h_intern(&lf[358],18,"file-lock/blocking");
lf[359]=C_h_intern(&lf[359],11,"file-select");
lf[360]=C_h_intern(&lf[360],14,"file-test-lock");
lf[361]=C_h_intern(&lf[361],13,"file-truncate");
lf[362]=C_h_intern(&lf[362],11,"file-unlock");
lf[363]=C_h_intern(&lf[363],10,"get-groups");
lf[364]=C_h_intern(&lf[364],17,"group-information");
lf[365]=C_h_intern(&lf[365],17,"initialize-groups");
lf[366]=C_h_intern(&lf[366],17,"parent-process-id");
lf[367]=C_h_intern(&lf[367],12,"process-fork");
lf[368]=C_h_intern(&lf[368],16,"process-group-id");
lf[369]=C_h_intern(&lf[369],14,"process-signal");
lf[370]=C_h_intern(&lf[370],18,"read-symbolic-link");
lf[371]=C_h_intern(&lf[371],10,"set-alarm!");
lf[372]=C_h_intern(&lf[372],13,"set-group-id!");
lf[373]=C_h_intern(&lf[373],11,"set-groups!");
lf[374]=C_h_intern(&lf[374],21,"set-process-group-id!");
lf[375]=C_h_intern(&lf[375],19,"set-root-directory!");
lf[376]=C_h_intern(&lf[376],16,"set-signal-mask!");
lf[377]=C_h_intern(&lf[377],12,"set-user-id!");
lf[378]=C_h_intern(&lf[378],11,"signal-mask");
lf[379]=C_h_intern(&lf[379],12,"signal-mask!");
lf[380]=C_h_intern(&lf[380],14,"signal-masked\077");
lf[381]=C_h_intern(&lf[381],14,"signal-unmask!");
lf[382]=C_h_intern(&lf[382],13,"terminal-name");
lf[383]=C_h_intern(&lf[383],16,"user-information");
lf[384]=C_h_intern(&lf[384],17,"utc-time->seconds");
lf[385]=C_h_intern(&lf[385],12,"string->time");
lf[386]=C_h_intern(&lf[386],16,"errno/wouldblock");
lf[387]=C_h_intern(&lf[387],10,"open/fsync");
lf[388]=C_h_intern(&lf[388],11,"open/noctty");
lf[389]=C_h_intern(&lf[389],13,"open/nonblock");
lf[390]=C_h_intern(&lf[390],9,"open/sync");
lf[391]=C_h_intern(&lf[391],10,"perm/isgid");
lf[392]=C_h_intern(&lf[392],10,"perm/isuid");
lf[393]=C_h_intern(&lf[393],10,"perm/isvtx");
lf[394]=C_h_intern(&lf[394],18,"getter-with-setter");
lf[395]=C_decode_literal(C_heaptop,"\376B\000\000\031(file-creation-mode mode)");
lf[396]=C_decode_literal(C_heaptop,"\376B\000\000%cannot retrieve file position of port");
lf[397]=C_decode_literal(C_heaptop,"\376B\000\000\014invalid file");
lf[398]=C_decode_literal(C_heaptop,"\376B\000\000\024(file-position port)");
lf[399]=C_h_intern(&lf[399],26,"set-file-modification-time");
lf[400]=C_decode_literal(C_heaptop,"\376B\000\000!cannot set file modification-time");
lf[401]=C_decode_literal(C_heaptop,"\376B\000\000\032(file-modification-time f)");
C_register_lf2(lf,402,create_ptable());{}
t2=C_mutate2(&lf[0] /* (set! c1523 ...) */,lf[1]);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2222,a[2]=t1,tmp=(C_word)a,a+=3,tmp);{
C_word av2[2];
av2[0]=C_SCHEME_UNDEFINED;
av2[1]=t3;
C_scheduler_toplevel(2,av2);}}

/* k4356 in call-with-input-pipe in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4358(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[9],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_4358,2,av);}
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4363,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word)li86),tmp=(C_word)a,a+=5,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4369,a[2]=t2,a[3]=((C_word)li87),tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm:876: ##sys#call-with-values */{
C_word av2[4];
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=t3;
av2[3]=t4;
C_call_with_values(4,av2);}}

/* call-with-input-pipe in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4354(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(!C_demand(c*C_SIZEOF_PAIR+4)){
C_save_and_reclaim((void*)f_4354,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+4);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4358,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);{
C_word av2[5];
av2[0]=0;
av2[1]=t5;
av2[2]=*((C_word*)lf[181]+1);
av2[3]=t2;
av2[4]=t4;
C_apply(5,av2);}}

/* k4115 in suffix-loop in loop in k4040 in k4037 in k4031 in k4028 in file-mkstemp in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4117(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;{}
t2=C_subchar(((C_word*)t0)[2],t1);
t3=C_i_string_set(((C_word*)t0)[3],((C_word*)t0)[4],t2);
t4=C_fixnum_difference(((C_word*)t0)[4],C_fix(1));
/* posixwin.scm:800: suffix-loop */
t5=((C_word*)((C_word*)t0)[5])[1];
f_4094(t5,((C_word*)t0)[6],t4);}

/* k4344 in k4341 in close-output-pipe in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4346(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;{}
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k4341 in close-output-pipe in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4343(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_4343,2,av);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4346,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=C_eqp(C_fix(-1),((C_word*)t0)[3]);
if(C_truep(t3)){
/* posixwin.scm:870: ##sys#signal-hook */
t4=*((C_word*)lf[3]+1);{
C_word av2[6];
av2[0]=t4;
av2[1]=t2;
av2[2]=lf[10];
av2[3]=lf[188];
av2[4]=lf[189];
av2[5]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t4+1)))(6,av2);}}
else{
t4=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t4;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k3331 in k3284 in k3340 in k3250 in k3241 in loop in k3226 in k3219 in k3216 in k3407 in k3404 in k3401 in k3398 in k3395 in k3392 in find-files in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in ... */
static void C_ccall f_3333(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;{}
/* posix-common.scm:546: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_3230(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5],t1);}

/* k3334 in k3284 in k3340 in k3250 in k3241 in loop in k3226 in k3219 in k3216 in k3407 in k3404 in k3401 in k3398 in k3395 in k3392 in find-files in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in ... */
static void C_ccall f_3336(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;{}
if(C_truep(t1)){
/* posix-common.scm:546: action */
t2=((C_word*)t0)[2];{
C_word av2[4];
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=((C_word*)t0)[5];
((C_proc)C_fast_retrieve_proc(t2))(4,av2);}}
else{
t2=((C_word*)t0)[5];
/* posix-common.scm:546: loop */
t3=((C_word*)((C_word*)t0)[6])[1];
f_3230(t3,((C_word*)t0)[7],((C_word*)t0)[8],((C_word*)t0)[9],t2);}}

/* k2576 in mode in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2578(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;{}
/* posix-common.scm:357: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[12]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[12]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=((C_word*)t0)[3];
tp(4,av2);}}

/* mode in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_fcall f_2570(C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim_args((void *)trf_2570,4,t1,t2,t3,t4);}
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2578,a[2]=t1,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_pairp(t3))){
t6=t3;
t7=C_u_i_car(t6);
t8=C_eqp(t7,lf[52]);
if(C_truep(t8)){
t9=t2;
if(C_truep(t9)){
/* posix-common.scm:361: ##sys#error */
t10=*((C_word*)lf[53]+1);{
C_word av2[4];
av2[0]=t10;
av2[1]=t5;
av2[2]=lf[54];
av2[3]=t7;
((C_proc)(void*)(*((C_word*)t10+1)))(4,av2);}}
else{
/* posix-common.scm:357: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[12]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[12]+1);
av2[1]=t1;
av2[2]=lf[55];
av2[3]=t4;
tp(4,av2);}}}
else{
/* posix-common.scm:362: ##sys#error */
t9=*((C_word*)lf[53]+1);{
C_word av2[4];
av2[0]=t9;
av2[1]=t5;
av2[2]=lf[56];
av2[3]=t7;
((C_proc)(void*)(*((C_word*)t9+1)))(4,av2);}}}
else{
if(C_truep(t2)){
/* posix-common.scm:357: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[12]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[12]+1);
av2[1]=t1;
av2[2]=lf[57];
av2[3]=t4;
tp(4,av2);}}
else{
/* posix-common.scm:357: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[12]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[12]+1);
av2[1]=t1;
av2[2]=lf[58];
av2[3]=t4;
tp(4,av2);}}}}

/* setenv in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5008(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word ab[5],*a=ab;
if(c!=5) C_bad_argc_2(c,5,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_5008,5,av);}
t5=C_i_foreign_fixnum_argumentp(t2);
t6=t5;
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_5017,a[2]=t4,a[3]=t1,a[4]=t6,tmp=(C_word)a,a+=5,tmp);
if(C_truep(t3)){
t8=C_i_foreign_string_argumentp(t3);
/* posixwin.scm:1190: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[12]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[12]+1);
av2[1]=t7;
av2[2]=t8;
tp(3,av2);}}
else{
t8=C_i_foreign_fixnum_argumentp(t4);
t9=t1;{
C_word av2[2];
av2[0]=t9;
av2[1]=stub1138(C_SCHEME_UNDEFINED,t6,C_SCHEME_FALSE,t8);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}}

/* close-input-pipe in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4318(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word ab[5],*a=ab;
if(c!=3) C_bad_argc_2(c,3,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_4318,3,av);}
t3=t2;
t4=C_i_check_port_2(t3,C_SCHEME_TRUE,C_SCHEME_TRUE,lf[186]);
t5=close_pipe(t2);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4325,a[2]=t1,a[3]=t5,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm:860: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[7]+1));
C_word av2[2];
av2[0]=*((C_word*)lf[7]+1);
av2[1]=t6;
tp(2,av2);}}

/* k4307 in open-output-pipe in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4309(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word ab[2],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_4309,2,av);}
t2=open_binary_output_pipe(&a,1,t1);
/* posixwin.scm:850: check */
f_4220(((C_word*)t0)[3],((C_word*)t0)[4],C_SCHEME_FALSE,t2);}

/* k5260 in shell-command in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5262(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_5262,2,av);}
if(C_truep(t1)){
t2=t1;
t3=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_get_shlcmd())){
/* ##sys#peek-c-string */
t2=*((C_word*)lf[6]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=C_mpointer(&a,(void*)C_shlcmd);
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5274,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* posixwin.scm:1237: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[7]+1));
C_word av2[2];
av2[0]=*((C_word*)lf[7]+1);
av2[1]=t2;
tp(2,av2);}}}}

/* k3994 in k3988 in k3985 in file-write in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3996(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;{}
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k3988 in k3985 in file-write in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_fcall f_3990(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word ab[9],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim_args((void *)trf_3990,2,t0,t1);}
t2=t1;
t3=C_i_check_exact_2(t2,lf[166]);
t4=C_write(((C_word*)t0)[2],((C_word*)t0)[3],t2);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3996,a[2]=((C_word*)t0)[4],a[3]=t4,tmp=(C_word)a,a+=4,tmp);
t6=C_eqp(C_fix(-1),t4);
if(C_truep(t6)){
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4002,a[2]=t5,a[3]=((C_word*)t0)[2],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm:772: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[7]+1));
C_word av2[2];
av2[0]=*((C_word*)lf[7]+1);
av2[1]=t7;
tp(2,av2);}}
else{
t7=((C_word*)t0)[4];{
C_word av2[2];
av2[0]=t7;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* ##sys#shell-command-arguments in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5279(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word ab[7],*a=ab;
if(c!=3) C_bad_argc_2(c,3,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_5279,3,av);}
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_a_i_list2(&a,2,lf[310],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* open-input-file* in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4691(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(!C_demand(c*C_SIZEOF_PAIR+5)){
C_save_and_reclaim((void*)f_4691,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+5);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
t4=C_i_check_exact_2(t2,lf[63]);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4703,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm:1067: mode */
f_4636(t5,C_SCHEME_TRUE,t3,lf[63]);}

/* k5272 in k5260 in shell-command in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5274(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;{}
/* posixwin.scm:1238: ##sys#error */
t2=*((C_word*)lf[53]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[305];
av2[3]=lf[306];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k5287 in process-run in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_fcall f_5289(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim_args((void *)trf_5289,2,t0,t1);}
if(C_truep(t1)){
/* posixwin.scm:1247: process-spawn */
t2=*((C_word*)lf[303]+1);{
C_word av2[5];
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[291]+1);
av2[3]=((C_word*)t0)[3];
av2[4]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5302,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm:1248: ##sys#shell-command */
t3=*((C_word*)lf[305]+1);{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k4687 in k4675 in check in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4689(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;{}
t2=C_set_file_ptr(t1,((C_word*)t0)[2]);
t3=t1;
t4=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* process-run in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5285(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(!C_demand(c*C_SIZEOF_PAIR+4)){
C_save_and_reclaim((void*)f_5285,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+4);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5289,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_pairp(t3))){
t5=t3;
t6=t4;
f_5289(t6,C_u_i_car(t5));}
else{
t5=t4;
f_5289(t5,C_SCHEME_FALSE);}}

/* k4675 in check in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4677(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_4677,2,av);}
if(C_truep(C_null_pointerp(((C_word*)t0)[2]))){
/* posixwin.scm:1060: ##sys#signal-hook */
t2=*((C_word*)lf[3]+1);{
C_word av2[5];
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[10];
av2[3]=lf[273];
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4689,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm:1061: ##sys#make-port */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[60]+1));
C_word av2[6];
av2[0]=*((C_word*)lf[60]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=*((C_word*)lf[61]+1);
av2[4]=lf[274];
av2[5]=lf[45];
tp(6,av2);}}}

/* check in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_fcall f_4673(C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim_args((void *)trf_4673,4,t1,t2,t3,t4);}
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_4677,a[2]=t4,a[3]=t1,a[4]=t2,a[5]=t3,tmp=(C_word)a,a+=6,tmp);
/* posixwin.scm:1058: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[7]+1));
C_word av2[2];
av2[0]=*((C_word*)lf[7]+1);
av2[1]=t5;
tp(2,av2);}}

/* k3241 in loop in k3226 in k3219 in k3216 in k3407 in k3404 in k3401 in k3398 in k3395 in k3392 in find-files in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3243(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[15],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_3243,2,av);}
t2=t1;
t3=C_slot(((C_word*)t0)[2],C_fix(1));
t4=t3;
t5=(*a=C_CLOSURE_TYPE|14,a[1]=(C_word)f_3252,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=t4,a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=t2,a[11]=((C_word*)t0)[10],a[12]=((C_word*)t0)[11],a[13]=((C_word*)t0)[12],a[14]=((C_word*)t0)[13],tmp=(C_word)a,a+=15,tmp);
/* posix-common.scm:535: directory? */
t6=*((C_word*)lf[39]+1);{
C_word av2[3];
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}

/* k3985 in file-write in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3987(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_3987,2,av);}
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3990,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_i_pairp(((C_word*)t0)[5]))){
t3=((C_word*)t0)[5];
t4=t2;
f_3990(t4,C_u_i_car(t3));}
else{
t3=t2;
f_3990(t3,C_block_size(((C_word*)t0)[3]));}}

/* file-write in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3980(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(!C_demand(c*C_SIZEOF_PAIR+6)){
C_save_and_reclaim((void*)f_3980,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+6);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
t5=C_i_check_exact_2(t2,lf[166]);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_3987,a[2]=t2,a[3]=t3,a[4]=t1,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
if(C_truep(C_blockp(t3))){
if(C_truep(C_byteblockp(t3))){
t7=t6;{
C_word av2[2];
av2[0]=t7;
av2[1]=C_SCHEME_UNDEFINED;
f_3987(2,av2);}}
else{
/* posixwin.scm:767: ##sys#signal-hook */
t7=*((C_word*)lf[3]+1);{
C_word av2[6];
av2[0]=t7;
av2[1]=t6;
av2[2]=lf[14];
av2[3]=lf[166];
av2[4]=lf[168];
av2[5]=t3;
((C_proc)(void*)(*((C_word*)t7+1)))(6,av2);}}}
else{
/* posixwin.scm:767: ##sys#signal-hook */
t7=*((C_word*)lf[3]+1);{
C_word av2[6];
av2[0]=t7;
av2[1]=t6;
av2[2]=lf[14];
av2[3]=lf[166];
av2[4]=lf[168];
av2[5]=t3;
((C_proc)(void*)(*((C_word*)t7+1)))(6,av2);}}}

/* k3250 in k3241 in loop in k3226 in k3219 in k3216 in k3407 in k3404 in k3401 in k3398 in k3395 in k3392 in find-files in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3252(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word ab[14],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_3252,2,av);}
if(C_truep(t1)){
if(C_truep((C_truep(C_i_equalp(((C_word*)t0)[2],lf[98]))?C_SCHEME_TRUE:(C_truep(C_i_equalp(((C_word*)t0)[2],lf[99]))?C_SCHEME_TRUE:C_SCHEME_FALSE)))){
/* posix-common.scm:536: loop */
t2=((C_word*)((C_word*)t0)[3])[1];
f_3230(t2,((C_word*)t0)[4],((C_word*)t0)[5],((C_word*)t0)[6],((C_word*)t0)[7]);}
else{
t2=(*a=C_CLOSURE_TYPE|13,a[1]=(C_word)f_3342,a[2]=((C_word*)t0)[8],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[9],a[8]=((C_word*)t0)[10],a[9]=((C_word*)t0)[7],a[10]=((C_word*)t0)[11],a[11]=((C_word*)t0)[12],a[12]=((C_word*)t0)[13],a[13]=((C_word*)t0)[14],tmp=(C_word)a,a+=14,tmp);
/* posix-common.scm:537: symbolic-link? */
t3=*((C_word*)lf[34]+1);{
C_word av2[3];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[10];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}}
else{
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_3351,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[9],a[7]=((C_word*)t0)[10],a[8]=((C_word*)t0)[7],tmp=(C_word)a,a+=9,tmp);
/* posix-common.scm:547: pproc */
t3=((C_word*)t0)[11];{
C_word av2[3];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[10];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}}

/* k4642 in mode in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4644(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;{}
/* posixwin.scm:1048: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[12]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[12]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=((C_word*)t0)[3];
tp(4,av2);}}

/* read-symbolic-link in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_6044(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_6044,2,av);}
/* posixwin.scm:1562: error */
t2=*((C_word*)lf[346]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[370];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* process-signal in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_6038(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_6038,2,av);}
/* posixwin.scm:1561: error */
t2=*((C_word*)lf[346]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[369];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* mode in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_fcall f_4636(C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim_args((void *)trf_4636,4,t1,t2,t3,t4);}
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4644,a[2]=t1,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_pairp(t3))){
t6=t3;
t7=C_u_i_car(t6);
t8=C_eqp(t7,lf[52]);
if(C_truep(t8)){
t9=t2;
if(C_truep(t9)){
/* posixwin.scm:1052: ##sys#error */
t10=*((C_word*)lf[53]+1);{
C_word av2[4];
av2[0]=t10;
av2[1]=t5;
av2[2]=lf[268];
av2[3]=t7;
((C_proc)(void*)(*((C_word*)t10+1)))(4,av2);}}
else{
/* posixwin.scm:1048: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[12]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[12]+1);
av2[1]=t1;
av2[2]=lf[269];
av2[3]=t4;
tp(4,av2);}}}
else{
/* posixwin.scm:1053: ##sys#error */
t9=*((C_word*)lf[53]+1);{
C_word av2[4];
av2[0]=t9;
av2[1]=t5;
av2[2]=lf[270];
av2[3]=t7;
((C_proc)(void*)(*((C_word*)t9+1)))(4,av2);}}}
else{
if(C_truep(t2)){
/* posixwin.scm:1048: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[12]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[12]+1);
av2[1]=t1;
av2[2]=lf[271];
av2[3]=t4;
tp(4,av2);}}
else{
/* posixwin.scm:1048: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[12]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[12]+1);
av2[1]=t1;
av2[2]=lf[272];
av2[3]=t4;
tp(4,av2);}}}}

/* process-group-id in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_6032(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_6032,2,av);}
/* posixwin.scm:1560: error */
t2=*((C_word*)lf[346]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[368];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* set-process-group-id! in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_6068(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_6068,2,av);}
/* posixwin.scm:1566: error */
t2=*((C_word*)lf[346]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[374];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* file-execute-access? in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4627(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_4627,3,av);}
/* posixwin.scm:1032: check */
f_4595(t1,t2,C_fix((C_word)2),lf[267]);}

/* set-groups! in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_6062(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_6062,2,av);}
/* posixwin.scm:1565: error */
t2=*((C_word*)lf[346]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[373];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* file-write-access? in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4621(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_4621,3,av);}
/* posixwin.scm:1031: check */
f_4595(t1,t2,C_fix((C_word)4),lf[266]);}

/* k4850 in k4847 in set-buffering-mode! in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4852(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_4852,2,av);}
t2=t1;
t3=C_i_check_exact_2(((C_word*)t0)[2],lf[283]);
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_4861,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=t2,a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
t5=C_slot(((C_word*)t0)[4],C_fix(7));
t6=C_eqp(lf[45],t5);
if(C_truep(t6)){
t7=C_setvbuf(((C_word*)t0)[4],t2,((C_word*)t0)[2]);
t8=t4;
f_4861(t8,C_fixnum_lessp(t7,C_fix(0)));}
else{
t7=t4;
f_4861(t7,C_SCHEME_TRUE);}}

/* set-group-id! in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_6056(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_6056,2,av);}
/* posixwin.scm:1564: error */
t2=*((C_word*)lf[346]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[372];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* change-file-mode in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4569(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word ab[5],*a=ab;
if(c!=4) C_bad_argc_2(c,4,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_4569,4,av);}
t4=C_i_check_string_2(t2,lf[263]);
t5=C_i_check_exact_2(t3,lf[263]);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4593,a[2]=t3,a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm:1016: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[12]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[12]+1);
av2[1]=t6;
av2[2]=t2;
av2[3]=lf[263];
tp(4,av2);}}

/* file-read-access? in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4615(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_4615,3,av);}
/* posixwin.scm:1030: check */
f_4595(t1,t2,C_fix((C_word)2),lf[265]);}

/* k4611 in check in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4613(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_4613,2,av);}
t2=C_test_access(t1,((C_word*)t0)[2]);
t3=C_eqp(C_fix(0),t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4605,a[2]=((C_word*)t0)[3],a[3]=t4,tmp=(C_word)a,a+=4,tmp);
if(C_truep(t4)){
t6=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t6;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
/* posixwin.scm:1028: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[7]+1));
C_word av2[2];
av2[0]=*((C_word*)lf[7]+1);
av2[1]=t5;
tp(2,av2);}}}

/* set-alarm! in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_6050(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_6050,2,av);}
/* posixwin.scm:1563: error */
t2=*((C_word*)lf[346]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[371];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* set-user-id! in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_6086(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_6086,2,av);}
/* posixwin.scm:1569: error */
t2=*((C_word*)lf[346]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[377];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k4603 in k4611 in check in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4605(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;{}
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* set-signal-mask! in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_6080(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_6080,2,av);}
/* posixwin.scm:1568: error */
t2=*((C_word*)lf[346]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[376];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k4583 in k4591 in change-file-mode in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4585(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;{}
/* posixwin.scm:1018: ##sys#signal-hook */
t2=*((C_word*)lf[3]+1);{
C_word av2[7];
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[10];
av2[3]=lf[263];
av2[4]=lf[264];
av2[5]=((C_word*)t0)[3];
av2[6]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(7,av2);}}

/* set-root-directory! in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_6074(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_6074,2,av);}
/* posixwin.scm:1567: error */
t2=*((C_word*)lf[346]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[375];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k4859 in k4850 in k4847 in set-buffering-mode! in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_fcall f_4861(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;{}
if(C_truep(t1)){
/* posixwin.scm:1142: ##sys#error */
t2=*((C_word*)lf[53]+1);{
C_word av2[7];
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[283];
av2[3]=lf[284];
av2[4]=((C_word*)t0)[3];
av2[5]=((C_word*)t0)[4];
av2[6]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t2+1)))(7,av2);}}
else{
t2=C_SCHEME_UNDEFINED;
t3=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k2982 in k2967 in directory in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2984(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_2984,2,av);}
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2987,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* posix-common.scm:469: ##sys#make-pointer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[91]+1));
C_word av2[2];
av2[0]=*((C_word*)lf[91]+1);
av2[1]=t3;
tp(2,av2);}}

/* k2985 in k2982 in k2967 in directory in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2987(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word ab[7],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_2987,2,av);}
t2=t1;
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_2990,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* posix-common.scm:470: ##sys#make-pointer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[91]+1));
C_word av2[2];
av2[0]=*((C_word*)lf[91]+1);
av2[1]=t3;
tp(2,av2);}}

/* a3808 in process-wait in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3809(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_3809,2,av);}
/* posix-common.scm:677: ##sys#process-wait */
t2=*((C_word*)lf[131]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k5319 in k5315 in k5440 in k5436 in k5432 in k5428 in k5424 in k5380 in process in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5321(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;{}
t2=(C_truep(((C_word*)t0)[2])?C_i_foreign_pointer_argumentp(((C_word*)t0)[2]):C_SCHEME_FALSE);
t3=(C_truep(((C_word*)t0)[3])?C_i_foreign_pointer_argumentp(((C_word*)t0)[3]):C_SCHEME_FALSE);
t4=(C_truep(((C_word*)t0)[4])?C_i_foreign_pointer_argumentp(((C_word*)t0)[4]):C_SCHEME_FALSE);
t5=(C_truep(((C_word*)t0)[5])?C_i_foreign_pointer_argumentp(((C_word*)t0)[5]):C_SCHEME_FALSE);
t6=C_i_foreign_fixnum_argumentp(((C_word*)t0)[6]);
t7=((C_word*)t0)[7];{
C_word av2[2];
av2[0]=t7;
av2[1]=stub1242(C_SCHEME_UNDEFINED,((C_word*)t0)[8],t1,C_SCHEME_FALSE,t2,t3,t4,t5,t6);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}

/* k4814 in terminal-port? in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4816(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;{}
t2=C_eqp(C_fix(0),t1);
if(C_truep(t2)){
t3=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_tty_portp(((C_word*)t0)[3]);
t4=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* terminal-port? in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4810(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[4],*a=ab;
if(c!=3) C_bad_argc_2(c,3,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_4810,3,av);}
t3=t2;
t4=C_i_check_port_2(t3,C_fix(0),C_SCHEME_TRUE,lf[280]);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4816,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm:1115: ##sys#peek-unsigned-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[69]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[69]+1);
av2[1]=t5;
av2[2]=t2;
av2[3]=C_fix(0);
tp(4,av2);}}

/* signal-mask! in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_6098(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_6098,2,av);}
/* posixwin.scm:1571: error */
t2=*((C_word*)lf[346]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[379];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k2992 in k2988 in k2985 in k2982 in k2967 in directory in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2994(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[10],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_2994,2,av);}
t2=C_opendir(t1,((C_word*)t0)[2]);
if(C_truep(C_null_pointerp(((C_word*)t0)[2]))){
/* posix-common.scm:475: posix-error */
t3=lf[2];{
C_word av2[6];
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[10];
av2[3]=lf[28];
av2[4]=lf[90];
av2[5]=((C_word*)t0)[4];
f_2246(6,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_3008,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[6],a[5]=t4,a[6]=((C_word*)t0)[7],a[7]=((C_word)li32),tmp=(C_word)a,a+=8,tmp));
t6=((C_word*)t4)[1];
f_3008(t6,((C_word*)t0)[3]);}}

/* k2988 in k2985 in k2982 in k2967 in directory in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2990(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word ab[8],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_2990,2,av);}
t2=t1;
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_2994,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* posix-common.scm:473: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[12]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[12]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
av2[3]=lf[28];
tp(4,av2);}}

/* k3897 in k3884 in file-open in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3899(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[10],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_3899,2,av);}
t2=C_open(t1,((C_word*)t0)[2],((C_word*)t0)[3]);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3902,a[2]=((C_word*)t0)[4],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_eqp(C_fix(-1),t2);
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_3908,a[2]=t3,a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
/* posixwin.scm:739: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[7]+1));
C_word av2[2];
av2[0]=*((C_word*)lf[7]+1);
av2[1]=t5;
tp(2,av2);}}
else{
t5=((C_word*)t0)[4];{
C_word av2[2];
av2[0]=t5;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* signal-mask in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_6092(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_6092,2,av);}
/* posixwin.scm:1570: error */
t2=*((C_word*)lf[346]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[378];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* set-buffering-mode! in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4843(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(!C_demand(c*C_SIZEOF_PAIR+5)){
C_save_and_reclaim((void*)f_4843,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+5);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
t5=t2;
t6=C_i_check_port_2(t5,C_fix(0),C_SCHEME_TRUE,lf[283]);
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4849,a[2]=t3,a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_i_pairp(t4))){
t8=t4;
t9=t7;
f_4849(t9,C_u_i_car(t8));}
else{
t8=t7;
f_4849(t8,C_fix((C_word)BUFSIZ));}}

/* k4847 in set-buffering-mode! in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_fcall f_4849(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim_args((void *)trf_4849,2,t0,t1);}
t2=t1;
t3=((C_word*)t0)[2];
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4852,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t5=C_eqp(t3,lf[285]);
if(C_truep(t5)){
t6=t4;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_fix((C_word)_IOFBF);
f_4852(2,av2);}}
else{
t6=C_eqp(t3,lf[286]);
if(C_truep(t6)){
t7=C_fix((C_word)_IOLBF);
t8=t4;{
C_word av2[2];
av2[0]=t8;
av2[1]=t7;
f_4852(2,av2);}}
else{
t7=C_eqp(t3,lf[287]);
if(C_truep(t7)){
t8=t4;{
C_word av2[2];
av2[0]=t8;
av2[1]=C_fix((C_word)_IONBF);
f_4852(2,av2);}}
else{
/* posixwin.scm:1136: ##sys#error */
t8=*((C_word*)lf[53]+1);{
C_word av2[6];
av2[0]=t8;
av2[1]=t4;
av2[2]=lf[283];
av2[3]=lf[288];
av2[4]=((C_word*)t0)[2];
av2[5]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t8+1)))(6,av2);}}}}}

/* k4591 in change-file-mode in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4593(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_4593,2,av);}
t2=C_chmod(t1,((C_word*)t0)[2]);
if(C_truep(C_fixnum_lessp(t2,C_fix(0)))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4585,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm:1017: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[7]+1));
C_word av2[2];
av2[0]=*((C_word*)lf[7]+1);
av2[1]=t3;
tp(2,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* check in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_fcall f_4595(C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim_args((void *)trf_4595,4,t1,t2,t3,t4);}
t5=C_i_check_string_2(t2,t4);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4613,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm:1027: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[12]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[12]+1);
av2[1]=t6;
av2[2]=t2;
av2[3]=t4;
tp(4,av2);}}

/* k6256 in a6237 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_6258(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;{}
if(C_truep(C_fixnum_lessp(t1,C_fix(0)))){
/* posix-common.scm:258: posix-error */
t2=lf[2];{
C_word av2[7];
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[10];
av2[3]=lf[399];
av2[4]=lf[400];
av2[5]=((C_word*)t0)[3];
av2[6]=((C_word*)t0)[4];
f_2246(7,av2);}}
else{
t2=C_SCHEME_UNDEFINED;
t3=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k5300 in k5287 in process-run in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5302(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_5302,2,av);}
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5306,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm:1248: ##sys#shell-command-arguments */
t4=*((C_word*)lf[309]+1);{
C_word av2[3];
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k5304 in k5300 in k5287 in process-run in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5306(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;{}
/* posixwin.scm:1248: process-spawn */
t2=*((C_word*)lf[303]+1);{
C_word av2[5];
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[291]+1);
av2[3]=((C_word*)t0)[3];
av2[4]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k6246 in a6237 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_6248(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;{}
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=stub120(C_SCHEME_UNDEFINED,t1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* terminal-size in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4828(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word ab[4],*a=ab;
if(c!=3) C_bad_argc_2(c,3,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_4828,3,av);}
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4835,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm:1119: terminal-port? */
t4=*((C_word*)lf[280]+1);{
C_word av2[3];
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k5315 in k5440 in k5436 in k5432 in k5428 in k5424 in k5380 in process in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5317(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[9],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_5317,2,av);}
t2=t1;
t3=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_5321,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=t2,tmp=(C_word)a,a+=9,tmp);
if(C_truep(((C_word*)t0)[8])){
t4=C_i_foreign_string_argumentp(((C_word*)t0)[8]);
/* posixwin.scm:1271: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[12]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[12]+1);
av2[1]=t3;
av2[2]=t4;
tp(3,av2);}}
else{
t4=t3;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
f_5321(2,av2);}}}

/* a6163 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_6164(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(!C_demand(c*C_SIZEOF_PAIR+0)){
C_save_and_reclaim((void*)f_6164,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
t3=C_i_nullp(t2);
t4=(C_truep(t3)?C_SCHEME_FALSE:C_i_car(t2));
t5=(C_truep(t4)?C_i_check_exact_2(t4,lf[107]):C_SCHEME_UNDEFINED);
if(C_truep(t4)){
t6=C_umask(t4);
if(C_truep(t4)){
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t7=C_umask(t6);
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}
else{
t6=C_umask(C_fix(0));
if(C_truep(t4)){
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t7=C_umask(t6);
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}}

/* group-information in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_6008(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_6008,2,av);}
/* posixwin.scm:1556: error */
t2=*((C_word*)lf[346]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[364];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* a6154 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_6155(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_6155,3,av);}
t3=C_i_check_exact_2(t2,lf[128]);
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_slot(*((C_word*)lf[127]+1),t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k2373 in file-type in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2375(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;{}
if(C_truep(t1)){
t2=C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_stat_type);
if(C_truep(C_i_eqvp(t2,C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)S_IFREG)))){
t3=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t3;
av2[1]=lf[26];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_i_eqvp(t2,C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)S_IFLNK)))){
t3=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t3;
av2[1]=lf[27];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_i_eqvp(t2,C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)S_IFDIR)))){
t3=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t3;
av2[1]=lf[28];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_i_eqvp(t2,C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)S_IFCHR)))){
t3=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t3;
av2[1]=lf[29];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_i_eqvp(t2,C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)S_IFBLK)))){
t3=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t3;
av2[1]=lf[30];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_i_eqvp(t2,C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)S_IFIFO)))){
t3=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t3;
av2[1]=lf[31];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_i_eqvp(t2,C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)S_IFSOCK));
t4=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t4;
av2[1]=(C_truep(t3)?lf[32]:lf[26]);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}}}}}}
else{
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* fifo? in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_6141(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_6141,3,av);}
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* get-groups in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_6002(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_6002,2,av);}
/* posixwin.scm:1555: error */
t2=*((C_word*)lf[346]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[363];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k4833 in terminal-size in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4835(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;{}
if(C_truep(t1)){
/* posixwin.scm:1120: values */{
C_word av2[4];
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=C_fix(0);
av2[3]=C_fix(0);
C_values(4,av2);}}
else{
/* posixwin.scm:1121: ##sys#error */
t2=*((C_word*)lf[53]+1);{
C_word av2[5];
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[281];
av2[3]=lf[282];
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}}

/* string->time in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_6134(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_6134,2,av);}
/* posixwin.scm:1577: error */
t2=*((C_word*)lf[346]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[385];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* parent-process-id in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_6020(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_6020,2,av);}
/* posixwin.scm:1558: error */
t2=*((C_word*)lf[346]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[366];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* process-fork in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_6026(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_6026,2,av);}
/* posixwin.scm:1559: error */
t2=*((C_word*)lf[346]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[367];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* a3814 in process-wait in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3815(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_3815,5,av);}
t5=C_eqp(t2,C_fix(-1));
if(C_truep(t5)){
/* posix-common.scm:679: posix-error */
t6=lf[2];{
C_word av2[6];
av2[0]=t6;
av2[1]=t1;
av2[2]=lf[132];
av2[3]=lf[130];
av2[4]=lf[133];
av2[5]=((C_word*)t0)[2];
f_2246(6,av2);}}
else{
/* posix-common.scm:680: values */{
C_word av2[5];
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=t4;
C_values(5,av2);}}}

/* a6194 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_6195(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word ab[8],*a=ab;
if(c!=3) C_bad_argc_2(c,3,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_6195,3,av);}
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_6199,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_6211,a[2]=t2,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* posix-common.scm:330: port? */
t5=*((C_word*)lf[47]+1);{
C_word av2[3];
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k4994 in setarg in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4996(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;{}
t2=C_i_foreign_fixnum_argumentp(((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t3;
av2[1]=stub1128(C_SCHEME_UNDEFINED,((C_word*)t0)[4],t1,t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* initialize-groups in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_6014(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_6014,2,av);}
/* posixwin.scm:1557: error */
t2=*((C_word*)lf[346]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[365];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k6197 in a6194 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_6199(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_6199,2,av);}
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_6202,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_lessp(t2,C_fix(0)))){
/* posix-common.scm:339: posix-error */
t4=lf[2];{
C_word av2[6];
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[10];
av2[3]=lf[48];
av2[4]=lf[396];
av2[5]=((C_word*)t0)[3];
f_2246(6,av2);}}
else{
t4=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k3159 in loop in k3140 in k3133 in a3130 in conc-loop in glob in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3161(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_3161,2,av);}
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_3165,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word)li35),tmp=(C_word)a,a+=6,tmp);
/* posix-common.scm:500: g428 */
t3=t2;
f_3165(t3,((C_word*)t0)[5],t1);}
else{
t2=((C_word*)t0)[2];
t3=C_u_i_cdr(t2);
/* posix-common.scm:510: loop */
t4=((C_word*)((C_word*)t0)[3])[1];
f_3144(t4,((C_word*)t0)[5],t3);}}

/* g428 in k3159 in loop in k3140 in k3133 in a3130 in conc-loop in glob in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_fcall f_3165(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word ab[9],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim_args((void *)trf_3165,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3173,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3185,a[2]=t3,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* posix-common.scm:508: irregex-match-substring */
t5=*((C_word*)lf[93]+1);{
C_word av2[3];
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* a6188 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_6189(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_6189,3,av);}
t3=C_i_check_exact_2(t2,lf[107]);
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_umask(t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* regular-file? in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2443(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word ab[3],*a=ab;
if(c!=3) C_bad_argc_2(c,3,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_2443,3,av);}
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2451,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:282: file-type */
t4=*((C_word*)lf[25]+1);{
C_word av2[5];
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}

/* a3130 in conc-loop in glob in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3131(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word ab[9],*a=ab;
if(c!=5) C_bad_argc_2(c,5,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_3131,5,av);}
t5=t2;
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_3135,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t5,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3205,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
if(C_truep(t3)){
t8=t3;
/* posix-common.scm:502: make-pathname */
t9=*((C_word*)lf[88]+1);{
C_word av2[5];
av2[0]=t9;
av2[1]=t7;
av2[2]=C_SCHEME_FALSE;
av2[3]=t8;
av2[4]=t4;
((C_proc)(void*)(*((C_word*)t9+1)))(5,av2);}}
else{
/* posix-common.scm:502: make-pathname */
t8=*((C_word*)lf[88]+1);{
C_word av2[5];
av2[0]=t8;
av2[1]=t7;
av2[2]=C_SCHEME_FALSE;
av2[3]=lf[97];
av2[4]=t4;
((C_proc)(void*)(*((C_word*)t8+1)))(5,av2);}}}

/* ##sys#shell-command in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5258(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word ab[3],*a=ab;
if(c!=2) C_bad_argc_2(c,2,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_5258,2,av);}
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5262,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posixwin.scm:1233: get-environment-variable */
t3=*((C_word*)lf[307]+1);{
C_word av2[3];
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[308];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k3133 in a3130 in conc-loop in glob in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3135(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word ab[7],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_3135,2,av);}
t2=t1;
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_3142,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
if(C_truep(((C_word*)t0)[4])){
/* posix-common.scm:503: directory */
t4=*((C_word*)lf[28]+1);{
C_word av2[4];
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
av2[3]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}
else{
/* posix-common.scm:503: directory */
t4=*((C_word*)lf[28]+1);{
C_word av2[4];
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[95];
av2[3]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}}

/* symbolic-link? in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2453(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word ab[3],*a=ab;
if(c!=3) C_bad_argc_2(c,3,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_2453,3,av);}
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2461,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:285: file-type */
t4=*((C_word*)lf[25]+1);{
C_word av2[5];
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=C_SCHEME_TRUE;
av2[4]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}

/* k2449 in regular-file? in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2451(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;{}
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_eqp(lf[26],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k3183 in g428 in k3159 in loop in k3140 in k3133 in a3130 in conc-loop in glob in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3185(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;{}
/* posix-common.scm:508: make-pathname */
t2=*((C_word*)lf[88]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k6209 in a6194 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_6211(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;{}
if(C_truep(t1)){
t2=C_slot(((C_word*)t0)[2],C_fix(7));
t3=C_eqp(t2,lf[45]);
if(C_truep(t3)){
t4=C_ftell(((C_word*)t0)[2]);
t5=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
f_6199(2,av2);}}
else{
t4=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t4;
av2[1]=C_fix(-1);
f_6199(2,av2);}}}
else{
if(C_truep(C_fixnump(((C_word*)t0)[2]))){
t2=C_lseek(((C_word*)t0)[2],C_fix(0),C_fix((C_word)SEEK_CUR));
t3=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
f_6199(2,av2);}}
else{
/* posix-common.scm:337: ##sys#signal-hook */
t2=*((C_word*)lf[3]+1);{
C_word av2[6];
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[14];
av2[3]=lf[48];
av2[4]=lf[397];
av2[5]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}}}

/* block-device? in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2463(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word ab[3],*a=ab;
if(c!=3) C_bad_argc_2(c,3,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_2463,3,av);}
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2471,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:288: file-type */
t4=*((C_word*)lf[25]+1);{
C_word av2[5];
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}

/* k2459 in symbolic-link? in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2461(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;{}
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_eqp(lf[27],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* check in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_fcall f_2607(C_word t1,C_word t2,C_word t3,C_word t4,C_word t5){
C_word tmp;
C_word t6;
C_word t7;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim_args((void *)trf_2607,5,t1,t2,t3,t4,t5);}
if(C_truep(C_null_pointerp(t5))){
/* posix-common.scm:368: posix-error */
t6=lf[2];{
C_word av2[6];
av2[0]=t6;
av2[1]=t1;
av2[2]=lf[10];
av2[3]=t2;
av2[4]=lf[59];
av2[5]=t3;
f_2246(6,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2620,a[2]=t5,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* posix-common.scm:369: ##sys#make-port */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[60]+1));
C_word av2[6];
av2[0]=*((C_word*)lf[60]+1);
av2[1]=t6;
av2[2]=t4;
av2[3]=*((C_word*)lf[61]+1);
av2[4]=lf[62];
av2[5]=lf[45];
tp(6,av2);}}}

/* k3175 in k3171 in g428 in k3159 in loop in k3140 in k3133 in a3130 in conc-loop in glob in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3177(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_3177,2,av);}
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k6200 in k6197 in a6194 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_6202(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;{}
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k3171 in g428 in k3159 in loop in k3140 in k3133 in a3130 in conc-loop in glob in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3173(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_3173,2,av);}
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3177,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_i_cdr(((C_word*)t0)[3]);
/* posix-common.scm:509: loop */
t5=((C_word*)((C_word*)t0)[4])[1];
f_3144(t5,t3,t4);}

/* k5211 in process-spawn in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5213(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;{}
if(C_truep(((C_word*)t0)[2])){
t2=C_spawnvpe(((C_word*)t0)[3],t1);
/* posixwin.scm:1227: $exec-teardown */
f_5109(((C_word*)t0)[4],lf[303],lf[304],((C_word*)t0)[5],t2);}
else{
t2=C_spawnvp(((C_word*)t0)[3],t1);
/* posixwin.scm:1227: $exec-teardown */
f_5109(((C_word*)t0)[4],lf[303],lf[304],((C_word*)t0)[5],t2);}}

/* k6234 in a6231 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_6236(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_6236,2,av);}
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_flonum(&a,C_statbuf.st_mtime);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* a6237 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_6238(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word ab[9],*a=ab;
if(c!=4) C_bad_argc_2(c,4,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_6238,4,av);}
t4=C_i_check_number_2(t3,lf[399]);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_6258,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t6=t5;
t7=t2;
t8=t3;
t9=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_6248,a[2]=t6,a[3]=t8,tmp=(C_word)a,a+=4,tmp);
if(C_truep(t7)){
t10=C_i_foreign_string_argumentp(t7);
/* posix-common.scm:255: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[12]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[12]+1);
av2[1]=t9;
av2[2]=t10;
tp(3,av2);}}
else{
t10=t6;{
C_word av2[2];
av2[0]=t10;
av2[1]=stub120(C_SCHEME_UNDEFINED,C_SCHEME_FALSE,t8);
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}}

/* a6231 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_6232(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word ab[3],*a=ab;
if(c!=3) C_bad_argc_2(c,3,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_6232,3,av);}
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6236,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:252: ##sys#stat */
f_2264(t3,t2,C_SCHEME_FALSE,C_SCHEME_TRUE,lf[19]);}

/* user-information in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_6122(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_6122,2,av);}
/* posixwin.scm:1575: error */
t2=*((C_word*)lf[346]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[383];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* utc-time->seconds in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_6128(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_6128,2,av);}
/* posixwin.scm:1576: error */
t2=*((C_word*)lf[346]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[384];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k2618 in check in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2620(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;{}
t2=C_set_file_ptr(t1,((C_word*)t0)[2]);
t3=t1;
t4=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* f_2622 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2622(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(!C_demand(c*C_SIZEOF_PAIR+5)){
C_save_and_reclaim((void*)f_2622,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+5);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
t4=C_i_check_exact_2(t2,lf[63]);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2634,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* posix-common.scm:375: mode */
f_2570(t5,C_SCHEME_TRUE,t3,lf[63]);}

/* conc-loop in glob in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_fcall f_3110(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word ab[9],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim_args((void *)trf_3110,3,t0,t1,t2);}
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_i_car(t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3125,a[2]=t4,a[3]=((C_word)li34),tmp=(C_word)a,a+=4,tmp);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3131,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word)li37),tmp=(C_word)a,a+=5,tmp);
/* posix-common.scm:500: ##sys#call-with-values */{
C_word av2[4];
av2[0]=0;
av2[1]=t1;
av2[2]=t5;
av2[3]=t6;
C_call_with_values(4,av2);}}}

/* signal-unmask! in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_6110(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_6110,2,av);}
/* posixwin.scm:1573: error */
t2=*((C_word*)lf[346]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[381];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k2736 in current-directory in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2738(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_2738,2,av);}
t2=t1;
t3=C_curdir(t2);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2741,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* posix-common.scm:418: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[7]+1));
C_word av2[2];
av2[0]=*((C_word*)lf[7]+1);
av2[1]=t4;
tp(2,av2);}}

/* terminal-name in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_6116(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_6116,2,av);}
/* posixwin.scm:1574: error */
t2=*((C_word*)lf[346]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[382];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* f_2636 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2636(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(!C_demand(c*C_SIZEOF_PAIR+5)){
C_save_and_reclaim((void*)f_2636,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+5);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
t4=C_i_check_exact_2(t2,lf[64]);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2648,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* posix-common.scm:379: mode */
f_2570(t5,C_SCHEME_FALSE,t3,lf[64]);}

/* k2632 */
static void C_ccall f_2634(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word ab[2],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_2634,2,av);}
t2=C_fdopen(&a,2,((C_word*)t0)[2],t1);
/* posix-common.scm:375: check */
f_2607(((C_word*)t0)[4],lf[63],((C_word*)t0)[2],C_SCHEME_TRUE,t2);}

/* time->string in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3597(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(!C_demand(c*C_SIZEOF_PAIR+6)){
C_save_and_reclaim((void*)f_3597,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+6);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?C_SCHEME_FALSE:C_i_car(t3));
t6=t5;
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_3604,a[2]=t6,a[3]=t1,a[4]=t2,a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
/* posix-common.scm:612: check-time-vector */
f_3443(t7,lf[120],t2);}

/* k2703 */
static void C_fcall f_2705(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim_args((void *)trf_2705,2,t0,t1);}
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2708,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_fixnum_lessp(t2,C_fix(0)))){
/* posix-common.scm:406: posix-error */
t4=lf[2];{
C_word av2[6];
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[10];
av2[3]=lf[70];
av2[4]=lf[71];
av2[5]=((C_word*)t0)[3];
f_2246(6,av2);}}
else{
t4=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k2706 in k2703 */
static void C_ccall f_2708(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;{}
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* signal-masked? in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_6104(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_6104,2,av);}
/* posixwin.scm:1572: error */
t2=*((C_word*)lf[346]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[380];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* map-file-to-memory in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5796(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6=av[6];
C_word t7;
C_word *a;
if(c<7) C_bad_min_argc_2(c,7,t0);
if(!C_demand(c*C_SIZEOF_PAIR+8)){
C_save_and_reclaim((void*)f_5796,c,av);}
a=C_alloc((c-7)*C_SIZEOF_PAIR+8);
t7=C_build_rest(&a,c,7,av);
C_word t8;
C_word t9;
C_word t10;
t8=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_5800,a[2]=t3,a[3]=t4,a[4]=t5,a[5]=t6,a[6]=t1,a[7]=t7,tmp=(C_word)a,a+=8,tmp);
t9=t2;
if(C_truep(t9)){
t10=t8;{
C_word av2[2];
av2[0]=t10;
av2[1]=t2;
f_5800(2,av2);}}
else{
/* posixwin.scm:1506: ##sys#null-pointer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[340]+1));
C_word av2[2];
av2[0]=*((C_word*)lf[340]+1);
av2[1]=t8;
tp(2,av2);}}}

/* k2646 */
static void C_ccall f_2648(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word ab[2],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_2648,2,av);}
t2=C_fdopen(&a,2,((C_word*)t0)[2],t1);
/* posix-common.scm:379: check */
f_2607(((C_word*)t0)[4],lf[64],((C_word*)t0)[2],C_SCHEME_FALSE,t2);}

/* delete-directory in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2759(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(!C_demand(c*C_SIZEOF_PAIR+8)){
C_save_and_reclaim((void*)f_2759,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+8);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?C_SCHEME_FALSE:C_i_car(t3));
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2765,a[2]=((C_word)li24),tmp=(C_word)a,a+=3,tmp);
t7=C_i_check_string_2(t2,lf[77]);
if(C_truep(t5)){
t8=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2788,a[2]=t6,a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* posix-common.scm:433: find-files */
t9=*((C_word*)lf[81]+1);{
C_word av2[7];
av2[0]=t9;
av2[1]=t8;
av2[2]=t2;
av2[3]=lf[82];
av2[4]=C_SCHEME_TRUE;
av2[5]=lf[83];
av2[6]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t9+1)))(7,av2);}}
else{
/* posix-common.scm:445: rmdir */
f_2765(t1,t2);}}

/* glob in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3104(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(!C_demand(c*C_SIZEOF_PAIR+6)){
C_save_and_reclaim((void*)f_3104,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3110,a[2]=t4,a[3]=((C_word)li38),tmp=(C_word)a,a+=4,tmp));
t6=((C_word*)t4)[1];
f_3110(t6,t1,t2);}

/* f_2650 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2650(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word ab[4],*a=ab;
if(c!=3) C_bad_argc_2(c,3,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_2650,3,av);}
t3=t2;
t4=C_i_check_port_2(t3,C_fix(0),C_SCHEME_TRUE,lf[65]);
t5=C_slot(t2,C_fix(7));
t6=C_eqp(lf[32],t5);
if(C_truep(t6)){
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2666,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:389: ##sys#port-data */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[66]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[66]+1);
av2[1]=t7;
av2[2]=t2;
tp(3,av2);}}
else{
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2692,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* posix-common.scm:390: ##sys#peek-unsigned-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[69]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[69]+1);
av2[1]=t7;
av2[2]=t2;
av2[3]=C_fix(0);
tp(4,av2);}}}

/* current-directory in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2725(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(!C_demand(c*C_SIZEOF_PAIR+3)){
C_save_and_reclaim((void*)f_2725,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+3);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
t3=C_i_nullp(t2);
t4=(C_truep(t3)?C_SCHEME_FALSE:C_i_car(t2));
if(C_truep(t4)){
/* posix-common.scm:414: change-directory */
t5=*((C_word*)lf[73]+1);{
C_word av2[3];
av2[0]=t5;
av2[1]=t1;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2738,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[76]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[76]+1);
av2[1]=t5;
av2[2]=C_fix(1024);
av2[3]=C_make_character(32);
tp(4,av2);}}}

/* file-truncate in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5990(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_5990,2,av);}
/* posixwin.scm:1553: error */
t2=*((C_word*)lf[346]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[361];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* file-unlock in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5996(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_5996,2,av);}
/* posixwin.scm:1554: error */
t2=*((C_word*)lf[346]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[362];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k2664 */
static void C_ccall f_2666(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;{}
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_slot(t1,C_fix(0));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k5742 in current-user-name in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5744(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;{}
/* posixwin.scm:1363: ##sys#error */
t2=*((C_word*)lf[53]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[325];
av2[3]=lf[326];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k2739 in k2736 in current-directory in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2741(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;{}
if(C_truep(((C_word*)t0)[2])){
/* posix-common.scm:420: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[74]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[74]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=C_fix(0);
av2[4]=((C_word*)t0)[2];
tp(5,av2);}}
else{
/* posix-common.scm:421: ##sys#signal-hook */
t2=*((C_word*)lf[3]+1);{
C_word av2[5];
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[10];
av2[3]=lf[72];
av2[4]=lf[75];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}}

/* f_3384 in k3407 in k3404 in k3401 in k3398 in k3395 in k3392 in find-files in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3384(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_3384,2,av);}
t2=t1;{
C_word av2[2];
av2[0]=t2;
av2[1]=C_fixnum_lessp(((C_word*)((C_word*)t0)[2])[1],((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k5720 in k5716 in k5712 in system-information in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5722(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word ab[9],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_5722,2,av);}
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_5726,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* ##sys#peek-c-string */
t4=*((C_word*)lf[6]+1);{
C_word av2[4];
av2[0]=t4;
av2[1]=t3;
av2[2]=C_mpointer(&a,(void*)C_processor);
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k2797 in g293 in k2786 in delete-directory in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2799(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_2799,2,av);}
if(C_truep(t1)){
t2=*((C_word*)lf[79]+1);
t3=*((C_word*)lf[79]+1);
/* posix-common.scm:438: g303 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[79]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[79]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2805,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* posix-common.scm:440: directory? */
t3=*((C_word*)lf[39]+1);{
C_word av2[3];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}}

/* k5727 in system-information in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5729(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;{}
/* posixwin.scm:1354: ##sys#error */
t2=*((C_word*)lf[53]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[322];
av2[3]=lf[324];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* file-test-lock in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5984(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_5984,2,av);}
/* posixwin.scm:1552: error */
t2=*((C_word*)lf[346]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[360];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k5724 in k5720 in k5716 in k5712 in system-information in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5726(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word ab[16],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_5726,2,av);}
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_a_i_list5(&a,5,lf[323],((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* a3413 in k3404 in k3401 in k3398 in k3395 in k3392 in find-files in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3414(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_3414,2,av);}
t2=t1;{
C_word av2[2];
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k3395 in k3392 in find-files in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3397(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[10],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_3397,2,av);}
t2=t1;
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_3400,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3423,a[2]=((C_word)li50),tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:550: ##sys#get-keyword */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t3;
av2[2]=lf[104];
av2[3]=((C_word*)t0)[5];
av2[4]=t4;
tp(5,av2);}}

/* k3392 in find-files in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3394(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[9],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_3394,2,av);}
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_3397,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3426,a[2]=((C_word)li52),tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:550: ##sys#get-keyword */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t3;
av2[2]=lf[105];
av2[3]=((C_word*)t0)[4];
av2[4]=t4;
tp(5,av2);}}

/* find-files in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3390(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(!C_demand(c*C_SIZEOF_PAIR+8)){
C_save_and_reclaim((void*)f_3390,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+8);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3394,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3434,a[2]=((C_word)li54),tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:550: ##sys#get-keyword */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t4;
av2[2]=lf[106];
av2[3]=t3;
av2[4]=t5;
tp(5,av2);}}

/* a3416 in k3401 in k3398 in k3395 in k3392 in find-files in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3417(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_3417,2,av);}
t2=t1;{
C_word av2[2];
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k2767 in rmdir in delete-directory in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2769(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;{}
t2=C_rmdir(t1);
t3=C_eqp(C_fix(0),t2);
if(C_truep(t3)){
t4=C_SCHEME_UNDEFINED;
t5=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
/* posix-common.scm:430: posix-error */
t4=lf[2];{
C_word av2[6];
av2[0]=t4;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[10];
av2[3]=lf[77];
av2[4]=lf[78];
av2[5]=((C_word*)t0)[3];
f_2246(6,av2);}}}

/* rmdir in delete-directory in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_fcall f_2765(C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim_args((void *)trf_2765,2,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2769,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* posix-common.scm:428: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[12]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[12]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}

/* current-user-name in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5734(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word ab[3],*a=ab;
if(c!=2) C_bad_argc_2(c,2,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_5734,2,av);}
if(C_truep(C_get_user_name())){
/* ##sys#peek-c-string */
t2=*((C_word*)lf[6]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=C_mpointer(&a,(void*)C_username);
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5744,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posixwin.scm:1362: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[7]+1));
C_word av2[2];
av2[0]=*((C_word*)lf[7]+1);
av2[1]=t2;
tp(2,av2);}}}

/* current-user-id in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5954(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_5954,2,av);}
/* posixwin.scm:1547: error */
t2=*((C_word*)lf[346]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[355];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* chkstrlst in %process in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_fcall f_5471(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word ab[8],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim_args((void *)trf_5471,3,t0,t1,t2);}
t3=C_i_check_list_2(t2,((C_word*)t0)[2]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5476,a[2]=((C_word*)t0)[2],a[3]=((C_word)li134),tmp=(C_word)a,a+=4,tmp);
t5=t2;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5485,a[2]=t4,a[3]=((C_word)li135),tmp=(C_word)a,a+=4,tmp);
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=f_5485(t6,t5);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}

/* a3425 in k3392 in find-files in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3426(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word ab[3],*a=ab;
if(c!=2) C_bad_argc_2(c,2,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_3426,2,av);}
t2=t1;{
C_word av2[2];
av2[0]=t2;
av2[1]=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3428,a[2]=((C_word)li51),tmp=(C_word)a,a+=3,tmp);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* a3422 in k3395 in k3392 in find-files in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3423(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_3423,2,av);}
t2=t1;{
C_word av2[2];
av2[0]=t2;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* g1340 in chkstrlst in %process in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static C_word C_fcall f_5476(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_stack_overflow_check;{}
return(C_i_check_string_2(t1,((C_word*)t0)[2]));}

/* a3419 in k3398 in k3395 in k3392 in find-files in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3420(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_3420,2,av);}
t2=t1;{
C_word av2[2];
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* %process in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_fcall f_5469(C_word t1,C_word t2,C_word t3,C_word t4,C_word t5,C_word t6,C_word t7){
C_word tmp;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word ab[25],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim_args((void *)trf_5469,7,t1,t2,t3,t4,t5,t6,t7);}
t8=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t9=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t10=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t11=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5471,a[2]=t2,a[3]=((C_word)li136),tmp=(C_word)a,a+=4,tmp);
t12=C_i_check_string_2(((C_word*)t8)[1],t2);
t13=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_5512,a[2]=t2,a[3]=t8,a[4]=t9,a[5]=t6,a[6]=t3,a[7]=t10,a[8]=t1,a[9]=t11,tmp=(C_word)a,a+=10,tmp);
if(C_truep(((C_word*)t9)[1])){
/* posixwin.scm:1306: chkstrlst */
t14=t11;
f_5471(t14,t13,((C_word*)t9)[1]);}
else{
t14=C_set_block_item(t10,0,C_SCHEME_TRUE);
t15=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_5547,a[2]=t9,a[3]=t8,a[4]=t13,tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm:1309: ##sys#shell-command-arguments */
t16=*((C_word*)lf[309]+1);{
C_word av2[3];
av2[0]=t16;
av2[1]=t15;
av2[2]=((C_word*)t8)[1];
((C_proc)(void*)(*((C_word*)t16+1)))(3,av2);}}}

/* f_3428 in a3425 in k3392 in find-files in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3428(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word ab[3],*a=ab;
if(c!=4) C_bad_argc_2(c,4,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_3428,4,av);}
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_a_i_cons(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* system-information in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5703(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word ab[6],*a=ab;
if(c!=2) C_bad_argc_2(c,2,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_5703,2,av);}
if(C_truep(C_sysinfo())){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5714,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t3=*((C_word*)lf[6]+1);{
C_word av2[4];
av2[0]=t3;
av2[1]=t2;
av2[2]=C_mpointer(&a,(void*)C_hostname);
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5729,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posixwin.scm:1353: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[7]+1));
C_word av2[2];
av2[0]=*((C_word*)lf[7]+1);
av2[1]=t2;
tp(2,av2);}}}

/* file-lock in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5966(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_5966,2,av);}
/* posixwin.scm:1549: error */
t2=*((C_word*)lf[346]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[357];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* file-link in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5960(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_5960,2,av);}
/* posixwin.scm:1548: error */
t2=*((C_word*)lf[346]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[356];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k4484 in create-pipe in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4486(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;{}
/* posixwin.scm:921: ##sys#signal-hook */
t2=*((C_word*)lf[3]+1);{
C_word av2[5];
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[10];
av2[3]=lf[196];
av2[4]=lf[197];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* for-each-loop1339 in chkstrlst in %process in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static C_word C_fcall f_5485(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_stack_overflow_check;
loop:{}
if(C_truep(C_i_pairp(t1))){
t2=C_slot(t1,C_fix(0));
t3=f_5476(((C_word*)t0)[2],t2);
t4=C_slot(t1,C_fix(1));
t7=t4;
t1=t7;
goto loop;}
else{
t2=C_SCHEME_UNDEFINED;
return(t2);}}

/* k5712 in system-information in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5714(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word ab[7],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_5714,2,av);}
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5718,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* ##sys#peek-c-string */
t4=*((C_word*)lf[6]+1);{
C_word av2[4];
av2[0]=t4;
av2[1]=t3;
av2[2]=C_mpointer(&a,(void*)C_osrel);
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k5716 in k5712 in system-information in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5718(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word ab[8],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_5718,2,av);}
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_5722,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* ##sys#peek-c-string */
t4=*((C_word*)lf[6]+1);{
C_word av2[4];
av2[0]=t4;
av2[1]=t3;
av2[2]=C_mpointer(&a,(void*)C_osver);
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* create-pipe in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4470(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(!C_demand(c*C_SIZEOF_PAIR+6)){
C_save_and_reclaim((void*)f_4470,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t3=C_i_nullp(t2);
t4=(C_truep(t3)?C_fixnum_or(*((C_word*)lf[144]+1),*((C_word*)lf[146]+1)):C_i_car(t2));
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4477,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t6=C_pipe(C_SCHEME_FALSE,t4);
if(C_truep(C_fixnum_lessp(t6,C_fix(0)))){
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4486,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
/* posixwin.scm:920: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[7]+1));
C_word av2[2];
av2[0]=*((C_word*)lf[7]+1);
av2[1]=t7;
tp(2,av2);}}
else{
/* posixwin.scm:922: values */{
C_word av2[4];
av2[0]=0;
av2[1]=t1;
av2[2]=C_fix((C_word)C_pipefds[ 0 ]);
av2[3]=C_fix((C_word)C_pipefds[ 1 ]);
C_values(4,av2);}}}

/* k3401 in k3398 in k3395 in k3392 in find-files in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3403(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[12],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_3403,2,av);}
t2=t1;
t3=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_3406,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=t2,a[8]=((C_word*)t0)[7],tmp=(C_word)a,a+=9,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3417,a[2]=((C_word)li48),tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:550: ##sys#get-keyword */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t3;
av2[2]=lf[82];
av2[3]=((C_word*)t0)[7];
av2[4]=t4;
tp(5,av2);}}

/* k3404 in k3401 in k3398 in k3395 in k3392 in find-files in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3406(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[12],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_3406,2,av);}
t2=t1;
t3=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_3409,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=t2,tmp=(C_word)a,a+=9,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3414,a[2]=((C_word)li47),tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:550: ##sys#get-keyword */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t3;
av2[2]=lf[83];
av2[3]=((C_word*)t0)[8];
av2[4]=t4;
tp(5,av2);}}

/* k4475 in create-pipe in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4477(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;{}
/* posixwin.scm:922: values */{
C_word av2[4];
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=C_fix((C_word)C_pipefds[ 0 ]);
av2[3]=C_fix((C_word)C_pipefds[ 1 ]);
C_values(4,av2);}}

/* k3398 in k3395 in k3392 in find-files in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3400(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[11],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_3400,2,av);}
t2=t1;
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_3403,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t2,a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3420,a[2]=((C_word)li49),tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:550: ##sys#get-keyword */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t3;
av2[2]=lf[103];
av2[3]=((C_word*)t0)[6];
av2[4]=t4;
tp(5,av2);}}

/* k3407 in k3404 in k3401 in k3398 in k3395 in k3392 in find-files in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3409(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word ab[17],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_3409,2,av);}
t2=((C_word*)t0)[2];
t3=((C_word*)t0)[3];
t4=((C_word*)t0)[4];
t5=((C_word*)t0)[5];
t6=((C_word*)t0)[6];
t7=((C_word*)t0)[7];
t8=t1;
t9=((C_word*)t0)[8];
t10=C_i_check_string_2(t3,lf[81]);
t11=C_fix(0);
t12=(*a=C_VECTOR_TYPE|1,a[1]=t11,tmp=(C_word)a,a+=2,tmp);
t13=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_3218,a[2]=t8,a[3]=t5,a[4]=t12,a[5]=t9,a[6]=t2,a[7]=t3,a[8]=t6,a[9]=t4,tmp=(C_word)a,a+=10,tmp);
if(C_truep(t7)){
if(C_truep(C_fixnump(t7))){
t14=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3384,a[2]=t12,a[3]=t7,a[4]=((C_word)li45),tmp=(C_word)a,a+=5,tmp);
t15=t13;
f_3218(t15,t14);}
else{
t14=t13;
f_3218(t14,t7);}}
else{
t14=t13;
f_3218(t14,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3376,a[2]=((C_word)li46),tmp=(C_word)a,a+=3,tmp));}}

/* current-effective-user-name in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5942(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_5942,2,av);}
/* posixwin.scm:1545: error */
t2=*((C_word*)lf[346]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[353];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* current-group-id in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5948(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_5948,2,av);}
/* posixwin.scm:1546: error */
t2=*((C_word*)lf[346]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[354];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k4458 in a4455 in a4449 in k4438 in with-output-to-pipe in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4460(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;{}{
C_word av2[3];
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
C_apply_values(3,av2);}}

/* a4464 in k4438 in with-output-to-pipe in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4465(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_4465,2,av);}
t2=C_mutate2(((C_word *)((C_word*)t0)[2])+1,*((C_word*)lf[195]+1));
t3=C_mutate2((C_word*)lf[195]+1 /* (set! ##sys#standard-output ...) */,((C_word*)((C_word*)t0)[3])[1]);
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* create-fifo in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5912(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_5912,2,av);}
/* posixwin.scm:1540: error */
t2=*((C_word*)lf[346]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[348];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* create-session in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5918(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_5918,2,av);}
/* posixwin.scm:1541: error */
t2=*((C_word*)lf[346]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[349];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* seconds->local-time in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3462(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(!C_demand(c*C_SIZEOF_PAIR+3)){
C_save_and_reclaim((void*)f_3462,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+3);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3466,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_nullp(t2))){
/* posix-common.scm:581: current-seconds */
t4=*((C_word*)lf[112]+1);{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_i_car(t2);
t5=C_i_check_number_2(t4,lf[110]);
/* posix-common.scm:583: ##sys#decode-seconds */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[111]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[111]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
tp(4,av2);}}}

/* k3464 in seconds->local-time in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3466(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;{}
t2=C_i_check_number_2(t1,lf[110]);
/* posix-common.scm:583: ##sys#decode-seconds */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[111]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[111]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_SCHEME_FALSE;
tp(4,av2);}}

/* create-symbolic-link in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5924(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_5924,2,av);}
/* posixwin.scm:1542: error */
t2=*((C_word*)lf[346]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[350];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* f_3376 in k3407 in k3404 in k3401 in k3398 in k3395 in k3392 in find-files in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3376(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_3376,2,av);}
t2=t1;{
C_word av2[2];
av2[0]=t2;
av2[1]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* a3433 in find-files in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3434(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word ab[3],*a=ab;
if(c!=2) C_bad_argc_2(c,2,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_3434,2,av);}
t2=t1;{
C_word av2[2];
av2[0]=t2;
av2[1]=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3436,a[2]=((C_word)li53),tmp=(C_word)a,a+=3,tmp);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* f_3436 in a3433 in find-files in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3436(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_3436,2,av);}
t2=t1;{
C_word av2[2];
av2[0]=t2;
av2[1]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* file-lock/blocking in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5972(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_5972,2,av);}
/* posixwin.scm:1550: error */
t2=*((C_word*)lf[346]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[358];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* file-select in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5978(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_5978,2,av);}
/* posixwin.scm:1551: error */
t2=*((C_word*)lf[346]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[359];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3441(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word ab[38],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_3441,2,av);}
t2=C_mutate2((C_word*)lf[107]+1 /* (set! file-creation-mode ...) */,t1);
t3=C_mutate2(&lf[108] /* (set! check-time-vector ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3443,a[2]=((C_word)li56),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate2((C_word*)lf[110]+1 /* (set! seconds->local-time ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3462,a[2]=((C_word)li57),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate2((C_word*)lf[113]+1 /* (set! seconds->utc-time ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3483,a[2]=((C_word)li58),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate2((C_word*)lf[114]+1 /* (set! seconds->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3514,a[2]=((C_word)li59),tmp=(C_word)a,a+=3,tmp));
t7=C_fix((C_word)sizeof(struct tm));
t8=C_mutate2((C_word*)lf[116]+1 /* (set! local-time->seconds ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3552,a[2]=t7,a[3]=((C_word)li60),tmp=(C_word)a,a+=4,tmp));
t9=C_fix((C_word)sizeof(struct tm));
t10=C_mutate2((C_word*)lf[120]+1 /* (set! time->string ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3597,a[2]=t9,a[3]=((C_word)li61),tmp=(C_word)a,a+=4,tmp));
t11=C_mutate2((C_word*)lf[123]+1 /* (set! setenv ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3659,a[2]=((C_word)li62),tmp=(C_word)a,a+=3,tmp));
t12=C_mutate2((C_word*)lf[124]+1 /* (set! unsetenv ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3676,a[2]=((C_word)li63),tmp=(C_word)a,a+=3,tmp));
t13=C_mutate2((C_word*)lf[125]+1 /* (set! get-environment-variables ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3696,a[2]=((C_word)li66),tmp=(C_word)a,a+=3,tmp));
t14=C_mutate2((C_word*)lf[126]+1 /* (set! set-signal-handler! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3762,a[2]=((C_word)li67),tmp=(C_word)a,a+=3,tmp));
t15=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3777,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t16=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6155,a[2]=((C_word)li192),tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:661: getter-with-setter */
t17=*((C_word*)lf[394]+1);{
C_word av2[4];
av2[0]=t17;
av2[1]=t15;
av2[2]=t16;
av2[3]=*((C_word*)lf[126]+1);
((C_proc)(void*)(*((C_word*)t17+1)))(4,av2);}}

/* check-time-vector in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_fcall f_3443(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim_args((void *)trf_3443,3,t1,t2,t3);}
t4=C_i_check_vector_2(t3,t2);
t5=C_block_size(t3);
if(C_truep(C_fixnum_lessp(t5,C_fix(10)))){
/* posix-common.scm:579: ##sys#error */
t6=*((C_word*)lf[53]+1);{
C_word av2[5];
av2[0]=t6;
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[109];
av2[4]=t3;
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}
else{
t6=C_SCHEME_UNDEFINED;
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* a3124 in conc-loop in glob in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3125(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_3125,2,av);}
/* posix-common.scm:501: decompose-pathname */
t2=*((C_word*)lf[87]+1);{
C_word av2[3];
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* change-directory* in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5900(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_5900,2,av);}
/* posixwin.scm:1538: error */
t2=*((C_word*)lf[346]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[345];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* change-file-owner in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5906(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_5906,2,av);}
/* posixwin.scm:1539: error */
t2=*((C_word*)lf[346]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[347];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* loop in loop in $quote-args-list in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static C_word C_fcall f_4924(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_stack_overflow_check;
loop:{}
t2=C_eqp(t1,((C_word*)t0)[2]);
if(C_truep(t2)){
return(C_SCHEME_FALSE);}
else{
t3=C_i_string_ref(((C_word*)t0)[3],t1);
if(C_truep(C_u_i_char_whitespacep(t3))){
return(C_SCHEME_TRUE);}
else{
t4=C_fixnum_plus(t1,C_fix(1));
t6=t4;
t1=t6;
goto loop;}}}

/* k3140 in k3133 in a3130 in conc-loop in glob in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3142(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[10],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_3142,2,av);}
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_3144,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t3,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word)li36),tmp=(C_word)a,a+=8,tmp));
t5=((C_word*)t3)[1];
f_3144(t5,((C_word*)t0)[6],t1);}

/* loop in k3140 in k3133 in a3130 in conc-loop in glob in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_fcall f_3144(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim_args((void *)trf_3144,3,t0,t1,t2);}
if(C_truep(C_i_nullp(t2))){
t3=C_i_cdr(((C_word*)t0)[2]);
/* posix-common.scm:504: conc-loop */
t4=((C_word*)((C_word*)t0)[3])[1];
f_3110(t4,t1,t3);}
else{
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_3161,a[2]=t2,a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t4=C_i_car(t2);
/* posix-common.scm:505: irregex-match */
t5=*((C_word*)lf[94]+1);{
C_word av2[4];
av2[0]=t5;
av2[1]=t3;
av2[2]=((C_word*)t0)[6];
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}}

/* $quote-args-list in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_fcall f_4910(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim_args((void *)trf_4910,3,t1,t2,t3);}
if(C_truep(t3)){
t4=t2;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4953,a[2]=t5,a[3]=((C_word)li120),tmp=(C_word)a,a+=4,tmp));
t7=((C_word*)t5)[1];
f_4953(t7,t1,t2,C_SCHEME_END_OF_LIST);}}

/* current-effective-group-id in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5930(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_5930,2,av);}
/* posixwin.scm:1543: error */
t2=*((C_word*)lf[346]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[351];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* current-effective-user-id in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5936(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_5936,2,av);}
/* posixwin.scm:1544: error */
t2=*((C_word*)lf[346]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[352];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* loop in $quote-args-list in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_fcall f_4953(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word *a;
loop:
a=C_alloc(14);
if(!C_stack_probe(a)){
C_save_and_reclaim_args((void *)trf_4953,4,t0,t1,t2,t3);}
if(C_truep(C_i_nullp(t2))){
/* posixwin.scm:1177: ##sys#fast-reverse */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[295]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[295]+1);
av2[1]=t1;
av2[2]=t3;
tp(3,av2);}}
else{
t4=C_i_car(t2);
t5=t2;
t6=C_u_i_cdr(t5);
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_4979,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=t1,a[5]=t6,tmp=(C_word)a,a+=6,tmp);
t8=t4;
t9=C_i_string_length(t8);
t10=t9;
t11=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4924,a[2]=t10,a[3]=t8,a[4]=((C_word)li119),tmp=(C_word)a,a+=5,tmp);
t12=f_4924(t11,C_fix(0));
if(C_truep(t12)){
/* posixwin.scm:1182: string-append */
t13=*((C_word*)lf[4]+1);{
C_word av2[5];
av2[0]=t13;
av2[1]=t7;
av2[2]=lf[296];
av2[3]=t4;
av2[4]=lf[297];
((C_proc)(void*)(*((C_word*)t13+1)))(5,av2);}}
else{
t13=C_a_i_cons(&a,2,t4,t3);
/* posixwin.scm:1179: loop */
t15=t1;
t16=t6;
t17=t13;
t1=t15;
t2=t16;
t3=t17;
goto loop;}}}

/* k5440 in k5436 in k5432 in k5428 in k5424 in k5380 in process in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5442(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word ab[9],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_5442,2,av);}
t2=((C_word*)t0)[2];
t3=((C_word*)t0)[3];
t4=((C_word*)t0)[4];
t5=((C_word*)t0)[5];
t6=((C_word*)t0)[6];
t7=((C_word*)t0)[7];
t8=((C_word*)t0)[8];
t9=t1;
t10=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_5317,a[2]=t5,a[3]=t6,a[4]=t7,a[5]=t8,a[6]=t9,a[7]=t2,a[8]=t4,tmp=(C_word)a,a+=9,tmp);
if(C_truep(t3)){
t11=C_i_foreign_string_argumentp(t3);
/* posixwin.scm:1271: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[12]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[12]+1);
av2[1]=t10;
av2[2]=t11;
tp(3,av2);}}
else{
t11=t10;{
C_word av2[2];
av2[0]=t11;
av2[1]=C_SCHEME_FALSE;
f_5317(2,av2);}}}

/* k5436 in k5432 in k5428 in k5424 in k5380 in process in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5438(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[9],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_5438,2,av);}
t2=t1;
t3=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_5442,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=t2,tmp=(C_word)a,a+=9,tmp);
t4=(C_truep(((C_word*)t0)[8])?C_fix(0):C_fix(1));
t5=(C_truep(((C_word*)t0)[9])?C_fix(0):C_fix(2));
if(C_truep(((C_word*)t0)[10])){
/* posixwin.scm:1284: + */{
C_word av2[5];
av2[0]=0;
av2[1]=t3;
av2[2]=t4;
av2[3]=t5;
av2[4]=C_fix(0);
C_plus(5,av2);}}
else{
/* posixwin.scm:1284: + */{
C_word av2[5];
av2[0]=0;
av2[1]=t3;
av2[2]=t4;
av2[3]=t5;
av2[4]=C_fix(4);
C_plus(5,av2);}}}

/* setarg in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4987(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word ab[5],*a=ab;
if(c!=5) C_bad_argc_2(c,5,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_4987,5,av);}
t5=C_i_foreign_fixnum_argumentp(t2);
t6=t5;
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4996,a[2]=t4,a[3]=t1,a[4]=t6,tmp=(C_word)a,a+=5,tmp);
if(C_truep(t3)){
t8=C_i_foreign_string_argumentp(t3);
/* posixwin.scm:1189: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[12]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[12]+1);
av2[1]=t7;
av2[2]=t8;
tp(3,av2);}}
else{
t8=C_i_foreign_fixnum_argumentp(t4);
t9=t1;{
C_word av2[2];
av2[0]=t9;
av2[1]=stub1128(C_SCHEME_UNDEFINED,t6,C_SCHEME_FALSE,t8);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}}

/* unmap-file-from-memory in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5852(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(!C_demand(c*C_SIZEOF_PAIR+4)){
C_save_and_reclaim((void*)f_5852,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+4);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
t4=C_i_check_structure_2(t2,lf[337],lf[341]);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5859,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_pairp(t3))){
t6=t3;
t7=t5;
f_5859(t7,C_u_i_car(t6));}
else{
t6=t5;
f_5859(t6,C_slot(t2,C_fix(2)));}}

/* k4977 in loop in $quote-args-list in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4979(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_4979,2,av);}
t2=C_a_i_cons(&a,2,t1,((C_word*)t0)[2]);
/* posixwin.scm:1179: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_4953(t3,((C_word*)t0)[4],((C_word*)t0)[5],t2);}

/* k5456 in process in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5458(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;{}
/* posixwin.scm:1277: string-intersperse */
t2=*((C_word*)lf[316]+1);{
C_word av2[3];
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* suffix-loop in loop in k4040 in k4037 in k4031 in k4028 in file-mkstemp in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_fcall f_4094(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[7],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim_args((void *)trf_4094,3,t0,t1,t2);}
if(C_truep(C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]))){
t3=((C_word*)t0)[3];
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_4117,a[2]=t3,a[3]=((C_word*)t0)[4],a[4]=t2,a[5]=((C_word*)t0)[5],a[6]=t1,tmp=(C_word)a,a+=7,tmp);
/* posixwin.scm:799: random */
t5=*((C_word*)lf[172]+1);{
C_word av2[3];
av2[0]=t5;
av2[1]=t4;
av2[2]=((C_word*)t0)[6];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* loop in k4040 in k4037 in k4031 in k4028 in file-mkstemp in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_fcall f_4047(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word ab[18],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim_args((void *)trf_4047,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_4051,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t1,a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],tmp=(C_word)a,a+=8,tmp);
t4=C_fixnum_difference(((C_word*)t0)[6],C_fix(1));
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_4094,a[2]=((C_word*)t0)[7],a[3]=((C_word*)t0)[8],a[4]=((C_word*)t0)[5],a[5]=t6,a[6]=((C_word*)t0)[9],a[7]=((C_word)li76),tmp=(C_word)a,a+=8,tmp));
t8=((C_word*)t6)[1];
f_4094(t8,t3,t4);}

/* k4040 in k4037 in k4031 in k4028 in file-mkstemp in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4042(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[13],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_4042,2,av);}
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_4047,a[2]=((C_word*)t0)[2],a[3]=t3,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],a[10]=((C_word)li77),tmp=(C_word)a,a+=11,tmp));
t5=((C_word*)t3)[1];
f_4047(t5,((C_word*)t0)[9],C_fix(1));}

/* memory-mapped-file? in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5894(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_5894,3,av);}
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_i_structurep(t2,lf[337]);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k5144 in process-execute in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5146(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;{}
if(C_truep(((C_word*)t0)[2])){
t2=C_execve(t1);
/* posixwin.scm:1222: $exec-teardown */
f_5109(((C_word*)t0)[3],lf[301],lf[302],((C_word*)t0)[4],t2);}
else{
t2=C_execvp(t1);
/* posixwin.scm:1222: $exec-teardown */
f_5109(((C_word*)t0)[3],lf[301],lf[302],((C_word*)t0)[4],t2);}}

/* k2673 in k2690 */
static void C_ccall f_2675(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;{}
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* process-spawn in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5191(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(!C_demand(c*C_SIZEOF_PAIR+6)){
C_save_and_reclaim((void*)f_5191,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+6);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
t5=C_i_nullp(t4);
t6=(C_truep(t5)?C_SCHEME_FALSE:C_i_car(t4));
t7=C_i_nullp(t4);
t8=(C_truep(t7)?C_SCHEME_END_OF_LIST:C_i_cdr(t4));
t9=C_i_nullp(t8);
t10=(C_truep(t9)?C_SCHEME_FALSE:C_i_car(t8));
t11=t10;
t12=C_i_nullp(t8);
t13=(C_truep(t12)?C_SCHEME_END_OF_LIST:C_i_cdr(t8));
t14=C_i_nullp(t13);
t15=(C_truep(t14)?C_SCHEME_FALSE:C_i_car(t13));
t16=C_i_nullp(t13);
t17=(C_truep(t16)?C_SCHEME_END_OF_LIST:C_i_cdr(t13));
t18=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_5213,a[2]=t11,a[3]=t2,a[4]=t1,a[5]=t3,tmp=(C_word)a,a+=6,tmp);
/* posixwin.scm:1226: $exec-setup */
t19=lf[298];
f_5077(t19,t18,lf[303],t3,t6,t11,t15);}

/* a4455 in a4449 in k4438 in with-output-to-pipe in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4456(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(!C_demand(c*C_SIZEOF_PAIR+4)){
C_save_and_reclaim((void*)f_4456,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4460,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm:908: close-output-pipe */
t4=*((C_word*)lf[188]+1);{
C_word av2[3];
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* f_2698 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2698(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(!C_demand(c*C_SIZEOF_PAIR+4)){
C_save_and_reclaim((void*)f_2698,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+4);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t4=C_i_check_exact_2(t2,*((C_word*)lf[70]+1));
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2705,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_nullp(t3))){
t6=t5;
f_2705(t6,C_dup(t2));}
else{
t6=C_i_car(t3);
t7=C_i_check_exact_2(t6,lf[70]);
t8=t5;
f_2705(t8,C_dup2(t2,t6));}}

/* k2690 */
static void C_ccall f_2692(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_2692,2,av);}
if(C_truep(C_i_zerop(t1))){
/* posix-common.scm:395: posix-error */
t2=lf[2];{
C_word av2[6];
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[14];
av2[3]=lf[65];
av2[4]=lf[67];
av2[5]=((C_word*)t0)[3];
f_2246(6,av2);}}
else{
t2=C_C_fileno(((C_word*)t0)[3]);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2675,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_fixnum_lessp(t2,C_fix(0)))){
/* posix-common.scm:393: posix-error */
t4=lf[2];{
C_word av2[6];
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[10];
av2[3]=lf[65];
av2[4]=lf[68];
av2[5]=((C_word*)t0)[3];
f_2246(6,av2);}}
else{
t4=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}}

/* a4449 in k4438 in with-output-to-pipe in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4450(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word ab[4],*a=ab;
if(c!=2) C_bad_argc_2(c,2,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_4450,2,av);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4456,a[2]=((C_word*)t0)[2],a[3]=((C_word)li98),tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm:905: ##sys#call-with-values */{
C_word av2[4];
av2[0]=0;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=t2;
C_call_with_values(4,av2);}}

/* k4053 in k4049 in loop in k4040 in k4037 in k4031 in k4028 in file-mkstemp in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4055(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word ab[8],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_4055,2,av);}
t2=C_a_i_bitwise_ior(&a,2,C_a_i_bitwise_ior(&a,2,*((C_word*)lf[137]+1),*((C_word*)lf[140]+1)),*((C_word*)lf[142]+1));
t3=C_fixnum_or(C_fix((C_word)S_IREAD),C_fix((C_word)S_IWRITE));
t4=C_open(t1,t2,t3);
t5=C_eqp(C_fix(-1),t4);
if(C_truep(t5)){
if(C_truep(C_fixnum_lessp(((C_word*)t0)[2],((C_word*)t0)[3]))){
t6=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
/* posixwin.scm:807: loop */
t7=((C_word*)((C_word*)t0)[4])[1];
f_4047(t7,((C_word*)t0)[5],t6);}
else{
/* posixwin.scm:808: posix-error */
t6=lf[2];{
C_word av2[6];
av2[0]=t6;
av2[1]=((C_word*)t0)[5];
av2[2]=lf[10];
av2[3]=lf[169];
av2[4]=lf[171];
av2[5]=((C_word*)t0)[6];
f_2246(6,av2);}}}
else{
/* posixwin.scm:809: values */{
C_word av2[4];
av2[0]=0;
av2[1]=((C_word*)t0)[5];
av2[2]=t4;
av2[3]=((C_word*)t0)[7];
C_values(4,av2);}}}

/* k4049 in loop in k4040 in k4037 in k4031 in k4028 in file-mkstemp in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4051(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word ab[8],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_4051,2,av);}
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_4055,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
/* posixwin.scm:802: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[12]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[12]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[7];
av2[3]=lf[159];
tp(4,av2);}}

/* a4444 in k4438 in with-output-to-pipe in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4445(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_4445,2,av);}
t2=C_mutate2(((C_word *)((C_word*)t0)[2])+1,*((C_word*)lf[195]+1));
t3=C_mutate2((C_word*)lf[195]+1 /* (set! ##sys#standard-output ...) */,((C_word*)((C_word*)t0)[3])[1]);
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k4438 in with-output-to-pipe in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4440(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word ab[19],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_4440,2,av);}
t2=t1;
t3=t2;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_SCHEME_FALSE;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4445,a[2]=t6,a[3]=t4,a[4]=((C_word)li97),tmp=(C_word)a,a+=5,tmp);
t8=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4450,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word)li99),tmp=(C_word)a,a+=5,tmp);
t9=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4465,a[2]=t4,a[3]=t6,a[4]=((C_word)li100),tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm:902: ##sys#dynamic-wind */
t10=*((C_word*)lf[100]+1);{
C_word av2[5];
av2[0]=t10;
av2[1]=((C_word*)t0)[3];
av2[2]=t7;
av2[3]=t8;
av2[4]=t9;
((C_proc)(void*)(*((C_word*)t10+1)))(5,av2);}}

/* with-output-to-pipe in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4436(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(!C_demand(c*C_SIZEOF_PAIR+4)){
C_save_and_reclaim((void*)f_4436,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+4);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4440,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);{
C_word av2[5];
av2[0]=0;
av2[1]=t5;
av2[2]=*((C_word*)lf[185]+1);
av2[3]=t2;
av2[4]=t4;
C_apply(5,av2);}}

/* a4430 in k4404 in with-input-from-pipe in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4431(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_4431,2,av);}
t2=C_mutate2(((C_word *)((C_word*)t0)[2])+1,*((C_word*)lf[193]+1));
t3=C_mutate2((C_word*)lf[193]+1 /* (set! ##sys#standard-input ...) */,((C_word*)((C_word*)t0)[3])[1]);
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k4037 in k4031 in k4028 in file-mkstemp in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4039(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[19],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_4039,2,av);}
t2=t1;
t3=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_4042,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t2,a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],tmp=(C_word)a,a+=10,tmp);
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_4136,a[2]=t2,a[3]=((C_word*)t0)[5],a[4]=t3,a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4140,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* posixwin.scm:789: pathname-directory */
t6=*((C_word*)lf[86]+1);{
C_word av2[3];
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}

/* k4031 in k4028 in file-mkstemp in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4033(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word ab[16],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_4033,2,av);}
t2=t1;
t3=C_block_size(t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_4039,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=t4,a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],a[8]=((C_word*)t0)[6],tmp=(C_word)a,a+=9,tmp);
t6=C_fixnum_difference(t4,C_fix(1));
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4149,a[2]=t8,a[3]=t2,a[4]=((C_word)li78),tmp=(C_word)a,a+=5,tmp));
t10=((C_word*)t8)[1];
f_4149(t10,t5,t6);}

/* k4028 in file-mkstemp in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4030(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word ab[7],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_4030,2,av);}
t2=t1;
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_4033,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* posixwin.scm:782: string-copy */
t4=*((C_word*)lf[177]+1);{
C_word av2[3];
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k4424 in a4421 in a4415 in k4404 in with-input-from-pipe in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4426(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;{}{
C_word av2[3];
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
C_apply_values(3,av2);}}

/* a4421 in a4415 in k4404 in with-input-from-pipe in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4422(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(!C_demand(c*C_SIZEOF_PAIR+4)){
C_save_and_reclaim((void*)f_4422,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4426,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm:898: close-input-pipe */
t4=*((C_word*)lf[186]+1);{
C_word av2[3];
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* a4415 in k4404 in with-input-from-pipe in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4416(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word ab[4],*a=ab;
if(c!=2) C_bad_argc_2(c,2,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_4416,2,av);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4422,a[2]=((C_word*)t0)[2],a[3]=((C_word)li93),tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm:895: ##sys#call-with-values */{
C_word av2[4];
av2[0]=0;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=t2;
C_call_with_values(4,av2);}}

/* a4410 in k4404 in with-input-from-pipe in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4411(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_4411,2,av);}
t2=C_mutate2(((C_word *)((C_word*)t0)[2])+1,*((C_word*)lf[193]+1));
t3=C_mutate2((C_word*)lf[193]+1 /* (set! ##sys#standard-input ...) */,((C_word*)((C_word*)t0)[3])[1]);
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k4194 in k4185 in change-directory in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4196(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;{}
/* posixwin.scm:819: ##sys#signal-hook */
t2=*((C_word*)lf[3]+1);{
C_word av2[6];
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[10];
av2[3]=lf[73];
av2[4]=lf[178];
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k4188 in k4185 in change-directory in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4190(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;{}
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* with-input-from-pipe in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4402(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(!C_demand(c*C_SIZEOF_PAIR+4)){
C_save_and_reclaim((void*)f_4402,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+4);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4406,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);{
C_word av2[5];
av2[0]=0;
av2[1]=t5;
av2[2]=*((C_word*)lf[181]+1);
av2[3]=t2;
av2[4]=t4;
C_apply(5,av2);}}

/* k5401 in k5397 in k5387 in k5380 in process in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5403(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_5403,2,av);}
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_5407,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
if(C_truep(((C_word*)t0)[5])){
/* posixwin.scm:1290: open-input-file* */
t4=*((C_word*)lf[63]+1);{
C_word av2[3];
av2[0]=t4;
av2[1]=t3;
av2[2]=C_fix((C_word)*((int *)C_data_pointer(((C_word*)t0)[6])));
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}
else{
/* posixwin.scm:1286: values */{
C_word av2[6];
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t2;
av2[4]=C_fix((C_word)*((int *)C_data_pointer(((C_word*)t0)[4])));
av2[5]=C_SCHEME_FALSE;
C_values(6,av2);}}}

/* k4404 in with-input-from-pipe in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4406(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word ab[19],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_4406,2,av);}
t2=t1;
t3=t2;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_SCHEME_FALSE;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4411,a[2]=t6,a[3]=t4,a[4]=((C_word)li92),tmp=(C_word)a,a+=5,tmp);
t8=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4416,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word)li94),tmp=(C_word)a,a+=5,tmp);
t9=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4431,a[2]=t4,a[3]=t6,a[4]=((C_word)li95),tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm:892: ##sys#dynamic-wind */
t10=*((C_word*)lf[100]+1);{
C_word av2[5];
av2[0]=t10;
av2[1]=((C_word*)t0)[3];
av2[2]=t7;
av2[3]=t8;
av2[4]=t9;
((C_proc)(void*)(*((C_word*)t10+1)))(5,av2);}}

/* loop in k4031 in k4028 in file-mkstemp in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_fcall f_4149(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim_args((void *)trf_4149,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4156,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_fixnum_greater_or_equal_p(t2,C_fix(0)))){
t4=C_i_string_ref(((C_word*)t0)[3],t2);
t5=t3;
f_4156(t5,C_eqp(t4,C_make_character(88)));}
else{
t4=t3;
f_4156(t4,C_SCHEME_FALSE);}}

/* _exit in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4796(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(!C_demand(c*C_SIZEOF_PAIR+0)){
C_save_and_reclaim((void*)f_4796,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
if(C_truep(C_i_pairp(t2))){
t3=t2;
t4=C_u_i_car(t3);
t5=t1;
t6=C_i_foreign_fixnum_argumentp(t4);
t7=t5;{
C_word av2[2];
av2[0]=t7;
av2[1]=stub1073(C_SCHEME_UNDEFINED,t6);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t3=t1;
t4=C_i_foreign_fixnum_argumentp(C_fix(0));
t5=t3;{
C_word av2[2];
av2[0]=t5;
av2[1]=stub1073(C_SCHEME_UNDEFINED,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k4138 in k4037 in k4031 in k4028 in file-mkstemp in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4140(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;{}
if(C_truep(t1)){
t2=t1;
/* posixwin.scm:789: directory-exists? */
t3=*((C_word*)lf[175]+1);{
C_word av2[3];
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
/* posixwin.scm:789: directory-exists? */
t2=*((C_word*)lf[175]+1);{
C_word av2[3];
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[176];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}}

/* k5091 in k5088 in k5085 in k5082 in $exec-setup in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5093(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;{}
t2=C_flushall();
/* posixwin.scm:1210: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[12]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[12]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
tp(4,av2);}}

/* k5405 in k5401 in k5397 in k5387 in k5380 in process in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5407(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;{}
/* posixwin.scm:1286: values */{
C_word av2[6];
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=C_fix((C_word)*((int *)C_data_pointer(((C_word*)t0)[5])));
av2[5]=t1;
C_values(6,av2);}}

/* k4134 in k4037 in k4031 in k4028 in file-mkstemp in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4136(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;{}
if(C_truep(t1)){
t2=C_eqp(((C_word*)t0)[2],((C_word*)t0)[3]);
if(C_truep(t2)){
/* posixwin.scm:795: ##sys#signal-hook */
t3=*((C_word*)lf[3]+1);{
C_word av2[6];
av2[0]=t3;
av2[1]=((C_word*)t0)[4];
av2[2]=lf[10];
av2[3]=lf[169];
av2[4]=lf[173];
av2[5]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t3+1)))(6,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=((C_word*)t0)[4];{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
f_4042(2,av2);}}}
else{
/* posixwin.scm:793: ##sys#signal-hook */
t2=*((C_word*)lf[3]+1);{
C_word av2[6];
av2[0]=t2;
av2[1]=((C_word*)t0)[4];
av2[2]=lf[10];
av2[3]=lf[169];
av2[4]=lf[174];
av2[5]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}}

/* directory? in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2503(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word ab[3],*a=ab;
if(c!=3) C_bad_argc_2(c,3,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_2503,3,av);}
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2511,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:300: file-type */
t4=*((C_word*)lf[25]+1);{
C_word av2[5];
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}

/* k2499 in socket? in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2501(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;{}
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_eqp(lf[32],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k5111 in $exec-teardown in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5113(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;{}
t2=C_free_exec_args();
t3=C_free_exec_env();
t4=C_eqp(((C_word*)t0)[2],C_fix(-1));
if(C_truep(t4)){
/* posixwin.scm:1217: ##sys#error */
t5=*((C_word*)lf[53]+1);{
C_word av2[5];
av2[0]=t5;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=((C_word*)t0)[5];
av2[4]=((C_word*)t0)[6];
((C_proc)(void*)(*((C_word*)t5+1)))(5,av2);}}
else{
t5=((C_word*)t0)[2];
t6=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* k5417 in k5387 in k5380 in process in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5419(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;{}
/* posixwin.scm:1293: ##sys#signal-hook */
t2=*((C_word*)lf[3]+1);{
C_word av2[6];
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[132];
av2[3]=((C_word*)t0)[3];
av2[4]=lf[313];
av2[5]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* file-mkstemp in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4020(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word ab[6],*a=ab;
if(c!=3) C_bad_argc_2(c,3,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_4020,3,av);}
t3=C_i_check_string_2(t2,lf[169]);
t4=lf[170];
t5=C_block_size(t4);
t6=t5;
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_4030,a[2]=t2,a[3]=t4,a[4]=t6,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* posixwin.scm:781: * */{
C_word av2[5];
av2[0]=0;
av2[1]=t7;
av2[2]=t6;
av2[3]=t6;
av2[4]=t6;
C_times(5,av2);}}

/* set-file-position! in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2516(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(!C_demand(c*C_SIZEOF_PAIR+5)){
C_save_and_reclaim((void*)f_2516,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+5);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2520,a[2]=t3,a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_i_pairp(t4))){
t6=t4;
t7=t5;
f_2520(t7,C_u_i_car(t6));}
else{
t6=t5;
f_2520(t6,C_fix((C_word)SEEK_SET));}}

/* process-execute in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5124(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(!C_demand(c*C_SIZEOF_PAIR+5)){
C_save_and_reclaim((void*)f_5124,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+5);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?C_SCHEME_FALSE:C_i_car(t3));
t6=C_i_nullp(t3);
t7=(C_truep(t6)?C_SCHEME_END_OF_LIST:C_i_cdr(t3));
t8=C_i_nullp(t7);
t9=(C_truep(t8)?C_SCHEME_FALSE:C_i_car(t7));
t10=t9;
t11=C_i_nullp(t7);
t12=(C_truep(t11)?C_SCHEME_END_OF_LIST:C_i_cdr(t7));
t13=C_i_nullp(t12);
t14=(C_truep(t13)?C_SCHEME_FALSE:C_i_car(t12));
t15=C_i_nullp(t12);
t16=(C_truep(t15)?C_SCHEME_END_OF_LIST:C_i_cdr(t12));
t17=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_5146,a[2]=t10,a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm:1221: $exec-setup */
t18=lf[298];
f_5077(t18,t17,lf[301],t2,t5,t10,t14);}

/* k5432 in k5428 in k5424 in k5380 in process in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5434(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word ab[11],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_5434,2,av);}
t2=t1;
t3=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_5438,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=t2,a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],a[10]=((C_word*)t0)[9],tmp=(C_word)a,a+=11,tmp);
/* posixwin.scm:1283: ##sys#make-locative */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[314]+1));
C_word av2[6];
av2[0]=*((C_word*)lf[314]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[10];
av2[3]=C_fix(0);
av2[4]=C_SCHEME_FALSE;
av2[5]=lf[315];
tp(6,av2);}}

/* k5428 in k5424 in k5380 in process in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5430(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word ab[11],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_5430,2,av);}
t2=t1;
t3=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_5434,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t2,a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],a[10]=((C_word*)t0)[9],tmp=(C_word)a,a+=11,tmp);
/* posixwin.scm:1283: ##sys#make-locative */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[314]+1));
C_word av2[6];
av2[0]=*((C_word*)lf[314]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[10];
av2[3]=C_fix(0);
av2[4]=C_SCHEME_FALSE;
av2[5]=lf[315];
tp(6,av2);}}

/* k2509 in directory? in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2511(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;{}
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_eqp(lf[28],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k5424 in k5380 in process in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5426(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word ab[11],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_5426,2,av);}
t2=t1;
t3=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_5430,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],a[10]=((C_word*)t0)[9],tmp=(C_word)a,a+=11,tmp);
/* posixwin.scm:1283: ##sys#make-locative */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[314]+1));
C_word av2[6];
av2[0]=*((C_word*)lf[314]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[10];
av2[3]=C_fix(0);
av2[4]=C_SCHEME_FALSE;
av2[5]=lf[315];
tp(6,av2);}}

/* k2518 in set-file-position! in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_fcall f_2520(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word ab[11],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim_args((void *)trf_2520,2,t0,t1);}
t2=t1;
t3=C_i_check_exact_2(((C_word*)t0)[2],lf[43]);
t4=C_i_check_exact_2(t2,lf[43]);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2532,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2538,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=t5,tmp=(C_word)a,a+=6,tmp);
/* posix-common.scm:318: port? */
t7=*((C_word*)lf[47]+1);{
C_word av2[3];
av2[0]=t7;
av2[1]=t6;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}

/* doloop1149 in build-exec-argvec in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_fcall f_5041(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim_args((void *)trf_5041,4,t0,t1,t2,t3);}
if(C_truep(C_i_nullp(t2))){
/* posixwin.scm:1198: argvec-setter */
t4=((C_word*)t0)[2];{
C_word av2[5];
av2[0]=t4;
av2[1]=t1;
av2[2]=t3;
av2[3]=C_SCHEME_FALSE;
av2[4]=C_fix(0);
((C_proc)C_fast_retrieve_proc(t4))(5,av2);}}
else{
t4=C_i_car(t2);
t5=C_i_check_string_2(t4,((C_word*)t0)[3]);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_5060,a[2]=t2,a[3]=t3,a[4]=((C_word*)t0)[4],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t7=C_block_size(t4);
/* posixwin.scm:1201: argvec-setter */
t8=((C_word*)t0)[2];{
C_word av2[5];
av2[0]=t8;
av2[1]=t6;
av2[2]=t3;
av2[3]=t4;
av2[4]=t7;
((C_proc)C_fast_retrieve_proc(t8))(5,av2);}}}

/* k4185 in change-directory in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4187(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[8],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_4187,2,av);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4190,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=C_chdir(t1);
t4=C_eqp(C_fix(0),t3);
if(C_truep(t4)){
t5=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t5;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4196,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm:818: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[7]+1));
C_word av2[2];
av2[0]=*((C_word*)lf[7]+1);
av2[1]=t5;
tp(2,av2);}}}

/* k4749 in port->fileno in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4751(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[8],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_4751,2,av);}
if(C_truep(C_i_zerop(t1))){
/* posixwin.scm:1082: ##sys#signal-hook */
t2=*((C_word*)lf[3]+1);{
C_word av2[6];
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[14];
av2[3]=lf[65];
av2[4]=lf[275];
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}
else{
t2=C_C_fileno(((C_word*)t0)[3]);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4731,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_fixnum_lessp(t2,C_fix(0)))){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4737,a[2]=t3,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm:1079: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[7]+1));
C_word av2[2];
av2[0]=*((C_word*)lf[7]+1);
av2[1]=t4;
tp(2,av2);}}
else{
t4=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}}

/* k2536 in k2518 in set-file-position! in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2538(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;{}
if(C_truep(t1)){
t2=C_slot(((C_word*)t0)[2],C_fix(7));
t3=C_eqp(t2,lf[45]);
if(C_truep(t3)){
t4=C_fseek(((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);
t5=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
f_2532(2,av2);}}
else{
t4=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
f_2532(2,av2);}}}
else{
if(C_truep(C_fixnump(((C_word*)t0)[2]))){
t2=C_lseek(((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);
t3=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
f_2532(2,av2);}}
else{
/* posix-common.scm:324: ##sys#signal-hook */
t2=*((C_word*)lf[3]+1);{
C_word av2[6];
av2[0]=t2;
av2[1]=((C_word*)t0)[5];
av2[2]=lf[14];
av2[3]=lf[43];
av2[4]=lf[46];
av2[5]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}}}

/* change-directory in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4180(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word ab[4],*a=ab;
if(c!=3) C_bad_argc_2(c,3,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_4180,3,av);}
t3=C_i_check_string_2(t2,lf[73]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4187,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm:816: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[12]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[12]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[73];
tp(4,av2);}}

/* duplicate-fileno in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4753(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(!C_demand(c*C_SIZEOF_PAIR+4)){
C_save_and_reclaim((void*)f_4753,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+4);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t4=C_i_check_exact_2(t2,*((C_word*)lf[70]+1));
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4760,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_nullp(t3))){
t6=t5;
f_4760(t6,C_dup(t2));}
else{
t6=C_i_car(t3);
t7=C_i_check_exact_2(t6,lf[70]);
t8=t5;
f_4760(t8,C_dup2(t2,t6));}}

/* k2530 in k2518 in set-file-position! in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2532(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;{}
if(C_truep(t1)){
t2=C_SCHEME_UNDEFINED;
t3=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
/* posix-common.scm:325: posix-error */
t2=lf[2];{
C_word av2[7];
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[10];
av2[3]=lf[43];
av2[4]=lf[44];
av2[5]=((C_word*)t0)[3];
av2[6]=((C_word*)t0)[4];
f_2246(7,av2);}}}

/* local-timezone-abbreviation in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4783(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word ab[5],*a=ab;
if(c!=2) C_bad_argc_2(c,2,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_4783,2,av);}
t2=C_a_i_bytevector(&a,1,C_fix(3));
t3=stub1067(t2);
/* posixwin.scm:1101: ##sys#peek-c-string */
t4=*((C_word*)lf[6]+1);{
C_word av2[4];
av2[0]=t4;
av2[1]=t1;
av2[2]=t3;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* $exec-teardown in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_fcall f_5109(C_word t1,C_word t2,C_word t3,C_word t4,C_word t5){
C_word tmp;
C_word t6;
C_word t7;
C_word ab[7],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim_args((void *)trf_5109,5,t1,t2,t3,t4,t5);}
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_5113,a[2]=t5,a[3]=t1,a[4]=t2,a[5]=t3,a[6]=t4,tmp=(C_word)a,a+=7,tmp);
/* posixwin.scm:1213: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[7]+1));
C_word av2[2];
av2[0]=*((C_word*)lf[7]+1);
av2[1]=t6;
tp(2,av2);}}

/* k5098 in k5085 in k5082 in $exec-setup in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5100(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;{}
/* posixwin.scm:1207: build-exec-argvec */
f_5029(((C_word*)t0)[3],((C_word*)t0)[4],t1,((C_word*)t0)[5],C_fix(1));}

/* $exec-setup in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_fcall f_5077(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5,C_word t6){
C_word tmp;
C_word t7;
C_word t8;
C_word t9;
C_word ab[11],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim_args((void *)trf_5077,7,t0,t1,t2,t3,t4,t5,t6);}
t7=C_i_check_string_2(t3,t2);
t8=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_5084,a[2]=t1,a[3]=t3,a[4]=t2,a[5]=((C_word*)t0)[2],a[6]=t5,a[7]=((C_word*)t0)[3],a[8]=((C_word*)t0)[4],a[9]=t4,a[10]=t6,tmp=(C_word)a,a+=11,tmp);
/* posixwin.scm:1205: pathname-strip-directory */
t9=*((C_word*)lf[299]+1);{
C_word av2[3];
av2[0]=t9;
av2[1]=t8;
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t9+1)))(3,av2);}}

/* k5088 in k5085 in k5082 in $exec-setup in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5090(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_5090,2,av);}
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_5093,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm:1208: build-exec-argvec */
f_5029(t2,((C_word*)t0)[4],((C_word*)t0)[6],((C_word*)t0)[7],C_fix(0));}

/* k5801 in k5798 in map-file-to-memory in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_fcall f_5803(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[9],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim_args((void *)trf_5803,2,t0,t1);}
t2=t1;
t3=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_5806,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=t2,a[8]=((C_word*)t0)[7],tmp=(C_word)a,a+=9,tmp);
if(C_truep(C_blockp(((C_word*)t0)[6]))){
if(C_truep(C_specialp(((C_word*)t0)[6]))){
t4=t3;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
f_5806(2,av2);}}
else{
/* posixwin.scm:1509: ##sys#signal-hook */
t4=*((C_word*)lf[3]+1);{
C_word av2[6];
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[14];
av2[3]=lf[336];
av2[4]=lf[339];
av2[5]=((C_word*)t0)[6];
((C_proc)(void*)(*((C_word*)t4+1)))(6,av2);}}}
else{
/* posixwin.scm:1509: ##sys#signal-hook */
t4=*((C_word*)lf[3]+1);{
C_word av2[6];
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[14];
av2[3]=lf[336];
av2[4]=lf[339];
av2[5]=((C_word*)t0)[6];
((C_proc)(void*)(*((C_word*)t4+1)))(6,av2);}}}

/* k5798 in map-file-to-memory in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5800(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[8],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_5800,2,av);}
t2=t1;
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_5803,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t2,a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
if(C_truep(C_i_pairp(((C_word*)t0)[7]))){
t4=((C_word*)t0)[7];
t5=t3;
f_5803(t5,C_u_i_car(t4));}
else{
t4=t3;
f_5803(t4,C_fix(0));}}

/* k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2565(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word ab[53],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_2565,2,av);}
t2=C_mutate2((C_word*)lf[48]+1 /* (set! file-position ...) */,t1);
t3=C_mutate2((C_word*)lf[49]+1 /* (set! fileno/stdin ...) */,C_fix((C_word)STDIN_FILENO));
t4=C_mutate2((C_word*)lf[50]+1 /* (set! fileno/stdout ...) */,C_fix((C_word)STDOUT_FILENO));
t5=C_mutate2((C_word*)lf[51]+1 /* (set! fileno/stderr ...) */,C_fix((C_word)STDERR_FILENO));
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_SCHEME_UNDEFINED;
t9=(*a=C_VECTOR_TYPE|1,a[1]=t8,tmp=(C_word)a,a+=2,tmp);
t10=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2570,a[2]=((C_word)li17),tmp=(C_word)a,a+=3,tmp));
t11=C_set_block_item(t9,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2607,a[2]=((C_word)li18),tmp=(C_word)a,a+=3,tmp));
t12=C_mutate2((C_word*)lf[63]+1 /* (set! open-input-file* ...) */,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2622,a[2]=t9,a[3]=t7,a[4]=((C_word)li19),tmp=(C_word)a,a+=5,tmp));
t13=C_mutate2((C_word*)lf[64]+1 /* (set! open-output-file* ...) */,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2636,a[2]=t9,a[3]=t7,a[4]=((C_word)li20),tmp=(C_word)a,a+=5,tmp));
t14=C_mutate2((C_word*)lf[65]+1 /* (set! port->fileno ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2650,a[2]=((C_word)li21),tmp=(C_word)a,a+=3,tmp));
t15=C_mutate2((C_word*)lf[70]+1 /* (set! duplicate-fileno ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2698,a[2]=((C_word)li22),tmp=(C_word)a,a+=3,tmp));
t16=C_mutate2((C_word*)lf[72]+1 /* (set! current-directory ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2725,a[2]=((C_word)li23),tmp=(C_word)a,a+=3,tmp));
t17=C_mutate2((C_word*)lf[77]+1 /* (set! delete-directory ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2759,a[2]=((C_word)li27),tmp=(C_word)a,a+=3,tmp));
t18=C_mutate2((C_word*)lf[84]+1 /* (set! create-directory ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2848,a[2]=((C_word)li31),tmp=(C_word)a,a+=3,tmp));
t19=C_mutate2((C_word*)lf[28]+1 /* (set! directory ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2965,a[2]=((C_word)li33),tmp=(C_word)a,a+=3,tmp));
t20=C_mutate2((C_word*)lf[92]+1 /* (set! glob ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3104,a[2]=((C_word)li39),tmp=(C_word)a,a+=3,tmp));
t21=C_mutate2((C_word*)lf[81]+1 /* (set! find-files ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3390,a[2]=((C_word)li55),tmp=(C_word)a,a+=3,tmp));
t22=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3441,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t23=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6164,a[2]=((C_word)li193),tmp=(C_word)a,a+=3,tmp);
t24=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6189,a[2]=((C_word)li194),tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:562: getter-with-setter */
t25=*((C_word*)lf[394]+1);{
C_word av2[5];
av2[0]=t25;
av2[1]=t22;
av2[2]=t23;
av2[3]=t24;
av2[4]=lf[395];
((C_proc)(void*)(*((C_word*)t25+1)))(5,av2);}}

/* k5082 in $exec-setup in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5084(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word ab[11],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_5084,2,av);}
t2=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_5087,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],tmp=(C_word)a,a+=11,tmp);
t3=C_block_size(t1);
/* posixwin.scm:1206: setarg */
t4=((C_word*)t0)[8];{
C_word av2[5];
av2[0]=t4;
av2[1]=t2;
av2[2]=C_fix(0);
av2[3]=t1;
av2[4]=t3;
f_4987(5,av2);}}

/* k5085 in k5082 in $exec-setup in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5087(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word ab[14],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_5087,2,av);}
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_5090,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_5100,a[2]=((C_word*)t0)[5],a[3]=t2,a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[8],tmp=(C_word)a,a+=6,tmp);
if(C_truep(((C_word*)t0)[9])){
/* posixwin.scm:1207: $quote-args-list */
f_4910(t3,((C_word*)t0)[9],((C_word*)t0)[10]);}
else{
/* posixwin.scm:1207: build-exec-argvec */
f_5029(t2,((C_word*)t0)[4],C_SCHEME_FALSE,((C_word*)t0)[8],C_fix(1));}}

/* port->fileno in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4719(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[4],*a=ab;
if(c!=3) C_bad_argc_2(c,3,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_4719,3,av);}
t3=t2;
t4=C_i_check_port_2(t3,C_fix(0),C_SCHEME_TRUE,lf[65]);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4751,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm:1076: ##sys#peek-unsigned-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[69]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[69]+1);
av2[1]=t5;
av2[2]=t2;
av2[3]=C_fix(0);
tp(4,av2);}}

/* k4715 in open-output-file* in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4717(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word ab[2],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_4717,2,av);}
t2=C_fdopen(&a,2,((C_word*)t0)[2],t1);
/* posixwin.scm:1071: check */
f_4673(((C_word*)t0)[4],((C_word*)t0)[2],C_SCHEME_FALSE,t2);}

/* k5804 in k5801 in k5798 in map-file-to-memory in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5806(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word ab[21],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_5806,2,av);}
t2=((C_word*)t0)[2];
t3=((C_word*)t0)[3];
t4=((C_word*)t0)[4];
t5=((C_word*)t0)[5];
t6=C_a_i_bytevector(&a,1,C_fix(3));
t7=(C_truep(((C_word*)t0)[6])?C_i_foreign_pointer_argumentp(((C_word*)t0)[6]):C_SCHEME_FALSE);
t8=C_i_foreign_integer_argumentp(t2);
t9=C_i_foreign_fixnum_argumentp(t3);
t10=C_i_foreign_fixnum_argumentp(t4);
t11=C_i_foreign_fixnum_argumentp(t5);
t12=C_i_foreign_integer_argumentp(((C_word*)t0)[7]);
t13=stub1440(t6,t7,t8,t9,t10,t11,t12);
t14=t13;
t15=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_5812,a[2]=((C_word*)t0)[8],a[3]=t14,a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
t16=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_5818,a[2]=t15,a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],a[10]=t14,tmp=(C_word)a,a+=11,tmp);
if(C_truep(t14)){
t17=C_i_foreign_pointer_argumentp(t14);
t18=t16;
f_5818(t18,stub1452(C_SCHEME_UNDEFINED,t17));}
else{
t17=t16;
f_5818(t17,stub1452(C_SCHEME_UNDEFINED,C_SCHEME_FALSE));}}

/* k3649 in k3602 in time->string in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3651(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_3651,2,av);}
t2=((C_word*)t0)[2];
t3=C_a_i_bytevector(&a,1,C_fix(3));
if(C_truep(t1)){
t4=C_i_foreign_block_argumentp(t1);
t5=stub583(t3,t2,t4);
/* posix-common.scm:608: ##sys#peek-c-string */
t6=*((C_word*)lf[6]+1);{
C_word av2[4];
av2[0]=t6;
av2[1]=((C_word*)t0)[3];
av2[2]=t5;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}
else{
t4=stub583(t3,t2,C_SCHEME_FALSE);
/* posix-common.scm:608: ##sys#peek-c-string */
t5=*((C_word*)lf[6]+1);{
C_word av2[4];
av2[0]=t5;
av2[1]=((C_word*)t0)[3];
av2[2]=t4;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}}

/* k5816 in k5804 in k5801 in k5798 in map-file-to-memory in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_fcall f_5818(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim_args((void *)trf_5818,2,t0,t1);}
if(C_truep(t1)){
/* posixwin.scm:1512: posix-error */
t2=lf[2];{
C_word av2[11];
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[10];
av2[3]=lf[336];
av2[4]=lf[338];
av2[5]=((C_word*)t0)[3];
av2[6]=((C_word*)t0)[4];
av2[7]=((C_word*)t0)[5];
av2[8]=((C_word*)t0)[6];
av2[9]=((C_word*)t0)[7];
av2[10]=((C_word*)t0)[8];
f_2246(11,av2);}}
else{
t2=((C_word*)t0)[9];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_a_i_record3(&a,3,lf[337],((C_word*)t0)[10],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* setenv in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3659(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word ab[4],*a=ab;
if(c!=4) C_bad_argc_2(c,4,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_3659,4,av);}
t4=C_i_check_string_2(t2,lf[123]);
t5=C_i_check_string_2(t3,lf[123]);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3670,a[2]=t1,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* posix-common.scm:630: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[12]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[12]+1);
av2[1]=t6;
av2[2]=t2;
av2[3]=lf[123];
tp(4,av2);}}

/* k4735 in k4749 in port->fileno in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4737(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;{}
/* posixwin.scm:1080: ##sys#signal-hook */
t2=*((C_word*)lf[3]+1);{
C_word av2[6];
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[10];
av2[3]=lf[65];
av2[4]=lf[276];
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k3621 in k3602 in time->string in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3623(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_3623,2,av);}
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3627,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* posix-common.scm:616: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[76]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[76]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
av2[3]=C_make_character(0);
tp(4,av2);}}

/* k4729 in k4749 in port->fileno in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4731(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;{}
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* file-close in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3917(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word ab[4],*a=ab;
if(c!=3) C_bad_argc_2(c,3,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_3917,3,av);}
t3=C_i_check_exact_2(t2,lf[161]);
t4=C_close(t2);
if(C_truep(C_fixnum_lessp(t4,C_fix(0)))){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3930,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm:747: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[7]+1));
C_word av2[2];
av2[0]=*((C_word*)lf[7]+1);
av2[1]=t5;
tp(2,av2);}}
else{
t5=C_SCHEME_UNDEFINED;
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* k3625 in k3621 in k3602 in time->string in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3627(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_3627,2,av);}
t2=((C_word*)t0)[2];
t3=C_a_i_bytevector(&a,1,C_fix(3));
if(C_truep(t1)){
t4=C_i_foreign_block_argumentp(t1);
t5=stub593(t3,t2,((C_word*)t0)[3],t4);
/* posix-common.scm:609: ##sys#peek-c-string */
t6=*((C_word*)lf[6]+1);{
C_word av2[4];
av2[0]=t6;
av2[1]=((C_word*)t0)[4];
av2[2]=t5;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}
else{
t4=stub593(t3,t2,((C_word*)t0)[3],C_SCHEME_FALSE);
/* posix-common.scm:609: ##sys#peek-c-string */
t5=*((C_word*)lf[6]+1);{
C_word av2[4];
av2[0]=t5;
av2[1]=((C_word*)t0)[4];
av2[2]=t4;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}}

/* k2297 in stat in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2299(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;{}
/* posix-common.scm:225: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[12]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[12]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=((C_word*)t0)[3];
tp(4,av2);}}

/* k4758 in duplicate-fileno in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_fcall f_4760(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[8],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim_args((void *)trf_4760,2,t0,t1);}
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4763,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_fixnum_lessp(t2,C_fix(0)))){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4769,a[2]=t3,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm:1093: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[7]+1));
C_word av2[2];
av2[0]=*((C_word*)lf[7]+1);
av2[1]=t4;
tp(2,av2);}}
else{
t4=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k4154 in loop in k4031 in k4028 in file-mkstemp in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_fcall f_4156(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;{}
if(C_truep(t1)){
t2=C_fixnum_difference(((C_word*)t0)[2],C_fix(1));
/* posixwin.scm:787: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_4149(t3,((C_word*)t0)[4],t2);}
else{
t2=((C_word*)t0)[4];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k4767 in k4758 in duplicate-fileno in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4769(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;{}
/* posixwin.scm:1094: ##sys#signal-hook */
t2=*((C_word*)lf[3]+1);{
C_word av2[6];
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[10];
av2[3]=lf[70];
av2[4]=lf[277];
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k3628 in k3602 in time->string in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3630(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;{}
if(C_truep(t1)){
t2=C_block_size(t1);
t3=C_fixnum_difference(t2,C_fix(1));
/* posix-common.scm:620: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[74]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[74]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_fix(0);
av2[4]=t3;
tp(5,av2);}}
else{
/* posix-common.scm:621: ##sys#error */
t2=*((C_word*)lf[53]+1);{
C_word av2[5];
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[120];
av2[3]=lf[122];
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}}

/* k4761 in k4758 in duplicate-fileno in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4763(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;{}
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k3959 in k3947 in k3944 in file-read in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3961(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;{}
/* posixwin.scm:760: ##sys#signal-hook */
t2=*((C_word*)lf[3]+1);{
C_word av2[7];
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[10];
av2[3]=lf[163];
av2[4]=lf[164];
av2[5]=((C_word*)t0)[3];
av2[6]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(7,av2);}}

/* k4000 in k3988 in k3985 in file-write in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4002(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;{}
/* posixwin.scm:773: ##sys#signal-hook */
t2=*((C_word*)lf[3]+1);{
C_word av2[7];
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[10];
av2[3]=lf[166];
av2[4]=lf[167];
av2[5]=((C_word*)t0)[3];
av2[6]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(7,av2);}}

/* k5058 in doloop1149 in build-exec-argvec in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5060(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;{}
t2=((C_word*)t0)[2];
t3=C_u_i_cdr(t2);
t4=C_fixnum_plus(((C_word*)t0)[3],C_fix(1));
t5=((C_word*)((C_word*)t0)[4])[1];
f_5041(t5,((C_word*)t0)[5],t3,t4);}

/* k2290 in stat in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2292(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;{}
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=(C_truep(((C_word*)t0)[3])?C_lstat(t1):C_stat(t1));
f_2268(2,av2);}}

/* k2266 in stat in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2268(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;{}
if(C_truep(C_fixnum_lessp(t1,C_fix(0)))){
if(C_truep(((C_word*)t0)[2])){
/* posix-common.scm:237: posix-error */
t2=lf[2];{
C_word av2[6];
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[10];
av2[3]=((C_word*)t0)[4];
av2[4]=lf[11];
av2[5]=((C_word*)t0)[5];
f_2246(6,av2);}}
else{
t2=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}
else{
t2=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k3602 in time->string in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3604(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word ab[9],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_3604,2,av);}
if(C_truep(((C_word*)t0)[2])){
t2=C_i_check_string_2(((C_word*)t0)[2],lf[120]);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3613,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3623,a[2]=((C_word*)t0)[4],a[3]=t3,a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* posix-common.scm:616: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[12]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[12]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[2];
av2[3]=lf[120];
tp(4,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3630,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3651,a[2]=((C_word*)t0)[4],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* posix-common.scm:618: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[76]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[76]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[5];
av2[3]=C_make_character(0);
tp(4,av2);}}}

/* k3928 in file-close in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3930(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;{}
/* posixwin.scm:748: ##sys#signal-hook */
t2=*((C_word*)lf[3]+1);{
C_word av2[6];
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[10];
av2[3]=lf[161];
av2[4]=lf[162];
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* file-read in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3936(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(!C_demand(c*C_SIZEOF_PAIR+5)){
C_save_and_reclaim((void*)f_3936,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+5);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
t5=C_i_check_exact_2(t2,lf[163]);
t6=C_i_check_exact_2(t3,lf[163]);
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3946,a[2]=t2,a[3]=t3,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_i_pairp(t4))){
t8=t4;
t9=t7;{
C_word av2[2];
av2[0]=t9;
av2[1]=C_u_i_car(t8);
f_3946(2,av2);}}
else{
t8=t3;
/* ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[76]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[76]+1);
av2[1]=t7;
av2[2]=t8;
av2[3]=C_make_character(32);
tp(4,av2);}}}

/* ##sys#stat in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_fcall f_2264(C_word t1,C_word t2,C_word t3,C_word t4,C_word t5){
C_word tmp;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word ab[14],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim_args((void *)trf_2264,5,t1,t2,t3,t4,t5);}
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2268,a[2]=t4,a[3]=t1,a[4]=t5,a[5]=t2,tmp=(C_word)a,a+=6,tmp);
if(C_truep(C_fixnump(t2))){
t7=t6;{
C_word av2[2];
av2[0]=t7;
av2[1]=C_fstat(t2);
f_2268(2,av2);}}
else{
if(C_truep(C_i_stringp(t2))){
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2292,a[2]=t6,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2299,a[2]=t7,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
/* posix-common.scm:226: ##sys#platform-fixup-pathname */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[13]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[13]+1);
av2[1]=t8;
av2[2]=t2;
tp(3,av2);}}
else{
/* posix-common.scm:233: ##sys#signal-hook */
t7=*((C_word*)lf[3]+1);{
C_word av2[6];
av2[0]=t7;
av2[1]=t6;
av2[2]=lf[14];
av2[3]=t5;
av2[4]=lf[15];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t7+1)))(6,av2);}}}}

/* k2259 in k2248 in posix-error in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2261(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;{}
/* posix-common.scm:184: string-append */
t2=*((C_word*)lf[4]+1);{
C_word av2[5];
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[5];
av2[4]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* open-output-file* in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4705(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(!C_demand(c*C_SIZEOF_PAIR+5)){
C_save_and_reclaim((void*)f_4705,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+5);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
t4=C_i_check_exact_2(t2,lf[64]);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4717,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm:1071: mode */
f_4636(t5,C_SCHEME_FALSE,t3,lf[64]);}

/* k4701 in open-input-file* in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4703(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word ab[2],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_4703,2,av);}
t2=C_fdopen(&a,2,((C_word*)t0)[2],t1);
/* posixwin.scm:1067: check */
f_4673(((C_word*)t0)[4],((C_word*)t0)[2],C_SCHEME_TRUE,t2);}

/* k5857 in unmap-file-from-memory in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_fcall f_5859(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;{}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=(C_truep(t2)?C_i_foreign_pointer_argumentp(t2):C_SCHEME_FALSE);
t4=C_i_foreign_integer_argumentp(t1);
t5=stub1473(C_SCHEME_UNDEFINED,t3,t4);
t6=C_eqp(C_fix(0),t5);
if(C_truep(t6)){
t7=C_SCHEME_UNDEFINED;
t8=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
/* posixwin.scm:1521: posix-error */
t7=lf[2];{
C_word av2[7];
av2[0]=t7;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[10];
av2[3]=lf[341];
av2[4]=lf[342];
av2[5]=((C_word*)t0)[2];
av2[6]=t1;
f_2246(7,av2);}}}

/* k2469 in block-device? in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2471(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;{}
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_eqp(lf[30],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k3611 in k3602 in time->string in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3613(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;{}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
/* posix-common.scm:617: ##sys#error */
t2=*((C_word*)lf[53]+1);{
C_word av2[5];
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[120];
av2[3]=lf[121];
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}}

/* character-device? in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2473(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word ab[3],*a=ab;
if(c!=3) C_bad_argc_2(c,3,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_2473,3,av);}
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2481,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:291: file-type */
t4=*((C_word*)lf[25]+1);{
C_word av2[5];
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}

/* k3900 in k3897 in k3884 in file-open in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3902(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;{}
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k3906 in k3897 in k3884 in file-open in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3908(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;{}
/* posixwin.scm:740: ##sys#signal-hook */
t2=*((C_word*)lf[3]+1);{
C_word av2[8];
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[10];
av2[3]=lf[159];
av2[4]=lf[160];
av2[5]=((C_word*)t0)[3];
av2[6]=((C_word*)t0)[4];
av2[7]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t2+1)))(8,av2);}}

/* k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2231(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_2231,2,av);}
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2234,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);{
C_word av2[2];
av2[0]=C_SCHEME_UNDEFINED;
av2[1]=t2;
C_ports_toplevel(2,av2);}}

/* k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2234(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word ab[18],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_2234,2,av);}
t2=C_mutate2(&lf[2] /* (set! posix-error ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2246,a[2]=((C_word)li0),tmp=(C_word)a,a+=3,tmp));
t3=C_mutate2((C_word*)lf[8]+1 /* (set! ##sys#posix-error ...) */,lf[2]);
t4=C_mutate2(&lf[9] /* (set! ##sys#stat ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2264,a[2]=((C_word)li1),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate2((C_word*)lf[16]+1 /* (set! file-stat ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2304,a[2]=((C_word)li2),tmp=(C_word)a,a+=3,tmp));
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2324,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6232,a[2]=((C_word)li196),tmp=(C_word)a,a+=3,tmp);
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6238,a[2]=((C_word)li197),tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:250: getter-with-setter */
t9=*((C_word*)lf[394]+1);{
C_word av2[5];
av2[0]=t9;
av2[1]=t6;
av2[2]=t7;
av2[3]=t8;
av2[4]=lf[401];
((C_proc)(void*)(*((C_word*)t9+1)))(5,av2);}}

/* k2479 in character-device? in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2481(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;{}
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_eqp(lf[29],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* f_2483 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2483(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word ab[3],*a=ab;
if(c!=3) C_bad_argc_2(c,3,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_2483,3,av);}
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2491,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:294: file-type */
t4=*((C_word*)lf[25]+1);{
C_word av2[5];
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}

/* k3950 in k3947 in k3944 in file-read in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3952(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word ab[7],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_3952,2,av);}
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_a_i_list2(&a,2,((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k2907 in k2881 in loop in k2872 in k2862 in create-directory in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2909(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;{}
/* posix-common.scm:460: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_2876(t2,((C_word*)t0)[3],t1);}

/* k2900 in k2884 in k2881 in loop in k2872 in k2862 in create-directory in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2902(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;{}
t2=C_mkdir(t1);
t3=C_eqp(C_fix(0),t2);
if(C_truep(t3)){
t4=C_SCHEME_UNDEFINED;
t5=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
/* posix-common.scm:449: posix-error */
t4=lf[2];{
C_word av2[6];
av2[0]=t4;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[10];
av2[3]=lf[84];
av2[4]=lf[85];
av2[5]=((C_word*)t0)[3];
f_2246(6,av2);}}}

/* memory-mapped-file-pointer in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5885(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_5885,3,av);}
t3=C_i_check_structure_2(t2,lf[337],lf[343]);
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_slot(t2,C_fix(1));
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* socket? in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2493(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word ab[3],*a=ab;
if(c!=3) C_bad_argc_2(c,3,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_2493,3,av);}
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2501,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:297: file-type */
t4=*((C_word*)lf[25]+1);{
C_word av2[5];
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}

/* k2489 */
static void C_ccall f_2491(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;{}
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_eqp(lf[31],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k2914 in loop in k2872 in k2862 in create-directory in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2916(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;{}
t2=((C_word*)t0)[2];
f_2883(t2,C_i_not(t1));}

/* a2917 in k2862 in create-directory in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2918(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_2918,2,av);}
/* posix-common.scm:457: decompose-pathname */
t2=*((C_word*)lf[87]+1);{
C_word av2[3];
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k5810 in k5804 in k5801 in k5798 in map-file-to-memory in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5812(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_5812,2,av);}
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_a_i_record3(&a,3,lf[337],((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* a2923 in k2862 in create-directory in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2924(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_2924,5,av);}
if(C_truep(t3)){
/* posix-common.scm:458: make-pathname */
t5=*((C_word*)lf[88]+1);{
C_word av2[5];
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(5,av2);}}
else{
t5=t2;
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* k3944 in file-read in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3946(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_3946,2,av);}
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_3949,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
if(C_truep(C_blockp(t2))){
if(C_truep(C_byteblockp(t2))){
t4=t3;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
f_3949(2,av2);}}
else{
/* posixwin.scm:756: ##sys#signal-hook */
t4=*((C_word*)lf[3]+1);{
C_word av2[6];
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[14];
av2[3]=lf[163];
av2[4]=lf[165];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(6,av2);}}}
else{
/* posixwin.scm:756: ##sys#signal-hook */
t4=*((C_word*)lf[3]+1);{
C_word av2[6];
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[14];
av2[3]=lf[163];
av2[4]=lf[165];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(6,av2);}}}

/* k3947 in k3944 in file-read in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3949(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[12],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_3949,2,av);}
t2=C_read(((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3952,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t4=C_eqp(C_fix(-1),t2);
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3961,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm:759: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[7]+1));
C_word av2[2];
av2[0]=*((C_word*)lf[7]+1);
av2[1]=t5;
tp(2,av2);}}
else{
t5=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t5;
av2[1]=C_a_i_list2(&a,2,((C_word*)t0)[3],t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k3730 in k3742 in k3738 in scan in k3704 in loop in get-environment-variables in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3732(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_3732,2,av);}
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k2945 in k2862 in create-directory in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2947(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;{}
t2=C_mkdir(t1);
t3=C_eqp(C_fix(0),t2);
if(C_truep(t3)){
t4=C_SCHEME_UNDEFINED;
t5=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
/* posix-common.scm:449: posix-error */
t4=lf[2];{
C_word av2[6];
av2[0]=t4;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[10];
av2[3]=lf[84];
av2[4]=lf[85];
av2[5]=((C_word*)t0)[3];
f_2246(6,av2);}}}

/* k3742 in k3738 in scan in k3704 in loop in get-environment-variables in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3744(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[7],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_3744,2,av);}
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],t1);
t3=t2;
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3732,a[2]=((C_word*)t0)[3],a[3]=t3,tmp=(C_word)a,a+=4,tmp);
t5=C_fixnum_plus(((C_word*)t0)[4],C_fix(1));
/* posix-common.scm:648: loop */
t6=((C_word*)((C_word*)t0)[5])[1];
f_3702(t6,t4,t5);}

/* k3738 in scan in k3704 in loop in get-environment-variables in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3740(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_3740,2,av);}
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_3744,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t4=C_fixnum_plus(((C_word*)t0)[5],C_fix(1));
t5=C_block_size(((C_word*)t0)[6]);
/* posix-common.scm:647: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[74]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[74]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[6];
av2[3]=t4;
av2[4]=t5;
tp(5,av2);}}

/* k3682 in unsetenv in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3684(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;{}
t2=C_unsetenv(t1);
t3=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k2967 in directory in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2969(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_2969,2,av);}
t2=t1;
t3=C_i_nullp(((C_word*)t0)[2]);
t4=(C_truep(t3)?C_SCHEME_END_OF_LIST:C_i_cdr(((C_word*)t0)[2]));
t5=C_i_nullp(t4);
t6=(C_truep(t5)?C_SCHEME_FALSE:C_i_car(t4));
t7=t6;
t8=C_i_nullp(t4);
t9=(C_truep(t8)?C_SCHEME_END_OF_LIST:C_i_cdr(t4));
t10=C_i_check_string_2(t2,lf[28]);
t11=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2984,a[2]=((C_word*)t0)[3],a[3]=t2,a[4]=t7,tmp=(C_word)a,a+=5,tmp);
/* ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[76]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[76]+1);
av2[1]=t11;
av2[2]=C_fix(256);
av2[3]=C_make_character(32);
tp(4,av2);}}

/* directory in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2965(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(!C_demand(c*C_SIZEOF_PAIR+4)){
C_save_and_reclaim((void*)f_2965,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
t3=t2;
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2969,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_nullp(t3))){
/* posix-common.scm:466: current-directory */
t5=*((C_word*)lf[72]+1);{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=t4;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_i_car(t3);
f_2969(2,av2);}}}

/* get-environment-variables in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3696(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[6],*a=ab;
if(c!=2) C_bad_argc_2(c,2,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_3696,2,av);}
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3702,a[2]=t3,a[3]=((C_word)li65),tmp=(C_word)a,a+=4,tmp));
t5=((C_word*)t3)[1];
f_3702(t5,t1,C_fix(0));}

/* set-signal-handler! in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3762(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_3762,4,av);}
t4=C_i_check_exact_2(t2,lf[126]);
if(C_truep(t3)){
t5=t2;
t6=C_establish_signal_handler(t2,t5);
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=C_i_vector_set(*((C_word*)lf[127]+1),t2,t3);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t5=C_establish_signal_handler(t2,C_SCHEME_FALSE);
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_i_vector_set(*((C_word*)lf[127]+1),t2,t3);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* file-stat in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2304(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(!C_demand(c*C_SIZEOF_PAIR+3)){
C_save_and_reclaim((void*)f_2304,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+3);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?C_SCHEME_FALSE:C_i_car(t3));
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2311,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:242: ##sys#stat */
f_2264(t6,t2,t5,C_SCHEME_TRUE,lf[16]);}

/* k5545 in %process in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5547(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_5547,2,av);}
t2=C_mutate2(((C_word *)((C_word*)t0)[2])+1,t1);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5551,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm:1310: ##sys#shell-command */
t4=*((C_word*)lf[305]+1);{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* process in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5553(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(!C_demand(c*C_SIZEOF_PAIR+0)){
C_save_and_reclaim((void*)f_5553,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?C_SCHEME_FALSE:C_i_car(t3));
t6=C_i_nullp(t3);
t7=(C_truep(t6)?C_SCHEME_END_OF_LIST:C_i_cdr(t3));
t8=C_i_nullp(t7);
t9=(C_truep(t8)?C_SCHEME_FALSE:C_i_car(t7));
t10=C_i_nullp(t7);
t11=(C_truep(t10)?C_SCHEME_END_OF_LIST:C_i_cdr(t7));
t12=C_i_nullp(t11);
t13=(C_truep(t12)?C_SCHEME_FALSE:C_i_car(t11));
if(C_truep(C_i_nullp(t11))){
/* posixwin.scm:1318: %process */
f_5469(t1,lf[317],C_SCHEME_FALSE,t2,t5,t9,t13);}
else{
t14=C_i_cdr(t11);
/* posixwin.scm:1318: %process */
f_5469(t1,lf[317],C_SCHEME_FALSE,t2,t5,t9,t13);}}

/* k5549 in k5545 in %process in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5551(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;{}
t2=C_mutate2(((C_word *)((C_word*)t0)[2])+1,t1);
t3=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
f_5512(2,av2);}}

/* current-process-id in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3779(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_3779,2,av);}
t2=t1;{
C_word av2[2];
av2[0]=t2;
av2[1]=C_fudge(C_fix(33));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3777(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word t38;
C_word t39;
C_word t40;
C_word t41;
C_word t42;
C_word t43;
C_word t44;
C_word t45;
C_word t46;
C_word t47;
C_word t48;
C_word t49;
C_word t50;
C_word t51;
C_word t52;
C_word t53;
C_word t54;
C_word t55;
C_word t56;
C_word t57;
C_word t58;
C_word t59;
C_word t60;
C_word t61;
C_word t62;
C_word t63;
C_word t64;
C_word t65;
C_word t66;
C_word t67;
C_word t68;
C_word t69;
C_word t70;
C_word t71;
C_word t72;
C_word t73;
C_word t74;
C_word t75;
C_word t76;
C_word t77;
C_word t78;
C_word t79;
C_word t80;
C_word t81;
C_word t82;
C_word t83;
C_word t84;
C_word t85;
C_word t86;
C_word t87;
C_word t88;
C_word t89;
C_word t90;
C_word t91;
C_word t92;
C_word t93;
C_word t94;
C_word t95;
C_word t96;
C_word t97;
C_word t98;
C_word t99;
C_word t100;
C_word t101;
C_word t102;
C_word t103;
C_word t104;
C_word t105;
C_word t106;
C_word t107;
C_word t108;
C_word t109;
C_word t110;
C_word t111;
C_word t112;
C_word t113;
C_word t114;
C_word t115;
C_word t116;
C_word t117;
C_word t118;
C_word t119;
C_word t120;
C_word t121;
C_word t122;
C_word t123;
C_word t124;
C_word t125;
C_word t126;
C_word t127;
C_word t128;
C_word t129;
C_word t130;
C_word t131;
C_word t132;
C_word t133;
C_word t134;
C_word t135;
C_word t136;
C_word t137;
C_word t138;
C_word t139;
C_word t140;
C_word t141;
C_word t142;
C_word t143;
C_word t144;
C_word t145;
C_word t146;
C_word t147;
C_word t148;
C_word t149;
C_word t150;
C_word t151;
C_word t152;
C_word t153;
C_word t154;
C_word t155;
C_word t156;
C_word t157;
C_word t158;
C_word t159;
C_word t160;
C_word t161;
C_word t162;
C_word t163;
C_word t164;
C_word t165;
C_word t166;
C_word t167;
C_word t168;
C_word t169;
C_word t170;
C_word t171;
C_word t172;
C_word t173;
C_word t174;
C_word t175;
C_word t176;
C_word t177;
C_word t178;
C_word t179;
C_word t180;
C_word t181;
C_word t182;
C_word t183;
C_word t184;
C_word t185;
C_word t186;
C_word t187;
C_word t188;
C_word t189;
C_word t190;
C_word t191;
C_word t192;
C_word t193;
C_word t194;
C_word t195;
C_word t196;
C_word t197;
C_word t198;
C_word t199;
C_word t200;
C_word t201;
C_word t202;
C_word t203;
C_word t204;
C_word t205;
C_word t206;
C_word t207;
C_word t208;
C_word t209;
C_word t210;
C_word t211;
C_word t212;
C_word t213;
C_word t214;
C_word t215;
C_word t216;
C_word t217;
C_word t218;
C_word t219;
C_word t220;
C_word t221;
C_word t222;
C_word t223;
C_word t224;
C_word t225;
C_word ab[342],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_3777,2,av);}
t2=C_mutate2((C_word*)lf[128]+1 /* (set! signal-handler ...) */,t1);
t3=C_mutate2((C_word*)lf[129]+1 /* (set! current-process-id ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3779,a[2]=((C_word)li68),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate2((C_word*)lf[130]+1 /* (set! process-wait ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3785,a[2]=((C_word)li71),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate2((C_word*)lf[134]+1 /* (set! pipe/buf ...) */,C_fix((C_word)PIPE_BUF));
t6=C_mutate2((C_word*)lf[135]+1 /* (set! open/rdonly ...) */,C_fix((C_word)O_RDONLY));
t7=C_mutate2((C_word*)lf[136]+1 /* (set! open/wronly ...) */,C_fix((C_word)O_WRONLY));
t8=C_mutate2((C_word*)lf[137]+1 /* (set! open/rdwr ...) */,C_fix((C_word)O_RDWR));
t9=C_mutate2((C_word*)lf[138]+1 /* (set! open/read ...) */,C_fix((C_word)O_RDWR));
t10=C_mutate2((C_word*)lf[139]+1 /* (set! open/write ...) */,C_fix((C_word)O_WRONLY));
t11=C_mutate2((C_word*)lf[140]+1 /* (set! open/creat ...) */,C_fix((C_word)O_CREAT));
t12=C_mutate2((C_word*)lf[141]+1 /* (set! open/append ...) */,C_fix((C_word)O_APPEND));
t13=C_mutate2((C_word*)lf[142]+1 /* (set! open/excl ...) */,C_fix((C_word)O_EXCL));
t14=C_mutate2((C_word*)lf[143]+1 /* (set! open/trunc ...) */,C_fix((C_word)O_TRUNC));
t15=C_mutate2((C_word*)lf[144]+1 /* (set! open/binary ...) */,C_fix((C_word)O_BINARY));
t16=C_mutate2((C_word*)lf[145]+1 /* (set! open/text ...) */,C_fix((C_word)O_TEXT));
t17=C_mutate2((C_word*)lf[146]+1 /* (set! open/noinherit ...) */,C_fix((C_word)O_NOINHERIT));
t18=C_mutate2((C_word*)lf[147]+1 /* (set! perm/irusr ...) */,C_fix((C_word)S_IREAD));
t19=C_mutate2((C_word*)lf[148]+1 /* (set! perm/iwusr ...) */,C_fix((C_word)S_IWRITE));
t20=C_mutate2((C_word*)lf[149]+1 /* (set! perm/ixusr ...) */,C_fix((C_word)S_IEXEC));
t21=C_mutate2((C_word*)lf[150]+1 /* (set! perm/irgrp ...) */,C_fix((C_word)S_IREAD));
t22=C_mutate2((C_word*)lf[151]+1 /* (set! perm/iwgrp ...) */,C_fix((C_word)S_IWRITE));
t23=C_mutate2((C_word*)lf[152]+1 /* (set! perm/ixgrp ...) */,C_fix((C_word)S_IEXEC));
t24=C_mutate2((C_word*)lf[153]+1 /* (set! perm/iroth ...) */,C_fix((C_word)S_IREAD));
t25=C_mutate2((C_word*)lf[154]+1 /* (set! perm/iwoth ...) */,C_fix((C_word)S_IWRITE));
t26=C_mutate2((C_word*)lf[155]+1 /* (set! perm/ixoth ...) */,C_fix((C_word)S_IEXEC));
t27=C_mutate2((C_word*)lf[156]+1 /* (set! perm/irwxu ...) */,C_fix((C_word)S_IREAD | S_IWRITE | S_IEXEC));
t28=C_mutate2((C_word*)lf[157]+1 /* (set! perm/irwxg ...) */,C_fix((C_word)S_IREAD | S_IWRITE | S_IEXEC));
t29=C_mutate2((C_word*)lf[158]+1 /* (set! perm/irwxo ...) */,C_fix((C_word)S_IREAD | S_IWRITE | S_IEXEC));
t30=C_fixnum_or(C_fix((C_word)S_IREAD),C_fix((C_word)S_IREAD));
t31=C_a_i_bitwise_ior(&a,2,C_fix((C_word)S_IREAD | S_IWRITE | S_IEXEC),t30);
t32=t31;
t33=C_mutate2((C_word*)lf[159]+1 /* (set! file-open ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3882,a[2]=t32,a[3]=((C_word)li72),tmp=(C_word)a,a+=4,tmp));
t34=C_mutate2((C_word*)lf[161]+1 /* (set! file-close ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3917,a[2]=((C_word)li73),tmp=(C_word)a,a+=3,tmp));
t35=C_mutate2((C_word*)lf[163]+1 /* (set! file-read ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3936,a[2]=((C_word)li74),tmp=(C_word)a,a+=3,tmp));
t36=C_mutate2((C_word*)lf[166]+1 /* (set! file-write ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3980,a[2]=((C_word)li75),tmp=(C_word)a,a+=3,tmp));
t37=C_mutate2((C_word*)lf[169]+1 /* (set! file-mkstemp ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4020,a[2]=((C_word)li79),tmp=(C_word)a,a+=3,tmp));
t38=C_mutate2((C_word*)lf[73]+1 /* (set! change-directory ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4180,a[2]=((C_word)li80),tmp=(C_word)a,a+=3,tmp));
t39=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4220,a[2]=((C_word)li81),tmp=(C_word)a,a+=3,tmp);
t40=C_mutate2((C_word*)lf[181]+1 /* (set! open-input-pipe ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4238,a[2]=t39,a[3]=((C_word)li82),tmp=(C_word)a,a+=4,tmp));
t41=C_mutate2((C_word*)lf[185]+1 /* (set! open-output-pipe ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4278,a[2]=t39,a[3]=((C_word)li83),tmp=(C_word)a,a+=4,tmp));
t42=C_mutate2((C_word*)lf[186]+1 /* (set! close-input-pipe ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4318,a[2]=((C_word)li84),tmp=(C_word)a,a+=3,tmp));
t43=C_mutate2((C_word*)lf[188]+1 /* (set! close-output-pipe ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4336,a[2]=((C_word)li85),tmp=(C_word)a,a+=3,tmp));
t44=C_mutate2((C_word*)lf[190]+1 /* (set! call-with-input-pipe ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4354,a[2]=((C_word)li88),tmp=(C_word)a,a+=3,tmp));
t45=C_mutate2((C_word*)lf[191]+1 /* (set! call-with-output-pipe ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4378,a[2]=((C_word)li91),tmp=(C_word)a,a+=3,tmp));
t46=C_mutate2((C_word*)lf[192]+1 /* (set! with-input-from-pipe ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4402,a[2]=((C_word)li96),tmp=(C_word)a,a+=3,tmp));
t47=C_mutate2((C_word*)lf[194]+1 /* (set! with-output-to-pipe ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4436,a[2]=((C_word)li101),tmp=(C_word)a,a+=3,tmp));
t48=C_mutate2((C_word*)lf[196]+1 /* (set! create-pipe ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4470,a[2]=((C_word)li102),tmp=(C_word)a,a+=3,tmp));
t49=C_mutate2((C_word*)lf[198]+1 /* (set! signal/term ...) */,C_fix((C_word)SIGTERM));
t50=C_mutate2((C_word*)lf[199]+1 /* (set! signal/int ...) */,C_fix((C_word)SIGINT));
t51=C_mutate2((C_word*)lf[200]+1 /* (set! signal/fpe ...) */,C_fix((C_word)SIGFPE));
t52=C_mutate2((C_word*)lf[201]+1 /* (set! signal/ill ...) */,C_fix((C_word)SIGILL));
t53=C_mutate2((C_word*)lf[202]+1 /* (set! signal/segv ...) */,C_fix((C_word)SIGSEGV));
t54=C_mutate2((C_word*)lf[203]+1 /* (set! signal/abrt ...) */,C_fix((C_word)SIGABRT));
t55=C_mutate2((C_word*)lf[204]+1 /* (set! signal/break ...) */,C_fix((C_word)SIGBREAK));
t56=C_set_block_item(lf[205] /* signal/alrm */,0,C_fix(0));
t57=C_set_block_item(lf[206] /* signal/chld */,0,C_fix(0));
t58=C_set_block_item(lf[207] /* signal/cont */,0,C_fix(0));
t59=C_set_block_item(lf[208] /* signal/hup */,0,C_fix(0));
t60=C_set_block_item(lf[209] /* signal/io */,0,C_fix(0));
t61=C_set_block_item(lf[210] /* signal/kill */,0,C_fix(0));
t62=C_set_block_item(lf[211] /* signal/pipe */,0,C_fix(0));
t63=C_set_block_item(lf[212] /* signal/prof */,0,C_fix(0));
t64=C_set_block_item(lf[213] /* signal/quit */,0,C_fix(0));
t65=C_set_block_item(lf[214] /* signal/stop */,0,C_fix(0));
t66=C_set_block_item(lf[215] /* signal/trap */,0,C_fix(0));
t67=C_set_block_item(lf[216] /* signal/tstp */,0,C_fix(0));
t68=C_set_block_item(lf[217] /* signal/urg */,0,C_fix(0));
t69=C_set_block_item(lf[218] /* signal/usr1 */,0,C_fix(0));
t70=C_set_block_item(lf[219] /* signal/usr2 */,0,C_fix(0));
t71=C_set_block_item(lf[220] /* signal/vtalrm */,0,C_fix(0));
t72=C_set_block_item(lf[221] /* signal/winch */,0,C_fix(0));
t73=C_set_block_item(lf[222] /* signal/xcpu */,0,C_fix(0));
t74=C_set_block_item(lf[223] /* signal/xfsz */,0,C_fix(0));
t75=C_a_i_list7(&a,7,*((C_word*)lf[198]+1),*((C_word*)lf[199]+1),*((C_word*)lf[200]+1),*((C_word*)lf[201]+1),*((C_word*)lf[202]+1),*((C_word*)lf[203]+1),*((C_word*)lf[204]+1));
t76=C_mutate2((C_word*)lf[224]+1 /* (set! signals-list ...) */,t75);
t77=C_mutate2((C_word*)lf[225]+1 /* (set! errno/perm ...) */,C_fix((C_word)EPERM));
t78=C_mutate2((C_word*)lf[226]+1 /* (set! errno/noent ...) */,C_fix((C_word)ENOENT));
t79=C_mutate2((C_word*)lf[227]+1 /* (set! errno/srch ...) */,C_fix((C_word)ESRCH));
t80=C_mutate2((C_word*)lf[228]+1 /* (set! errno/intr ...) */,C_fix((C_word)EINTR));
t81=C_mutate2((C_word*)lf[229]+1 /* (set! errno/io ...) */,C_fix((C_word)EIO));
t82=C_mutate2((C_word*)lf[230]+1 /* (set! errno/noexec ...) */,C_fix((C_word)ENOEXEC));
t83=C_mutate2((C_word*)lf[231]+1 /* (set! errno/badf ...) */,C_fix((C_word)EBADF));
t84=C_mutate2((C_word*)lf[232]+1 /* (set! errno/child ...) */,C_fix((C_word)ECHILD));
t85=C_mutate2((C_word*)lf[233]+1 /* (set! errno/nomem ...) */,C_fix((C_word)ENOMEM));
t86=C_mutate2((C_word*)lf[234]+1 /* (set! errno/acces ...) */,C_fix((C_word)EACCES));
t87=C_mutate2((C_word*)lf[235]+1 /* (set! errno/fault ...) */,C_fix((C_word)EFAULT));
t88=C_mutate2((C_word*)lf[236]+1 /* (set! errno/busy ...) */,C_fix((C_word)EBUSY));
t89=C_mutate2((C_word*)lf[237]+1 /* (set! errno/exist ...) */,C_fix((C_word)EEXIST));
t90=C_mutate2((C_word*)lf[238]+1 /* (set! errno/notdir ...) */,C_fix((C_word)ENOTDIR));
t91=C_mutate2((C_word*)lf[239]+1 /* (set! errno/isdir ...) */,C_fix((C_word)EISDIR));
t92=C_mutate2((C_word*)lf[240]+1 /* (set! errno/inval ...) */,C_fix((C_word)EINVAL));
t93=C_mutate2((C_word*)lf[241]+1 /* (set! errno/mfile ...) */,C_fix((C_word)EMFILE));
t94=C_mutate2((C_word*)lf[242]+1 /* (set! errno/nospc ...) */,C_fix((C_word)ENOSPC));
t95=C_mutate2((C_word*)lf[243]+1 /* (set! errno/spipe ...) */,C_fix((C_word)ESPIPE));
t96=C_mutate2((C_word*)lf[244]+1 /* (set! errno/pipe ...) */,C_fix((C_word)EPIPE));
t97=C_mutate2((C_word*)lf[245]+1 /* (set! errno/again ...) */,C_fix((C_word)EAGAIN));
t98=C_mutate2((C_word*)lf[246]+1 /* (set! errno/rofs ...) */,C_fix((C_word)EROFS));
t99=C_mutate2((C_word*)lf[247]+1 /* (set! errno/nxio ...) */,C_fix((C_word)ENXIO));
t100=C_mutate2((C_word*)lf[248]+1 /* (set! errno/2big ...) */,C_fix((C_word)E2BIG));
t101=C_mutate2((C_word*)lf[249]+1 /* (set! errno/xdev ...) */,C_fix((C_word)EXDEV));
t102=C_mutate2((C_word*)lf[250]+1 /* (set! errno/nodev ...) */,C_fix((C_word)ENODEV));
t103=C_mutate2((C_word*)lf[251]+1 /* (set! errno/nfile ...) */,C_fix((C_word)ENFILE));
t104=C_mutate2((C_word*)lf[252]+1 /* (set! errno/notty ...) */,C_fix((C_word)ENOTTY));
t105=C_mutate2((C_word*)lf[253]+1 /* (set! errno/fbig ...) */,C_fix((C_word)EFBIG));
t106=C_mutate2((C_word*)lf[254]+1 /* (set! errno/mlink ...) */,C_fix((C_word)EMLINK));
t107=C_mutate2((C_word*)lf[255]+1 /* (set! errno/dom ...) */,C_fix((C_word)EDOM));
t108=C_mutate2((C_word*)lf[256]+1 /* (set! errno/range ...) */,C_fix((C_word)ERANGE));
t109=C_mutate2((C_word*)lf[257]+1 /* (set! errno/deadlk ...) */,C_fix((C_word)EDEADLK));
t110=C_mutate2((C_word*)lf[258]+1 /* (set! errno/nametoolong ...) */,C_fix((C_word)ENAMETOOLONG));
t111=C_mutate2((C_word*)lf[259]+1 /* (set! errno/nolck ...) */,C_fix((C_word)ENOLCK));
t112=C_mutate2((C_word*)lf[260]+1 /* (set! errno/nosys ...) */,C_fix((C_word)ENOSYS));
t113=C_mutate2((C_word*)lf[261]+1 /* (set! errno/notempty ...) */,C_fix((C_word)ENOTEMPTY));
t114=C_mutate2((C_word*)lf[262]+1 /* (set! errno/ilseq ...) */,C_fix((C_word)EILSEQ));
t115=C_mutate2((C_word*)lf[263]+1 /* (set! change-file-mode ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4569,a[2]=((C_word)li103),tmp=(C_word)a,a+=3,tmp));
t116=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4595,a[2]=((C_word)li104),tmp=(C_word)a,a+=3,tmp);
t117=C_mutate2((C_word*)lf[265]+1 /* (set! file-read-access? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4615,a[2]=t116,a[3]=((C_word)li105),tmp=(C_word)a,a+=4,tmp));
t118=C_mutate2((C_word*)lf[266]+1 /* (set! file-write-access? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4621,a[2]=t116,a[3]=((C_word)li106),tmp=(C_word)a,a+=4,tmp));
t119=C_mutate2((C_word*)lf[267]+1 /* (set! file-execute-access? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4627,a[2]=t116,a[3]=((C_word)li107),tmp=(C_word)a,a+=4,tmp));
t120=C_mutate2((C_word*)lf[49]+1 /* (set! fileno/stdin ...) */,C_fix((C_word)0));
t121=C_mutate2((C_word*)lf[50]+1 /* (set! fileno/stdout ...) */,C_fix((C_word)1));
t122=C_mutate2((C_word*)lf[51]+1 /* (set! fileno/stderr ...) */,C_fix((C_word)2));
t123=C_SCHEME_UNDEFINED;
t124=(*a=C_VECTOR_TYPE|1,a[1]=t123,tmp=(C_word)a,a+=2,tmp);
t125=C_SCHEME_UNDEFINED;
t126=(*a=C_VECTOR_TYPE|1,a[1]=t125,tmp=(C_word)a,a+=2,tmp);
t127=C_set_block_item(t124,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4636,a[2]=((C_word)li108),tmp=(C_word)a,a+=3,tmp));
t128=C_set_block_item(t126,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4673,a[2]=((C_word)li109),tmp=(C_word)a,a+=3,tmp));
t129=C_mutate2((C_word*)lf[63]+1 /* (set! open-input-file* ...) */,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4691,a[2]=t126,a[3]=t124,a[4]=((C_word)li110),tmp=(C_word)a,a+=5,tmp));
t130=C_mutate2((C_word*)lf[64]+1 /* (set! open-output-file* ...) */,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4705,a[2]=t126,a[3]=t124,a[4]=((C_word)li111),tmp=(C_word)a,a+=5,tmp));
t131=C_mutate2((C_word*)lf[65]+1 /* (set! port->fileno ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4719,a[2]=((C_word)li112),tmp=(C_word)a,a+=3,tmp));
t132=C_mutate2((C_word*)lf[70]+1 /* (set! duplicate-fileno ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4753,a[2]=((C_word)li113),tmp=(C_word)a,a+=3,tmp));
t133=C_mutate2((C_word*)lf[278]+1 /* (set! local-timezone-abbreviation ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4783,a[2]=((C_word)li114),tmp=(C_word)a,a+=3,tmp));
t134=C_mutate2((C_word*)lf[279]+1 /* (set! _exit ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4796,a[2]=((C_word)li115),tmp=(C_word)a,a+=3,tmp));
t135=C_mutate2((C_word*)lf[280]+1 /* (set! terminal-port? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4810,a[2]=((C_word)li116),tmp=(C_word)a,a+=3,tmp));
t136=C_mutate2((C_word*)lf[281]+1 /* (set! terminal-size ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4828,a[2]=((C_word)li117),tmp=(C_word)a,a+=3,tmp));
t137=C_mutate2((C_word*)lf[283]+1 /* (set! set-buffering-mode! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4843,a[2]=((C_word)li118),tmp=(C_word)a,a+=3,tmp));
t138=C_mutate2((C_word*)lf[289]+1 /* (set! spawn/overlay ...) */,C_fix((C_word)P_OVERLAY));
t139=C_mutate2((C_word*)lf[290]+1 /* (set! spawn/wait ...) */,C_fix((C_word)P_WAIT));
t140=C_mutate2((C_word*)lf[291]+1 /* (set! spawn/nowait ...) */,C_fix((C_word)P_NOWAIT));
t141=C_mutate2((C_word*)lf[292]+1 /* (set! spawn/nowaito ...) */,C_fix((C_word)P_NOWAITO));
t142=C_mutate2((C_word*)lf[293]+1 /* (set! spawn/detach ...) */,C_fix((C_word)P_DETACH));
t143=C_mutate2(&lf[294] /* (set! $quote-args-list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4910,a[2]=((C_word)li121),tmp=(C_word)a,a+=3,tmp));
t144=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4987,a[2]=((C_word)li122),tmp=(C_word)a,a+=3,tmp);
t145=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5008,a[2]=((C_word)li123),tmp=(C_word)a,a+=3,tmp);
t146=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5029,a[2]=((C_word)li125),tmp=(C_word)a,a+=3,tmp);
t147=C_mutate2(&lf[298] /* (set! $exec-setup ...) */,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_5077,a[2]=t146,a[3]=t145,a[4]=t144,a[5]=((C_word)li126),tmp=(C_word)a,a+=6,tmp));
t148=C_mutate2(&lf[300] /* (set! $exec-teardown ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5109,a[2]=((C_word)li127),tmp=(C_word)a,a+=3,tmp));
t149=C_mutate2((C_word*)lf[301]+1 /* (set! process-execute ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5124,a[2]=((C_word)li128),tmp=(C_word)a,a+=3,tmp));
t150=C_mutate2((C_word*)lf[303]+1 /* (set! process-spawn ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5191,a[2]=((C_word)li129),tmp=(C_word)a,a+=3,tmp));
t151=C_mutate2((C_word*)lf[305]+1 /* (set! ##sys#shell-command ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5258,a[2]=((C_word)li130),tmp=(C_word)a,a+=3,tmp));
t152=C_mutate2((C_word*)lf[309]+1 /* (set! ##sys#shell-command-arguments ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5279,a[2]=((C_word)li131),tmp=(C_word)a,a+=3,tmp));
t153=C_mutate2((C_word*)lf[311]+1 /* (set! process-run ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5285,a[2]=((C_word)li132),tmp=(C_word)a,a+=3,tmp));
t154=C_mutate2((C_word*)lf[312]+1 /* (set! ##sys#process ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5375,a[2]=((C_word)li133),tmp=(C_word)a,a+=3,tmp));
t155=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5469,a[2]=((C_word)li139),tmp=(C_word)a,a+=3,tmp);
t156=C_mutate2((C_word*)lf[317]+1 /* (set! process ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5553,a[2]=t155,a[3]=((C_word)li140),tmp=(C_word)a,a+=4,tmp));
t157=C_mutate2((C_word*)lf[318]+1 /* (set! process* ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5613,a[2]=t155,a[3]=((C_word)li141),tmp=(C_word)a,a+=4,tmp));
t158=C_mutate2((C_word*)lf[131]+1 /* (set! ##sys#process-wait ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5673,a[2]=((C_word)li142),tmp=(C_word)a,a+=3,tmp));
t159=C_mutate2((C_word*)lf[319]+1 /* (set! sleep ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5685,a[2]=((C_word)li143),tmp=(C_word)a,a+=3,tmp));
t160=C_mutate2((C_word*)lf[320]+1 /* (set! get-host-name ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5691,a[2]=((C_word)li144),tmp=(C_word)a,a+=3,tmp));
t161=C_mutate2((C_word*)lf[322]+1 /* (set! system-information ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5703,a[2]=((C_word)li145),tmp=(C_word)a,a+=3,tmp));
t162=C_mutate2((C_word*)lf[325]+1 /* (set! current-user-name ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5734,a[2]=((C_word)li146),tmp=(C_word)a,a+=3,tmp));
t163=C_mutate2((C_word*)lf[327]+1 /* (set! prot/none ...) */,C_fix((C_word)PROT_NONE));
t164=C_mutate2((C_word*)lf[328]+1 /* (set! prot/read ...) */,C_fix((C_word)PROT_READ));
t165=C_mutate2((C_word*)lf[329]+1 /* (set! prot/write ...) */,C_fix((C_word)PROT_WRITE));
t166=C_mutate2((C_word*)lf[330]+1 /* (set! prot/exec ...) */,C_fix((C_word)PROT_EXEC));
t167=C_mutate2((C_word*)lf[331]+1 /* (set! map/file ...) */,C_fix((C_word)MAP_FILE));
t168=C_mutate2((C_word*)lf[332]+1 /* (set! map/shared ...) */,C_fix((C_word)MAP_SHARED));
t169=C_mutate2((C_word*)lf[333]+1 /* (set! map/private ...) */,C_fix((C_word)MAP_PRIVATE));
t170=C_mutate2((C_word*)lf[334]+1 /* (set! map/fixed ...) */,C_fix((C_word)MAP_FIXED));
t171=C_mutate2((C_word*)lf[335]+1 /* (set! map/anonymous ...) */,C_fix((C_word)MAP_ANONYMOUS));
t172=C_mutate2((C_word*)lf[336]+1 /* (set! map-file-to-memory ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5796,a[2]=((C_word)li147),tmp=(C_word)a,a+=3,tmp));
t173=C_mutate2((C_word*)lf[341]+1 /* (set! unmap-file-from-memory ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5852,a[2]=((C_word)li148),tmp=(C_word)a,a+=3,tmp));
t174=C_mutate2((C_word*)lf[343]+1 /* (set! memory-mapped-file-pointer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5885,a[2]=((C_word)li149),tmp=(C_word)a,a+=3,tmp));
t175=C_mutate2((C_word*)lf[344]+1 /* (set! memory-mapped-file? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5894,a[2]=((C_word)li150),tmp=(C_word)a,a+=3,tmp));
t176=C_mutate2((C_word*)lf[345]+1 /* (set! change-directory* ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5900,a[2]=((C_word)li151),tmp=(C_word)a,a+=3,tmp));
t177=C_mutate2((C_word*)lf[347]+1 /* (set! change-file-owner ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5906,a[2]=((C_word)li152),tmp=(C_word)a,a+=3,tmp));
t178=C_mutate2((C_word*)lf[348]+1 /* (set! create-fifo ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5912,a[2]=((C_word)li153),tmp=(C_word)a,a+=3,tmp));
t179=C_mutate2((C_word*)lf[349]+1 /* (set! create-session ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5918,a[2]=((C_word)li154),tmp=(C_word)a,a+=3,tmp));
t180=C_mutate2((C_word*)lf[350]+1 /* (set! create-symbolic-link ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5924,a[2]=((C_word)li155),tmp=(C_word)a,a+=3,tmp));
t181=C_mutate2((C_word*)lf[351]+1 /* (set! current-effective-group-id ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5930,a[2]=((C_word)li156),tmp=(C_word)a,a+=3,tmp));
t182=C_mutate2((C_word*)lf[352]+1 /* (set! current-effective-user-id ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5936,a[2]=((C_word)li157),tmp=(C_word)a,a+=3,tmp));
t183=C_mutate2((C_word*)lf[353]+1 /* (set! current-effective-user-name ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5942,a[2]=((C_word)li158),tmp=(C_word)a,a+=3,tmp));
t184=C_mutate2((C_word*)lf[354]+1 /* (set! current-group-id ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5948,a[2]=((C_word)li159),tmp=(C_word)a,a+=3,tmp));
t185=C_mutate2((C_word*)lf[355]+1 /* (set! current-user-id ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5954,a[2]=((C_word)li160),tmp=(C_word)a,a+=3,tmp));
t186=C_mutate2((C_word*)lf[356]+1 /* (set! file-link ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5960,a[2]=((C_word)li161),tmp=(C_word)a,a+=3,tmp));
t187=C_mutate2((C_word*)lf[357]+1 /* (set! file-lock ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5966,a[2]=((C_word)li162),tmp=(C_word)a,a+=3,tmp));
t188=C_mutate2((C_word*)lf[358]+1 /* (set! file-lock/blocking ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5972,a[2]=((C_word)li163),tmp=(C_word)a,a+=3,tmp));
t189=C_mutate2((C_word*)lf[359]+1 /* (set! file-select ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5978,a[2]=((C_word)li164),tmp=(C_word)a,a+=3,tmp));
t190=C_mutate2((C_word*)lf[360]+1 /* (set! file-test-lock ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5984,a[2]=((C_word)li165),tmp=(C_word)a,a+=3,tmp));
t191=C_mutate2((C_word*)lf[361]+1 /* (set! file-truncate ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5990,a[2]=((C_word)li166),tmp=(C_word)a,a+=3,tmp));
t192=C_mutate2((C_word*)lf[362]+1 /* (set! file-unlock ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5996,a[2]=((C_word)li167),tmp=(C_word)a,a+=3,tmp));
t193=C_mutate2((C_word*)lf[363]+1 /* (set! get-groups ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6002,a[2]=((C_word)li168),tmp=(C_word)a,a+=3,tmp));
t194=C_mutate2((C_word*)lf[364]+1 /* (set! group-information ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6008,a[2]=((C_word)li169),tmp=(C_word)a,a+=3,tmp));
t195=C_mutate2((C_word*)lf[365]+1 /* (set! initialize-groups ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6014,a[2]=((C_word)li170),tmp=(C_word)a,a+=3,tmp));
t196=C_mutate2((C_word*)lf[366]+1 /* (set! parent-process-id ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6020,a[2]=((C_word)li171),tmp=(C_word)a,a+=3,tmp));
t197=C_mutate2((C_word*)lf[367]+1 /* (set! process-fork ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6026,a[2]=((C_word)li172),tmp=(C_word)a,a+=3,tmp));
t198=C_mutate2((C_word*)lf[368]+1 /* (set! process-group-id ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6032,a[2]=((C_word)li173),tmp=(C_word)a,a+=3,tmp));
t199=C_mutate2((C_word*)lf[369]+1 /* (set! process-signal ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6038,a[2]=((C_word)li174),tmp=(C_word)a,a+=3,tmp));
t200=C_mutate2((C_word*)lf[370]+1 /* (set! read-symbolic-link ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6044,a[2]=((C_word)li175),tmp=(C_word)a,a+=3,tmp));
t201=C_mutate2((C_word*)lf[371]+1 /* (set! set-alarm! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6050,a[2]=((C_word)li176),tmp=(C_word)a,a+=3,tmp));
t202=C_mutate2((C_word*)lf[372]+1 /* (set! set-group-id! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6056,a[2]=((C_word)li177),tmp=(C_word)a,a+=3,tmp));
t203=C_mutate2((C_word*)lf[373]+1 /* (set! set-groups! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6062,a[2]=((C_word)li178),tmp=(C_word)a,a+=3,tmp));
t204=C_mutate2((C_word*)lf[374]+1 /* (set! set-process-group-id! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6068,a[2]=((C_word)li179),tmp=(C_word)a,a+=3,tmp));
t205=C_mutate2((C_word*)lf[375]+1 /* (set! set-root-directory! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6074,a[2]=((C_word)li180),tmp=(C_word)a,a+=3,tmp));
t206=C_mutate2((C_word*)lf[376]+1 /* (set! set-signal-mask! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6080,a[2]=((C_word)li181),tmp=(C_word)a,a+=3,tmp));
t207=C_mutate2((C_word*)lf[377]+1 /* (set! set-user-id! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6086,a[2]=((C_word)li182),tmp=(C_word)a,a+=3,tmp));
t208=C_mutate2((C_word*)lf[378]+1 /* (set! signal-mask ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6092,a[2]=((C_word)li183),tmp=(C_word)a,a+=3,tmp));
t209=C_mutate2((C_word*)lf[379]+1 /* (set! signal-mask! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6098,a[2]=((C_word)li184),tmp=(C_word)a,a+=3,tmp));
t210=C_mutate2((C_word*)lf[380]+1 /* (set! signal-masked? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6104,a[2]=((C_word)li185),tmp=(C_word)a,a+=3,tmp));
t211=C_mutate2((C_word*)lf[381]+1 /* (set! signal-unmask! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6110,a[2]=((C_word)li186),tmp=(C_word)a,a+=3,tmp));
t212=C_mutate2((C_word*)lf[382]+1 /* (set! terminal-name ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6116,a[2]=((C_word)li187),tmp=(C_word)a,a+=3,tmp));
t213=C_mutate2((C_word*)lf[383]+1 /* (set! user-information ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6122,a[2]=((C_word)li188),tmp=(C_word)a,a+=3,tmp));
t214=C_mutate2((C_word*)lf[384]+1 /* (set! utc-time->seconds ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6128,a[2]=((C_word)li189),tmp=(C_word)a,a+=3,tmp));
t215=C_mutate2((C_word*)lf[385]+1 /* (set! string->time ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6134,a[2]=((C_word)li190),tmp=(C_word)a,a+=3,tmp));
t216=C_set_block_item(lf[386] /* errno/wouldblock */,0,C_fix(0));
t217=C_mutate2((C_word*)lf[37]+1 /* (set! fifo? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6141,a[2]=((C_word)li191),tmp=(C_word)a,a+=3,tmp));
t218=C_set_block_item(lf[387] /* open/fsync */,0,C_fix(0));
t219=C_set_block_item(lf[388] /* open/noctty */,0,C_fix(0));
t220=C_set_block_item(lf[389] /* open/nonblock */,0,C_fix(0));
t221=C_set_block_item(lf[390] /* open/sync */,0,C_fix(0));
t222=C_set_block_item(lf[391] /* perm/isgid */,0,C_fix(0));
t223=C_set_block_item(lf[392] /* perm/isuid */,0,C_fix(0));
t224=C_set_block_item(lf[393] /* perm/isvtx */,0,C_fix(0));
t225=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t225;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t225+1)))(2,av2);}}

/* k2309 in file-stat in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2311(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word ab[30],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_2311,2,av);}
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_a_i_vector(&a,13,C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_ino),C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_mode),C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_nlink),C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_uid),C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_gid),C_a_double_to_num(&a,C_statbuf.st_size),C_flonum(&a,C_statbuf.st_atime),C_flonum(&a,C_statbuf.st_ctime),C_flonum(&a,C_statbuf.st_mtime),C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_dev),C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_rdev),*((C_word*)lf[17]+1),*((C_word*)lf[18]+1));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* open-output-pipe in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4278(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(!C_demand(c*C_SIZEOF_PAIR+10)){
C_save_and_reclaim((void*)f_4278,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+10);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
t4=C_i_check_string_2(t2,lf[185]);
t5=C_i_pairp(t3);
t6=(C_truep(t5)?C_slot(t3,C_fix(0)):lf[182]);
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4292,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t8=C_eqp(t6,lf[182]);
if(C_truep(t8)){
t9=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4299,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm:853: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[12]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[12]+1);
av2[1]=t9;
av2[2]=t2;
av2[3]=lf[185];
tp(4,av2);}}
else{
t9=C_eqp(t6,lf[183]);
if(C_truep(t9)){
t10=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4309,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm:854: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[12]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[12]+1);
av2[1]=t10;
av2[2]=t2;
av2[3]=lf[185];
tp(4,av2);}}
else{
/* posixwin.scm:828: ##sys#error */
t10=*((C_word*)lf[53]+1);{
C_word av2[4];
av2[0]=t10;
av2[1]=t7;
av2[2]=lf[184];
av2[3]=t6;
((C_proc)(void*)(*((C_word*)t10+1)))(4,av2);}}}}

/* unsetenv in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3676(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word ab[3],*a=ab;
if(c!=3) C_bad_argc_2(c,3,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_3676,3,av);}
t3=C_i_check_string_2(t2,lf[124]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3684,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:635: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[12]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[12]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[124];
tp(4,av2);}}

/* k3672 in k3668 in setenv in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3674(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;{}
t2=C_setenv(((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k3668 in setenv in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3670(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_3670,2,av);}
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3674,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* posix-common.scm:630: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[12]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[12]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[123];
tp(4,av2);}}

/* a5519 in k5513 in k5510 in %process in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5520(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_5520,2,av);}
/* posixwin.scm:1312: ##sys#process */
t2=*((C_word*)lf[312]+1);{
C_word av2[10];
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=((C_word*)((C_word*)t0)[3])[1];
av2[4]=((C_word*)((C_word*)t0)[4])[1];
av2[5]=((C_word*)t0)[5];
av2[6]=C_SCHEME_TRUE;
av2[7]=C_SCHEME_TRUE;
av2[8]=((C_word*)t0)[6];
av2[9]=((C_word*)((C_word*)t0)[7])[1];
((C_proc)(void*)(*((C_word*)t2+1)))(10,av2);}}

/* process-wait in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_3785(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(!C_demand(c*C_SIZEOF_PAIR+9)){
C_save_and_reclaim((void*)f_3785,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+9);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
t3=C_i_nullp(t2);
t4=(C_truep(t3)?C_SCHEME_FALSE:C_i_car(t2));
t5=C_i_nullp(t2);
t6=(C_truep(t5)?C_SCHEME_END_OF_LIST:C_i_cdr(t2));
t7=C_i_nullp(t6);
t8=(C_truep(t7)?C_SCHEME_FALSE:C_i_car(t6));
t9=t8;
t10=C_i_nullp(t6);
t11=(C_truep(t10)?C_SCHEME_END_OF_LIST:C_i_cdr(t6));
t12=(C_truep(t4)?t4:C_fix(-1));
t13=t12;
t14=C_i_check_exact_2(t13,lf[130]);
t15=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3809,a[2]=t13,a[3]=t9,a[4]=((C_word)li69),tmp=(C_word)a,a+=5,tmp);
t16=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3815,a[2]=t13,a[3]=((C_word)li70),tmp=(C_word)a,a+=4,tmp);
/* posix-common.scm:677: ##sys#call-with-values */{
C_word av2[4];
av2[0]=0;
av2[1]=t1;
av2[2]=t15;
av2[3]=t16;
C_call_with_values(4,av2);}}

/* file-access-time in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2326(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word ab[3],*a=ab;
if(c!=3) C_bad_argc_2(c,3,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_2326,3,av);}
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2330,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:263: ##sys#stat */
f_2264(t3,t2,C_SCHEME_FALSE,C_SCHEME_TRUE,lf[20]);}

/* k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2324(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word ab[48],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_2324,2,av);}
t2=C_mutate2((C_word*)lf[19]+1 /* (set! file-modification-time ...) */,t1);
t3=C_mutate2((C_word*)lf[20]+1 /* (set! file-access-time ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2326,a[2]=((C_word)li3),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate2((C_word*)lf[21]+1 /* (set! file-change-time ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2332,a[2]=((C_word)li4),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate2((C_word*)lf[22]+1 /* (set! file-owner ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2338,a[2]=((C_word)li5),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate2((C_word*)lf[23]+1 /* (set! file-permissions ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2344,a[2]=((C_word)li6),tmp=(C_word)a,a+=3,tmp));
t7=C_mutate2((C_word*)lf[24]+1 /* (set! file-size ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2350,a[2]=((C_word)li7),tmp=(C_word)a,a+=3,tmp));
t8=C_mutate2((C_word*)lf[25]+1 /* (set! file-type ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2356,a[2]=((C_word)li8),tmp=(C_word)a,a+=3,tmp));
t9=C_mutate2((C_word*)lf[33]+1 /* (set! regular-file? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2443,a[2]=((C_word)li9),tmp=(C_word)a,a+=3,tmp));
t10=C_mutate2((C_word*)lf[34]+1 /* (set! symbolic-link? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2453,a[2]=((C_word)li10),tmp=(C_word)a,a+=3,tmp));
t11=C_mutate2((C_word*)lf[35]+1 /* (set! block-device? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2463,a[2]=((C_word)li11),tmp=(C_word)a,a+=3,tmp));
t12=C_mutate2((C_word*)lf[36]+1 /* (set! character-device? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2473,a[2]=((C_word)li12),tmp=(C_word)a,a+=3,tmp));
t13=C_mutate2((C_word*)lf[37]+1 /* (set! fifo? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2483,a[2]=((C_word)li13),tmp=(C_word)a,a+=3,tmp));
t14=C_mutate2((C_word*)lf[38]+1 /* (set! socket? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2493,a[2]=((C_word)li14),tmp=(C_word)a,a+=3,tmp));
t15=C_mutate2((C_word*)lf[39]+1 /* (set! directory? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2503,a[2]=((C_word)li15),tmp=(C_word)a,a+=3,tmp));
t16=C_mutate2((C_word*)lf[40]+1 /* (set! seek/set ...) */,C_fix((C_word)SEEK_SET));
t17=C_mutate2((C_word*)lf[41]+1 /* (set! seek/end ...) */,C_fix((C_word)SEEK_END));
t18=C_mutate2((C_word*)lf[42]+1 /* (set! seek/cur ...) */,C_fix((C_word)SEEK_CUR));
t19=C_mutate2((C_word*)lf[43]+1 /* (set! set-file-position! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2516,a[2]=((C_word)li16),tmp=(C_word)a,a+=3,tmp));
t20=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2565,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t21=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6195,a[2]=((C_word)li195),tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:328: getter-with-setter */
t22=*((C_word*)lf[394]+1);{
C_word av2[5];
av2[0]=t22;
av2[1]=t20;
av2[2]=t21;
av2[3]=*((C_word*)lf[43]+1);
av2[4]=lf[398];
((C_proc)(void*)(*((C_word*)t22+1)))(5,av2);}}

/* a5525 in k5513 in k5510 in %process in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5526(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_5526,6,av);}
if(C_truep(((C_word*)t0)[2])){
/* posixwin.scm:1314: values */{
C_word av2[6];
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=t4;
av2[5]=t5;
C_values(6,av2);}}
else{
/* posixwin.scm:1315: values */{
C_word av2[5];
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=t4;
C_values(5,av2);}}}

/* g293 in k2786 in delete-directory in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_fcall f_2789(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim_args((void *)trf_2789,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2799,a[2]=t1,a[3]=t2,a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* posix-common.scm:439: symbolic-link? */
t4=*((C_word*)lf[34]+1);{
C_word av2[3];
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k2786 in delete-directory in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2788(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word ab[16],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_2788,2,av);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2789,a[2]=((C_word*)t0)[2],a[3]=((C_word)li25),tmp=(C_word)a,a+=4,tmp);
t3=C_i_check_list_2(t1,lf[80]);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2811,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2816,a[2]=t6,a[3]=t2,a[4]=((C_word)li26),tmp=(C_word)a,a+=5,tmp));
t8=((C_word*)t6)[1];
f_2816(t8,t4,t1);}

/* k4267 in open-input-pipe in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_4269(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word ab[2],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_4269,2,av);}
t2=open_binary_input_pipe(&a,1,t1);
/* posixwin.scm:840: check */
f_4220(((C_word*)t0)[3],((C_word*)t0)[4],C_SCHEME_TRUE,t2);}

/* for-each-loop292 in k2786 in delete-directory in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_fcall f_2816(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim_args((void *)trf_2816,3,t0,t1,t2);}
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2826,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
/* posix-common.scm:433: g293 */
t5=((C_word*)t0)[3];
f_2789(t5,t3,t4);}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k2334 in file-change-time in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2336(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_2336,2,av);}
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_flonum(&a,C_statbuf.st_ctime);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* file-owner in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2338(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word ab[3],*a=ab;
if(c!=3) C_bad_argc_2(c,3,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_2338,3,av);}
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2342,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:265: ##sys#stat */
f_2264(t3,t2,C_SCHEME_FALSE,C_SCHEME_TRUE,lf[22]);}

/* k2328 in file-access-time in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2330(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_2330,2,av);}
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_flonum(&a,C_statbuf.st_atime);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* file-change-time in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2332(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word ab[3],*a=ab;
if(c!=3) C_bad_argc_2(c,3,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_2332,3,av);}
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2336,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:264: ##sys#stat */
f_2264(t3,t2,C_SCHEME_FALSE,C_SCHEME_TRUE,lf[21]);}

/* k2824 in for-each-loop292 in k2786 in delete-directory in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2826(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;{}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_2816(t3,((C_word*)t0)[4],t2);}

/* file-permissions in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2344(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word ab[3],*a=ab;
if(c!=3) C_bad_argc_2(c,3,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_2344,3,av);}
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2348,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:266: ##sys#stat */
f_2264(t3,t2,C_SCHEME_FALSE,C_SCHEME_TRUE,lf[23]);}

/* k2346 in file-permissions in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2348(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;{}
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_mode);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k2340 in file-owner in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2342(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;{}
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_uid);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k5513 in k5510 in %process in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5515(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word ab[13],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_5515,2,av);}
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_5520,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word)li137),tmp=(C_word)a,a+=9,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5526,a[2]=((C_word*)t0)[6],a[3]=((C_word)li138),tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm:1312: ##sys#call-with-values */{
C_word av2[4];
av2[0]=0;
av2[1]=((C_word*)t0)[8];
av2[2]=t2;
av2[3]=t3;
C_call_with_values(4,av2);}}

/* k5510 in %process in k3775 in k3439 in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_5512(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word ab[9],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_5512,2,av);}
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_5515,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
if(C_truep(((C_word*)t0)[5])){
/* posixwin.scm:1311: chkstrlst */
t3=((C_word*)t0)[9];
f_5471(t3,t2,((C_word*)t0)[5]);}
else{
t3=t2;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_5515(2,av2);}}}

/* file-type in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2356(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(!C_demand(c*C_SIZEOF_PAIR+3)){
C_save_and_reclaim((void*)f_2356,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+3);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?C_SCHEME_FALSE:C_i_car(t3));
t6=C_i_nullp(t3);
t7=(C_truep(t6)?C_SCHEME_END_OF_LIST:C_i_cdr(t3));
t8=C_i_nullp(t7);
t9=(C_truep(t8)?C_SCHEME_TRUE:C_i_car(t7));
t10=C_i_nullp(t7);
t11=(C_truep(t10)?C_SCHEME_END_OF_LIST:C_i_cdr(t7));
t12=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2375,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:270: ##sys#stat */
f_2264(t12,t2,t5,t9,lf[25]);}

/* k2352 in file-size in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2354(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_2354,2,av);}
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_a_double_to_num(&a,C_statbuf.st_size);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* file-size in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2350(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word ab[3],*a=ab;
if(c!=3) C_bad_argc_2(c,3,t0);
if(!C_stack_probe(&a)){C_save_and_reclaim((void *)f_2350,3,av);}
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2354,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:267: ##sys#stat */
f_2264(t3,t2,C_SCHEME_FALSE,C_SCHEME_TRUE,lf[24]);}

/* create-directory in k2563 in k2322 in k2232 in k2229 in k2226 in k2223 in k2220 */
static void C_ccall f_2848(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(!C_demand(c*C_SIZEOF_PAIR+10)){
C_save_and_reclaim((void*)f_2848,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+10);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?C_SCHEME_FALSE:C_i_car(t3));
t6=t5;
t7=C_i_check_string_2(t2,lf[84]);
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2858,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t9=C_block_size(t2);
t10=C_eqp(C_fix(0),t9);
t11=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2864,a[2]=t1,a[3]=t2,a[4]=t6,a[5]=t8,tmp=(C_word)a,a+=6,tmp);
if(C_truep(t10)){
t12=t11;{
C_word av2[2];
av2[0]=t12;
av2[1]=t10;
f_2864(2,av2);}}
else{
/* posix-common.scm:455: file-exists? */
t12=*((C_word*)lf[89]+1);{
C_word av2[3];
av2[0]=t12;
av2[1]=t11;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t12+1)))(3,av2);}}}

#ifdef C_ENABLE_PTABLES
static C_PTABLE_ENTRY ptable[438] = {
{"f_5691:posixwin_2escm",(void*)f_5691},
{"f_2858:posixwin_2escm",(void*)f_2858},
{"f_4292:posixwin_2escm",(void*)f_4292},
{"f_4299:posixwin_2escm",(void*)f_4299},
{"f_2864:posixwin_2escm",(void*)f_2864},
{"f_2876:posixwin_2escm",(void*)f_2876},
{"f_2874:posixwin_2escm",(void*)f_2874},
{"f_3277:posixwin_2escm",(void*)f_3277},
{"f_3274:posixwin_2escm",(void*)f_3274},
{"f_5685:posixwin_2escm",(void*)f_5685},
{"f_2883:posixwin_2escm",(void*)f_2883},
{"f_2886:posixwin_2escm",(void*)f_2886},
{"f_3702:posixwin_2escm",(void*)f_3702},
{"f_3706:posixwin_2escm",(void*)f_3706},
{"f_4373:posixwin_2escm",(void*)f_4373},
{"f_3714:posixwin_2escm",(void*)f_3714},
{"f_4378:posixwin_2escm",(void*)f_4378},
{"f_4363:posixwin_2escm",(void*)f_4363},
{"f_3221:posixwin_2escm",(void*)f_3221},
{"f_4369:posixwin_2escm",(void*)f_4369},
{"f_3228:posixwin_2escm",(void*)f_3228},
{"f_5673:posixwin_2escm",(void*)f_5673},
{"f_4393:posixwin_2escm",(void*)f_4393},
{"f_4397:posixwin_2escm",(void*)f_4397},
{"f_3230:posixwin_2escm",(void*)f_3230},
{"f_4382:posixwin_2escm",(void*)f_4382},
{"f_4387:posixwin_2escm",(void*)f_4387},
{"f_3286:posixwin_2escm",(void*)f_3286},
{"f_5613:posixwin_2escm",(void*)f_5613},
{"f_3298:posixwin_2escm",(void*)f_3298},
{"f_3296:posixwin_2escm",(void*)f_3296},
{"f_2811:posixwin_2escm",(void*)f_2811},
{"f_3886:posixwin_2escm",(void*)f_3886},
{"f_3514:posixwin_2escm",(void*)f_3514},
{"f_2805:posixwin_2escm",(void*)f_2805},
{"f_3882:posixwin_2escm",(void*)f_3882},
{"f_3518:posixwin_2escm",(void*)f_3518},
{"f_2250:posixwin_2escm",(void*)f_2250},
{"f_2257:posixwin_2escm",(void*)f_2257},
{"f_2228:posixwin_2escm",(void*)f_2228},
{"f_3044:posixwin_2escm",(void*)f_3044},
{"f_3524:posixwin_2escm",(void*)f_3524},
{"f_2222:posixwin_2escm",(void*)f_2222},
{"f_2225:posixwin_2escm",(void*)f_2225},
{"f_4259:posixwin_2escm",(void*)f_4259},
{"f_2246:posixwin_2escm",(void*)f_2246},
{"f_4238:posixwin_2escm",(void*)f_4238},
{"f_4236:posixwin_2escm",(void*)f_4236},
{"f_3552:posixwin_2escm",(void*)f_3552},
{"f_3556:posixwin_2escm",(void*)f_3556},
{"f_3205:posixwin_2escm",(void*)f_3205},
{"f_4224:posixwin_2escm",(void*)f_4224},
{"f_4220:posixwin_2escm",(void*)f_4220},
{"f_3560:posixwin_2escm",(void*)f_3560},
{"f_3566:posixwin_2escm",(void*)f_3566},
{"f_3303:posixwin_2escm",(void*)f_3303},
{"f_3218:posixwin_2escm",(void*)f_3218},
{"f_3315:posixwin_2escm",(void*)f_3315},
{"f_3311:posixwin_2escm",(void*)f_3311},
{"f_3022:posixwin_2escm",(void*)f_3022},
{"f_3318:posixwin_2escm",(void*)f_3318},
{"f_3323:posixwin_2escm",(void*)f_3323},
{"f_3034:posixwin_2escm",(void*)f_3034},
{"f_3342:posixwin_2escm",(void*)f_3342},
{"f_4252:posixwin_2escm",(void*)f_4252},
{"f_5382:posixwin_2escm",(void*)f_5382},
{"f_5389:posixwin_2escm",(void*)f_5389},
{"f_3351:posixwin_2escm",(void*)f_3351},
{"f_3358:posixwin_2escm",(void*)f_3358},
{"f_5017:posixwin_2escm",(void*)f_5017},
{"f_5399:posixwin_2escm",(void*)f_5399},
{"f_3367:posixwin_2escm",(void*)f_3367},
{"f_3368:posixwin_2escm",(void*)f_3368},
{"f_5029:posixwin_2escm",(void*)f_5029},
{"f_3008:posixwin_2escm",(void*)f_3008},
{"f_5375:posixwin_2escm",(void*)f_5375},
{"f_4336:posixwin_2escm",(void*)f_4336},
{"f_3487:posixwin_2escm",(void*)f_3487},
{"f_3483:posixwin_2escm",(void*)f_3483},
{"f_4328:posixwin_2escm",(void*)f_4328},
{"f_4325:posixwin_2escm",(void*)f_4325},
{"toplevel:posixwin_2escm",(void*)C_posix_toplevel},
{"f_4358:posixwin_2escm",(void*)f_4358},
{"f_4354:posixwin_2escm",(void*)f_4354},
{"f_4117:posixwin_2escm",(void*)f_4117},
{"f_4346:posixwin_2escm",(void*)f_4346},
{"f_4343:posixwin_2escm",(void*)f_4343},
{"f_3333:posixwin_2escm",(void*)f_3333},
{"f_3336:posixwin_2escm",(void*)f_3336},
{"f_2578:posixwin_2escm",(void*)f_2578},
{"f_2570:posixwin_2escm",(void*)f_2570},
{"f_5008:posixwin_2escm",(void*)f_5008},
{"f_4318:posixwin_2escm",(void*)f_4318},
{"f_4309:posixwin_2escm",(void*)f_4309},
{"f_5262:posixwin_2escm",(void*)f_5262},
{"f_3996:posixwin_2escm",(void*)f_3996},
{"f_3990:posixwin_2escm",(void*)f_3990},
{"f_5279:posixwin_2escm",(void*)f_5279},
{"f_4691:posixwin_2escm",(void*)f_4691},
{"f_5274:posixwin_2escm",(void*)f_5274},
{"f_5289:posixwin_2escm",(void*)f_5289},
{"f_4689:posixwin_2escm",(void*)f_4689},
{"f_5285:posixwin_2escm",(void*)f_5285},
{"f_4677:posixwin_2escm",(void*)f_4677},
{"f_4673:posixwin_2escm",(void*)f_4673},
{"f_3243:posixwin_2escm",(void*)f_3243},
{"f_3987:posixwin_2escm",(void*)f_3987},
{"f_3980:posixwin_2escm",(void*)f_3980},
{"f_3252:posixwin_2escm",(void*)f_3252},
{"f_4644:posixwin_2escm",(void*)f_4644},
{"f_6044:posixwin_2escm",(void*)f_6044},
{"f_6038:posixwin_2escm",(void*)f_6038},
{"f_4636:posixwin_2escm",(void*)f_4636},
{"f_6032:posixwin_2escm",(void*)f_6032},
{"f_6068:posixwin_2escm",(void*)f_6068},
{"f_4627:posixwin_2escm",(void*)f_4627},
{"f_6062:posixwin_2escm",(void*)f_6062},
{"f_4621:posixwin_2escm",(void*)f_4621},
{"f_4852:posixwin_2escm",(void*)f_4852},
{"f_6056:posixwin_2escm",(void*)f_6056},
{"f_4569:posixwin_2escm",(void*)f_4569},
{"f_4615:posixwin_2escm",(void*)f_4615},
{"f_4613:posixwin_2escm",(void*)f_4613},
{"f_6050:posixwin_2escm",(void*)f_6050},
{"f_6086:posixwin_2escm",(void*)f_6086},
{"f_4605:posixwin_2escm",(void*)f_4605},
{"f_6080:posixwin_2escm",(void*)f_6080},
{"f_4585:posixwin_2escm",(void*)f_4585},
{"f_6074:posixwin_2escm",(void*)f_6074},
{"f_4861:posixwin_2escm",(void*)f_4861},
{"f_2984:posixwin_2escm",(void*)f_2984},
{"f_2987:posixwin_2escm",(void*)f_2987},
{"f_3809:posixwin_2escm",(void*)f_3809},
{"f_5321:posixwin_2escm",(void*)f_5321},
{"f_4816:posixwin_2escm",(void*)f_4816},
{"f_4810:posixwin_2escm",(void*)f_4810},
{"f_6098:posixwin_2escm",(void*)f_6098},
{"f_2994:posixwin_2escm",(void*)f_2994},
{"f_2990:posixwin_2escm",(void*)f_2990},
{"f_3899:posixwin_2escm",(void*)f_3899},
{"f_6092:posixwin_2escm",(void*)f_6092},
{"f_4843:posixwin_2escm",(void*)f_4843},
{"f_4849:posixwin_2escm",(void*)f_4849},
{"f_4593:posixwin_2escm",(void*)f_4593},
{"f_4595:posixwin_2escm",(void*)f_4595},
{"f_6258:posixwin_2escm",(void*)f_6258},
{"f_5302:posixwin_2escm",(void*)f_5302},
{"f_5306:posixwin_2escm",(void*)f_5306},
{"f_6248:posixwin_2escm",(void*)f_6248},
{"f_4828:posixwin_2escm",(void*)f_4828},
{"f_5317:posixwin_2escm",(void*)f_5317},
{"f_6164:posixwin_2escm",(void*)f_6164},
{"f_6008:posixwin_2escm",(void*)f_6008},
{"f_6155:posixwin_2escm",(void*)f_6155},
{"f_2375:posixwin_2escm",(void*)f_2375},
{"f_6141:posixwin_2escm",(void*)f_6141},
{"f_6002:posixwin_2escm",(void*)f_6002},
{"f_4835:posixwin_2escm",(void*)f_4835},
{"f_6134:posixwin_2escm",(void*)f_6134},
{"f_6020:posixwin_2escm",(void*)f_6020},
{"f_6026:posixwin_2escm",(void*)f_6026},
{"f_3815:posixwin_2escm",(void*)f_3815},
{"f_6195:posixwin_2escm",(void*)f_6195},
{"f_4996:posixwin_2escm",(void*)f_4996},
{"f_6014:posixwin_2escm",(void*)f_6014},
{"f_6199:posixwin_2escm",(void*)f_6199},
{"f_3161:posixwin_2escm",(void*)f_3161},
{"f_3165:posixwin_2escm",(void*)f_3165},
{"f_6189:posixwin_2escm",(void*)f_6189},
{"f_2443:posixwin_2escm",(void*)f_2443},
{"f_3131:posixwin_2escm",(void*)f_3131},
{"f_5258:posixwin_2escm",(void*)f_5258},
{"f_3135:posixwin_2escm",(void*)f_3135},
{"f_2453:posixwin_2escm",(void*)f_2453},
{"f_2451:posixwin_2escm",(void*)f_2451},
{"f_3185:posixwin_2escm",(void*)f_3185},
{"f_6211:posixwin_2escm",(void*)f_6211},
{"f_2463:posixwin_2escm",(void*)f_2463},
{"f_2461:posixwin_2escm",(void*)f_2461},
{"f_2607:posixwin_2escm",(void*)f_2607},
{"f_3177:posixwin_2escm",(void*)f_3177},
{"f_6202:posixwin_2escm",(void*)f_6202},
{"f_3173:posixwin_2escm",(void*)f_3173},
{"f_5213:posixwin_2escm",(void*)f_5213},
{"f_6236:posixwin_2escm",(void*)f_6236},
{"f_6238:posixwin_2escm",(void*)f_6238},
{"f_6232:posixwin_2escm",(void*)f_6232},
{"f_6122:posixwin_2escm",(void*)f_6122},
{"f_6128:posixwin_2escm",(void*)f_6128},
{"f_2620:posixwin_2escm",(void*)f_2620},
{"f_2622:posixwin_2escm",(void*)f_2622},
{"f_3110:posixwin_2escm",(void*)f_3110},
{"f_6110:posixwin_2escm",(void*)f_6110},
{"f_2738:posixwin_2escm",(void*)f_2738},
{"f_6116:posixwin_2escm",(void*)f_6116},
{"f_2636:posixwin_2escm",(void*)f_2636},
{"f_2634:posixwin_2escm",(void*)f_2634},
{"f_3597:posixwin_2escm",(void*)f_3597},
{"f_2705:posixwin_2escm",(void*)f_2705},
{"f_2708:posixwin_2escm",(void*)f_2708},
{"f_6104:posixwin_2escm",(void*)f_6104},
{"f_5796:posixwin_2escm",(void*)f_5796},
{"f_2648:posixwin_2escm",(void*)f_2648},
{"f_2759:posixwin_2escm",(void*)f_2759},
{"f_3104:posixwin_2escm",(void*)f_3104},
{"f_2650:posixwin_2escm",(void*)f_2650},
{"f_2725:posixwin_2escm",(void*)f_2725},
{"f_5990:posixwin_2escm",(void*)f_5990},
{"f_5996:posixwin_2escm",(void*)f_5996},
{"f_2666:posixwin_2escm",(void*)f_2666},
{"f_5744:posixwin_2escm",(void*)f_5744},
{"f_2741:posixwin_2escm",(void*)f_2741},
{"f_3384:posixwin_2escm",(void*)f_3384},
{"f_5722:posixwin_2escm",(void*)f_5722},
{"f_2799:posixwin_2escm",(void*)f_2799},
{"f_5729:posixwin_2escm",(void*)f_5729},
{"f_5984:posixwin_2escm",(void*)f_5984},
{"f_5726:posixwin_2escm",(void*)f_5726},
{"f_3414:posixwin_2escm",(void*)f_3414},
{"f_3397:posixwin_2escm",(void*)f_3397},
{"f_3394:posixwin_2escm",(void*)f_3394},
{"f_3390:posixwin_2escm",(void*)f_3390},
{"f_3417:posixwin_2escm",(void*)f_3417},
{"f_2769:posixwin_2escm",(void*)f_2769},
{"f_2765:posixwin_2escm",(void*)f_2765},
{"f_5734:posixwin_2escm",(void*)f_5734},
{"f_5954:posixwin_2escm",(void*)f_5954},
{"f_5471:posixwin_2escm",(void*)f_5471},
{"f_3426:posixwin_2escm",(void*)f_3426},
{"f_3423:posixwin_2escm",(void*)f_3423},
{"f_5476:posixwin_2escm",(void*)f_5476},
{"f_3420:posixwin_2escm",(void*)f_3420},
{"f_5469:posixwin_2escm",(void*)f_5469},
{"f_3428:posixwin_2escm",(void*)f_3428},
{"f_5703:posixwin_2escm",(void*)f_5703},
{"f_5966:posixwin_2escm",(void*)f_5966},
{"f_5960:posixwin_2escm",(void*)f_5960},
{"f_4486:posixwin_2escm",(void*)f_4486},
{"f_5485:posixwin_2escm",(void*)f_5485},
{"f_5714:posixwin_2escm",(void*)f_5714},
{"f_5718:posixwin_2escm",(void*)f_5718},
{"f_4470:posixwin_2escm",(void*)f_4470},
{"f_3403:posixwin_2escm",(void*)f_3403},
{"f_3406:posixwin_2escm",(void*)f_3406},
{"f_4477:posixwin_2escm",(void*)f_4477},
{"f_3400:posixwin_2escm",(void*)f_3400},
{"f_3409:posixwin_2escm",(void*)f_3409},
{"f_5942:posixwin_2escm",(void*)f_5942},
{"f_5948:posixwin_2escm",(void*)f_5948},
{"f_4460:posixwin_2escm",(void*)f_4460},
{"f_4465:posixwin_2escm",(void*)f_4465},
{"f_5912:posixwin_2escm",(void*)f_5912},
{"f_5918:posixwin_2escm",(void*)f_5918},
{"f_3462:posixwin_2escm",(void*)f_3462},
{"f_3466:posixwin_2escm",(void*)f_3466},
{"f_5924:posixwin_2escm",(void*)f_5924},
{"f_3376:posixwin_2escm",(void*)f_3376},
{"f_3434:posixwin_2escm",(void*)f_3434},
{"f_3436:posixwin_2escm",(void*)f_3436},
{"f_5972:posixwin_2escm",(void*)f_5972},
{"f_5978:posixwin_2escm",(void*)f_5978},
{"f_3441:posixwin_2escm",(void*)f_3441},
{"f_3443:posixwin_2escm",(void*)f_3443},
{"f_3125:posixwin_2escm",(void*)f_3125},
{"f_5900:posixwin_2escm",(void*)f_5900},
{"f_5906:posixwin_2escm",(void*)f_5906},
{"f_4924:posixwin_2escm",(void*)f_4924},
{"f_3142:posixwin_2escm",(void*)f_3142},
{"f_3144:posixwin_2escm",(void*)f_3144},
{"f_4910:posixwin_2escm",(void*)f_4910},
{"f_5930:posixwin_2escm",(void*)f_5930},
{"f_5936:posixwin_2escm",(void*)f_5936},
{"f_4953:posixwin_2escm",(void*)f_4953},
{"f_5442:posixwin_2escm",(void*)f_5442},
{"f_5438:posixwin_2escm",(void*)f_5438},
{"f_4987:posixwin_2escm",(void*)f_4987},
{"f_5852:posixwin_2escm",(void*)f_5852},
{"f_4979:posixwin_2escm",(void*)f_4979},
{"f_5458:posixwin_2escm",(void*)f_5458},
{"f_4094:posixwin_2escm",(void*)f_4094},
{"f_4047:posixwin_2escm",(void*)f_4047},
{"f_4042:posixwin_2escm",(void*)f_4042},
{"f_5894:posixwin_2escm",(void*)f_5894},
{"f_5146:posixwin_2escm",(void*)f_5146},
{"f_2675:posixwin_2escm",(void*)f_2675},
{"f_5191:posixwin_2escm",(void*)f_5191},
{"f_4456:posixwin_2escm",(void*)f_4456},
{"f_2698:posixwin_2escm",(void*)f_2698},
{"f_2692:posixwin_2escm",(void*)f_2692},
{"f_4450:posixwin_2escm",(void*)f_4450},
{"f_4055:posixwin_2escm",(void*)f_4055},
{"f_4051:posixwin_2escm",(void*)f_4051},
{"f_4445:posixwin_2escm",(void*)f_4445},
{"f_4440:posixwin_2escm",(void*)f_4440},
{"f_4436:posixwin_2escm",(void*)f_4436},
{"f_4431:posixwin_2escm",(void*)f_4431},
{"f_4039:posixwin_2escm",(void*)f_4039},
{"f_4033:posixwin_2escm",(void*)f_4033},
{"f_4030:posixwin_2escm",(void*)f_4030},
{"f_4426:posixwin_2escm",(void*)f_4426},
{"f_4422:posixwin_2escm",(void*)f_4422},
{"f_4416:posixwin_2escm",(void*)f_4416},
{"f_4411:posixwin_2escm",(void*)f_4411},
{"f_4196:posixwin_2escm",(void*)f_4196},
{"f_4190:posixwin_2escm",(void*)f_4190},
{"f_4402:posixwin_2escm",(void*)f_4402},
{"f_5403:posixwin_2escm",(void*)f_5403},
{"f_4406:posixwin_2escm",(void*)f_4406},
{"f_4149:posixwin_2escm",(void*)f_4149},
{"f_4796:posixwin_2escm",(void*)f_4796},
{"f_4140:posixwin_2escm",(void*)f_4140},
{"f_5093:posixwin_2escm",(void*)f_5093},
{"f_5407:posixwin_2escm",(void*)f_5407},
{"f_4136:posixwin_2escm",(void*)f_4136},
{"f_2503:posixwin_2escm",(void*)f_2503},
{"f_2501:posixwin_2escm",(void*)f_2501},
{"f_5113:posixwin_2escm",(void*)f_5113},
{"f_5419:posixwin_2escm",(void*)f_5419},
{"f_4020:posixwin_2escm",(void*)f_4020},
{"f_2516:posixwin_2escm",(void*)f_2516},
{"f_5124:posixwin_2escm",(void*)f_5124},
{"f_5434:posixwin_2escm",(void*)f_5434},
{"f_5430:posixwin_2escm",(void*)f_5430},
{"f_2511:posixwin_2escm",(void*)f_2511},
{"f_5426:posixwin_2escm",(void*)f_5426},
{"f_2520:posixwin_2escm",(void*)f_2520},
{"f_5041:posixwin_2escm",(void*)f_5041},
{"f_4187:posixwin_2escm",(void*)f_4187},
{"f_4751:posixwin_2escm",(void*)f_4751},
{"f_2538:posixwin_2escm",(void*)f_2538},
{"f_4180:posixwin_2escm",(void*)f_4180},
{"f_4753:posixwin_2escm",(void*)f_4753},
{"f_2532:posixwin_2escm",(void*)f_2532},
{"f_4783:posixwin_2escm",(void*)f_4783},
{"f_5109:posixwin_2escm",(void*)f_5109},
{"f_5100:posixwin_2escm",(void*)f_5100},
{"f_5077:posixwin_2escm",(void*)f_5077},
{"f_5090:posixwin_2escm",(void*)f_5090},
{"f_5803:posixwin_2escm",(void*)f_5803},
{"f_5800:posixwin_2escm",(void*)f_5800},
{"f_2565:posixwin_2escm",(void*)f_2565},
{"f_5084:posixwin_2escm",(void*)f_5084},
{"f_5087:posixwin_2escm",(void*)f_5087},
{"f_4719:posixwin_2escm",(void*)f_4719},
{"f_4717:posixwin_2escm",(void*)f_4717},
{"f_5806:posixwin_2escm",(void*)f_5806},
{"f_3651:posixwin_2escm",(void*)f_3651},
{"f_5818:posixwin_2escm",(void*)f_5818},
{"f_3659:posixwin_2escm",(void*)f_3659},
{"f_4737:posixwin_2escm",(void*)f_4737},
{"f_3623:posixwin_2escm",(void*)f_3623},
{"f_4731:posixwin_2escm",(void*)f_4731},
{"f_3917:posixwin_2escm",(void*)f_3917},
{"f_3627:posixwin_2escm",(void*)f_3627},
{"f_2299:posixwin_2escm",(void*)f_2299},
{"f_4760:posixwin_2escm",(void*)f_4760},
{"f_4156:posixwin_2escm",(void*)f_4156},
{"f_4769:posixwin_2escm",(void*)f_4769},
{"f_3630:posixwin_2escm",(void*)f_3630},
{"f_4763:posixwin_2escm",(void*)f_4763},
{"f_3961:posixwin_2escm",(void*)f_3961},
{"f_4002:posixwin_2escm",(void*)f_4002},
{"f_5060:posixwin_2escm",(void*)f_5060},
{"f_2292:posixwin_2escm",(void*)f_2292},
{"f_2268:posixwin_2escm",(void*)f_2268},
{"f_3604:posixwin_2escm",(void*)f_3604},
{"f_3930:posixwin_2escm",(void*)f_3930},
{"f_3936:posixwin_2escm",(void*)f_3936},
{"f_2264:posixwin_2escm",(void*)f_2264},
{"f_2261:posixwin_2escm",(void*)f_2261},
{"f_4705:posixwin_2escm",(void*)f_4705},
{"f_4703:posixwin_2escm",(void*)f_4703},
{"f_5859:posixwin_2escm",(void*)f_5859},
{"f_2471:posixwin_2escm",(void*)f_2471},
{"f_3613:posixwin_2escm",(void*)f_3613},
{"f_2473:posixwin_2escm",(void*)f_2473},
{"f_3902:posixwin_2escm",(void*)f_3902},
{"f_3908:posixwin_2escm",(void*)f_3908},
{"f_2231:posixwin_2escm",(void*)f_2231},
{"f_2234:posixwin_2escm",(void*)f_2234},
{"f_2481:posixwin_2escm",(void*)f_2481},
{"f_2483:posixwin_2escm",(void*)f_2483},
{"f_3952:posixwin_2escm",(void*)f_3952},
{"f_2909:posixwin_2escm",(void*)f_2909},
{"f_2902:posixwin_2escm",(void*)f_2902},
{"f_5885:posixwin_2escm",(void*)f_5885},
{"f_2493:posixwin_2escm",(void*)f_2493},
{"f_2491:posixwin_2escm",(void*)f_2491},
{"f_2916:posixwin_2escm",(void*)f_2916},
{"f_2918:posixwin_2escm",(void*)f_2918},
{"f_5812:posixwin_2escm",(void*)f_5812},
{"f_2924:posixwin_2escm",(void*)f_2924},
{"f_3946:posixwin_2escm",(void*)f_3946},
{"f_3949:posixwin_2escm",(void*)f_3949},
{"f_3732:posixwin_2escm",(void*)f_3732},
{"f_2947:posixwin_2escm",(void*)f_2947},
{"f_3744:posixwin_2escm",(void*)f_3744},
{"f_3740:posixwin_2escm",(void*)f_3740},
{"f_3684:posixwin_2escm",(void*)f_3684},
{"f_2969:posixwin_2escm",(void*)f_2969},
{"f_2965:posixwin_2escm",(void*)f_2965},
{"f_3696:posixwin_2escm",(void*)f_3696},
{"f_3762:posixwin_2escm",(void*)f_3762},
{"f_2304:posixwin_2escm",(void*)f_2304},
{"f_5547:posixwin_2escm",(void*)f_5547},
{"f_5553:posixwin_2escm",(void*)f_5553},
{"f_5551:posixwin_2escm",(void*)f_5551},
{"f_3779:posixwin_2escm",(void*)f_3779},
{"f_3777:posixwin_2escm",(void*)f_3777},
{"f_2311:posixwin_2escm",(void*)f_2311},
{"f_4278:posixwin_2escm",(void*)f_4278},
{"f_3676:posixwin_2escm",(void*)f_3676},
{"f_3674:posixwin_2escm",(void*)f_3674},
{"f_3670:posixwin_2escm",(void*)f_3670},
{"f_5520:posixwin_2escm",(void*)f_5520},
{"f_3785:posixwin_2escm",(void*)f_3785},
{"f_2326:posixwin_2escm",(void*)f_2326},
{"f_2324:posixwin_2escm",(void*)f_2324},
{"f_5526:posixwin_2escm",(void*)f_5526},
{"f_2789:posixwin_2escm",(void*)f_2789},
{"f_2788:posixwin_2escm",(void*)f_2788},
{"f_4269:posixwin_2escm",(void*)f_4269},
{"f_2816:posixwin_2escm",(void*)f_2816},
{"f_2336:posixwin_2escm",(void*)f_2336},
{"f_2338:posixwin_2escm",(void*)f_2338},
{"f_2330:posixwin_2escm",(void*)f_2330},
{"f_2332:posixwin_2escm",(void*)f_2332},
{"f_2826:posixwin_2escm",(void*)f_2826},
{"f_2344:posixwin_2escm",(void*)f_2344},
{"f_2348:posixwin_2escm",(void*)f_2348},
{"f_2342:posixwin_2escm",(void*)f_2342},
{"f_5515:posixwin_2escm",(void*)f_5515},
{"f_5512:posixwin_2escm",(void*)f_5512},
{"f_2356:posixwin_2escm",(void*)f_2356},
{"f_2354:posixwin_2escm",(void*)f_2354},
{"f_2350:posixwin_2escm",(void*)f_2350},
{"f_2848:posixwin_2escm",(void*)f_2848},
{NULL,NULL}};
#endif

static C_PTABLE_ENTRY *create_ptable(void){
#ifdef C_ENABLE_PTABLES
return ptable;
#else
return NULL;
#endif
}

/*
S|applied compiler syntax:
S|  for-each		2
o|eliminated procedure checks: 160 
o|specializations:
o|  1 (##sys#check-list (or pair list) *)
o|  4 (##sys#foreign-fixnum-argument fixnum)
o|  1 (##sys#check-output-port * * *)
o|  1 (##sys#check-input-port * * *)
o|  3 (cdr pair)
o|  2 (string-ref string fixnum)
o|  3 (string-length string)
o|  3 (make-string fixnum)
o|  4 (##sys#check-open-port * *)
o|  9 (eqv? * (not float))
o|  11 (car pair)
o|dropping redundant toplevel assignment: process 
o|dropping redundant toplevel assignment: process* 
o|safe globals: (file-stat ##sys#stat ##sys#posix-error posix-error c1523) 
o|Removed `not' forms: 8 
o|contracted procedure: "(posix-common.scm:184) strerror64" 
o|inlining procedure: k2269 
o|inlining procedure: k2269 
o|inlining procedure: k2284 
o|inlining procedure: k2284 
o|inlining procedure: k2370 
o|inlining procedure: k2382 
o|inlining procedure: k2382 
o|inlining procedure: k2394 
o|inlining procedure: k2394 
o|inlining procedure: k2406 
o|inlining procedure: k2406 
o|inlining procedure: k2370 
o|inlining procedure: k2527 
o|inlining procedure: k2527 
o|inlining procedure: k2539 
o|inlining procedure: k2539 
o|inlining procedure: k2549 
o|inlining procedure: k2549 
o|inlining procedure: k2576 
o|contracted procedure: k2592 
o|inlining procedure: k2589 
o|inlining procedure: k2589 
o|substituted constant variable: a2602 
o|inlining procedure: k2576 
o|inlining procedure: k2609 
o|inlining procedure: k2609 
o|substituted constant variable: a2653 
o|inlining procedure: k2654 
o|inlining procedure: k2654 
o|contracted procedure: k2670 
o|inlining procedure: k2673 
o|inlining procedure: k2673 
o|inlining procedure: k2706 
o|inlining procedure: k2706 
o|inlining procedure: k2730 
o|inlining procedure: k2730 
o|substituted constant variable: a2751 
o|inlining procedure: k2770 
o|inlining procedure: k2770 
o|inlining procedure: k2791 
o|propagated global variable: r27926308 delete-file 
o|inlining procedure: k2791 
o|inlining procedure: k2783 
o|inlining procedure: k2818 
o|inlining procedure: k2818 
o|inlining procedure: k2783 
o|inlining procedure: k2856 
o|inlining procedure: k2856 
o|inlining procedure: k2878 
o|contracted procedure: "(posix-common.scm:461) g336337" 
o|inlining procedure: k2889 
o|inlining procedure: k2889 
o|inlining procedure: k2878 
o|inlining procedure: k2926 
o|inlining procedure: k2926 
o|contracted procedure: "(posix-common.scm:462) g354355" 
o|inlining procedure: k2934 
o|inlining procedure: k2934 
o|inlining procedure: k2995 
o|inlining procedure: k2995 
o|inlining procedure: k3010 
o|inlining procedure: k3010 
o|inlining procedure: k3051 
o|inlining procedure: k3051 
o|substituted constant variable: a3073 
o|substituted constant variable: a3075 
o|inlining procedure: k3112 
o|inlining procedure: k3112 
o|inlining procedure: k3146 
o|inlining procedure: k3146 
o|inlining procedure: k3199 
o|inlining procedure: k3199 
o|inlining procedure: k3207 
o|inlining procedure: k3207 
o|contracted procedure: "(posix-common.scm:556) find-files" 
o|inlining procedure: k3232 
o|inlining procedure: k3232 
o|inlining procedure: k3253 
o|inlining procedure: k3253 
o|inlining procedure: k3272 
o|inlining procedure: k3272 
o|inlining procedure: k3281 
o|inlining procedure: k3313 
o|inlining procedure: k3313 
o|inlining procedure: k3281 
o|inlining procedure: k3331 
o|inlining procedure: k3331 
o|inlining procedure: k3346 
o|inlining procedure: k3346 
o|contracted procedure: k3373 
o|inlining procedure: k3378 
o|inlining procedure: k3378 
o|inlining procedure: k3448 
o|inlining procedure: k3448 
o|inlining procedure: k3525 
o|inlining procedure: k3525 
o|contracted procedure: "(posix-common.scm:593) ctime552" 
o|inlining procedure: k3561 
o|inlining procedure: k3561 
o|inlining procedure: k3605 
o|contracted procedure: "(posix-common.scm:616) strftime579" 
o|inlining procedure: k3591 
o|inlining procedure: k3591 
o|inlining procedure: k3605 
o|contracted procedure: "(posix-common.scm:618) asctime578" 
o|inlining procedure: k3578 
o|inlining procedure: k3578 
o|inlining procedure: k3707 
o|inlining procedure: k3716 
o|inlining procedure: k3716 
o|inlining procedure: k3707 
o|contracted procedure: "(posix-common.scm:642) get631" 
o|inlining procedure: k3817 
o|inlining procedure: k3817 
o|inlining procedure: k3900 
o|inlining procedure: k3900 
o|inlining procedure: k3922 
o|inlining procedure: k3922 
o|inlining procedure: k3950 
o|inlining procedure: k3950 
o|inlining procedure: k3994 
o|inlining procedure: k3994 
o|inlining procedure: k4064 
o|inlining procedure: k4064 
o|inlining procedure: k4096 
o|inlining procedure: k4096 
o|contracted procedure: k4118 
o|inlining procedure: k4124 
o|inlining procedure: k4124 
o|inlining procedure: k4141 
o|inlining procedure: k4141 
o|inlining procedure: k4151 
o|inlining procedure: k4151 
o|inlining procedure: k4188 
o|inlining procedure: k4188 
o|inlining procedure: k4204 
o|inlining procedure: k4204 
o|inlining procedure: k4225 
o|inlining procedure: k4225 
o|inlining procedure: k4250 
o|inlining procedure: k4250 
o|inlining procedure: "(posixwin.scm:845) badmode825" 
o|substituted constant variable: a4274 
o|substituted constant variable: a4276 
o|inlining procedure: k4290 
o|inlining procedure: k4290 
o|inlining procedure: "(posixwin.scm:855) badmode825" 
o|substituted constant variable: a4314 
o|substituted constant variable: a4316 
o|substituted constant variable: a4321 
o|substituted constant variable: a4322 
o|inlining procedure: k4326 
o|inlining procedure: k4326 
o|substituted constant variable: a4339 
o|substituted constant variable: a4340 
o|inlining procedure: k4344 
o|inlining procedure: k4344 
o|inlining procedure: k4475 
o|inlining procedure: k4475 
o|inlining procedure: k4577 
o|inlining procedure: k4577 
o|inlining procedure: k4603 
o|inlining procedure: k4603 
o|inlining procedure: k4642 
o|contracted procedure: k4658 
o|inlining procedure: k4655 
o|inlining procedure: k4655 
o|substituted constant variable: a4668 
o|inlining procedure: k4642 
o|inlining procedure: k4678 
o|inlining procedure: k4678 
o|substituted constant variable: a4722 
o|contracted procedure: k4726 
o|inlining procedure: k4723 
o|inlining procedure: k4723 
o|inlining procedure: k4761 
o|inlining procedure: k4761 
o|contracted procedure: "(posixwin.scm:1111) ex01071" 
o|substituted constant variable: a4813 
o|contracted procedure: k4820 
o|inlining procedure: k4817 
o|inlining procedure: k4817 
o|inlining procedure: k4830 
o|inlining procedure: k4830 
o|substituted constant variable: a4846 
o|inlining procedure: k4856 
o|inlining procedure: k4856 
o|inlining procedure: k4866 
o|inlining procedure: k4866 
o|inlining procedure: k4879 
o|inlining procedure: k4879 
o|substituted constant variable: a4895 
o|substituted constant variable: a4897 
o|substituted constant variable: a4899 
o|inlining procedure: k4912 
o|inlining procedure: k4912 
o|inlining procedure: k4955 
o|inlining procedure: k4955 
o|inlining procedure: k4977 
o|inlining procedure: k4977 
o|contracted procedure: "(posixwin.scm:1182) needs-quoting?1106" 
o|inlining procedure: k4926 
o|inlining procedure: k4926 
o|inlining procedure: k5031 
o|inlining procedure: k5043 
o|inlining procedure: k5043 
o|inlining procedure: k5031 
o|inlining procedure: k5098 
o|inlining procedure: k5098 
o|inlining procedure: k5114 
o|inlining procedure: k5114 
o|inlining procedure: k5151 
o|inlining procedure: k5151 
o|inlining procedure: k5218 
o|inlining procedure: k5218 
o|inlining procedure: k5263 
o|inlining procedure: k5263 
o|inlining procedure: k5290 
o|inlining procedure: k5290 
o|substituted constant variable: g128512861293 
o|substituted constant variable: g128512861293 
o|substituted constant variable: g128512861293 
o|substituted constant variable: g128712881294 
o|substituted constant variable: g128712881294 
o|substituted constant variable: g128712881294 
o|substituted constant variable: g128912901295 
o|substituted constant variable: g128912901295 
o|substituted constant variable: g128912901295 
o|substituted constant variable: g129112921296 
o|substituted constant variable: g129112921296 
o|substituted constant variable: g129112921296 
o|inlining procedure: k5390 
o|inlining procedure: k5405 
o|inlining procedure: k5405 
o|inlining procedure: k5390 
o|contracted procedure: "(posixwin.scm:1281) c-process1233" 
o|inlining procedure: k5452 
o|inlining procedure: k5452 
o|inlining procedure: k5487 
o|inlining procedure: k5487 
o|inlining procedure: k5528 
o|inlining procedure: k5528 
o|inlining procedure: k5675 
o|inlining procedure: k5675 
o|inlining procedure: k5693 
o|inlining procedure: k5693 
o|inlining procedure: k5705 
o|inlining procedure: k5705 
o|inlining procedure: k5736 
o|inlining procedure: k5736 
o|contracted procedure: "(posixwin.scm:1511) bad-mmap?1433" 
o|inlining procedure: k5790 
o|inlining procedure: k5790 
o|contracted procedure: "(posixwin.scm:1510) mmap1432" 
o|contracted procedure: k5832 
o|inlining procedure: k5860 
o|inlining procedure: k5860 
o|contracted procedure: "(posixwin.scm:1520) munmap1470" 
o|inlining procedure: k6176 
o|inlining procedure: k6176 
o|inlining procedure: k6200 
o|inlining procedure: k6200 
o|inlining procedure: k6212 
o|inlining procedure: k6212 
o|inlining procedure: k6222 
o|inlining procedure: k6222 
o|inlining procedure: k6259 
o|inlining procedure: k6259 
o|contracted procedure: "(posix-common.scm:255) g116117" 
o|inlining procedure: k6246 
o|inlining procedure: k6246 
o|replaced variables: 632 
o|removed binding forms: 449 
o|substituted constant variable: r22706269 
o|substituted constant variable: r23836273 
o|substituted constant variable: r23956275 
o|substituted constant variable: r24076277 
o|substituted constant variable: r23716279 
o|substituted constant variable: r25406283 
o|inlining procedure: k2576 
o|substituted constant variable: r25906289 
o|inlining procedure: k2576 
o|inlining procedure: k2576 
o|propagated global variable: g3033046309 delete-file 
o|inlining procedure: k2791 
o|inlining procedure: k2791 
o|propagated global variable: r27926597 delete-file 
o|propagated global variable: r27926597 delete-file 
o|converted assignments to bindings: (rmdir286) 
o|substituted constant variable: loc338 
o|substituted constant variable: loc338 
o|substituted constant variable: loc356 
o|substituted constant variable: loc356 
o|substituted constant variable: r30116336 
o|substituted constant variable: r31136340 
o|substituted constant variable: r32006346 
o|substituted constant variable: r32006346 
o|substituted constant variable: r32086350 
o|substituted constant variable: r32086350 
o|substituted constant variable: loc444 
o|substituted constant variable: r35926384 
o|substituted constant variable: r35926384 
o|substituted constant variable: r35796391 
o|substituted constant variable: r35796391 
o|substituted constant variable: r37086397 
o|substituted constant variable: r41426428 
o|substituted constant variable: r41426428 
o|substituted constant variable: r42056437 
o|removed side-effect free assignment to unused variable: badmode825 
o|inlining procedure: k4250 
o|inlining procedure: k4290 
o|inlining procedure: k4642 
o|substituted constant variable: r46566485 
o|inlining procedure: k4642 
o|inlining procedure: k4642 
o|inlining procedure: k4729 
o|substituted constant variable: r48186496 
o|substituted constant variable: r48676504 
o|substituted constant variable: r48676504 
o|folded constant expression: (fx< (quote -1) (quote 0)) 
o|substituted constant variable: r49276516 
o|substituted constant variable: r50996524 
o|substituted constant variable: r50996524 
o|substituted constant variable: r54066543 
o|substituted constant variable: r54066543 
o|substituted constant variable: c-pointer12361253 
o|substituted constant variable: c-pointer12361253 
o|substituted constant variable: c-pointer12361253 
o|substituted constant variable: r54536546 
o|substituted constant variable: r54536546 
o|substituted constant variable: r54536548 
o|substituted constant variable: r54536548 
o|inlining procedure: k5810 
o|substituted constant variable: r57916564 
o|substituted constant variable: r57916564 
o|converted assignments to bindings: (check1004) 
o|substituted constant variable: r62136577 
o|substituted constant variable: r62476584 
o|substituted constant variable: r62476584 
o|simplifications: ((let . 2)) 
o|replaced variables: 42 
o|removed binding forms: 656 
o|removed conditional forms: 1 
o|inlining procedure: k3054 
o|inlining procedure: k3768 
o|inlining procedure: k3768 
o|inlining procedure: k3965 
o|inlining procedure: k3965 
o|inlining procedure: k4013 
o|inlining procedure: k4013 
o|contracted procedure: k5323 
o|inlining procedure: k5570 
o|inlining procedure: k5630 
o|inlining procedure: k5822 
o|inlining procedure: k5822 
o|replaced variables: 18 
o|removed binding forms: 111 
o|substituted constant variable: r25776586 
o|substituted constant variable: r25776588 
o|substituted constant variable: r25776590 
o|substituted constant variable: r30556682 
o|substituted constant variable: r30556682 
o|substituted constant variable: r37696697 
o|substituted constant variable: r39666700 
o|substituted constant variable: r40146702 
o|substituted constant variable: r46436649 
o|substituted constant variable: r46436651 
o|substituted constant variable: r46436653 
o|substituted constant variable: r5324 
o|substituted constant variable: r58236720 
o|inlining procedure: k6173 
o|inlining procedure: k6173 
o|simplifications: ((let . 3)) 
o|replaced variables: 2 
o|removed binding forms: 19 
o|removed conditional forms: 4 
o|inlining procedure: k4802 
o|inlining procedure: k4802 
o|substituted constant variable: a5322 
o|substituted constant variable: r61746754 
o|replaced variables: 1 
o|removed binding forms: 15 
o|substituted constant variable: r48036784 
o|removed binding forms: 4 
o|removed binding forms: 1 
o|simplifications: ((if . 57) (##core#call . 396)) 
o|  call simplifications:
o|    <
o|    ##sys#structure?
o|    ##sys#check-structure	2
o|    ##sys#make-structure	2
o|    +	2
o|    ##sys#foreign-pointer-argument	7
o|    ##sys#foreign-string-argument	5
o|    string-length
o|    char-whitespace?
o|    *
o|    fx>=	2
o|    string-set!
o|    bitwise-ior	2
o|    fxior	3
o|    list	5
o|    values	11
o|    ##sys#fudge
o|    vector-set!	2
o|    char=?
o|    ##sys#foreign-block-argument	2
o|    ##sys#foreign-integer-argument	4
o|    fx-	6
o|    ##sys#check-number	4
o|    ##sys#check-vector
o|    procedure?
o|    member
o|    fx+	8
o|    string-ref	3
o|    fx>
o|    cons	8
o|    ##sys#size	11
o|    ##sys#call-with-values	8
o|    not	5
o|    ##sys#check-string	19
o|    ##sys#check-list	3
o|    fx=	10
o|    zero?	2
o|    ##sys#null-pointer?	5
o|    pair?	14
o|    ##sys#check-exact	25
o|    ##sys#slot	16
o|    eq?	32
o|    cdr	20
o|    ##sys#eqv?	7
o|    null?	54
o|    car	35
o|    vector
o|    fixnum?	4
o|    string?
o|    fx<	13
o|    ##sys#foreign-fixnum-argument	12
o|    apply	9
o|contracted procedure: k2243 
o|contracted procedure: k2272 
o|contracted procedure: k2281 
o|contracted procedure: k2287 
o|contracted procedure: k2315 
o|contracted procedure: k2306 
o|contracted procedure: k2436 
o|contracted procedure: k2358 
o|contracted procedure: k2430 
o|contracted procedure: k2361 
o|contracted procedure: k2424 
o|contracted procedure: k2364 
o|contracted procedure: k2418 
o|contracted procedure: k2367 
o|contracted procedure: k2379 
o|contracted procedure: k2385 
o|contracted procedure: k2391 
o|contracted procedure: k2397 
o|contracted procedure: k2403 
o|contracted procedure: k2409 
o|contracted procedure: k2415 
o|contracted procedure: k2521 
o|contracted procedure: k2524 
o|contracted procedure: k2546 
o|contracted procedure: k2542 
o|contracted procedure: k2552 
o|contracted procedure: k2558 
o|contracted procedure: k2579 
o|contracted procedure: k2586 
o|contracted procedure: k2612 
o|contracted procedure: k2624 
o|contracted procedure: k2638 
o|contracted procedure: k2694 
o|contracted procedure: k2657 
o|contracted procedure: k2686 
o|contracted procedure: k2676 
o|contracted procedure: k2700 
o|contracted procedure: k2709 
o|contracted procedure: k2715 
o|contracted procedure: k2718 
o|contracted procedure: k2721 
o|contracted procedure: k2752 
o|contracted procedure: k2727 
o|contracted procedure: k2841 
o|contracted procedure: k2761 
o|contracted procedure: k2773 
o|contracted procedure: k2780 
o|contracted procedure: k2806 
o|contracted procedure: k2821 
o|contracted procedure: k2831 
o|contracted procedure: k2835 
o|contracted procedure: k2958 
o|contracted procedure: k2850 
o|contracted procedure: k2853 
o|contracted procedure: k2955 
o|contracted procedure: k2859 
o|contracted procedure: k2892 
o|contracted procedure: k2937 
o|contracted procedure: k3088 
o|contracted procedure: k2970 
o|contracted procedure: k3082 
o|contracted procedure: k2973 
o|contracted procedure: k3076 
o|contracted procedure: k2976 
o|contracted procedure: k2979 
o|contracted procedure: k2998 
o|contracted procedure: k3013 
o|contracted procedure: k3017 
o|contracted procedure: k3023 
o|contracted procedure: k3069 
o|contracted procedure: k3026 
o|contracted procedure: k3045 
o|contracted procedure: k3048 
o|contracted procedure: k3063 
o|contracted procedure: k3054 
o|contracted procedure: k3094 
o|contracted procedure: k3115 
o|contracted procedure: k3118 
o|contracted procedure: k3149 
o|contracted procedure: k3156 
o|contracted procedure: k3179 
o|contracted procedure: k3195 
o|contracted procedure: k3213 
o|contracted procedure: k3235 
o|contracted procedure: k3238 
o|contracted procedure: k3244 
o|contracted procedure: k3256 
o|contracted procedure: k3265 
o|contracted procedure: k3291 
o|contracted procedure: k3362 
o|contracted procedure: k3381 
o|contracted procedure: k3445 
o|contracted procedure: k3458 
o|contracted procedure: k3451 
o|contracted procedure: k3467 
o|contracted procedure: k3473 
o|contracted procedure: k3488 
o|contracted procedure: k3494 
o|contracted procedure: k3519 
o|contracted procedure: k3536 
o|contracted procedure: k3532 
o|contracted procedure: k3511 
o|contracted procedure: k3542 
o|contracted procedure: k3652 
o|contracted procedure: k3599 
o|contracted procedure: k3608 
o|contracted procedure: k3591 
o|contracted procedure: k3642 
o|contracted procedure: k3638 
o|contracted procedure: k3578 
o|contracted procedure: k3661 
o|contracted procedure: k3664 
o|contracted procedure: k3678 
o|contracted procedure: k3719 
o|contracted procedure: k3726 
o|contracted procedure: k3734 
o|contracted procedure: k3746 
o|contracted procedure: k3750 
o|contracted procedure: k3757 
o|contracted procedure: k3693 
o|contracted procedure: k3764 
o|contracted procedure: k3847 
o|contracted procedure: k3787 
o|contracted procedure: k3841 
o|contracted procedure: k3790 
o|contracted procedure: k3835 
o|contracted procedure: k3793 
o|contracted procedure: k3829 
o|contracted procedure: k3796 
o|contracted procedure: k3799 
o|contracted procedure: k3802 
o|contracted procedure: k3820 
o|contracted procedure: k6151 
o|contracted procedure: k3879 
o|contracted procedure: k3887 
o|contracted procedure: k3890 
o|contracted procedure: k3893 
o|contracted procedure: k3903 
o|contracted procedure: k3912 
o|contracted procedure: k3919 
o|contracted procedure: k3925 
o|contracted procedure: k3938 
o|contracted procedure: k3941 
o|contracted procedure: k3956 
o|contracted procedure: k3971 
o|contracted procedure: k3982 
o|contracted procedure: k3991 
o|contracted procedure: k3997 
o|contracted procedure: k4006 
o|contracted procedure: k4022 
o|contracted procedure: k4025 
o|contracted procedure: k4034 
o|contracted procedure: k4057 
o|contracted procedure: k4061 
o|contracted procedure: k4067 
o|contracted procedure: k4073 
o|contracted procedure: k4080 
o|contracted procedure: k4090 
o|contracted procedure: k4099 
o|contracted procedure: k4102 
o|contracted procedure: k4109 
o|contracted procedure: k4127 
o|contracted procedure: k4145 
o|contracted procedure: k4161 
o|contracted procedure: k4167 
o|contracted procedure: k4174 
o|contracted procedure: k4182 
o|contracted procedure: k4191 
o|contracted procedure: k4207 
o|contracted procedure: k4228 
o|contracted procedure: k4240 
o|contracted procedure: k4253 
o|contracted procedure: k4263 
o|contracted procedure: k4280 
o|contracted procedure: k4293 
o|contracted procedure: k4303 
o|contracted procedure: k4329 
o|contracted procedure: k4347 
o|contracted procedure: k4491 
o|contracted procedure: k4472 
o|contracted procedure: k4481 
o|contracted procedure: k4527 
o|contracted procedure: k4571 
o|contracted procedure: k4574 
o|contracted procedure: k4580 
o|contracted procedure: k4597 
o|contracted procedure: k4600 
o|contracted procedure: k4645 
o|contracted procedure: k4652 
o|contracted procedure: k4681 
o|contracted procedure: k4693 
o|contracted procedure: k4707 
o|contracted procedure: k4745 
o|contracted procedure: k4732 
o|contracted procedure: k4755 
o|contracted procedure: k4764 
o|contracted procedure: k4773 
o|contracted procedure: k4776 
o|contracted procedure: k4779 
o|contracted procedure: k4805 
o|contracted procedure: k47936783 
o|contracted procedure: k47936788 
o|contracted procedure: k4824 
o|contracted procedure: k4853 
o|contracted procedure: k4873 
o|contracted procedure: k4869 
o|contracted procedure: k4876 
o|contracted procedure: k4882 
o|contracted procedure: k4888 
o|contracted procedure: k4900 
o|contracted procedure: k4958 
o|contracted procedure: k4964 
o|inlining procedure: k4973 
o|inlining procedure: k4973 
o|contracted procedure: k4917 
o|contracted procedure: k4929 
o|contracted procedure: k4946 
o|contracted procedure: k4935 
o|contracted procedure: k4942 
o|contracted procedure: k4990 
o|contracted procedure: k4998 
o|contracted procedure: k5005 
o|contracted procedure: k5011 
o|contracted procedure: k5019 
o|contracted procedure: k5026 
o|contracted procedure: k5034 
o|contracted procedure: k5046 
o|contracted procedure: k5052 
o|contracted procedure: k5055 
o|contracted procedure: k5067 
o|contracted procedure: k5071 
o|contracted procedure: k5079 
o|contracted procedure: k5105 
o|contracted procedure: k5117 
o|contracted procedure: k5184 
o|contracted procedure: k5126 
o|contracted procedure: k5178 
o|contracted procedure: k5129 
o|contracted procedure: k5172 
o|contracted procedure: k5132 
o|contracted procedure: k5166 
o|contracted procedure: k5135 
o|contracted procedure: k5160 
o|contracted procedure: k5138 
o|contracted procedure: k5154 
o|contracted procedure: k5141 
o|contracted procedure: k5251 
o|contracted procedure: k5193 
o|contracted procedure: k5245 
o|contracted procedure: k5196 
o|contracted procedure: k5239 
o|contracted procedure: k5199 
o|contracted procedure: k5233 
o|contracted procedure: k5202 
o|contracted procedure: k5227 
o|contracted procedure: k5205 
o|contracted procedure: k5221 
o|contracted procedure: k5208 
o|contracted procedure: k5307 
o|contracted procedure: k5463 
o|contracted procedure: k5377 
o|contracted procedure: k5327 
o|contracted procedure: k5331 
o|contracted procedure: k5335 
o|contracted procedure: k5339 
o|contracted procedure: k5343 
o|contracted procedure: k5365 
o|contracted procedure: k5372 
o|contracted procedure: k5444 
o|contracted procedure: k5448 
o|contracted procedure: k5460 
o|contracted procedure: k5473 
o|contracted procedure: k5490 
o|contracted procedure: k5500 
o|contracted procedure: k5504 
o|contracted procedure: k5507 
o|contracted procedure: k5606 
o|contracted procedure: k5555 
o|contracted procedure: k5600 
o|contracted procedure: k5558 
o|contracted procedure: k5594 
o|contracted procedure: k5561 
o|contracted procedure: k5588 
o|contracted procedure: k5564 
o|contracted procedure: k5582 
o|contracted procedure: k5567 
o|contracted procedure: k5576 
o|contracted procedure: k5570 
o|contracted procedure: k5666 
o|contracted procedure: k5615 
o|contracted procedure: k5660 
o|contracted procedure: k5618 
o|contracted procedure: k5654 
o|contracted procedure: k5621 
o|contracted procedure: k5648 
o|contracted procedure: k5624 
o|contracted procedure: k5642 
o|contracted procedure: k5627 
o|contracted procedure: k5636 
o|contracted procedure: k5630 
o|contracted procedure: k5687 
o|contracted procedure: k5790 
o|contracted procedure: k5761 
o|contracted procedure: k5765 
o|contracted procedure: k5769 
o|contracted procedure: k5773 
o|contracted procedure: k5777 
o|contracted procedure: k5781 
o|contracted procedure: k5828 
o|contracted procedure: k5854 
o|contracted procedure: k5863 
o|contracted procedure: k5874 
o|contracted procedure: k5842 
o|contracted procedure: k5846 
o|contracted procedure: k5877 
o|contracted procedure: k5887 
o|contracted procedure: k6157 
o|contracted procedure: k6182 
o|contracted procedure: k6166 
o|contracted procedure: k6169 
o|contracted procedure: k6191 
o|contracted procedure: k6203 
o|contracted procedure: k6219 
o|contracted procedure: k6215 
o|contracted procedure: k6225 
o|contracted procedure: k6240 
o|contracted procedure: k6262 
o|contracted procedure: k6253 
o|simplifications: ((if . 1) (let . 62)) 
o|removed binding forms: 326 
o|inlining procedure: k3464 
o|inlining procedure: k3485 
o|inlining procedure: "(posixwin.scm:839) mode824" 
o|inlining procedure: "(posixwin.scm:849) mode824" 
o|inlining procedure: k4994 
o|inlining procedure: k5015 
o|replaced variables: 191 
o|removed binding forms: 1 
o|removed side-effect free assignment to unused variable: mode824 
o|substituted constant variable: r49956988 
o|substituted constant variable: r49956988 
o|substituted constant variable: r50166991 
o|substituted constant variable: r50166991 
o|replaced variables: 10 
o|removed binding forms: 92 
o|contracted procedure: k5807 
o|contracted procedure: k5870 
o|converted assignments to bindings: (check826) 
o|simplifications: ((let . 1)) 
o|removed binding forms: 14 
o|contracted procedure: k4243 
o|contracted procedure: k4283 
o|replaced variables: 2 
o|removed binding forms: 2 
o|removed binding forms: 1 
o|direct leaf routine/allocation: loop1109 0 
o|direct leaf routine/allocation: g13401347 0 
o|contracted procedure: k4980 
o|converted assignments to bindings: (loop1109) 
o|contracted procedure: "(posixwin.scm:1303) k5493" 
o|simplifications: ((let . 1)) 
o|removed binding forms: 2 
o|replaced variables: 3 
o|removed binding forms: 1 
o|direct leaf routine/allocation: for-each-loop13391357 0 
o|converted assignments to bindings: (for-each-loop13391357) 
o|simplifications: ((let . 1)) 
o|customizable procedures: (k5857 k5801 k5816 %process1328 chkstrlst1335 k5287 $exec-setup $exec-teardown $quote-args-list build-exec-argvec1124 doloop11491150 loop1116 k4847 k4859 k4758 mode1020 check1021 check1004 check826 k4154 loop796 suffix-loop809 loop807 k3988 k3884 scan640 loop637 check-time-vector k3216 k3219 loop456 g428429 loop420 conc-loop401 k3032 loop380 k2881 loop333 g293300 for-each-loop292309 rmdir286 k2703 mode206 check207 k2518 ##sys#stat) 
o|calls to known targets: 165 
o|unused rest argument: _452 f_3384 
o|unused rest argument: _451 f_3376 
o|unused rest argument: _493 f_3436 
o|identified direct recursive calls: f_3714 1 
o|identified direct recursive calls: f_4924 1 
o|identified direct recursive calls: f_4953 1 
o|identified direct recursive calls: f_5485 1 
o|unused rest argument: _15181522 f_5900 
o|unused rest argument: _15251529 f_5906 
o|unused rest argument: _15311535 f_5912 
o|unused rest argument: _15371541 f_5918 
o|unused rest argument: _15431547 f_5924 
o|unused rest argument: _15491553 f_5930 
o|unused rest argument: _15551559 f_5936 
o|unused rest argument: _15611565 f_5942 
o|unused rest argument: _15671571 f_5948 
o|unused rest argument: _15731577 f_5954 
o|unused rest argument: _15791583 f_5960 
o|unused rest argument: _15851589 f_5966 
o|unused rest argument: _15911595 f_5972 
o|unused rest argument: _15971601 f_5978 
o|unused rest argument: _16031607 f_5984 
o|unused rest argument: _16091613 f_5990 
o|unused rest argument: _16151619 f_5996 
o|unused rest argument: _16211625 f_6002 
o|unused rest argument: _16271631 f_6008 
o|unused rest argument: _16331637 f_6014 
o|unused rest argument: _16391643 f_6020 
o|unused rest argument: _16451649 f_6026 
o|unused rest argument: _16511655 f_6032 
o|unused rest argument: _16571661 f_6038 
o|unused rest argument: _16631667 f_6044 
o|unused rest argument: _16691673 f_6050 
o|unused rest argument: _16751679 f_6056 
o|unused rest argument: _16811685 f_6062 
o|unused rest argument: _16871691 f_6068 
o|unused rest argument: _16931697 f_6074 
o|unused rest argument: _16991703 f_6080 
o|unused rest argument: _17051709 f_6086 
o|unused rest argument: _17111715 f_6092 
o|unused rest argument: _17171721 f_6098 
o|unused rest argument: _17231727 f_6104 
o|unused rest argument: _17291733 f_6110 
o|unused rest argument: _17351739 f_6116 
o|unused rest argument: _17411745 f_6122 
o|unused rest argument: _17471751 f_6128 
o|unused rest argument: _17531757 f_6134 
o|fast box initializations: 17 
o|fast global references: 75 
o|fast global assignments: 7 
o|dropping unused closure argument: f_4220 
o|dropping unused closure argument: f_5029 
o|dropping unused closure argument: f_2570 
o|dropping unused closure argument: f_4673 
o|dropping unused closure argument: f_4636 
o|dropping unused closure argument: f_4595 
o|dropping unused closure argument: f_2607 
o|dropping unused closure argument: f_2765 
o|dropping unused closure argument: f_5469 
o|dropping unused closure argument: f_3443 
o|dropping unused closure argument: f_4910 
o|dropping unused closure argument: f_5109 
o|dropping unused closure argument: f_2264 
*/
/* end of file */
